ArtCAM Insignia Reference Help

Next Topic

HTML Only - With Navigation

Linked ArtCAM Graphics Directory Template [Insignia]

By Delcam plc

Issue: 4.019 Release: 18/01/2007


Disclaimer

Delcam plc has no control over the use made of the software described in this manual and cannot accept responsibility for any loss or damage howsoever caused as a result of using the software. Users are advised that all the results from the software should be checked by a competent person, in accordance with good quality control procedures.

Information contained in this manual is subject to change without notice and does not represent a commitment by Delcam plc. The software described in this manual is furnished under licence agreement and may be used or copied in accordance with the terms of such licence. No part of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording, for any purpose without the express permission of Delcam plc.

Copyright © 1996-2006 Delcam plc. All rights reserved.

Acknowledgements

This documentation references a number of registered trademarks and these are the property of their respective owners. For example, Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

Patents

The functionality of preparing a 3D relief of the side profile of a human face direct from a photograph in ArtCAM Insignia is subject to a patent application.

Patent application: GB 0315916.7 "Photo to 3D"

The functionality of the 3D layers used to design and machine an article in ArtCAM Insignia are subject to a patent application.

Patent application: GB 0600873.4 "3D Layers"


Understanding ArtCAM Insignia

This section provides details of where you can access information about ArtCAM Insignia and explains how to distinguish between bitmaps and vectors.

In This Chapter

ArtCAM Insignia Overview

Information about ArtCAM Insignia

Comparing Vector and Bitmap Data


ArtCAM Insignia Overview

ArtCAM Insignia is a powerful 2.5D machining solution for professional CNC engravers and router users. Designs can be created using ArtCAM Insignia's comprehensive vector drawing tools or imported from other graphics packages. Bitmap images and scans can also be imported, vectorized and edited.

ArtCAM Insignia handles complex designs with ease and provides flexible machining strategies that are fast, accurate and, most importantly, very reliable. Integrated Nesting automatically positions multiple objects inside a user-definable block of material, ensuring minimal material wastage when the objects are manufactured. Realistic 3D toolpath simulation can be used to verify all toolpaths, and visualise the end product, before sending them to the CNC machine.

See Also

Understanding ArtCAM Insignia

Information about ArtCAM Insignia

Comparing Vector and Bitmap Data


Information about ArtCAM Insignia

You can find information about working in ArtCAM Insignia using the following resources:

  1. The ArtCAM Insignia Assistant (In-Line Help).
    • Click on the [image] button on each page displayed in the Assistant window to display its associated In-Line Help. For further details, see ArtCAM Insignia Layout.
  2. The ArtCAM Insignia Reference Help system.
    • From the Main Menu bar, click on the Help > Index option.
  3. The Assistant's Getting Started page.
    • Click on the [image] icon in the Other Features area to display details of the latest features in ArtCAM Insignia.
  4. The printed ArtCAM Insignia User Guide.
  5. The ArtCAM Insignia Website.
    • From the Main Menu bar, click on the Help > ArtCAM Insignia On The Web > ArtCAM Insignia Home Page menu option.
  6. The ArtCAM User Forum.
    • From the Main Menu bar, click on the Help > ArtCAM Insignia On The Web > ArtCAM Insignia Forum menu option. You can also access the forum at http://forum.artcam.com.
    • If you have not yet registered as a forum member, click on the Join option on the forum's Home Page to do so. Registered users are able to download images and example ArtCAM models attached to posts.
  7. Subscribe to the ArtCAM Insignia Newsletter.
    • From the Main Menu bar, click on the Help > Subscribe to the ArtCAM Insignia Newsletter menu option to send an e-mail requesting subscription to the quarterly newsletter.

See Also

Understanding ArtCAM Insignia

ArtCAM Insignia Overview

Comparing Vector and Bitmap Data


Using ArtCAM Insignia's Help System

The ArtCAM Insignia Reference Help system provides you with instructions on how to create and develop the different aspects of an ArtCAM model, and then machine its content.

The Reference Help system is divided into the following sections:

  • ArtCAM Insignia Overview. This section provides an overview of the different uses for ArtCAM Insignia.
  • ArtCAM Insignia's Interface. This section explains the layout of ArtCAM Insignia, how to use its design windows and manage its preferences.
  • Tutorials. This section contains tutorials designed to help you to understand the practical uses of the design tools and toolpaths available in ArtCAM Insignia.
  • Working with Models. This section explains how to create and manage an ArtCAM model, as well as create and edit your own fonts for use within ArtCAM Insignia.
  • Working with Bitmaps. This section explains how to create and manipulate images on bitmap layers in a model. These can then be used to create two-dimensional artwork on vector layers.
  • Working with Vectors. This section explains how to create and manipulate vector artwork in a model. This can then be used to machine a two-dimensional piece.
  • Machining Models. This section explains how to machine a model using the vector artwork that you have created.
  • Using ArtSpool. This section explains how to use ArtSpool to send toolpath data to your CNC machine through a serial cable.

See Also

Information about ArtCAM Insignia


Comparing Vector and Bitmap Data

Vectors and bitmaps are two different methods of reproducing particular types of images. In ArtCAM Insignia, a vector can be created from a bitmap image, and vice versa. For more details, see Working with Bitmaps and Working with Vectors.

Vector Data…

Bitmap Data

See Also

Understanding ArtCAM Insignia

ArtCAM Insignia Overview

Information about ArtCAM Insignia


Vector Data

Vector data is defined mathematically. Objects are geometrical, being made up of a number of points connected by lines or curves. Vectors are extremely flexible and can be manipulated with both ease and accuracy.

The amount of data required to display all of the attributes of a vector is very small, so graphics made up of vectors can have very small file sizes. As the objects become more complex, the sizes increase.

Vector data is ideal for producing smooth features. A vector not only has greater definition than the bitmap, the geometry of the vector can also be used to drive an assigned machining tool directly, which, in turn, can produce a better finish.

Vector artwork is drawn on vector layers in ArtCAM Insignia and can be used to create bitmap images on bitmap layers or toolpaths to machine a two-dimensional piece.

ArtCAM Insignia can read files containing vector data saved in the following formats:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

For further information, see Importing Vector Artwork and Loading a Layer.

See Also

Comparing Vector and Bitmap Data

Bitmap Data


Bitmap Data

Bitmap data is made up of a set of values specifying the colour of individual pixels (picture elements) that make up an image. Bitmap data is characterized by resolution and bit depth.

Resolution relates to the detail in an image and is expressed in dots per inch (.dpi) or pixels per inch (.ppi). The higher the resolution (i.e. the more dots used to describe the image), the more detail possible.

Bit depth has to do with the number of colours the image can display. Bits are the building blocks of binary data. A black and white image is 1 bit, meaning it can be off or on, black or white. As bit depth increases, more colours are available.

Unlike vector data, bitmap data is large. For example, a simple object like the letter shown in Vector Data is 32,838 bytes as vector data in ArtCAM Insignia. When rasterized (changed to a bitmap), the file size changes to 40,078 bytes in ArtCAM Insignia. For small compositions the increase in file size may not matter greatly, but for larger compositions the difference in file size seriously impacts machining times.

ArtCAM Insignia allows vector artwork to be created from bitmap colours on bitmap layers. It can also read image files generated by other drawing and desktop publishing packages or those scanned from paper based artwork saved in any of the following formats:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

See Also

Comparing Vector and Bitmap Data

Vector Data


ArtCAM Insignia's Interface

This section describes the working environment in ArtCAM Insignia and how you can control its overall layout and appearance.

In This Chapter

ArtCAM Insignia Layout


ArtCAM Insignia Layout

The ArtCAM Insignia screen layout has been designed to let you work effectively and efficiently.

The hub of ArtCAM Insignia is the innovative Assistant window. When you have an open model, the Assistant's Home page displays a collection of tools to help you create, edit and machine a 2D/2.5D design. These tools appear in the form of buttons.

Grouped in a logical arrangement, you are able to navigate to the button that you require quickly. To find out more about most of the buttons on the Assistant's Home page, click on the button to display a page showing In-line Help. The In-line Help informs you of exactly where, when and how to use the button, thus reducing the learning curve.

The screen layout is divided into five regions:

Linked ArtCAM Graphics Directory Template [Insignia]

  1. Main Menu bar - Click on a menu to display a drop-down menu containing a range of sub-menus and commands relating to the features in ArtCAM Insignia.
    • If an item in a menu is greyed-out, then it cannot be used in association with the currently active 2D View window.
  2. Assistant - On starting ArtCAM Insignia, the Assistant's Getting Started page is displayed. This page is divided into two main areas: Open Model and Other Features.

    The Open Model area allows you to:

    • Create a new ArtCAM model of a specific size; or
    • Open a compatible file as an ArtCAM model; listing the last three files on which you have been working.

      The Other Features area allows you to:

    • Create new or modify existing fonts in ArtCAM Insignia
    • Find out about the latest features in ArtCAM Insignia

      When a model has been created or opened, the Assistant's Home page is displayed on the left-hand side of the screen by default:

    • If you want to reposition the Assistant's Home page, click and hold the left mouse button on the area to the right of the Toolpaths tab, drag the page to the desired position and then release the mouse to dock the page in the chosen position.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • You can use the F6 key on your keyboard to toggle the display of the Assistant.
    • You can toggle between the Assistant and Toolpaths tabs using the F4 key on your keyboard.

      The Assistant's Home page contains buttons for the most frequently used features in ArtCAM Insignia, as well as a summary of your model dimensions. For almost every button you click on, a corresponding interactive page of settings and associated in-line help is displayed in its place. These buttons are divided into five areas:

    • File - You can use these buttons to manage your model files, and edit the bitmap images and vector artwork within them. You can also adjust many of the default settings used in ArtCAM Insignia.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Model - You can use this button to adjust the dimensions of your ArtCAM model.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Bitmap Tools - You can use these buttons to draw and paint bitmap shapes, as well as manage the content of the Colour Palette and the size and shape of the brush you use:

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Vector Tools - You can use these buttons to create vectors in the form of shapes or text, as well as measure and manipulate the vectors that make up the artwork in your model. You can also use these buttons to convert vector artwork drawn in your model to bitmap artwork, or vice versa:

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Position, Combine, Trim Vectors - You can use these buttons to transform, mirror, align and centre vectors, as well as wrap vector text around a curve or nest them within a defined area. You can also use these buttons to group, merge, join, trim, clip and slice the vectors you create as part of your model:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can change the layout of the Assistant's Home page in the following ways:

    • Click on the FlyoutToolbarArrow icon attached to the right edge of a button to display the complete toolset to which it belongs. When a button from a particular toolset is selected, only this is shown. The remaining buttons in the toolset are hidden by default.
    • If there is no FlyoutToolbarArrow icon attached to the right-edge of a button, this indicates that it does not belong to a toolset.
    • Click on the FlyoutToolbarPin icon at the right end of a toolset to pin all of the buttons that make up the toolset. Each of the buttons in the toolset are emphasized in grey when pinned. You can collapse the toolset by clicking on the icon again, which appears beside the right-edge of the last button in the toolset.
    • Click on the arrow displayed on the title bar for each of the six areas with the Assistant's Home page to either hide [image] or display [image] the buttons hosted in that particular area.

      You can also change the appearance of each page associated with the buttons on the Assistant's Home page:

    • Click on [image] to hide all In-line Help shown on the page. You can also click on the [image] icon in the top-right corner of the page to hide the In-line Help shown.
    • Click on [image] to display In-line Help on the page. You can also click on the [image] icon in the top-right corner of the page to display the In-line Help.
    • Click on the [image] icon in the top-right corner of the page to return to the Assistant's Home page.

      You can obtain further assistance on how you can use the page of settings that are currently displayed in the Assistant window if you:

    • Click on the Video icon [image] within the In-line Help shown to play a video tutorial in a new window.
  3. Layers Manager - This tab displays the Layers Manager. You can use this page to organise the vector artwork and bitmap images that make up your model.

    When a model has been created or opened, the Layers Manager is displayed on the right-hand side of the screen by default.

    • If you want to reposition the Layers Manager, click and hold the left mouse button on the area to the right of the Layers tab, drag the page to the desired position and then release the mouse to dock the page in the chosen position.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • You can use the F7 key on your keyboard to toggle the display of the Layers Manager.
    • Click on the arrow displayed on the title bar for each of the two areas within the Layers Manager to either hide HideArrow-Layers or display ShowArrow-Layers both the layer stack and the tools hosted in that particular area.
  4. Design Windows - This is the central workspace area. ArtCAM Insignia makes use of two different types of view in this area. The 2D View window displays the layers of vector artwork and bitmap images in your model, as well as previews of any calculated 2D toolpaths, while the 3D View window displays a three-dimensional representation of the machined model and any simulated toolpaths.
  5. Toolpaths - This tab displays the Toolpaths Home page in the Assistant window. You can use this page to create machining toolpaths, drill holes, add bridging and lead moves, manage the machining order, produce a toolpath summary, create toolpath panels and manage the tool database. For almost every button you click on, a corresponding interactive page of settings and associated in-line help is displayed in its place. These buttons are divided into four separate areas:
    • Toolpath Operations - You can use these buttons to save toolpaths, edit toolpaths, load or save a toolpath template and edit the machining parameters relating to a tool.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Click on the arrow displayed on the title bar for each of the four areas within the Toolpaths Home page to either hide [image] or display [image] the buttons hosted in that particular area.
    • 2D Toolpaths - You can use these buttons to create the toolpaths needed to machine your two-dimensional vector artwork.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Toolpath Simulation - You can use these buttons to simulate the toolpaths that you have calculated and preview their results.

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also use this page to simulate toolpaths, save toolpaths, edit toolpaths, load or save a toolpath template, and edit the machining parameters relating to a tool.

In This Chapter

2D View Manipulation

2D View Options

3D View Manipulation

Updating ArtCAM Insignia

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Using the Design Windows


2D View Manipulation

You can change the 2D View of a model using the tools above the window:

See Also

ArtCAM Insignia Layout

2D View Options

3D View Manipulation

Updating ArtCAM Insignia

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Using the Design Windows


3D View

Click on the 3D View button [image] to display the 3D View window.

  • You can also move from the 2D View to the 3D View window by pressing the F3 key on your keyboard.

See Also

2D View Manipulation

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom In Tool

You can use the Zoom In Tool button [image] in two ways. You can:

  • Enlarge the area directly beneath the [image] cursor by 50%.
  • Zoom in on a defined area of the model.

To enlarge an area directly beneath the [image] cursor by 50%:

  1. Click on the Zoom In Tool button [image], move the magnifying cursor [image] over the area of the model that you want to zoom in on and then click.
  • You can also magnify the area directly beneath the cursor by 50% if you hold down the Ctrl key on your keyboard and right-click.

To zoom in on a defined area of the model:

  1. Click on the Zoom In Tool button [image] and move the magnifying cursor [image] over the area of the model that you want to zoom in on.
  2. Click and drag the mouse to create a bounding box around the area of the model in which you are interested.
  3. Release the left mouse button to view the area in the bounding box only.

See Also

2D View Manipulation

3D View

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom Out Tool

Each click on the Zoom Out button [image] reduces the size of the image by 50%.

  • You can also reduce the area directly beneath the cursor by 50% if you hold down the Shift key on your keyboard and right-click on the mouse.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom Previous

Click on the Previous Zoom button [image] to restore the previous zoom setting.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Window Fit

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Window Fit

Click on the Window Fit button [image] to automatically adjust the zooming to view the whole model.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Zoom Object(s)

Click on the Zoom Object(s) button [image] to focus in on the vectors currently selected in the model. For details, see Selecting Vectors.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Toggle Left Panel

You can toggle the display of the left panel which hosts the Assistant and Toolpaths tabs.

  • Click on the Toggle Left Panel button ToggleAssistantButton-ON to the hide the left panel which hosts the Assistant and Toolpaths tabs from view. This increases the overall size of the workspace area shown in the centre of the screen.
    • You can also press the F6 key on your keyboard to toggle the display of the panel that hosts the Assistant and Toolpaths tabs.
    • If you reposition the the panel that hosts the Assistant and Toolpaths tabs elsewhere and then hide it from view, ArtCAM Insignia the last location of the Assistant is restored when it is next displayed.
  • Click on the Toggle Left Panel button ToggleAssistantButton-OFF to display the left panel that hosts the Assistant and Toolpaths tabs in its previous position. This reduces the overall size of the workspace area shown in the centre of the screen.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Right Panel

2D Bitmap Contrast Tool

Using the Scrollbars


Toggle Right Panel

You can toggle the display of the right panel which hosts the Layers Manager and Add In tabs.

  • Click on the Toggle Right Panel button ToggleLayersPageButton-ON to hide the right panel which hosts the Layers Manager and Add In tabs from view. This increases the overall size of the workspace area shown in the centre of the screen.
    • You can also press the F7 key on your keyboard to toggle the display of the panel that hosts the Layers Manager and Add In tabs.
    • If you reposition the panel that hosts the Layers Manager and Add In tabs elsewhere and then hide it from view, ArtCAM Insignia restores the last location of the panel when it is next displayed.
  • Click on the Toggle Right Panel button ToggleLayersPageButton-OFF to display of the right panel which hosts the Layers Manager and Add In tabs in its previous position. This reduces the overall size of the workspace area shown in the centre of the screen.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Left Panel

2D Bitmap Contrast Tool

Using the Scrollbars


2D Bitmap Contrast Tool

You can adjust the contrast of the image in the bitmap layer shown in the 2D View window, making it far easier to draw vector outlines representing specific areas within the image.

The contrast command changes the amount of shading applied to an image in the bitmap layer shown in the 2D View window. You can use it to blur the image, to make colours appear more saturated.

2D Bitmap Contrast Slider set at 100%...

2D Bitmap Contrast slider set at 50%…

The ability to adjust the contrast of an image from within ArtCAM Insignia greatly reduces the need to edit the image elsewhere before it is imported. It is a particularly useful tool when working with scanned or faxed data.

The 2D Bitmap Contrast slider is located on the far-right side of the 2D View toolbar.

To set the contrast applied to the image on a bitmap layer, click and drag on the 2D Bitmap Contrast slider. Click and drag the slider to the right to restore the image to its original sharpness, or click and drag the slider to the left to blur the image.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

Using the Scrollbars


Using the Scrollbars

If you cannot see all of a model in the 2D View window, often as a result of zooming in, ArtCAM Insignia displays scrollbars along the vertical and horizontal axes:

To view a different area of the model, you can:

  • Click on the arrow at either end of the scrollbar.
  • Drag the thumb in the scrollbar to the appropriate position.
  • Click directly in the scrollbar on either side of the thumb to page back and forth.

See Also

2D View Manipulation

3D View

Zoom In Tool

Zoom Out Tool

Zoom Previous

Window Fit

Zoom Object(s)

Toggle Left Panel

Toggle Right Panel

2D Bitmap Contrast Tool


2D View Options

When drawing vectors in ArtCAM Insignia, there are three invaluable features available to help you create a vector according to an exact set of measurements. These are:

  • Rulers.
  • The Snap Grid.
  • Horizontal and vertical guidelines.

These features help consistently align and size vectors.

See Also

ArtCAM Insignia Layout

2D View Manipulation

3D View Manipulation

Updating ArtCAM Insignia

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Using the Design Windows


Using Rulers

You can use the rulers adjacent to the X and Y-axis of the 2D View window to make measurements.

The ruler along the X-axis also displays the units of measurement (millimetres or inches) selected for the model that is shown in the 2D View window. For details, see Creating a Model.

To disable the rulers:

  1. From the Main Menu bar, click on the Bitmaps > Views > Show Rulers menu option to deselect it. The rulers along the X and Y-axis of the 2D View window are hidden.

To enable the rulers:

  1. From the Main Menu bar, click on the Bitmaps > Views > Show Rulers option to select it. Rulers appear adjacent to the X and Y-axis of the 2D View window.

See Also

2D View Options

Using the Snap Grid

Using Guidelines

Snapping to Objects


Using the Snap Grid

The snap grid is a network of fixed points that govern the placement of vector objects, making it easier to consistently size and align them.

You can use the Snap Grid Settings dialog box to adjust the spacing of gridlines, to activate or deactivate the grid, or to force vectors to automatically align themselves to the snap grid.

See Also

2D View Options

Using Rulers

Using Guidelines

Snapping to Objects


Displaying the Snap Grid

To display the snap grid in an active 2D View window:

  1. From the Main Menu bar, click on the Bitmaps > Views > Snap Grid Settings... menu option to display the Snap Grid Settings dialog box:

  2. Click to select the Draw Snap Grid option [image].
  3. Click on the OK button to close the Snap Grid Settings dialog box and draw the snap grid in the 2D View window.

To hide the snap grid in an active 2D View window, repeat the previous steps, clicking on the Draw Snap Grid option to deselect it [image].

See Also

Using the Snap Grid

Setting the Grid Spacing

Snapping to the Grid


Setting the Grid Spacing

You can set the spacing between grid points using the model's units of measurement, as selected in the Setup Job Dimensions dialog box. For details, see Creating a Model.

To set the grid spacing:

  1. From the Main Menu bar, click on the Bitmaps > Views > Snap Grid Settings... option to display the Snap Grid Settings dialog box:

  2. Define the distance you want to set between each grid point in the Grid Spacing box.
  3. Click on the OK button to close the Snap Grid Settings dialog box and set the grid spacing.

See Also

Using the Snap Grid

Displaying the Snap Grid

Snapping to the Grid


Snapping to the Grid

To make the cursor snap to the nearest point on the grid during the creation or editing of a vector:

  1. From the Main Menu bar, click on the Bitmaps > Views > Snap Grid Settings... menu option. The Snap Grid Settings dialog box is displayed:

  2. Click to select the Snap To Grid option [image].
  3. Click on the OK button to close the Snap Grid Settings dialog box and activate grid snapping.
  • To temporarily disable the snapping behaviour, hold down the Shift key on your keyboard.

See Also

Using the Snap Grid

Displaying the Snap Grid

Setting the Grid Spacing


Using Guidelines

While a Snap Grid is made up of a network of fixed points, a guideline is a solid line parallel to either the horizontal (X) or vertical (Y) axis that can be moved to any position in the 2D View window.

To create guidelines, the rulers option must be selected. For details, see Using Rulers.

To create a horizontal guideline:

  • Click and hold down the left mouse button on the top ruler to display a guideline in the 2D View window, and then drag it into position.

To create a vertical guideline:

  • Click and hold down the left mouse button on the left-hand ruler to display a guideline in the 2D View window, and then drag it into position.

To reposition a guideline:

  • Move the cursor over the guideline you want to move. When the cursor changes to a double-headed arrow [image], click and drag the guideline into its new position.
  • You must have the both the Show Rulers and the Show Guidelines options selected in the Bitmaps > Views menu to see guidelines in the 2D View window.

See Also

2D View Options

Using Rulers

Using the Snap Grid

Snapping to Objects


Defining a Guideline's Position

You can define the position of a guideline using the Position Guide dialog box. This is a more accurate method than clicking and dragging a guideline into position.

To display the Position Guide dialog box, move the mouse cursor over a guideline and right-click on the mouse:

The Selected Guide area of the Position Guide dialog box allows you to:

  • Reposition a guideline.
  • Delete a guideline.
  • Lock a guideline into position.

To reposition a guideline:

  1. Define the new position for the guideline in the New Position box, then click on the Apply button.

To delete a guideline:

  1. Click on the Delete button.

To lock a guideline in its current position:

  1. Click to select the Locked option [image].

The Insert Parallel Guide(s) area of the Position Guide dialog box allows you to:

  • Create a guideline at an absolute position.
  • Create any number of guidelines at a position relative to the selected guideline.

To insert a parallel guideline at an absolute position:

  1. Click on the Absolute position radio button [image].
  2. Define the position of the parallel guideline in the Position box.
  3. Click on the Add New Guide(s) button to draw the guideline.
  4. Click on the OK button to close the Position Guide dialog box.

To insert any number of parallel guidelines at a relative position:

  1. Click on the Relative to guide radio button [image].
  2. Define the number of guidelines that you want to draw using either of the following methods:
    • Type the number of guidelines in the Count box.
    • Use the [image] and [image] buttons on the right of the Count box to set the number of guidelines.
  3. Define the distance that you want to set between each of the parallel guidelines in the Position box. You can set the relative position for the new guidelines using a positive or negative value.

    For example, if you want to create a new guideline to the right of an existing vertical guideline, or above an existing horizontal guideline, you must type a positive value in the Position box e.g. 10.0.

    If you want to create a new guideline to the left of an existing vertical guideline, or below an existing horizontal guideline, you must type a negative value in the Position box e.g. -10.0.

  4. Click on the Add New Guide(s) button to draw the guidelines.
  • If you want to carry out more than one action in the Position Guide dialog box, instead of clicking on the OK button, click on the Apply button. This applies the change and keeps the dialog box open.

See Also

Using Guidelines


Snapping to Objects

Using snapping, you can align a vector object relative to another vector object on any visible layer or guideline shown in the 2D View window. For further information see Using Guidelines and Snapping on a Vector Layer.

Snapping is enabled by default. You can enable and disable snapping as follows:

  • From the Main Menu bar, click on the Bitmaps > Views > Snap to Objects menu option.

    When enabled, the Snap to Objects menu option is selected, and vice versa.

  • Make sure that the Toggle Snapping button for the vector layer is also enabled [image]. For details, see Snapping on a Vector Layer.
  • To temporarily disable snapping, hold down the Shift key on your keyboard.

With the Snap to Objects menu option enabled, the mouse cursor shown in the 2D View changes when it snaps to any of the following places:

  • A point (node) in another vector. This is shown by the cursor changing to a [image].
  • The mid of a linear or arc span within another vector. This is shown by the cursor changing to a [image].
  • The centre of another vector, defined by a bounding box. This is shown by the cursor changing to a [image].
  • The point at which two guidelines intersect. This is shown by the cursor changing to a [image].
  • A horizontal guideline. This is shown by the cursor changing to a [image].
  • A vertical guideline. This is shown by the cursor changing to a [image].
  • Directly above or below the X co-ordinate of a polyline's Start Point (node). This is shown by the [image] cursor changing to a [image].
  • Directly above or below the Y co-ordinate of a polyline's Start Point (node). This is shown by the [image] cursor changing to a [image].
  • The [image] and [image] cursors only appear when you are creating polylines. For details, see Creating a Polyline.

See Also

2D View Options

Using Rulers

Using the Snap Grid

Using Guidelines


3D View Manipulation

You can change the view of a model using the buttons in the toolbar above the 3D View window:

Linked ArtCAM Graphics Directory Template [Insignia]

See Also

ArtCAM Insignia Layout

2D View Manipulation

2D View Options

Updating ArtCAM Insignia

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Using the Design Windows


2D View

Click on the 2D View button [image] to display the 2D View window.

  • You can also move from the 3D View to the 2D View window by pressing the F2 key on your keyboard.

See Also

3D View Manipulation

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


Twiddle Tool

The Twiddle Tool button TwiddleToolButton-OFF allows you to rotate the model around a central point, adjust the viewpoint (pan) and zoom in on or out from the current viewpoint.

To rotate the model:

  1. Click on the Twiddle Tool button TwiddleToolButton-OFF.
  2. Move the [image] cursor over the model, click and hold down the left mouse button, and then drag the model to the required viewing angle.

To pan the model:

  1. Click on the Twiddle Tool button TwiddleToolButton-OFF.
  2. Move the [image] cursor over the model, click and hold down both mouse buttons, and then drag the model to the required viewing position.

To zoom in on the model:

  1. Click on the Twiddle Tool button TwiddleToolButton-OFF.
  2. Move the [image] cursor over the model, click and hold down the right mouse button, and then drag upwards.
  3. Release the mouse button to set the viewpoint.

To zoom out from the model:

  1. Click on the Twiddle Tool button TwiddleToolButton-OFF.
  2. Move the [image] cursor over the model, click and hold down the right mouse button, and then drag downwards.
  3. Release the mouse button to set the viewpoint.

See Also

3D View Manipulation

2D View

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


Pan View

The Pan View button [image] allows you to adjust the viewing position of the model:

  1. Click on the Pan View button [image].
  2. Move the [image] cursor over the model, and then click and drag the model into the required viewing position.
  • You can also adjust the viewpoint of the model by holding down the left and right mouse buttons simultaneously and then dragging into the required viewing position.
  • You can also use the Twiddle Tool button TwiddleToolButton-OFF to adjust the viewpoint of the model.

See Also

3D View Manipulation

2D View

Twiddle Tool

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


Zoom

You can use the Zoom button ZoomButton-OFF to zoom in on a defined area of the model:

  1. Click on the Zoom button ZoomButton-OFF, and then move the magnifying cursor [image] over the area of the model that you want to zoom in on.
  2. Click and drag the mouse to create a bounding box around the area of the model that you are interested in.
  3. Release the left mouse button to view the area defined by the bounding box.
  • You can also hold down the right mouse button and push the mouse forwards to zoom in on the model shown in the 3D View window.
  • You can also use the Twiddle Tool button TwiddleToolButton-OFF to zoom in on the model shown in the 3D View window.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


Zoom Out

Click on the Zoom Out button [image] to reduce the size of the image by 50%.

  • You can also hold down the right mouse button and push the mouse backwards to zoom out from the model shown in the 3D View window.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


Scale To Fit

The Scale To Fit button [image] resizes the model so that it fits in the 3D View window.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Isometric View

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


Isometric View

The Isometric View button [image] displays the model in the standard isometric view. The viewing angle is shown by the XYZ representation on the button.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

View Along X

View Down Z

View Along Y

Origin

Objects To Draw


View Along X

The View Along X button [image] displays the model from the X-axis.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Down Z

View Along Y

Origin

Objects To Draw


View Down Z

The View Down Z button [image] displays the model from the Z-axis.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Along Y

Origin

Objects To Draw


View Along Y

The View Along Y button [image] displays the model from the Y-axis.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

Origin

Objects To Draw


Origin

Click on the Origin button [image] to display/hide the origin in the 3D View window. The X-axis is red, the Y-axis is green and the Z-axis is blue.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Objects To Draw


Objects To Draw

Click on the Objects To Draw button [image] to display the Objects To Draw list box:

The Objects To Draw list box lists the block of material, all of your calculated toolpaths and all of your toolpath simulations.

The name of all items visible in the 3D View window are emphasized in blue in the Objects To Draw list box. If the name of an item is not emphasized, it is not shown in the 3D View window.

You can hide any of the items currently displayed in the 3D View:

  1. Click on the item in the list box that you want to hide. The name of the selected item is emphasized in blue.
  2. Click on the Apply button to hide the item in the 3D View window.
  3. Click on the [image] in the top right corner of the Objects To Draw list box to close it.

To show any of the hidden items in the 3D View:

  1. Click on the item in the list box you want to show. The name of the selected item is emphasized in blue.
  2. Click on the Apply button to display the item in the 3D View window.
  3. Click on the [image] in the top-right corner of the Objects To Draw list box to close it.

See Also

3D View Manipulation

2D View

Twiddle Tool

Pan View

Zoom

Zoom Out

Scale To Fit

Isometric View

View Along X

View Down Z

View Along Y

Origin


Updating ArtCAM Insignia

To check for software updates and patches from within ArtCAM Insignia:

  1. Make sure that you are connected to the internet.
  2. From the Main Menu bar, click on the Help > Check For ArtCAM Insignia Updates > Software Updates option.

    If there are updates available, ArtCAM Insignia displays the Update page in the Assistant window and the Software Updates and Patches page of the ArtCAM Advantage website in a new browser window:

    Linked ArtCAM Graphics Directory Template [Insignia]

    All of the available software updates and product updates are listed on this page. Click on the relevant link on the Software Updates and Patches page to download your chosen update or patch to your computer.

    If there are no software updates or patches currently available, the following message box appears:

    Linked ArtCAM Graphics Directory Template [Insignia]

    If you want to display the Software Updates and Patches area of the ArtCAM Advantage website anyway, click on the Yes button. If you do not, click on the No button to close the message box.

    • ArtCAM Advantage customers can also browse the ArtCAM Advantage website using the links shown on the left side of the browser window. For further information, see Using the ArtCAM Advantage Website.
  3. Click on the OK button on the Update page to return to the Assistant's Home page.

See Also

ArtCAM Insignia Layout

2D View Manipulation

2D View Options

3D View Manipulation

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website

Using the Design Windows


Installing Your ArtCAM Licence

In order to use ArtCAM Insignia, you must ensure that you have installed a valid licence. This licence can be installed as one of two different file types: a PAF file (dcam.paf ) or a Delcam Licence file (dcam.dcamlic).

To install your ArtCAM licence:

  1. From the Main Menu bar, click on the Help > Install Licence (PAF) File menu option.
  2. Click on the Browse button to display the Select Licence File To Install… dialog box:

  3. Click on the Look in list box and select the directory in which the licence file is stored. The default location is C:\Program Files\Common Files\Delcam
  4. Once you have found the licence file, click on its file name. This appears in the File Name area.
  5. Click on the Open button to install the file.

See Also

ArtCAM Insignia Layout

2D View Manipulation

2D View Options

3D View Manipulation

Updating ArtCAM Insignia

Using the ArtCAM Advantage Website

Using the Design Windows


Using the ArtCAM Advantage Website

ArtCAM Insignia customers have the option to purchase the ArtCAM Advantage package along with their software. The ArtCAM Advantage package is a contract between you the customer, Delcam plc and your reseller. Purchasing the ArtCAM Advantage package ensures that you always have access to the most up-to-date version of ArtCAM Insignia, with the most advanced functionality helping you stay competitive and get the most from your software investment.

  • Delcam plc are committed to releasing a new major version of ArtCAM Insignia containing new features and functionality at least once a year. Purchasing the ArtCAM Advantage package ensures that you automatically receive the new versions along with any associated documentation. You will also be authorized to download useful 'plug-in' tools from the ArtCAM Advantage website.

Contact your local software supplier for more information about the ArtCAM Advantage package.

To access the new ArtCAM Advantage website:

  1. Make sure that you are connected to the internet.
  2. Click on the Help > ArtCAM Advantage menu option from the Main Menu bar.

    If you have purchased the ArtCAM Advantage package, the following page is displayed in a new browser window:

    Linked ArtCAM Graphics Directory Template [Insignia]

    You can access the following downloads by clicking on the relevant links shown on the ArtCAM Advantage website's Home page:

    • Tutorials and Training Materials (basic and advanced).
    • Relief Clipart Files (updated on a monthly basis).
    • Tips and Tricks (updated on a monthly basis).
    • User Group Tutorials and Documentation (video and written).
    • Plug-ins for use in conjunction with the ArtCAM Insignia Add In tab.
    • ArtCAM Insignia Updates and Patches.

      If you have purchased the ArtCAM Advantage package, but ArtCAM Insignia cannot validate you as a customer, the following page is displayed in the browser instead:

      Click on the link in the message beneath the There was an error... area of the page to display the Maintenance Download Login page:

      You must complete the required information on the page and then click on the Login button to confirm that you own the ArtCAM Advantage package. If by following these steps you are still unable to access the ArtCAM Advantage website, please contact your reseller.

See Also

ArtCAM Insignia Layout

2D View Manipulation

2D View Options

3D View Manipulation

Updating ArtCAM Insignia

Installing Your ArtCAM Licence

Using the Design Windows


Using the Design Windows

When you create or open a model in ArtCAM Insignia, a 2D View and a 3D View design window are displayed. You use the 2D View window to create the vector and bitmap artwork that you need to calculate toolpaths. The simulated toolpaths are shown in the 3D View window.

You can control the layout and appearance of the design windows from the Main Menu bar using the Windows menu option:

Linked ArtCAM Graphics Directory Template [Insignia]

You can also manage the 2D View window from the Main Menu bar using the Bitmaps > Views menu option:

Linked ArtCAM Graphics Directory Template [Insignia]

See Also

ArtCAM Insignia Layout

2D View Manipulation

2D View Options

3D View Manipulation

Updating ArtCAM Insignia

Installing Your ArtCAM Licence

Using the ArtCAM Advantage Website


Adjusting the Window View

You can adjust the appearance of the 2D View and 3D View windows in the workspace area of ArtCAM Insignia:

  1. From the Main Menu bar, click on the Window Menu, followed by the option for how you want the design windows to be displayed:
    • Cascade - Click on this option to display both the 2D View and 3D View windows overlapping one another.
    • Tile Vertically - Click on this option to display both the 2D View and 3D View windows on top of one another.
    • Tile Horizontally - Click on this option to display both the 2D View and 3D View windows beside one another.
    • 2D View - Click on this option to display the 2D View window only.
    • You can also display the 2D View window by pressing the F2 key on your keyboard when the 3D View window is displayed.
    • 3D View - Click on this option to display the 3D View window only.
    • You can also display the 3D View window by pressing the F3 key on your keyboard when the 2D View window is displayed.

See Also

Using the Design Windows

Managing ArtCAM Insignia's Preferences

Labelling the 2D View Window

Saving the 3D View as an Image


Managing ArtCAM Insignia's Preferences

Many of the default settings in ArtCAM Insignia can be controlled from one central location. Using the ArtCAM Options page, you can:

  • Choose the colours associated with vectors used to indicate their current state.
  • Define the default settings used for machining strategies within toolpaths.
  • Instruct ArtCAM Insignia to check for or ignore self-intersections in imported vector artwork.
  • Control the resolution at which a bitmap layer or ArtCAM model is saved.
  • Control the increments used in ArtCAM Insignia.
  • Control the size of the design windows when ArtCAM Insignia is started.
  • Set the size of text information shown in the 2D View window.
  • Control the size of the 'scratch' file associated with the Undo and Redo buttons.

To adjust the aforementioned display settings in ArtCAM Insignia:

  1. From the Main Menu bar, click on the Edit > Options Page… menu option to display the ArtCAM Options page. The default colours and settings currently used in ArtCAM Insignia are shown on the page.
    • You can also click on the Options button in the File area of the Assistant's Home page to display the ArtCAM Options page.
  2. In the Drawing Colours area, click on the [image] arrow to display its settings:
    • To change the colour associated with a selected ungrouped vector, click on the Selected option in the 2D Drawing Colours area to display the Color dialog box:
    • The default colour associated with a selected ungrouped vector is magenta Linked ArtCAM Graphics Directory Template [Insignia].

      Linked ArtCAM Graphics Directory Template [Insignia]

    • To change the colour associated with two or more selected ungrouped vectors, click on the Multiple Selected option to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with two or more selected ungrouped vectors is magenta Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with two or more overlapping vectors, click on the Overlapping option to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with two or more overlapping vectors is red Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with toolpath previews shown in the 2D View window, click on the Toolpath Preview option to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with a toolpath preview shown in the 2D View window is blue Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with toolpath simulations shown in the 2D View window, click on the Toolpath Simulation option to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with a toolpath simulation shown in the 2D View window is brown Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with a selected grouped vector, click on the Selected option in the Grouped area to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with a selected grouped vector is purple Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with locked vectors when selected, click on the Selected option in the Locked area to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with selected locked vectors is green Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with locked vectors when deselected, click on the Unselected option to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with deselected locked vectors is grey Linked ArtCAM Graphics Directory Template [Insignia].
    • To change the colour associated with toolpath simulations shown in the 3D View window, click on the Toolpath Simulation option in the 3D Drawing Colours area to display the Color dialog box. For details on how to select a colour, see Assigning a Colour to a Layer.
    • The default colour associated with a toolpath simulation shown in the 3D View window is beige Linked ArtCAM Graphics Directory Template [Insignia].
  3. In the Machining area, click on the [image] arrow to display its settings:
    • Climb Milling rotates the toolbit in the same direction as the feed motion. To set climb milling as the default cutting direction used in toolpaths, click to select the Use Climb Milling by Default option [image].
    • A raster machining strategy machines in passes back and forth along a specified angle. To set the default angle for toolpaths that use a raster machining strategy, define the angle in the Default Raster Angle box.
    • When using an offset machining strategy in a toolpath, machining inwards from the outside edge of the block of material by default, click to select the Start Offset Machining at Edge option [image].
    • If you are machining small areas of material with very fine detail, click to select the Use Engraving Engine for Area Clear option [image]. Other than using the Engraving engine for Area Clearance toolpaths, this option adds tails to remove up-stands when the stepover is greater than the tool radius. This option is deselected by default.
    • To use bridges with a triangular cross-section and without any associated retract or plunge moves by default, click to select the Use 3D Bridges by default option [image].
    • To show the cutting direction in all 2D toolpath previews shown in the 2D View window, click to select the Cutting Direction option [image].
    • ArtCAM Insignia shows rapid and plunge moves in all simulated toolpaths by default. To hide all rapid and plunge moves, click to deselect the Rapid & Plunge Moves option [image].
    • If you are machining small areas of material with fine detail, click to select the option [image].
  4. In the File Import area, click on the [image] arrow to display its settings:
    • ArtCAM Insignia identifies all self-intersections within imported vector artwork by default. To ignore any self-intersections, click to deselect the Check for Crossings option [image].
    • You can use the Vector Doctor tool [image] to check for self-intersections in vector artwork. For details, see Using the Vector Doctor.
  5. In the Image Export area, click on the [image] arrow to display its settings. These settings allow you to control the resolution at which a bitmap layer or an ArtCAM model is saved as an image file:
    • If you want to save a bitmap layer or ArtCAM model as an image file using the resolution calculated by ArtCAM Insignia , select the Use dpi from Image option by clicking on its radio button.
    • If you want to save a bitmap layer or ArtCAM model as an image with a specific resolution, select the dpi option by clicking on its radio button and then define the resolution in the box.
  6. In the Text Defaults area, click on the [image] arrow to display its settings. These settings allow you to control the default increments used in the Size area of the Text Tool page in ArtCAM Insignia:
    • In the Point size increment box, define the incremental value used between each click on either the [image] or [image] arrow whenever the points option is selected. This option is set to 3 points by default.
    • In the MM size increment box, define the incremental value used between each click on either the [image] or [image] arrow whenever the mm option is selected. This option is set to 1 mm by default.
    • In the Inches size increment box, define the incremental value used between each click on either the [image] or [image] arrow whenever the inches option is selected. this option is set to 0.05 inches by default.
  7. In the 2D Drawing Options area, click on the [image] arrow to display its settings:
    • ArtCAM Insignia replaces a selection of points (nodes) with a single vertical or horizontal linear span by default. To align a selection of points (nodes) with either the X or Y-axis whilst preserving the points, click to deselect the Align Nodes - replace with a single line option [image].
    • To set the size of the text information shown in the 2D View window, such as the numbers and letters displayed when nesting vector artwork, type the point size of the font in the pt: 2D view Font Size box. A default size of 15 points is used.
  8. In the Miscellaneous area, click on the [image] arrow to display its settings:
    • To maximise both of the design windows when ArtCAM Insignia is started, click to select the Maximise Views on Startup option [image].
  9. In the Scratch File Settings area, define the amount of space that you want to allocate on your computer to the temporary scratch file. The default size is 100mb. The scratch file is stored in the Temp directory associated with the User currently logged-in to Windows. For example, C:\Documents and Settings\<user>\Local Settings\Temp.
  10. Click on the Apply button to confirm your settings.

    If you want to restore the default settings at any time, click on the Reset button.

  11. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

See Also

Using the Design Windows

Adjusting the Window View

Labelling the 2D View Window

Saving the 3D View as an Image


Labelling the 2D View Window

The 2D View window that appears whenever you open or create a model in ArtCAM Insignia is named 2D View: 0 by default. You can edit the name of the 2D View window that in your current ArtCAM session.

To edit the name of the 2D View window:

  1. Make sure that the 2D View window is active by clicking anywhere inside of the window.
  2. From the Main Menu bar, click on the Bitmaps > Views > Edit View Name... option. The Edit View Name dialog box appears:

  3. Click anywhere in the View Name box and then type the name you want for the 2D View window.
  4. Click on the OK button to close the Edit View Name dialog box and set the name for the 2D View window.

See Also

Using the Design Windows

Adjusting the Window View

Managing ArtCAM Insignia's Preferences

Saving the 3D View as an Image


Saving the 3D View as an Image

You can save the contents of the 3D View window as a Windows Bitmap (*.bmp), TIFF Image (*.tif) or JPEG Image (*.jpg) file.

To save the contents of the 3D View window as an image:

  1. Make sure that the 3D View window contains the content that you want to save as an image.
    • You can control what items are visible in the 3D View window using the Objects To Draw list box. For details, see Objects To Draw.
  2. From the Main Menu bar, click on the Window > Save 3D View Image... menu option. The Save As dialog box is displayed:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Save in list box and then select the directory in which you want to save the image.
  4. Type a name for the image in the File Name box.
  5. Click on the Save As Type list box, and then on the image format in which you want to save the contents of the 3D View window (*.bmp, *.tif or *.jpg).
  6. Click on the Save button to close the dialog box and save the image.

See Also

Using the Design Windows

Adjusting the Window View

Managing ArtCAM Insignia's Preferences

Labelling the 2D View Window


Tutorial - Aston Martin

The following tutorial demonstrates how to create an Aston Martin sign from imported vector artwork, using the vector drawing and toolpath tools available in ArtCAM Insignia.

The design is courtesy of Holmes & Cottrell Graphic Technologies. Visit their website www.vectorart.com for high quality designs.

In This Chapter

Aston Martin


Aston Martin

The stages that you will cover in this tutorial are:

  • Preparing the model.
  • Creating a frame for the sign.
  • Importing the vector artwork.
  • Creating the vector text.
  • Wrapping the vector text.
  • Creating an offset vector.
  • Machining the vectors.
  • Marking the drill holes with circles.
  • Creating the drill holes.
  • Saving the toolpaths.

The tutorial will lead you through each of these stages, guiding you through the complete process of creating the Aston Martin sign shown below.

See Also

Tutorial - Aston Martin


Preparing the Model

First, we will set up the model dimensions needed for this particular job:

  1. Click on the Create New Model icon [image] in the Open Model area of the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Units option [image] that you want to use (millimetres or inches).
  3. Type 500 mm (20") in the Width (X) box, 300 mm (12") in the Height (Y) box and 50 mm (2") in the Thickness (Z) box.
  4. Make sure that the Material Z Zero option [image] is set to Top of Block.
  5. Set the position of the Job Origin [image] by clicking on the front-left corner of the box diagram.
  6. Click on the OK button to close the Setup Job Dimensions dialog box.

    A 2D View window automatically fills the previously empty design window area. This window represents the block of material viewed down the Z-axis.

See Also

Aston Martin

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Creating a Frame for the Sign

Next, we will create the vector objects that represent the sign's frame.

See Also

Aston Martin

Preparing the Model

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Creating the Outer Rectangle

First, we will draw the outer rectangle of the sign's frame:

  1. Click on the Create Rectangle button [image] in the Vector Creation toolset shown in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

  2. Make sure that the Rectangle option is selected [image] by clicking on its radio button.
  3. Type 450 mm (18") in the Width box and 250 mm (10") in the Height box.
  4. Click on the Preview button to view the rectangle. It is centred on the model's origin, which is in the bottom left corner of the model area.
    • All newly created vectors are centred on the model's origin.
  5. Click on the Create button to create the rectangle in your model:

    Linked ArtCAM Graphics Directory Template [Insignia]

  6. Click on the Close button to return to the Assistant's Home page.
  7. Make sure that the rectangle is selected by clicking on it. The rectangle is magenta and surrounded by a bounding box.
  8. Click on the Centre In Page button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to move the rectangle to the centre of the model.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Position/Size/Align Vector toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Position/Size/Align Vector toolset in the Vector Tools area of the Assistant's Home page.

      This rectangle represents the total area of the sign that you are creating.

See Also

Creating a Frame for the Sign

Creating the Outer Ellipse

Creating the Inner Ellipse


Creating the Outer Ellipse

Second, you will draw the outer ellipse of the sign's frame:

  1. Click on the Create Ellipse button [image] in the Vector Creation toolset shown in the Vector Tools area of the Assistant's Home page to display the Ellipse Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

  2. Type 225 mm (9") in the Ellipse Height box and 425 mm (17") in the Ellipse Width box.
  3. Make sure that the value in the Angle box remains at the default setting of 0°.
  4. Click on the Preview button to view the ellipse, centred on the origin.
  5. Click on the Create button to create the ellipse, centred on the origin.
  6. Click on the Close button to return to the Assistant's Home page.
  7. Make sure that the ellipse is selected by clicking on it. It is magenta and surrounded by a bounding box.
  8. Press the F9 key on your keyboard to position the ellipse in the centre of the model.

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Creating a Frame for the Sign

Creating the Outer Rectangle

Creating the Inner Ellipse


Creating the Inner Ellipse

Now we will draw an inner ellipse to complete the sign's framework:

  1. Make sure the ellipse you have just created is selected by clicking on it. It is magenta and surrounded by a bounding box.
  2. Click on the Copy button [image] in the File area of the Assistant's Home page to create a duplicate of the selected ellipse and place it on the clipboard.
  3. Click on the Paste button [image] in the File area to place the duplicate ellipse in your model, overlaying the original.
  4. Click on the Transform Vectors button [image] in the Vector Tools area twice to display the Transform Vector(s) page.
  5. In the Size area, click to deselect the Link Width and Height option [image].
  6. Type 375 mm (15") in the Size's New Width box.
  7. Type 175 mm (7") in the Size's New Height box.
  8. Click on the Apply button to create a preview image of the second, scaled ellipse.
  9. Click on the Close button to create the second, scaled ellipse in your model and return to the Assistant's Home page:

    Linked ArtCAM Graphics Directory Template [Insignia]

All three of the vectors that you have drawn, as illustrated above, complete the frame for the Aston Martin sign.

See Also

Creating a Frame for the Sign

Creating the Outer Rectangle

Creating the Outer Ellipse


Importing the Vector Artwork

The next stage is to import the Aston Martin vector artwork:

  1. Click on the File > Import... > Vector Data... menu option from the Main Menu bar to display the Vector Import dialog box:

  2. Click on the Look In list box and select ArtCAM Insignia <NEW_VERSION>\Examples.
  3. Click to select the .eps file named AstonCar, and then click on the Open button to import the vector artwork onto the default vector layer named Default Layer.

    The Aston Martin artwork is purple, indicating that it is a grouped set of vectors:

    Linked ArtCAM Graphics Directory Template [Insignia]

  4. Make sure that the grouped vectors that make up the Aston Martin are selected by clicking anywhere on the Aston Martin. The grouped vectors are purple and surrounded by a bounding box.
  5. Press the F9 key on your keyboard to move the Aston Martin to the centre of your model.

    Since the Aston Martin overlaps the inner ellipse inside the frame, we will now reduce its size so that it fits.

  6. Click on the Transform Vectors button [image] in the Vector Tools area twice to display the Transform Vector(s) page.
  7. Make sure that the Link Width and Height option is selected [image].
  8. Type 150 mm (5.91") in the Size's New Height box.
  9. Click on the Apply button to create a preview image:

    Linked ArtCAM Graphics Directory Template [Insignia]

    A value of 236.235 mm (9.3112") is shown in the Size's New Width box. This is because the Link Width and Height option is selected [image].

  10. Click on the Close button to resize the vectors and return to the Assistant's Home page.

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Creating the Vector Text

The next stage is to create vector text for the writing on the sign:

  1. Click on the Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page to display the Text Tool page.
  2. Click on the Font list box, and then on the Arial font option to select it.
  3. Click on the Size list box, and then click on the appropriate unit of measurement option (millimetres or inches).
  4. Type 18 mm (0.71") in the Size box.
  5. Click anywhere in your model (the white area in the 2D View window), and then type Aston Martin DB5.
  6. Click the Done button to create the vector text and return to the Assistant's Home page.

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Wrapping the Vector Text

Next, we will wrap the vector text around the inner ellipse:

  1. Click to select the inner ellipse in your model.
  2. Hold down the Shift key on your keyboard, and then click to select the vector text. The vector text is purple, and a bounding box surrounds both the inner ellipse and the vector text.
  3. Click on the Wrap Text Round A Curve button [image] in the Position, Combine, Trim Vectors area to display the Text On A Curve page.
  4. Click on the Text Position list box, followed by the Specify option to select it.

    This option allows you to position the block of vector text around the inner ellipse, using a positive or negative value that you type in the box below.

  5. Type 3 mm (0.12") in the box. The vector text is immediately offset from the outside edge of the inner ellipse.
  6. Click on the Text Alignment list box followed by the Sweep Around Curve option to select it. ArtCAM Insignia distorts the original shape of characters by fitting arcs around them and then offsetting them from one another.
  7. Click and drag the vector text approximately into the centre of the frame, as shown below:

    Linked ArtCAM Graphics Directory Template [Insignia]

  8. Click on the OK button to return to the Assistant's Home page.

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Creating an Offset Vector

Next we will create a vector object, offset from the outline of the Aston Martin. This is referred to as the 'offset vector':

  1. Click to select the group of vectors that make up the Aston Martin.
  2. Click on the Ungroup button Linked ArtCAM Graphics Directory Template [Insignia] in the Position, Combine, Trim Vectors area of the Assistant's Home page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Vector Grouping toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Position, Combine, Trim Vectors area of the Assistant's Home page.

      By ungrouping the vectors, you can see that the Aston Martin is made up of a number of separate vectors.

  3. Click on the Zoom In Tool button [image] in the 2D View toolbar.
  4. Click and drag to form a bounding box around the front wheel of the Aston Martin artwork, then release the mouse button to zoom in on it.

    Linked ArtCAM Graphics Directory Template [Insignia]

  5. Click to select the outer vector of the Aston Martin:

    Linked ArtCAM Graphics Directory Template [Insignia]

    The outer vector is magenta and surrounded by a bounding box, indicating that it is selected.

  6. Click on the Window Fit button [image] in the 2D View toolbar to view the whole of the model:

    Linked ArtCAM Graphics Directory Template [Insignia]

    The offset vector you will now create from the selected vector acts as a boundary for the Area Clearance tool you will use to machine this area of the sign.

  7. Click on the Offset Vector(s) button Linked ArtCAM Graphics Directory Template [Insignia] in the Vector Tools area to display the Offset Vector(s) page.
  8. Type 5 mm (0.20") in the Offset Distance box.
  9. Make sure that the Outwards/Right option is selected [image] for the Offset Direction.
  10. Make sure that the Sharp option is selected [image] for the Offset Corners, and the Max. Sharp Offset Distance is set to 100 %.
  11. Click on the Offset button to create the offset vector.
  12. Click on the Close button to return to the Assistant's Home page.

    You are now ready to regroup the vectors that make up the Aston Martin car so that they can be machined at the same time.

  13. Click and drag around the Aston Martin car and its offset vector to select all of the vectors.
  14. Hold down the Shift key on your keyboard, and then click on the offset vector to deselect it.

    The offset vector is now black, whilst the vectors that make up the Aston Martin remain magenta:

    Linked ArtCAM Graphics Directory Template [Insignia]

  15. Click on the Group button Linked ArtCAM Graphics Directory Template [Insignia] in the Position, Combine, Trim Vectors area of the Assistant's Home page to group the vectors that make up the Aston Martin. The Aston Martin artwork turns purple.

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Machining the Vectors

Now that we have positioned and resized the Aston Martin car, you will create the toolpaths that will be used to machine your model, and thus create your sign.

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Marking the Drill Holes with Circles

Creating the Drill Holes

Saving the Toolpaths


Clearing the Unwanted Material

First, we will create an Area Clearance toolpath that will remove the unwanted material in your model:

  1. Click to select the rectangle.
  2. Hold down the Shift key on your keyboard, and then click on each of the ellipses and the offset vector in turn to select them:

    Linked ArtCAM Graphics Directory Template [Insignia]

    All of the selected vectors are magenta and surrounded by a bounding box.

  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Area Clearance button [image] in the 2D Toolpaths area to display the 2D Area Clearance page.
  5. Type 10 mm (0.39") in the Finish Depth box.
  6. Type 0.02 mm (0.001") in the Tolerance box.
  7. Click on the [image] arrow in the Machine Safe Z area to display the Safe Z box.
  8. Type 3 mm (0.12") in the Safe Z box.
  9. Click on the Add button beneath the Tool List window to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  10. Click on the End Mill 6mm (End Mill ¼ Inch) tool in the Wood or Plastic\Roughing and 2D Finishing tool group to select it.
  11. Click on the Select button to close the Tool Database and add the tool to the Tool List on the 2D Area Clearance page.
  12. Type 5 mm (0.20") in the Stepover box.
  13. Make sure that the Raster option is selected [image] in the Tool Clearance Strategy area.
  14. Make sure that the Create 2D Preview option is selected [image].
  15. Click on the Now button to calculate the Area Clearance toolpath.

    The Area Clearance toolpath appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  16. Click on the Close button to return to the Toolpaths Home page.

See Also

Machining the Vectors

Simulating the Toolpath

Carving the Aston Martin

Simulating the Toolpath

Carving the Text

Simulating the Toolpath


Simulating the Toolpath

Now we can simulate the Area Clearance toolpath. A toolpath simulation allows you to visualise the machining passes used to machine your model.

  1. Click on the 3D View button [image] in the 2D View toolbar to display an isometric view of the Area Clearance toolpath in the 3D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Simulate Toolpath Fast button [image] to display the Toolpath Simulation - Block Definition dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Select the High detail opiton in the Simulation Relief Resolution area by clicking on its radio button,
  4. Click on the Simulate Toolpath button to close the dialog box and simulate the Area Clearance toolpath.

    Linked ArtCAM Graphics Directory Template [Insignia]

    As you simulate each individual toolpath, you will see in the 3D View window what the machined sign would look like afterwards.

See Also

Machining the Vectors

Clearing the Unwanted Material

Carving the Aston Martin

Simulating the Toolpath

Carving the Text

Simulating the Toolpath


Carving the Aston Martin

We are now ready to create a V-Bit Carving toolpath that will carve the Aston Martin vector artwork in your model:

  1. Click on the 2D View button [image] in the 3D View toolbar to display the 2D View window.
  2. Click to select the Aston Martin vector artwork:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the V-Bit Carving button [image] in the 2D Toolpaths area to display the V-Bit Carving page.
  4. Type 0.02 mm (0.001") in the Tolerance box.
  5. Click on the Select button in the Carving Tool area to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  6. Click on the V-Bit 32 mm 90 degree (V-Bit 1.25 Inch 90 degree) tool in the Wood or Plastic\V-Carving tool group to select it.
  7. Click on the Select button to close the Tool Database and display the selected tool in the Carving Tool area of the V-Bit Carving page.
  8. Click on the [image] arrow in the Carving Tool area to display the machining parameters of the selected tool.
  9. Type 2 in the Tool Number box.

    This number should correspond with the position of the tool in your CNC machine's tool changer.

  10. Click on the Now button to calculate the V-Bit Carving toolpath.

    The V-Bit Carving toolpath appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  11. Click on the Close button to return to the Toolpaths Home page.

See Also

Machining the Vectors

Clearing the Unwanted Material

Simulating the Toolpath

Simulating the Toolpath

Carving the Text

Simulating the Toolpath


Simulating the Toolpath

Now we can simulate the V-Bit Carving toolpath:

  1. Click on the 3D View button [image] in the 2D View toolbar to display an isometric view of the V-Bit Carving toolpath in the 3D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Simulate Toolpath Fast button [image] to simulate the V-Bit Carving toolpath:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Machining the Vectors

Clearing the Unwanted Material

Simulating the Toolpath

Carving the Aston Martin

Carving the Text

Simulating the Toolpath


Carving the Text

Next, we will create a V-Bit Carving toolpath that will carve the Aston Martin DB5 vector text in your model:

  1. Click on the 2D View button [image] in the 3D View toolbar to display the 2D View window.
  2. Click to select the Aston Martin DB5 vector text:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the V-Bit Carving button [image] in the 2D Toolpaths area to display the V-Bit Carving page.
  4. Type 0.02 mm (0.001") in the Tolerance box.
  5. Click on the Select button in the Carving Tool area to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  6. Click on the V-Bit 32 mm 90 degree (V-Bit 1.25 Inch 90 degree) tool in the Wood or Plastic\V-Carving tool group to select it.
  7. Click on the Select button to close the Tool Database and display the selected tool in the Carving Tool area of the page.
  8. Click on the [image] arrow in the Carving Tool area to display the machining parameters of the selected tool.
  9. Type 2 in the Tool Number box.
  10. Click on the Now button to calculate the V-Bit Carving toolpath.

    The V-Bit Carving toolpath appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  11. Click on the Close button to return to the Toolpaths Home page.

See Also

Machining the Vectors

Clearing the Unwanted Material

Simulating the Toolpath

Carving the Aston Martin

Simulating the Toolpath

Simulating the Toolpath


Simulating the Toolpath

Now we can simulate the V-Bit Carving toolpath:

  1. Click on the 3D View button [image] in the 2D View toolbar to display an isometric view of the V-Bit Carving toolpath in the 3D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Simulate Toolpath Fast button [image] in the Toolpath Simulation area to simulate the V-Bit Carving toolpath.

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Machining the Vectors

Clearing the Unwanted Material

Simulating the Toolpath

Carving the Aston Martin

Simulating the Toolpath

Carving the Text


Marking the Drill Holes with Circles

Now we will mark the position of the drill holes that you want to machine using circles:

  1. Click on the 2D View button [image] in the 3D View toolbar to display the 2D View window.
  2. Click on the Assistant tab to display the Assistant's Home page.
  3. Click on the Create Circles button [image] in the Vector Creation toolset shown in the Vector Tools area to display the Circle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

  4. Type 50 mm (2") in the Circle Centre's X box.
  5. Type 150 mm (6") in the Circle Centre's Y box.
  6. In the Circle Size area, click to select the Radius radio button [image], and then type 9 mm (0.35") in the Circle Radius box.
  7. Click on the Create button to create a circle between the middle of the inner and outer ellipse on the left side of the model:

    Linked ArtCAM Graphics Directory Template [Insignia]

  8. Type 450 mm (18") in the Circle Centre's X box.
  9. Type 150 mm (6") in the Circle Centre's Y box.
  10. Type 9 mm (0.35") in the Circle Radius box.
  11. Click on the Create button to create a circle between the middle of the inner and outer ellipse on the right side of the model, opposite the first circle.
  12. Click on the Close button to return to the Assistant's Home page.

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Creating the Drill Holes

Saving the Toolpaths


Creating the Drill Holes

In this next stage, we will create drill holes inside the selected circles:

  1. Hold down the Shift key on your keyboard, and then click on the circle on the left, so that both circles are now selected.

    The circles are magenta and surrounded by a bounding box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Toolpaths tab to display the Toolpaths Home page.
  3. Click on the Drilling button [image] in the 2D Toolpaths area to display the Drilling page.
  4. Type 50 mm (2") in the Finish Depth box.
  5. Click on the Select button in the Tool area of the page to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  6. Click on the End Mill 12 mm (End Mill ½ Inch) tool in the Wood or Plastic\Roughing and 2D Finishing tool group to select it.
  7. Click on the Select button to close the Tool Database and display the selected tool in the Tool area of the Drilling page.
  8. Click on the [image] arrow in the Tool area to display the machining parameters of the selected tool.
  9. Type 3 in the Tool Number box.
  10. Click on the Circular Vectors radio button [image] in the Drill Centre of… area of the page to select it.

    This option is used because you have selected circles to define the position of the drill holes.

  11. Make sure that the Create 2D Preview option is selected [image].
  12. Click on the Now button to calculate the Drilling toolpath.

    The Drilling toolpath appears in the 2D View window, shown as a cross in the centre of both circles.

  13. Click on the Close button to return to the Toolpaths Home page.
  14. Press the Delete key on your keyboard to delete the two circles, leaving just the toolpath preview of the drill holes:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Saving the Toolpaths


Simulating the Toolpath

Now we can simulate the Drilling toolpath:

  1. Click on the 3D View button [image] in the 2D View toolbar to display an isometric view of the Drilling toolpath in the 3D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Simulate Toolpath Fast button [image] in the Toolpath Simulation area to simulate the Drilling toolpath.

    You have simulated all of the toolpaths you will use to create the Aston Martin sign. The 3D View window now gives an impression of what the model will look like after all of the toolpaths have been machined:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Creating the Drill Holes


Saving the Toolpaths

We are now ready to save the toolpaths that you have created to machine the Aston Martin sign.

We will save the toolpaths as separate files, grouping together those that use the same tool. Both of the V-Bit Carving toolpaths have the same tool number because the V-Bit 32 mm 90 degree (V-Bit 1.25 Inch 90 degree) tool is used in each of them.

  1. Click to select the Area Clear toolpath.

    The toolpath name at the top of the Toolpaths Home page is highlighted in blue.

  2. Click on the Save Toolpaths button [image] in the Toolpath Operations area to display the Save Toolpaths dialog box.
  3. Click on the Machine output file is formatted for list box and then click to select the format compatible with your CNC machine.
  4. If you want to save the toolpaths to the spool directory, make sure that the Save files to spool directory option is selected [image].
  5. Click on the Save… button to open the Save As… dialog box.
  6. Type Area Clearance in the File Name box.
  7. Click on the Save button to save the toolpath to the selected directory.
  8. Click on the [image] button to send the Area Clear toolpath to the Calculated Toolpaths window.
  9. Hold down the Shift key on your keyboard, and then click on both of the V-Bit Carving toolpaths in the Calculated Toolpaths window to select them.
  10. Click on the [image] arrow to send both of the selected toolpaths to the Toolpaths to save to a single file window:

    Linked ArtCAM Graphics Directory Template [Insignia]

    Both of the V-Bit Carving toolpaths are saved as a single file because the V-Bit 32 mm 90 degree (V-Bit 1.25 Inch 90 degree) tool is used in each of them.

  11. Click on the Save… button to open the Save As… dialog box.
  12. Type V-Bit Carving in the File Name box.
  13. Click on the Save button to save the toolpath.
  14. Click on the [image] button to send both the V-Bit Carving and the V-Bit Carving 1 toolpath to the Calculated Toolpaths window.
  15. Click to select the Drilling toolpath.
  16. Click on the [image] button to send the selected toolpath to the Toolpaths to save to a single file window:

    Linked ArtCAM Graphics Directory Template [Insignia]

  17. Click on the Save… button to open the Save As… dialog box.
  18. Type Drilling in the File Name box.
  19. Click on the Save button to save the toolpath.
  20. Click on the Close button to close the Save Toolpaths dialog box.

These three toolpath files can now be sent to your CNC machine tool to create the Aston Martin sign.

See Also

Aston Martin

Preparing the Model

Creating a Frame for the Sign

Importing the Vector Artwork

Creating the Vector Text

Wrapping the Vector Text

Creating an Offset Vector

Machining the Vectors

Marking the Drill Holes with Circles

Creating the Drill Holes


Tutorial - Engraving

The following tutorial demonstrates how to create engraved text using the vector creation tools and the Engraving toolpath available in ArtCAM Insignia.

An Engraving toolpath allows you to produce engraved vector text effectively and efficiently.

In This Chapter

Engraved Text


Engraved Text

The stages that you will cover during the course of this tutorial are:

  • Preparing the model.
  • Defining the outer-edge of the engraved area.
  • Creating the vector text.
  • Machining the model.

The tutorial will lead you through each of these stages, guiding you through the complete process of creating the engraved text below:

Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Tutorial - Engraving


Preparing the Model

First, we will set up the model dimensions needed for this particular job:

  1. Click on the Create New Model icon [image] in the Open Model area of the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Units option [image] that you want to use (millimetres or inches).
  3. Type 90 mm (3.5") in the Width (X) box, 50 mm (2.0") in the Height (Y) box and 12 mm (0.5") in the Thickness (Z) box.
  4. Make sure that the Material Z Zero option [image] is set to Top of Block.
  5. Set the position of the Job Origin [image] by clicking on the front-left corner of the box diagram.
  6. Click on the OK button to close the Setup Job Dimensions dialog box.

    A 2D View window automatically fills the previously empty design window area. This window represents the block of material viewed down the Z-axis.

See Also

Engraved Text

Defining the Outer-Edge of the Engraved Area

Creating the Vector Text

Machining the Model


Defining the Outer-Edge of the Engraved Area

In this next stage we will create a rectangle that represents the outer-edge of the area to be engraved:

  1. Click on the Create Rectangle button [image] in the Vector Creation toolset shown in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

  2. Make sure that the Rectangle option is selected by clicking on its radio button [image].
  3. Type 45 mm (1.8") in the Height box and 85 mm (3.3") in the Width box.
  4. Click on the Preview button to view the rectangle. It is centred on the model's origin, which is in the bottom left corner.
  5. Click on the Create button to create the rectangle in your model.
  6. Click on the Close button to return to the Assistant's Home page.
  7. Make sure that the rectangle is selected by clicking on it. The rectangle is magenta and surrounded by a bounding box.
  8. Click on the Centre In Page button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to move the rectangle to the centre of your model.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Position/Size/Align Vector toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

      This rectangle represents the outer-edge of the area to be engraved.

See Also

Engraved Text

Preparing the Model

Creating the Vector Text

Machining the Model


Creating the Vector Text

The next stage is to create the vector text that we will engrave:

  1. Click on the Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page to display the Text Tool page.
  2. Click on the Font list box, followed by the Times New Roman font option to select it.
  3. Click on the Size list box, and then on the units of measurement you are using (millimetres or inches).
  4. Type 15 mm (0.6") in the Size box.
  5. Click anywhere in your model (the white area in the 2D View window), then type engrave.
  6. Click the Done button to create the vector text and return to the Assistant's Home page.
  7. Make sure that the engrave vector text is selected by clicking on it. The engrave vector text should be purple and surrounded by a bounding box.
  8. Press the F9 key on your keyboard to move the vector text to the centre of your model:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Engraved Text

Preparing the Model

Defining the Outer-Edge of the Engraved Area

Machining the Model


Machining the Model

Next, we will create two toolpaths to engrave the design. A 3 mm End Mill (1/8 Inch End Mill) tool will be used to rough the part and a Conical 0.25 mm Flat - 15 degrees (Conical 0.01 Inch Flat - 15 degrees) tool will be used to finish engrave it:

  1. Click to select the rectangle.
  2. Hold down the Shift key on your keyboard, and then click on the engrave vector text to select it.

    Linked ArtCAM Graphics Directory Template [Insignia]

    The vector text is purple, while the rectangle is magenta. A bounding box surrounds both the rectangle and the vector text.

  3. Click on the Toolpaths tab to display the Toolpaths Home page.
  4. Click on the Engraving button [image] in the 2D Toolpaths area to display the Engraving page.
  5. Type 4 mm (0.15") in the Finish Depth box and 0.02 mm (0.001") in the Tolerance box.
  6. Click on the [image] arrow in the Machine Safe Z area to display the Safe Z box.
  7. Type 3 mm (0.12") in the Safe Z box.
  8. Click on the Select button in the Engraving Tool area to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  9. Click on the Conical 0.25 Flat - 15 degrees (Conical 0.01 Flat - 15 degrees) tool in the Steel\Engraving tool group to select it.
  10. Click on the Select button to close the Tool Database and display the selected tool in the Engraving Tool area.
  11. Click on the [image] arrow in the Engraving Tool area to display the machining parameters of the selected tool.
  12. Type 2 in the Tool Number box.

    This number should correspond with the position of the tool in your CNC machine's tool changer.

  13. Make sure that the Do corner sharpening option is selected [image].

    The corners of the engraved feature will be sharpened by the Conical engraving tool.

  14. Click on the Select button in the Roughing Tool area to display the Tool Database.
  15. Click on the End Mill 3mm (End Mill 1/8 Inch) tool in the Steel\Roughing and 2D Finishing tool group to select it.
  16. Click on the Select button to close the Tool Database and display the selected tool in the Roughing Tool area.
  17. Make sure that the Offset for engraving tool option is selected [image].

    This option will offset the roughing tool in order to leave sufficient material for the angled-edge of the Conical engraving tool to form the side of the engraved feature.

  18. Make sure that the Create 2D Preview option is selected [image].
  19. Click on the Now button to calculate the Engraving toolpath. The Engraving toolpath appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  20. Click on the Close button to return to the Toolpaths Home page.

You are now ready to simulate and save the toolpaths. For further information, see Simulating Toolpaths and Saving a Toolpath.

See Also

Engraved Text

Preparing the Model

Defining the Outer-Edge of the Engraved Area

Creating the Vector Text


Tutorial - Bevelled Carving

The following tutorial demonstrates how to create bevelled (angle-edged) lettering using the vector text and toolpath tools available in ArtCAM Insignia.

In This Chapter

Bevelled Letter B


Bevelled Letter B

The stages that you will cover during the course of this tutorial are:

  • Preparing the model.
  • Creating the vector text.
  • Machining the vector text.

The tutorial will lead you through each of these stages, guiding you through the complete process of creating a bevelled letter B.

See Also

Tutorial - Bevelled Carving


Preparing the Model

First, we will set up the model dimensions needed for this particular job:

  1. Click on the Create New Model [image] icon in the Open Model area of the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Units option [image] that you want to use (millimetres or inches).
  3. Type 150 mm (6") in the Width (X) box, 150 mm (6") in the Height (Y) box and 15 mm (0.6") in the Thickness (Z) box.
  4. Make sure that the Material Z Zero option [image] is set to Top of Block.
  5. Set the position of the Job Origin [image] by clicking on the front-left corner of the box diagram.
  6. Click on the OK button to close the Setup Job Dimensions dialog box.

    A 2D View window automatically fills the previously empty design window area. This window represents the block of material viewed down the Z-axis.

See Also

Bevelled Letter B

Creating the Vector Text

Machining the Vector Text


Creating the Vector Text

Now we will create the vector text we will use to produce the bevelled letter B:

  1. Click on the Create Vector Text button [image] in the Vector Tools area to display the Text Tool page.
  2. Click on the Font list box, followed by the Times New Roman font option to select it.
  3. Click on the Size list box, followed by the option for the units of measurement you are using (millimetres or inches).
  4. Type 110 mm (4.3") in the Size box.
  5. Click anywhere in your model (the white area in the 2D View window), then hold down the Shift key on your keyboard and type B.
  6. Click on the Done button to create the vector text and return to the Assistant's Home page.
  7. Make sure that the B vector text is selected by clicking on it. The B vector text should be purple and surrounded by a bounding box.
  8. Press the F9 key on your keyboard to move the B vector text to the centre of your model.

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Bevelled Letter B

Preparing the Model

Machining the Vector Text


Machining the Vector Text

We are now ready to create the toolpath that will be used to machine the B vector text, and thus create the bevelled letter:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the Bevel Carving button [image] in the 2D Toolpaths area to display the Bevel Carving page.
  3. Type 3 mm (0.15") in the Wall Height box.
  4. Type 15 mm (0.6") in the Finish Depth box.
  5. Type 0.02 mm (0.001") in the Tolerance box.
  6. Click on the [image] arrow in the Machine Safe Z area to display the Safe Z box.
  7. Type 3 mm (0.12") in the Safe Z box.
  8. First, select the Carving tool by clicking on the Select button in the Carving Tool area:

    Linked ArtCAM Graphics Directory Template [Insignia]

  9. In the Tool Database, click on the V-Bit 32 mm 90 degree (V-Bit 1.25 Inch 90 degree) tool in the Wood or Plastic\V-Carving tool group to select it.
  10. Click on the Select button to close the Tool Database and display the selected tool in the Carving Tool area.
  11. Next, we will select the Profiling tool by clicking on the Select button in the Profiling Tool area:

    Linked ArtCAM Graphics Directory Template [Insignia]

  12. In the Tool Database, click on the End Mill 3 mm (End Mill 1/8 Inch) tool in the Wood or Plastic\Roughing and 2D Finishing tool group to select it.
  13. Click on the Select button to close the Tool Database and display the selected tool in the Profiling Tool area.
  14. Click on the [image] arrow to display the machining parameters of the Profiling tool.
  15. Type 2 in the Tool Number box.

    This number should correspond with the position of the tool in your CNC machine's tool changer.

  16. Make sure that the Create 2D Preview option is selected [image].
  17. Click on the Now button to calculate the Bevelled Carving toolpath.

    The Bevelled Carving toolpath appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  18. Click on the Close button to return to the Toolpaths Home page.

You are now ready to simulate and save the toolpaths. For further information, see Simulating Toolpaths and Saving a Toolpath.

See Also

Bevelled Letter B

Preparing the Model

Creating the Vector Text


Tutorial - Nesting Vectors

The following tutorial demonstrates how the Nesting tool in ArtCAM Insignia repositions vector objects in order to minimise material wastage when you are machining.

In This Chapter

Nesting Vectors


Nesting Vectors

The stages that you will cover during the course of this tutorial are:

  • Preparing the model.
  • Defining the material shape.
  • Creating the vector text.
  • Nesting the vector text.
  • Machining the nested vector text.

The tutorial will lead you through each of these stages, guiding you through the complete process of nesting. At the end of this tutorial you will have nested text within an area of material, and created the toolpath with which to machine it.

See Also

Tutorial - Nesting Vectors


Preparing the Model

First, we will set up the model dimensions needed for this particular job:

  1. Click on the Create New Model [image] icon in the Open Model area of the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Units option [image] that you want to use (millimetres or inches).
  3. Type 300 mm (12") in the Width (X) box, 300 mm (12") in the Height (Y) box and 12 mm (0.5") in the Thickness (Z) box.
  4. Make sure that the Material Z Zero option [image] is set to Top of Block.
  5. Set the position of the Job Origin [image] by clicking on the front-left corner of the box diagram.
  6. Click on the OK button to close the Setup Job Dimensions dialog box.

    A 2D View window automatically fills the previously empty design window area. This window represents the block of material viewed down the Z-axis.

See Also

Nesting Vectors

Defining the Material Shape

Creating the Vector Text

Nesting the Vector Text

Machining the Nested Vector Text


Defining the Material Shape

In this next stage, we will create the vector object in which we will nest the vector text:

  1. Click on the Create Rectangle button [image] in the Vector Creation toolset shown in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

  2. Make sure that the Rectangle option is selected by clicking on its radio button [image].
  3. Type 200 mm (8") in the Width box.
  4. Type 75 mm (3") in the Height box.
  5. Click on the Preview button to view the rectangle. It is centred on the model's origin, which is in the bottom left hand corner.
  6. Click on the Create button to create the rectangle in your model.
  7. Click on the Close button to return to the Assistant's Home page.
  8. Make sure that the rectangle is selected by clicking on it. The rectangle is magenta and surrounded by a bounding box.
  9. Press the F9 key on your keyboard to move the rectangle to the centre of your model.
  10. Click on the Node Editing button [image] in the Vector Editing Mode toolset shown in the Vector Tools area to enter Node Editing mode. The points (nodes), control points and spans that make up the rectangle are displayed.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Editing Mode toolset:

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the toolset in the Vector Tools area of the Assistant's Home page.

  11. Move the cursor over the right edge of the rectangle, right-click to display its context menu, and then click on the Convert span to arc menu option.

    The rectangle appears as shown below:

    Linked ArtCAM Graphics Directory Template [Insignia]

  12. Move the cursor over the left edge of the rectangle, then press the A key on your keyboard to convert this span to an arc as well.

    This vector represents the total area of the material you have available in which to machine a block of vector text.

See Also

Nesting Vectors

Preparing the Model

Creating the Vector Text

Nesting the Vector Text

Machining the Nested Vector Text


Creating the Vector Text

Now that we have created the vector object, we will create the vector text that shall be nested within it:

  1. Click on the Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page to display the Text Tool page.
  2. Click on the Font list box, and then on the Arial font option to select it.
  3. Click on the Size list box, and then on the units of measurement you are using (millimetres or inches).
  4. Type 35 mm (1.38") in the Size box.
  5. Click on the Bold button [image] to type in bold.
  6. Click anywhere in your model (the white area in the 2D View window), then type ArtCAM.
  7. Press the Return key on your keyboard, then type Insignia.
  8. Click on the Done button to create the vector text and return to the Assistant's Home page.

    The vector text appears, surrounded by a bounding box indicating that it is selected.

See Also

Nesting Vectors

Preparing the Model

Defining the Material Shape

Nesting the Vector Text

Machining the Nested Vector Text


Nesting the Vector Text

We are now ready to nest the ArtCAM Insignia vector text within the vector representing the material:

  1. Make sure that the vector text is selected by clicking on it. It is purple and surrounded by a bounding box, indicating that it is grouped.
  2. Right-click to display the context menu and then click on the Ungroup All menu option.
  3. Click anywhere in the model area to deselect the vector text.
  4. Click to select the vector representing the material in your model. It is magenta and surrounded by a bounding box.
  5. Hold down the Shift key on your keyboard, and then click and drag to create a selection rectangle around the ungrouped vector text to select this too.

    Linked ArtCAM Graphics Directory Template [Insignia]

  6. Release the mouse button to select the vector text. All of the vector artwork is magenta and surrounded by a bounding box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  7. Click on the Nest Selected Vectors button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display Nesting page.
  8. Type 3 mm (0.125") in the Tool Diameter (D) box.
  9. Make sure that the default Toolpath Clearance (C) of 0.001 and the default Sheet Edge Clearance of -1is used.
  10. Click to select the Allow Part Rotation option [image].
  11. Type 45° in the Step Angle (A) box.
  12. Click on the Nest From list box, followed by the Bottom Left option to select it.
  13. Click on the Nest Direction list box, followed by the X option to select it.
  14. Type 0.02 mm (0.001") in the Curve Tolerance box.
  15. Make sure that the Model Is Sheet option is deselected. This is because we are using a vector to define the model area.
  16. Click to select the Group Inside and Outside of Shapes on Nesting option.
  17. Click to select the Create Leftover Material Vector option [image].

    This option creates a single vector representing the area of material after the vector text has been machined on a new vector layer named Nesting Waste Layer.

  18. Click on the Nest button.

    A progress bar appears beneath the Colour Palette indicating the progress ArtCAM Insignia is making in calculating the position of the nested vector text.

    The nested vector text appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  19. Click on the Close button to return to the Assistant's Home page.
  20. Click to select the vector representing the total area of the material. It is purple and surrounded by a bounding box.

    Linked ArtCAM Graphics Directory Template [Insignia]

  21. Click on the Toggle Visibility button [image] beside the Default Layer in the Vectors area of the Layers Manager to hide the vector artwork drawn on this layer from view in the 2D View window.

    You can see that the area of the material that surrounds the nested vector text is now a vector inside which you could nest other vectors. This vector has been saved for the next time you use this piece of leftover material in a job.

    Linked ArtCAM Graphics Directory Template [Insignia]

  22. Click on the Toggle Visibility button [image] beside the Default Layer in the Vectors area of the Layers Manager to display the vector artwork drawn on this layer in the 2D View window.

See Also

Nesting Vectors

Preparing the Model

Defining the Material Shape

Creating the Vector Text

Machining the Nested Vector Text


Machining the Nested Vector Text

Now that the ArtCAM Insignia vector text has been nested, we are ready to create the Profile toolpath that will be used to machine it:

  1. Click anywhere in the 2D View window to deselect the leftover material vectors.
  2. Click to select the nested vector text. The vector text is magenta and surrounded by a bounding box.

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Toolpaths tab to display the Toolpaths Home page.
  4. Click on the 2D Profiling button [image] in the 2D Toolpaths area to display the Profiling page.
  5. Make sure that the Outside radio button [image] is selected.
  6. Make sure that the Finish Depth is set to 12 mm (0.5").
  7. Type 0.02 mm (0.001") in the Tolerance box.
  8. Click on the [image] arrow in the Machine Safe Z area of the page to display the Safe Z box.
  9. Type 3 mm (0.12") in the Safe Z box.
  10. Click on the Select button in the Profiling Tool area of the page to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  11. Click on the End Mill 3mm (End Mill 1/8 Inch) tool in the Aluminum\Roughing and 2D Finishing tool group to select it.
  12. Click on the Select button to close the Tool Database and display the selected tool in the Profiling page.
  13. Make sure that the Create 2D Preview option is selected [image].
  14. Click on the Now button to calculate the Profile toolpath.

    Linked ArtCAM Graphics Directory Template [Insignia]

    You can see by looking at the toolpath that ArtCAM Insignia has nested the individual characters in this way to leave a sufficient offset for the 3mm End Mill (1/8 Inch End Mill) tool to profile each of them without causing gouging.

    A 3mm End Mill (1/8 Inch End Mill) tool must be used to machine the nested vector text for each character to be cut from the piece of material successfully.

  15. Click on the Close button to return to the Toolpaths Home page.

You are now ready to simulate and save the toolpath. For further information, see Simulating Toolpaths and Saving a Toolpath.

See Also

Nesting Vectors

Preparing the Model

Defining the Material Shape

Creating the Vector Text

Nesting the Vector Text


Tutorial - Bridging

The following tutorial demonstrates how to add bridges, also referred to as tabs, to a Profile toolpath. Bridges are used to hold a part in place during machining.

In This Chapter

Bridged Letter B


Bridged Letter B

The stages that you will cover during the course of this tutorial are:

  • Preparing the model.
  • Creating the vector text.
  • Machining the vector text.
  • Adding the bridges.
  • Editing the bridges.
  • Viewing the toolpath.

The tutorial will lead you through each of these stages, guiding you through the complete process of creating a profiled letter B with bridging.

See Also

Tutorial - Bridging


Preparing the Model

First, we will set up the model dimensions needed for this particular job:

  1. Click on the Create New Model [image] icon in the Open Model area of the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Units option [image] that you want to use (millimetres or inches).
  3. Type 300 mm (12") in the Width (X) box, 300 mm (12") in the Height (Y) box and 15 mm (0.6") in the Thickness (Z) box.
  4. Make sure that the Material Z Zero option [image] is set to Top of Block.
  5. Set the position of the Job Origin [image] by clicking on the front-left corner of the box diagram.
  6. Click on the OK button to close the Setup Job Dimensions dialog box.

    A 2D View window automatically fills the previously empty design window area. This window represents the block of material viewed down the Z-axis.

See Also

Bridged Letter B

Creating the Vector Text

Machining the Vector Text

Adding the Bridges

Editing the Bridges

Viewing the Toolpath


Creating the Vector Text

The next stage is to create the vector text to which we will be adding bridging:

  1. Click on the Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page to display the Text Tool page.
  2. Click on the Font list box, followed by the True Type Times New Roman option to select it.
  3. Click on the Size list box, followed by the option for the units of measurement you are using (millimetres or inches).
  4. Type 210 mm (8.3") in the Size box.
  5. Click anywhere in your model (the white area in the 2D View window), then hold down the Shift key down on your keyboard and type B.
  6. Click on the Done button to create the vector text and return to the Assistant's Home page.
  7. Make sure that the B vector text is selected by clicking on it. The B vector text should be purple and surrounded by a bounding box.
  8. Click on the Centre In Page button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to place the B vector text in the centre of your model:
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Position/Size/Align Vector toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Position/Size/Align Vector toolset in the Vector Tools area of the Assistant's Home page.

      Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Bridged Letter B

Preparing the Model

Machining the Vector Text

Adding the Bridges

Editing the Bridges

Viewing the Toolpath


Machining the Vector Text

In this next stage, we will create a Profile toolpath that will be used to machine the B vector text:

  1. Click on the Toolpaths tab to display the Toolpaths Home page.
  2. Click on the 2D Profiling button [image] in the 2D Toolpaths area to display the Profiling page.
  3. Make sure that the Outside radio button [image] is selected.
  4. Make sure that the Finish Depth is set to 15 mm (0.6").
  5. Type 0.02 mm (0.001") in the Tolerance box.
  6. Click on the [image] arrow in the Machine Safe Z area of the page to display the Safe Z box.
  7. Type 3 mm (0.12") in the Safe Z box.
  8. Click on the Select button in the Profiling Tool area to display the Tool Database:

    Linked ArtCAM Graphics Directory Template [Insignia]

  9. Click on the End Mill 3 mm (End Mill 1/8 Inch) tool in the Wood or Plastic\Roughing and 2D Finishing tool group to select it.
  10. Click on the Select button to close the Tool Database and display the selected tool on the Profiling page.
  11. Make sure that the Create 2D Preview option is selected [image].
  12. Click on the Now button to calculate the Profile toolpath.

    The Profile toolpath appears in the 2D View window as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

  13. Click on the Close button to return to the Toolpaths Home page.

See Also

Bridged Letter B

Preparing the Model

Creating the Vector Text

Adding the Bridges

Editing the Bridges

Viewing the Toolpath


Adding the Bridges

We can now add the bridges to the Profile toolpath that has been created:

  1. Click to select the preview of the Profile toolpath in the 2D View window. The toolpath preview is blue and surrounded by a bounding box.
  2. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page.
  3. Click on the arrow in the Bridges area to display its settings.
  4. In the Add Bridges To Profiles area, make sure that the Constant Number option is selected by clicking on its radio button [image].
  5. Type 3 in the Number box. This will add three bridges to each part of the Profile toolpath.
  6. Make sure that the value in the Bridge Length box is 3 mm (0.125").
  7. Make sure that the value in the Bridge Thickness box is 1 mm (0.05").
  8. Make sure that the 3D Bridges option is selected.
  9. Click on the Create Bridges button to add the bridges to the Profile toolpath as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Bridged Letter B

Preparing the Model

Creating the Vector Text

Machining the Vector Text

Editing the Bridges

Viewing the Toolpath


Editing the Bridges

Now we will edit the bridges that were added to the Profile toolpath.

It is important to position the bridges on the Profile toolpath in places to make it easier to snap the letter from the block of material and file down the bridged areas after it has been machined.

To delete a bridge, move the [image] cursor over it and double-click the left mouse button. To move a bridge, click and drag it into position.

For the letter 'B', we only need three bridges on the outer profile pass and two on each of the inner profile passes.

  1. Delete and move the bridges on the Profile toolpath until the bridges are as shown below:

    Before…

    Linked ArtCAM Graphics Directory Template [Insignia]

    After…

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Close button to return to the Toolpaths Home page.

See Also

Bridged Letter B

Preparing the Model

Creating the Vector Text

Machining the Vector Text

Adding the Bridges

Viewing the Toolpath


Viewing the Toolpath

Now we will look at the Profile toolpath more closely to see how the bridges have been added to the profile passes.

  1. Click on the 3D View button [image] in the 2D View toolbar to display the following isometric view of the Profile toolpath in the 3D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Zoom button ZoomButton-OFF in the 3D View toolbar.
  3. Click and drag in the 3D View window to create a bounding box around one of the bridges. You can now see the three-dimensional bridge on the Profile toolpath clearly:

    Linked ArtCAM Graphics Directory Template [Insignia]

You are now ready to simulate and save the toolpath. For further information, see Simulating Toolpaths and Saving a Toolpath.

See Also

Bridged Letter B

Preparing the Model

Creating the Vector Text

Machining the Vector Text

Adding the Bridges

Editing the Bridges


Tutorial - ArtTrace

The following tutorial demonstrates how to create vector objects from a bitmap file using ArtTrace. The vector objects are created around a specified colour in the bitmap image. These can then be exported to ArtCAM Insignia. For further information see ArtTrace.

In This Chapter

Converting a Bitmap to Vector Objects


Converting a Bitmap to Vector Objects

The stages that you will cover during the course of this tutorial are:

  • Preparing the model.
  • Opening the bitmap file in ArtTrace.
  • Reducing the colours in the bitmap image.
  • Linking colours in the bitmap image.
  • Creating the vector object.
  • Exporting the vector object to ArtCAM Insignia.

At the end of this tutorial, you will see a vector object in the 2D View window of ArtCAM Insignia that resembles the image shown below:

See Also

Tutorial - ArtTrace


Preparing the Model

First, we will set up the model dimensions needed for this particular job:

  1. Click on the Create New Model [image] icon on the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

  2. Click on the Units option [image] that you want to use (millimetres or inches).
  3. Type 200 mm (8") in the Width (X) box, 200 mm (8") in the Height (Y) box and 12 mm (0.5") in the Thickness (Z) box.
  4. Make sure that the Material Z Zero option [image] is set to Top of Block.
  5. Set the position of the Job Origin [image] by clicking on the front-left corner of the box diagram.
  6. Click on the OK button to close the Setup Job Dimensions dialog box.

    A 2D View window automatically fills the previously empty design window area. This window represents the block of material viewed down the Z-axis.

See Also

Converting a Bitmap to Vector Objects

Opening the Bitmap File in ArtTrace

Reducing the Colours in the Bitmap Image

Linking the Colours

Creating the Vector Objects

Exporting the Vector Objects to ArtCAM Insignia


Opening the Bitmap File in ArtTrace

In this next stage, we will open the bitmap file that we will vectorize in ArtTrace:

  1. Click on the Trace Bitmap button [image] in the File area of the Assistant's Home page to open the Select Bitmap Image To Trace dialog box:

  2. Click on the Look In list box and select ArtCAM Insignia 3.1\Examples.
  3. Click on the .bmp file named Art to select it.
  4. Click on the Open button to start ArtTrace and to display the Set Model Size dialog box:

  5. Click on the OK button to import the bitmap image:

    In this tutorial, we will create vector objects around each of the letters in the bitmap image.

See Also

Converting a Bitmap to Vector Objects

Preparing the Model

Reducing the Colours in the Bitmap Image

Linking the Colours

Creating the Vector Objects

Exporting the Vector Objects to ArtCAM Insignia


Reducing the Colours in the Bitmap Image

We are now ready to reduce the number of colours in the bitmap image. This will accelerate the vectorization process:

  1. Click on the Reduce Colours button [image] to open the Reduce Number of Colours In Image dialog box:

    Type 5 in the New Maximum Number of Colours For Image box.

  2. Click on the OK button.

    ArtTrace takes colours of a similar shade and produces a new average of them. There are now only five colours in the Colour Palette beneath the 2D View window:

See Also

Converting a Bitmap to Vector Objects

Preparing the Model

Opening the Bitmap File in ArtTrace

Linking the Colours

Creating the Vector Objects

Exporting the Vector Objects to ArtCAM Insignia


Linking the Colours

ArtTrace creates vector objects around the outline of areas in the Primary Colour only. You can link other colours to the Primary Colour so that vector objects are created around the outline of areas in these colours too.

We can now select the white colour in the Colour Palette as the Primary Colour and link the brown colour to it. ArtTrace can then create vector objects around the outline of all areas in white and brown:

  1. Click on the third colour from the left (white) in the Colour Palette to select it as the Primary Colour, using the left mouse button.
  2. The Colour Palette appears as follows:

  3. Double right-click on the fourth colour from the left (brown) in the Colour Palette to link it to the Primary Colour.

    Pixels in the bitmap image that are of the colour you have linked to the Primary Colour are now displayed as the Primary Colour in the 2D View window. The Colour Palette now appears as follows:

See Also

Converting a Bitmap to Vector Objects

Preparing the Model

Opening the Bitmap File in ArtTrace

Reducing the Colours in the Bitmap Image

Creating the Vector Objects

Exporting the Vector Objects to ArtCAM Insignia


Creating the Vector Objects

Next, we will create the vector objects around the Primary and linked colours in the bitmap image:

  1. Click on the Bitmap to Vector button [image] in the Main toolbar to open the Vectors From Bitmap dialog box:

  2. Make sure that the Keep lines longer than [image] pixels radio button is selected [image] in the Method area.
  3. In the Method area, type 3 in the [image] box.

    Selecting a small value means that the vector objects will closely follow the outline of the Primary Colour.

  4. In the Tolerance area, type 1 in the Pixels box.
  5. Click on the OK button to close the dialog box and create vector objects around all areas in the Primary Colour:

  6. Click on the Bitmap On/Off button to hide the bitmap image:

    You can clearly see the vector object in the 2D View window.

See Also

Converting a Bitmap to Vector Objects

Preparing the Model

Opening the Bitmap File in ArtTrace

Reducing the Colours in the Bitmap Image

Linking the Colours

Exporting the Vector Objects to ArtCAM Insignia


Exporting the Vector Objects to ArtCAM Insignia

You can now export the vector objects created in ArtTrace by copying them to the ArtCAM Insignia clipboard, then switching to ArtCAM Insignia to paste them into the current model:

  1. From the Main menu bar, click on the Edit menu, followed by the Select All option. All the vector objects turn magenta.
  2. Hold the Shift key down on your keyboard and then click on the rectangular vector object around the edge of the image to deselect it:

  3. Click on the Copy button [image] to copy the selected vector objects to the ArtCAM Insignia clipboard.
  4. From the Main menu bar, click on the File menu, followed by the Exit option to close down ArtTrace.
  5. In ArtCAM Insignia, click anywhere in the 2D View window to make it the active window.
  6. Click on the Paste button [image] in the File area of the Assistant's Home page to paste the vector object into the model.
  7. Click on the Transform Vector(s) button [image] in the Position Size Align Vectors area to display the Transform Vector(s) page.
  8. In the Size area, make sure that the Link Width and Height option is selected [image].
  9. Type 190 mm (7.5") in the Size's New Width box.
  10. Click on the Apply button to reduce the size of the vector object.
  11. Click on the Close button to return to the Assistant's Home page.
  12. Click on the Centre In Page button [image] in the Position Size Align Vectors area to position the vector object in the centre of your model:

    You can now use these vector objects in the same way as if they had been created in ArtCAM Insignia or imported in the usual way from a vector artwork file.

See Also

Converting a Bitmap to Vector Objects

Preparing the Model

Opening the Bitmap File in ArtTrace

Reducing the Colours in the Bitmap Image

Linking the Colours

Creating the Vector Objects


Tutorial - Manipulating Toolpaths

The following tutorial demonstrates how to create toolpaths from vector artwork drawn on different vector layers, copy the toolpaths and then merge them using the 2D Toolpath tools available in ArtCAM Insignia.

In This Chapter

Manipulating Toolpaths


Manipulating Toolpaths

The stages that you will cover during the course of this tutorial are:

  • Preparing the model.
  • Viewing the vector artwork.
  • Loading the toolpath templates.
  • Calculating the toolpaths.
  • Copying the toolpaths.
  • Merging the toolpaths.

See Also

Tutorial - Manipulating Toolpaths


Preparing the Model

First, we will open the ArtCAM model containing the artwork that can be used to machine a simple design:

  1. Click on the Open Existing Model [image] icon in the Open Model area of the Assistant's Getting Started page to display the Open dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Look In list box and select ArtCAM Insignia 4.1\Examples.
  3. Click to select the .art file named InsigniaEx. Its name appears in the File name box.
  4. Click on the Open button to open the ArtCAM model file.

    This .art file is a model previously created in ArtCAM Insignia. The model contains several vector layers, each of them containing artwork that you can use to machine a simple design. The vector artwork on these layers cannot currently be seen in the 2D View window.

See Also

Manipulating Toolpaths

Viewing the Vector Artwork

Loading the Toolpath Templates

Calculating the Toolpaths

Copying the Toolpaths

Merging the Toolpaths


Viewing the Vector Artwork

Before we can begin creating the toolpaths, we need to display the vector artwork in the model.

  1. Click on the Layers tab [image] to display the Layers Manager.

    There are four vector layers stacked in the Vectors area of the Layers Manager. You can see that a different colour has already been assigned to each of these layers. The Default Layer is currently selected, and the visibility on all of the other layers is toggled off [image].

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Toggle Visibility button [image] for each of the vector layers in turn to display their content in the 2D View window.

    The Toggle Visibility button beside each of the vector layers changes from [image] to [image].

    In the 2D View window, you can now see a square vector within which are five circular vectors, as shown below:

    Linked ArtCAM Graphics Directory Template [Insignia]

    Each vector is shown in the colour assigned to the vector layer on which it was drawn.

See Also

Manipulating Toolpaths

Preparing the Model

Loading the Toolpath Templates

Calculating the Toolpaths

Copying the Toolpaths

Merging the Toolpaths


Loading the Toolpath Templates

We will now load three different toolpath templates. Toolpath templates contain toolpath settings which can be applied to vector artwork drawn in a model.

When this model was created, three toolpaths were created from the vector artwork on each of the vector layers and saved as templates. The model was then saved without any of the toolpath settings that were created.

When we load the toolpath templates into the model, ArtCAM Insignia assigns the toolpath settings to the different vectors from which they were originally created.

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Load Toolpath Template button [image] in the Toolpath Operations area to display the Load Toolpath Template dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Look In list box and select ArtCAM Insignia 4.1\Examples.
  4. Click on the .tpl file named AreaClear_Toolpath to select it. Its name appears in the File name box.
  5. Click on the Open button to close the Load Toolpath Template dialog box and load the toolpath template. The toolpath settings saved within the template are displayed on the 2D Area Clearance page shown in the Assistant window.
  6. Click on the Close button to return to the Toolpaths Home page. The toolpath is listed on the Toolpaths Home page.
  7. Repeat these steps for the .tpl files named Profile_Toolpath and Drilling_Toolpath.

    Three toolpaths are now listed on the Toolpaths Home page. These toolpaths have not been calculated.

See Also

Manipulating Toolpaths

Preparing the Model

Viewing the Vector Artwork

Calculating the Toolpaths

Copying the Toolpaths

Merging the Toolpaths


Calculating the Toolpaths

Now that we have loaded the toolpath templates, we are ready to calculate the toolpaths. Rather than calculating them individually, we will automatically calculate them in sequence using ArtCAM Insignia's batch calculation process.

  1. Click on the Batch Calculate Toolpaths button [image] in the Toolpath Operations area to display the Batch Calculate Toolpaths dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    All three of the toolpaths are selected by default.

  2. Click on the Calculate button to calculate the toolpaths.
  3. When you see the "Completed batch calculation of 3 toolpaths" message in the Status window, click on the Close button to close the Batch Calculate Toolpaths dialog box.

    You can now see a preview of all three of the calculated toolpaths shown in the 2D View window, as shown below:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Manipulating Toolpaths

Preparing the Model

Viewing the Vector Artwork

Loading the Toolpath Templates

Copying the Toolpaths

Merging the Toolpaths


Copying the Toolpaths

In this tutorial, we want to machine four sets of the design currently shown in the 2D View window in the block of material.

Rather than drawing the same set of vectors again and again, and then having to create the toolpaths needed to machine them all, we will simply copy the toolpaths that we have already calculated.

  1. Click to select the Default Layer vector layer stacked in the Vectors area of the Layers Manager.
  2. Click on the Toggle Visibility button [image] for the Square Profile, Circle Profile and Drill Holes vector layers to hide the artwork on each of them. Only the toolpath previews remain in the 2D View window, as shown below:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Edit > Select All menu option from the Main Menu bar to select all of the toolpath previews shown in the 2D View window. The toolpath previews are blue and surrounded by a bounding box.
  4. Click on the Toolpaths tab to display the Toolpaths Home page.
  5. Click on the Toolpath Copy button [image] in the Toolpath Operataions area to display the Toolpath Copy page.
  6. Select the Block Copy option [image] by clicking on its radio button. The Block Copy settings are shown on the page.
  7. Select the Distances are offsets option [image] by clicking on its radio button.
  8. Type 45 in the X Offset box to set the distance from the X-origin at which you want to offset each copy of the selected toolpaths along the X-axis.

    The offset sets the distance, in either X or Y, between the bottom left corner of each toolpath copy.

  9. Type 2 in the Number of Columns box.
  10. Type -47 in the Y Offset box to set the distance from the Y-origin at which you want to offset each copy of the selected toolpaths along the Y-axis.
  11. Type 2 in the Number of Rows box.
  12. Make sure that the Merge Results option is deselected.
  13. Click on the Apply button to create the block of copies.

    A progress bar appears beneath the 2D View window indicating the progress made in creating the block of copies.

  14. Click on the Close button to return to the Toolpaths Home page.

    You can now see another three sets of the original toolpath previews in the 2D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

    You can also see a list of twelve individual toolpaths listed on the Toolpaths Home page.

See Also

Manipulating Toolpaths

Preparing the Model

Viewing the Vector Artwork

Loading the Toolpath Templates

Calculating the Toolpaths

Merging the Toolpaths


Merging the Toolpaths

Since all of the toolpaths that we have loaded and copied use a 3mm End Mill (1/8 Inch End Mill), we can merge them into a single toolpath. By merging the toolpaths, we avoid the need for the tool to return to the Home position before machining each of them. This saves a considerable amount of machining time.

  1. Click on the Edit > Select All menu option from the Main Menu bar to select all of the toolpath previews shown in the 2D View window. The toolpath previews are blue and surrounded by a bounding box.
  2. Click on the Toolpath Merge button [image] in the 2D Toolpaths area to display the Merge Toolpaths page.
  3. In the Merging Order area, make sure that the Selected option is selected by clicking on its radio button [image].
  4. Click on the Calculate button to merge the selected toolpaths.

    A progress bar appears beneath the 2D View window indicating the progress made in merging the toolpaths:

  5. Click on the Close button to return to the Toolpaths Home page.

    Only the Merged toolpath is listed on the Toolpaths Home page.

  6. Press the F3 key on your keyboard to display a preview of the toolpath used to machine the design in the 3D View window:

    Linked ArtCAM Graphics Directory Template [Insignia]

You are now ready to simulate and save the toolpath. For further information, see Simulating Toolpaths and Saving a Toolpath.

See Also

Manipulating Toolpaths

Preparing the Model

Viewing the Vector Artwork

Loading the Toolpath Templates

Calculating the Toolpaths

Copying the Toolpaths


Working with Models

This section describes how to create, edit and manage the content associated with an ArtCAM model.

In This Chapter

Getting Started

Managing a Model

Working with Layers

Working with Sheets


Getting Started

When you start ArtCAM Insignia, the Assistant's Getting Started page is displayed. This page is divided into two areas:

  • Open Model - This allows you to define the dimensions of a block of material or open an ArtCAM model file that you have already created. For details, see Opening an Existing Model.
  • Other Features - This allows you to create your own font or edit existing fonts for use within ArtCAM Insignia's Text Tool and display details of the latest features available in ArtCAM Insignia. For details, see Using the Font Editor.

See Also

Working with Models

Managing a Model

Working with Layers

Working with Sheets


Creating a Model

To create a model:

  1. Click on the Create New Model icon [image] in the Open Model area of the Assistant's Getting Started page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also display the Setup Job Dimensions dialog box by pressing the Ctrl + N keys on your keyboard.
  2. Type in the Width (X), Height (Y) and Thickness (Z) values according to the physical size of the model that you want to create.
  3. Click on one of the Material Z Zero radio buttons [image] to define the Z-axis zero level, or the position of the cutter relative to the surface of the block of material to be machined:
    • Click on the Top Of Block radio button [image] if you want to position the cutter on the material surface. The Job Origin icon [image] appears on the top front left corner of the box.
    • Click on the Machine Bed radio button [image] if you want to position the cutter on the bed of the machine. The Job Origin icon [image] appears on the bottom front left corner of the box.
  4. Click on the centre or any of the four corners of the box to define the X-axis zero and Y-axis zero origin.

    The Job Origin icon [image] appears in the position you have clicked on.

  5. Make sure that the Units option is set according to those you are working in, either millimetres or inches.
  6. Click on the OK button to display a 2D View window.

    This window is the area in which you draw or import the vector artwork in your ArtCAM model.

  • You can create a new model at any time by clicking on the New Model button [image] in the File area of the Assistant's Home page.

See Also

Getting Started

Creating a Model from an Image

Opening an Existing Model

Closing a Model

Shutting Down ArtCAM Insignia


Creating a Model from an Image

You can create a model by importing an image saved in any of the following file formats into ArtCAM Insignia:

  • ArtCAM Model (*.art)
  • AutoCAD 2D Drawing (*.dwg)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • DUCT Picture (*.pic)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tifor *.tiff)
  • TrueVision Targa (*.tga)
  • Portable Document Format (*.pdf)
  • Delcam DGK (*.dgk)
  • Drawing Interchange File (*.dxf)

To create a model from a saved image file:

  1. Click on the Open Existing Model icon [image] on the Assistant's Getting Started page to display the Open dialog box:

  2. Click on the Files of type list box and select the format for the type of image file from which you want to create a model.
  3. Click on the Look in list box and select the directory where the image file from which you want to create a model is stored.
  4. Click to select the image file from which you want to create a model. The file name appears in the File name box.
  5. Click on the Open button to display the Set Model Size dialog box:

  6. Make sure that the Units option is set according to those in which you are working, either millimetres or inches.
  7. If you know the resolution (dpi) at which the image was originally scanned, type this value in the d.p.i. box. If you do not, go straight to the next step.
  8. You are now ready to set the size of the image. In the Method area, click to select the Image size radio button [image].
  9. Define the height (Y) of the model in the Height box.
  10. Define the width (X) of the model in the Width box.
  11. Define the X-axis zero and Y-axis zero origin in the model. For further details, see Editing the Model Dimensions.
  12. Click on the OK button to close the Set Model Size dialog box and create your model.
    • Any layer information within DXF (*.dxf) or Delcam DGK (*.dgk) files is preserved in ArtCAM Insignia. A separate vector layer is created for each layer within the original file.

      ArtCAM Insignia does not currently support layers (or 'Optional Content Groups') within Portable Document Format files (*.pdf). ArtCAM Insignia creates a separate vector and bitmap layer for each of the pages within an original PDF document and names each of the layers using the filename_page number convention. For example, the layer relating to the first page of the document might be labelled Brochure_(1).

      For further information, see Creating a New Layer.

See Also

Getting Started

Creating a Model

Opening an Existing Model

Closing a Model

Shutting Down ArtCAM Insignia


Opening an Existing Model

To open a model using a previously saved file:

  1. Click on the Open Existing Model icon [image] on the Assistant's Getting Started page to display the Open dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also display the Open dialog box by pressing the Ctrl + O keys on your keyboard.
  2. Click on the Files of type list box, and then on the file that you want to open in ArtCAM Insignia.
    • You can open an *.art, *.bmp, *.tif, *.pcx, *.gif, *.jpg, *.dxf, *.pic, *.dwg and *.pdf file as a model only.
  3. Click on the Look in list box and select the directory where the file that you want to open is stored.
  4. Once you have found the file, click on its name.
  5. Click on the Open button to open the file in ArtCAM Insignia.
    • You can also click on the Open File button [image] in the File area of the Assistant's Home page to open a file in ArtCAM Insignia when already working on another model.

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Closing a Model

Shutting Down ArtCAM Insignia


Opening Recent Models

If you want to open a model that you were working on recently:

  1. From the Open Model area of the Assistant's Getting Started page, click on the [image] icon beside the correct file name.
  • You can also open previously saved models by clicking on the File menu option in the Main Menu bar, and then on the appropriate file name listed above the Exit option. Up to five models are listed.

See Also

Opening an Existing Model


Closing a Model

To close the model that you are currently working on, you can either:

  1. Click on the [image] icon on the top-right corner of the 2D View window; or
  2. From the Main Menu bar, click on the File > Close menu option.

If you close a new model before it is saved, or close a previously saved model before saving any changes you have made, the following message box appears:

If you want to save the model:

  1. Click on the Yes button to open the Save As… dialog box. For further details, see Saving a Model.

If you do not want to save the model you are working on:

  1. Click on the No button to close the message box and return to the Assistant's Getting Started page.

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Opening an Existing Model

Shutting Down ArtCAM Insignia


Shutting Down ArtCAM Insignia

To shut down ArtCAM Insignia:

  1. From the Main Menu bar, click on File > Exit menu option.

If you click on the Exit option before saving a changed model, the following message box appears:

If you want to save the model:

  1. Click on the Yes button to open the Save As… dialog box. For further details, see Saving a Model.

If you do not want to save the model you are working on:

  1. Click on the No button to close the message box and return to the Assistant's Getting Started page.

See Also

Getting Started

Creating a Model

Creating a Model from an Image

Opening an Existing Model

Closing a Model


Managing a Model

When you have created or opened a model in ArtCAM Insignia, the Assistant's Home page is displayed.

You can use the buttons in the File area of the Assistant's Home page to help you manage a model:

Linked ArtCAM Graphics Directory Template [Insignia]

You can also use the button in the Model area of the Assistant's Home page to help you manage a model:

Linked ArtCAM Graphics Directory Template [Insignia]

Using the buttons in the File area of the Assistant's Home page you can:

  • Create a new model.
  • Open a saved model.
  • Save an open model.
  • Manage the preference settings for ArtCAM Insignia.
  • Correct a mistake that you have made.
  • Cut, copy and paste bitmap or vector artwork in a model.

Using the buttons in the Model area of the Assistant's Home page you can:

  • Edit the dimensions of a model.

See Also

Working with Models

Getting Started

Working with Layers

Working with Sheets


Creating a New Model

To create a new model:

  1. Click on the New Model button [image] in the File area of the Assistant's Home page to display the Setup Job Dimensions dialog box. For further details, see Creating a Model.

    Linked ArtCAM Graphics Directory Template [Insignia]

  • You can also create a new model by pressing the Ctrl + N keys on your keyboard, or by clicking on the File > New... menu option in the Main Menu bar.

If you click on the New Model button [image] while working on an unsaved model, and then the OK button in the Setup Job Dimensions dialog box, the following message box appears:

If you want to save the model:

  1. Click on the Yes button to open the Save As… dialog box. For further details, see Saving a Model.

If you do not want to save the model you are working on:

  1. Click on the No button to close the message box and return to the Assistant's Getting Started page.

See Also

Managing a Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Opening a Model

To open a model that you have previously saved:

  • You can open an *.art, *.bmp, *.tif, *.pcx, *.gif, *.jpg, *.dxf, *.pic, *.dwg and *.pdf file as a model only.
  1. Click on the Open button [image] in the File area of the Assistant's Home page to display the Open dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also display the Open dialog box by pressing the Ctrl + O keys on your keyboard.

      For further details, see Opening an Existing Model.

See Also

Managing a Model

Creating a New Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Saving a Model

You can save a model as an ArtCAM model (*.art) file.

To save the model you have created:

  1. Click on the Save button [image] in the File area of the Assistant's Home page to display the Save As… dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also display the Save As dialog box by pressing the Ctrl + S keys on your keyboard, or by clicking on the File menu in the Main Menu bar, followed the Save As… option.
    • If you are only saving changes to a previously saved ArtCAM model, a message box is displayed during the saving process indicating the file name and location of the model on your computer.
  2. Click on the Save In list box and select the directory you want to save the model in.
  3. Type the file name you want to use for the model in the File name box.
    • ArtCAM Insignia saves the model as an *.art file. This is an ArtCAM proprietary file that stores not only the two-dimensional image, but also any toolpaths that have been created as part of the model.
  4. Click on the Save button.

See Also

Managing a Model

Creating a New Model

Opening a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Editing the Model Dimensions

To edit the dimensions originally defined for a model when it was created:

  1. Click on the Set Model Size button [image] in the Model area of the Assistant's Home page to display the Setup Job Dimensions dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also display the Setup Job Dimensions dialog box if you click on the Model > Set Size... menu option in the Main Menu bar.

      Using the Setup Job Dimensions dialog box, you can change:

    • The height, width and/or thickness of the block of material.
    • The job origin.
    • The material Z zero level.
    • The units of measurement you are using.

      For further details, see Creating a Model.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Importing Vector Artwork

You can import vector artwork saved in any of the following formats onto an existing vector layer in a model:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

When importing Drawing Interchange (*.dxf ) or AutoCAD Drawing (*.dwg) files, you can position its vector artwork in the centre of the ArtCAM model, define the units of measurement used, instruct ArtCAM Insignia to identify loops within tolerance and rejoin all coincident points (nodes) within tolerance. ArtCAM Insignia also reads all layer information saved within these files. For further information, see Working with Layers.

When importing Encapsulated PostScript (*.eps, *.ai) files with an origin outside of an ArtCAM model, you can position its vector artwork in the centre of the ArtCAM model or according to the origin saved within the file.

Windows Metafiles (*.wmf), Enhanced Metafile (*.emf) and Lotus, PC Paint or DUCT picture files (*.pic) import into ArtCAM Insignia directly.

To import vector artwork:

  1. Make sure that the vector layer on which you want to import the vector artwork is selected. For details, see Selecting a Layer.
  2. Click on the File > Import > Vector Data... option from the Main Menu bar to display the Vector Import dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Files of type list box, and then on the type of vector artwork file that you want to import.
  4. Use either of the following methods to find the vector artwork file that you want to import as a new vector layer:
    • By default, ArtCAM Insignia lists files in the Adobe Illustrator and Encapsulated PostScript file format (*.ai and *eps) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder where the file containing the vector artwork that you want to import to the selected vector layer is stored.
  5. Once you have found the vector artwork file, click to select the file listed in the main window of the Vector Import dialog box. Its name appears in the File name box.
  6. Click on the OK button to import the vector artwork to the selected vector layer.

    If you are importing vector artwork saved as a *.dxf file, the Imported File dialog box is displayed:

    Make sure that the settings for the imported vector artwork is correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

      If you are importing vector artwork saved as an Encapsulated PostScript (*.eps ) or Adobe Illustrator (*.ai) file with its origin outside of the ArtCAM model, the Choose location of data dialog box is displayed:

      Click on either of the radio buttons to select where you want to position the vector artwork in the vector layer:

    • If you want to position the vector artwork according to the X and Y co-ordinates stored in the file itself, select the Position the data using the location in the EPS file option by clicking on its radio button.
    • If you want to position the vector artwork in the centre of the vector layer, select the Position the data in the centre of the ArtCAM image option by clicking on its radio button.

      Click on the OK button to close the dialog box and import the vector artwork onto the selected vector layer.

      The imported vector is selected by default. It is magenta and surrounded by a bounding box. When deselected, the vector appears in the colour assigned to the selected layer. For further information, see Selecting Vectors.

      If you are importing a vector data file that contains layers, ArtCAM Insignia preserves the layer information in your model. Where a vector layer already in ArtCAM Insignia shares the name of a layer within the file, the artwork is imported onto this layer. Where a vector layer already in ArtCAM Insignia does not share the name of a layer within the file, a new vector layer is created and this adopts the name of the layer within the file and any associated colour information.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Using a Vector Library

You can use the Vector Library tool to manage vector data saved as *.eps, *.dxf, *.dwg, *.ai, *.wmf and *.pic files that you want to import into an ArtCAM model. ArtCAM Insignia recalls the position in which the vector was saved.

A vector library is made up of at least one folder that contains one or more *.eps, *.dxf, *.dwg, *.ai, *.wmf and *.pic files.

ArtCAM Insignia creates an area on the Vector Library page for each of the folders within a library that contain *.eps, *.dxf, *.dwg, *.ai, *.wmf and *.pic files. If an *.eps, *.dxf, *.dwg, *.ai, *.wmf or *.pic file within a library shares the same name as a *.jpg or *.gif file also within the same library, ArtCAM Insignia creates an icon next to its filename. If there are no *.eps, *.dxf, *.dwg, *.ai, *.wmf or *.pic files in a selected directory, a message is displayed on the page indicating that no library has been found.

You can click on the [image] arrow on the page to hide the list of files within a library's folder, and on the [image] arrow to reveal the list.

To select a folder as a vector library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area of the Assistant's Home page to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. Any existing vector libraries are listed in the Libraries list box.
  3. Click on the New button to display the Browse For Folder dialog box.
  4. Click to select the directory in which you want to store your vector artwork files, or in which they are already kept. It is highlighted in blue.
  5. Click on the OK button to select the directory, and then close the Browse For Folder dialog box. The directory is now defined as an ArtCAM vector library.
  6. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To import a file from a vector library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. All existing vector libraries are listed in the Libraries list box.
  3. Move the cursor over the filename in the list containing the vector artwork that you want to import, and then click. The vector artwork appears in the 2D View window.
  4. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To refresh the list of files identified within a library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. All existing vector libraries are listed in the Libraries box.
  3. Click on the Libraries list box, and then on the library for which you want to update the file listing.
  4. In the Options area, click on the Rescan button to refresh the list of folders and files within the current library
  5. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

To remove a library:

  1. Click on the Import From a Vector Library button [image] in the Vector Tools area to display the Vector Library page.
  2. If you cannot see the vector library settings, click on the [image] arrow in the Choose Library area to display them. All existing vector libraries are listed in the Libraries box.
  3. Click on the Libraries list box, and then on the library you want to remove.
  4. In the Options area, click on the Remove button to remove the selected library.
  5. Click on the [image] icon to return to the Assistant's Home page.
  • You can also press the Esc key on your keyboard or the [image] icon at the top of the page to return to the Assistant's Home page.

See Also

Importing Vector Artwork


Exporting Vector Artwork

In ArtCAM Insignia, you can export vector artwork as data. This data can then be used in other drawing packages supporting the following file formats:

  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)

To export a selection of vector artwork as data:

  1. Select the vector artwork that you want to export. For details, see Selecting Vectors.
  2. From the Main Menu bar, click on the File > Export… menu option to display the Vector Export dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Save In list box and select the directory in which you want to save the selected vector artwork.
  4. Type the file name you want to use for the vector in the File name box.
  5. Click on the Save as type list box, and then click on the file type you want to use.
  6. Click on the Save button.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Creating a Multiplate

ArtCAM Insignia allows you to create sheets of badges or name-plates, each with its own unique details, using only vector artwork to define the shape and layout, a text file (*.txt or *.csv) containing the data you want to feature on the plates, and vector text to define how and where this data is used.

A multiplate is made up of one or more sheets of vector artwork representing individual plates. The total number of sheets depends on the total number of plates created. The total number of plates able to fit onto a sheet depends on the size of the vector artwork used for the plate layout, the defined gaps between each plate along the X and Y-axes, and the defined boundary along the X and Y-axes.

Each plate is made up of variables. A block of vector text within curly braces defines each of the variables on a plate. When creating the multiplate, ArtCAM Insignia replaces the vector text within double curly braces with data from an imported text file. The data assumes the same style of font, and any formatting, of the original block of vector text. What of the data within the imported text file will be created as vector text depends on what field headings within the text file are assigned to the variables.

To create a multiplate:

  1. Create the vector artwork representing the overall shape of the plate to which you want to add data.

    For example, a rectangle with filleted corners might be used:

  2. Use the Text Tool to type the names of the variables that you want to use on each of the plates in vector text. These must be enclosed in double curly braces. For further details, see Creating Vector Text.

    In our example, the template vector artwork for the plate layout now appears as follows:

  3. Create the toolpath that you want to use to machine the plates that you are creating.
  4. From the 2D View window, select all of the vector artwork representing the template for the plate layout, along with the preview of the toolpath you have calculated. For details, see Selecting Vectors and Selecting Toolpaths.
  5. Click on the Create Multiple Plates… button [image] in the Vector Tools area of the Assistant's Home page to display the Multi-Plate Tool page.

    If you click on the button without first selecting the vector artwork representing the template for the plate layout, the following message box appears:

    Linked ArtCAM Graphics Directory Template [Insignia]

    Click on the OK button to close the message box, and then select the vector artwork.

  6. Click on the Set Template button to set the selected vector artwork as the template for the plate layout.
  7. In the Import Text File Data area, click on the Load Data button to display the Load Data dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can open data saved as a *.txt or *.csv file only.
  8. Click on the Look in list box and select the directory in which the text file that you want to open is stored.
  9. Once you have found the text file, click on its file name. Its name appears in the File Name area.
  10. Click on the Open button to display the Text File Import dialog box.

    In our example, the data within a .txt file is shown in the Text File Import dialog box as follows:

  11. You can see a preview of the data within the imported text file in the main window of the dialog box. You can control the appearance of this data and what of it will be used in the Multiplate tool:
    • In the Delimiters area, click to select the option for the delimiter that has been used to divide the data in the imported text file.
    • All delimiters contained within quotation marks," ", are ignored.

      If a delimiter has been used other than any of those listed, you must type the delimiter in the box, and then click to select the Other option [image].

    • If you want to set the first row of text as column headers, click to select the First row is column headers option [image].
    • Define the row from which you want to import data into the Multiplate tool. You can either type the number in the box, or use the [image] and [image] arrows to set the row number.

      In our example, the data within the Text File Import dialog box now appears as follows:

  12. Click on the OK button to load the data into the Multiplate tool.
  13. In the Sheet Layout area, use the settings to define the material dimensions and the number of plates you want to create:
    • Define the width of the material in the Total Width box.
    • Define the height of the material in the Total Height box.
    • Define the number of plates you want to create in the Number of Plates box.

      The total number of sheets is displayed on the page. The number of sheets created depends on the size of the material and the number of plates.

  14. In the Plate Layout area, use the settings to define the overall appearance of the plates created in a sheet:
    • Define the number of the first plate in the sheet in the First Plate Position box.
    • Define the distance along the x-axis between each plate in the Plate Gap in X box.
    • Define the distance along the y-axis between each plate in the Plate Gap in Y box.
    • Define the width of the boundary along the left and right edges of each sheet in the X Boundary box.
    • Define the width of the boundary along the top and bottom edges of each sheet in the Y Boundary box.
  15. Click on the Next icon [image] to display more settings.
    • You can also use the Close icon [image] to return to the Assistant's Home page.
  16. Click on the Preview For Sheet list box, and then on the sheet that you want to preview. In our example, a total of 91 plates are created across two sheets. The first sheet of fifty plates appears as shown below:

    The number marked by a red square [image] indicates the currently selected plate. Click to select the plate for which you want to set its variables.

  17. In the Variables Section area, you can see a list box for each of the variables that you have created as vector text enclosed in curly braces, as part of the template vector artwork.

    In our example, list boxes labelled as name and title are created. These labels match the vector text enclosed in curly braces drawn in our model.

    Each of these list boxes contains options for the data found in the field headings of the imported text file. Click on each of the list boxes, and select an option to define the properties of each variable. Each list box also has two default options. These are as follows:

    • None - Click on this option if you want to define your own data.
    • Number - Click on this option if you want to set the variable as a numeric value. If you use this option, set the number from which you want to begin counting in the Start Value box, and the difference that you want to set between each consecutive number in the Increment box. You can use both whole and decimal numbers. You can also define the number of zeroes preceding the start value and following any value after a decimal point in the Format boxes.

      In our example, we click to select the ContactName option from the name list box and the ContactTitle option from the title list box.

      When you create the sheet of plates, the field headings from the imported text file assigned to the variables defined in the template vector artwork are created as vector text in the same position as these variables.

      The data beneath the field headings from the text file that are assigned to each variable will be created as vector text throughout the sheet of plates. The vector text is created in the same style and position as the variables that you created as vector text enclosed in curly braces.

  18. In the Plate Values area, you can edit the variables that will be created as vector text on each plate on the sheet. Select the plate for which you want to edit its variables. You can either:
    • Define the plate number in the Plate No. box.
    • Click to select the plate from the matrix preview. Its number is displayed in the Plate No. box.

      With the plate selected, you can now type in each of the boxes displayed for each variable associated with the plate. For example, name, age and address. Click on the Update button to confirm any changes that you have made to the variables.

  19. Click on the Create Plates button to create the sheet of plates. The data used for the selected variables appears as vector text on each plate in the same position.

    In our example, the two sheets of plates and the default sheet containing our original vector artwork and toolpath preview appear as follows:

    The vector text created is constrained by default to ensure that all of the text fits within the vector representing the plate. For further details, see Formatting Vector Text. Each sheet of plates is created on a separately in the model. Each of these sheets are named PlateSheet by default, numbered consecutively, and assigned the colour black. Each sheet of plates is listed on the Layers page. The last sheet is displayed by default. For further information, see Working with Layers.

    You can control which sheet of plates is shown in the 2D View window by clicking to select the name of the specific PlateSheet you want to view from the Active Sheet list box. You can only view one sheet of plates at a time. You can only edit the vector artwork on the active sheet.

    The arrangement of the rows and columns of sheets shown in the 2D View window will vary according to the most economical use of the available space.

    In our example, two sheets are created in total.

    After the vector artwork for the plates has been created, the Create Toolpaths button is displayed at the bottom of the page.

  20. Make sure that all of the vector artwork and the toolpath preview(s) shown in the 2D View window are selected.
  21. Click on the Create Toolpaths button to calculate the toolpaths needed to machine the plates.

    A separate toolpath is calculated for each of the sheets in the model. This allows you to save each the toolpaths associated with each sheet as a separate toolpath file.

  • You can use the Previous icon [image] to return to the previous page of settings.

  • You can also use the Close icon [image] to return to the Assistant's Home page.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Correcting an Action

There are two buttons you can use to correct your mistakes when working in ArtCAM Insignia:

  • Click the Undo button [image] in the File area of the Assistant's Home page to cancel your last action.
  • You can also cancel your last action by pressing the Ctrl + Z keys on your keyboard.
  • Click the Redo button [image] in the File area of the Assistant's Home page to repeat the last action made before clicking on the Undo button.
  • You can also redo your last cancelled action by pressing the Ctrl + Y keys on your keyboard.
  • Alternatively, click on the Edit menu option in the Main Menu bar, followed by the relative option listed, for example, Undo Draw Ellipse.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Mirroring a Model

Rotating a Model

Printing a Model

Using the Font Editor


Mirroring a Model

You can mirror an open model both vertically and horizontally.

To mirror a model horizontally:

  1. From the Main Menu bar, click on the Model > Mirror > Horizontal menu option.

To mirror a model vertically:

  1. From the Main Menu bar, click on the Model > Mirror > Vertical menu option.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Rotating a Model

Printing a Model

Using the Font Editor


Rotating a Model

You can rotate an open model both clockwise and anti-clockwise.

To rotate a model clockwise:

  1. From the Main Menu bar, click on the Model > Rotate 90 Degrees > Clockwise option to turn the model through 90° in a clockwise direction.

To rotate a model anti-clockwise:

  1. From the Main Menu bar, click on the Model > Rotate 90 Degrees > AntiClockwise option to turn the model through 90° in an anti-clockwise direction.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Printing a Model

Using the Font Editor


Printing a Model

You can print a model as it is shown in the active design window.

To print a model:

  1. Click to select the design window that you want to print. For details, see 2D View and 3D View.
  2. From the Main Menu bar, click on the File > Print Setup menu option to display the Print Setup dialog box:

  3. Make sure that your printer settings are correct. For details, see Print Setup.
  4. In the Options area, click on the print option that you want to use:
  • Print model to scale - Click on this radio button [image] if you want to print the model according to its physical dimensions.
    • Before printing, make sure that the model can fit onto the paper to which it is currently being printed. For details, see Print Setup.
    • Stretch to fit page - Click on this radio button [image] if you want to print the model according to the dimensions of the paper onto which it is to be printed.
    • Print current screen view - Click on this radio button [image] if you want to print the model as it currently appears in the 2D View window.
    • If you are printing the 3D View window, the print options are automatically greyed-out. In this instance, ArtCAM Insignia prints to fit the 3D View window in its current orientation.
  1. Click on the OK button to close the Print Setup dialog box and print the active design window.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Using the Font Editor


Print Preview

You can view the content of the active design window as it would appear when printed.

To create a print preview:

  1. Click to select the design window that you want to print. For details, see 2D View and 3D View.
  2. From the Main Menu bar, click on the File > Print Preview menu option to display a preview image of the active design window.
  3. You can use the buttons in the bar at the top of the ArtCAM Insignia window to view the preview image in more detail:
    • To show the next page of the preview image, click on the Next Page button. If this is greyed out, there are no further pages.
    • To show the previous page in the preview image, click on the Prev Page button. If this is greyed out, there are no further pages.
    • To show two pages in the preview image at the same time, click on the Two Page button. If this is greyed out, there is only one page in the preview image.
    • To enlarge the size of the preview image, click on the Zoom In button.
    • You can also move the [image] cursor over the area you want to enlarge, and then click.
    • To reduce the size of the preview image, click on the Zoom Out button.
  4. You are now ready to print the preview image:
    • If you want to print the preview image, click on the Print button. For further information, see Printing a Model.
    • If you do not want to print the preview image, click on the Close button.

See Also

Printing a Model

Print Setup


Print Setup

You can control the settings for the printer to which the content of the active design window is printed in ArtCAM Insignia.

To adjust the printer settings:

  1. Click to select the design window that you want to print. For details, see 2D View and 3D View.
  2. From the Main Menu bar, click on the File > Print Setup menu option to display the Print Setup dialog box:

  3. Click on the Name list box and then on the printer that you want to use.

    If you want to change any of the default settings of the printer, such as the paper size and orientation, click on the Properties button.

  4. In the Paper area, click on the Size list box and select the size of paper that you want to print to.
  5. In the Paper area, click on the Source list box and then on the tray or paper feed option that you want to use when printing.
  6. Select the orientation that you want to use when printing:
    • Portrait - Click on this radio button [image] if you want to print the model vertically. Typically, portrait orientation is used for models that are taller than they are wide.
    • Landscape - Click on this radio button [image] if you want to print the model horizontally. Typically, landscape orientation is used for models that are wider than they are tall.
  7. In the Options area, click on the print option that you want to use:
    • Print model to scale - Click on this radio button [image] if you want to print the model according to its physical dimensions.
    • Before printing, make sure that the model can fit onto the paper to which it is currently being printed.
    • Stretch to fit page - Click on this radio button [image] if you want to print the model according to the dimensions of the paper onto which it is to be printed.
    • Print current screen view - Click on this radio button [image] if you want to print the model as it currently appears in the 2D View window.
    • If you are printing the 3D View window, the print options are automatically greyed-out. In this instance, ArtCAM Insignia prints to fit the 3D View window in its current orientation.
  8. Click on the OK button to print the active design window and close the Print Setup dialog box.

See Also

Printing a Model

Print Preview


Using the Font Editor

ArtCAM Insignia allows you to create your own fonts by editing characters within any installed fonts and then saving them. Using ArtCAM Insignia's Font Editor tool, you can:

  • Adjust the contour of characters within a font.
  • Create an entirely new font using ArtCAM Insignia's vector creation tools.
  • Adjust the offset distance and the ascent applied to all characters within a font.
  • Set the order in which the vectors that make up a character will be machined.
  • Adjust the kerning (white space) between pairs of characters within a font.
  • Save your customized font and then type in it using ArtCAM Insignia's Text Tool. For further details, see Working with Vector Text.
  • All customized fonts are listed with an '(AFN)' prefix in the Font list box on the Text Tool page.

To create a customized font:

  1. Click on the Font Editor icon [image] on the Assistant's Getting Started page to display the Font Editor page.
    • You can click on the Back icon [image] to return to the Assistant's Getting Started page.
  2. Select the font that you want to edit. This is referred to as the base font.
    • If you want to apply bold formatting to all characters within the selected font, click on the Bold button [image].
    • If you want to apply italic formatting to all characters within the selected font, click on the Italics button [image].

      If you want to edit a TrueType font:

    • First, click on the Base Font list box, and then on the font that you want to edit.
    • Next, click on the Script list box below, and then on the script option that you want to use for the font.
    • Finally, click on the Create button.

      If you want to edit an AutoCAD shape file (*.shp):

    • First, make sure that the Open for editing option is selected [image].
    • Now, click on the Import button to display the Import dialog box:

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Next, click on the Files of type list box, and then on the file type of the AutoCAD shape that you want to open.
    • Next, click on the Look in list box and select the directory where the AutoCAD shape file that you want to open is stored. Once you have found the file, click on its name.
    • Finally, click on the Open button.

      A new ArtCAM model is created and the Font Creator page is displayed in the Assistant window. All of the characters within the selected font appear as vectors in the 2D View window.

      For example, the characters that make up the Arial Western font appear as shown below:

    • You can toggle the grid of guidelines off and on by clicking on the ShowGuidelinesButton-ON button where the horizontal and vertical rulers meet. For further information, see Using Guidelines.
  3. If you cannot see the character that you want to edit, click on the View Unicode Page list box, and then on the next page number. Repeat this step until you have found the character. For Unicode fonts, each page contains 256 characters.
  4. Select the character that you want to edit. You can either:
    • Type the character or its code number in the Choose Character box, and then click on the Edit Character button.
    • Click on the character itself in the 2D View window.

      Only the selected character is now shown in the model area (the white area) of the 2D View window. The vectors that make up the character are now ungrouped. Red, purple and green guidelines are shown by default.

      In our example, the lower-case character 'p' is selected, as shown as follows:

  5. Click on the Assistant tab [image] and use the available vector tools to edit the selected character. A character can be edited in the same way as any other vector in ArtCAM Insignia. For further information, see Editing Vectors.
  6. Click on the Font Creator tab [image] to return to its settings. You can now adjust the offset and the ascent for the font using the currently selected character:
    • To adjust the offset distance between the current character and the next in the font, click and drag the red guideline into position.
    • To adjust the ascent of the font to which the current character belongs, click and drag the purple guideline at the top and the green guideline at the bottom of the font into position.
    • To restore the default position of all guidelines, click on the Reset Guides button.
    • Make sure that the purple guideline is aligned with the top edge of the capital 'H' or 'M' character in the font. The green guidelines should be aligned with the left and bottom edges of the capital character.
  7. If you want to set the order in which the character's vectors will be machined, click on the Set Vector Order button to display the settings in the Assistant window. Each of the character's vectors is numbered in the 2D View window, showing the total number of vectors and the current order in which they will be machined. You can either:
    • Move the [image] cursor over the vector, and then click on each of the vectors that make up the character in turn.
    • Click on the Swap Order button. Move the [image] cursor over the vector whose position you want to alter, and then click. Its current position in the machining order is displayed on the mouse cursor, replacing its left question mark. Click on the vector whose position you want to exchange with that which is already selected. The selected vectors are renumbered according to their new positions in the overall machining order.
  8. If you want to adjust the kerning between the selected character and another within the font:
    • A list of characters that have been kerned by default along with the selected character are shown in the Currently Kerned Characters area of the page. You can click on any of the listed characters to display them along with the selected character in the 2D View window.
    • First, type the new character or its code number in the Edit Kerning for Character box, and then click on the Edit Kerning button. The new character appears alongside the previously selected character in the 2D View window.

      In our example, the upper-case characters 'A' and 'W' appear as follows when selected:

    • Next, click and drag the blue guideline to set the distance between the pair of characters. Drag to the left to move the characters closer together, and to the right to move them further apart.

      This action only adjusts the kerning for the currently selected pair of characters in the font.

    • Alternatively, you can right-click on the guideline to display the Position Guide dialog box and define the new position of the guideline in the New Position box. For further information, see Defining a Guideline's Position.
    • Finally, click on the Done button to return to the Edit Character settings.
  9. Click on the Done button. The Choose Character options are displayed on the page and all of the characters within the selected font are shown again in the 2D View window.
  10. Repeat these steps until you have finished editing the characters in the font.
  11. Type a name for the font in the Font Name box.
  12. Make sure that the formatting used when editing the font is identified:
    • If you have edited the font with itallic formatting applied, make sure that the font is ITALIC option is selected.
    • If you have edited the font with bold formatting applied, make sure that the font is BOLD option is selected.
  13. Click on the Save Font button to save the font in the ArtCAM Insignia 4.1\Fonts folder.
    • If you are saving a font with a new name, a message box appears confirming that the font has been saved:

      Linked ArtCAM Graphics Directory Template [Insignia]

      Click on the OK button to close the message box.

    • If you are saving a font with the same name as a font already within the ArtCAM Fonts folder, a message box appears asking if you want to overwrite the existing font:

      Linked ArtCAM Graphics Directory Template [Insignia]

      If you want to overwrite the existing font, click on the Yes button. A second message box appears confirming that the font has been saved:

      Linked ArtCAM Graphics Directory Template [Insignia]

      If you do not want to overwrite the existing font, click on the No button. A second message box appears confirming that the font has not been saved:

      Linked ArtCAM Graphics Directory Template [Insignia]

      Click on the OK button to close the message box. You can now give the font a new name and repeat this step.

  14. Click on the Quit button to return to the Assistant's Getting Started page.
    • If you click on the Quit button before saving the font, a message box appears warning that the font has been modified. If you want to save the font, click on the Yes button. If you do not, click on the No button.

See Also

Managing a Model

Creating a New Model

Opening a Model

Saving a Model

Editing the Model Dimensions

Importing Vector Artwork

Exporting Vector Artwork

Creating a Multiplate

Correcting an Action

Mirroring a Model

Rotating a Model

Printing a Model


Working with Layers

There are two different types of layers used in ArtCAM Insignia: vector and bitmap. Every new ArtCAM model has a default vector and bitmap layer, although you can create as many of these layers as you like.

Using layers allows you to view only the vector and/or bitmap artwork that you are interested in at any given time, clearing the 2D View window of all unnecessary detail. Vector and bitmap layers are seen in the 2D View window.

Both of these different types of layers are grouped into separate areas on the Layers Manager. The layers contained in these two areas are stacked above one another. Both of the areas has its own toolbar, and this is located directly above the layer stack:

Vectors...

New Layer Open Layer Save Layer Duplicate Layer Merge Visible Layers Delete Selected Layer Toggle Visibility

Bitmaps...

New Layer Open Layer Save Layer Duplicate Layer Clear Layer Create Relief From Image Delete Layer Toggle Visibility

Using the Layers Manager, you can:

  • Create a separate layer to represent each aspect of the complete model that you are creating. For details, see Creating a New Layer.
  • Name a layer so that you can easily identify its purpose in relation to the overall scheme of your model. For details, see Naming a Layer.
  • Hide layers, allowing you to isolate the specific aspect of the model on which you are working. For details, see Viewing a Layer.
  • Load a layer. For details, see Loading a Layer.
  • Select layers. For details, see Selecting a Layer.
  • Duplicate layers. For details, see Duplicating a Layer.
  • Merge a selection of vector layers into a single layer. For details, see Merging Vector Layers.
  • Save a layer. For details, see Saving a Layer.
  • Select all artwork drawn across all visible vector layers. For details, see Selecting Vectors.
  • Delete a layer. For details, see Deleting a Layer.
  • Lock the artwork on a vector layer into position, or unlock it. For details, see Locking a Vector Layer.
  • Align artwork on a vector layer with a guideline, or any other artwork drawn on a visible vector layer, using snapping. For details, see Snapping on a Vector Layer.
  • Assign a colour to a vector layer, which is then applied to all artwork drawn on that layer. For details, see Assigning a Colour to a Vector Layer.
  • Transfer artwork between vector layers. For details, see Transferring Vectors Between Layers.
  • Adjust the stacking order of the vector layers. For details, see Adjusting the Vector Layer Stacking Order.
  • Clear a bitmap layer. For details, see Clearing a Bitmap Layer.

See Also

Working with Models

Getting Started

Managing a Model

Working with Sheets


Creating a New Layer

You can create a new vector and/or bitmap layer as part of your model. Every ArtCAM model contains a default vector and bitmap layer, and each of these are contained in separate areas on the Layers Manager.

Each new layer is created directly above the layer that is currently selected in the layer stack. A new layer is always selected after it has been created.

Vector layers are given a default colour of black. You can change this colour at any time. For details, see Assigning a Colour to a Vector Layer. You cannot change the name of the default vector layer in the model. You can create up to 990 vector layers in a single ArtCAM model.

To create a new layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Click on the New Layer button NewLayerButton in the area according to which kind of layer it is that you want to create: Vector or Bitmap.

If you have created a new vector layer, it is named Vector Layer by default. If you have created a bitmap layer, it is named Bitmap Layer by default. All layers are numbered sequentially by default.

For each new vector layer that you create:

  • the Toggle Visibility option is selected by default [image];
  • the Toggle Snapping option is selected by default [image];
  • the Toggle Locking option is deselected by default [image]; and
  • the colour black is assigned by default [image].

For further details, see Viewing a Layer, Snapping on a Vector Layer, Locking a Vector Layer and Assigning a Colour to a Vector Layer.

See Also

Working with Layers

Naming a Layer

Manipulating Layers


Naming a Layer

The default name given to each layer indicates the order in which it has been created only. It is recommended that you should name a layer so that it provides an indication of its content or its overall purpose in the scheme of the model.

You can change the name of any vector or bitmap layer, other than the default vector layer.

To change the name of a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Double-click on the layer that you want to rename to display its name box and associated buttons.

    Before...

    After...

    • You cannot rename the default layer in the Vectors area of the Layers Manager. If you double-click on the default layer in the stack, a message box appears warning you that the layer cannot be renamed:

      Linked ArtCAM Graphics Directory Template [Insignia]

      Click on the OK button to close the message box.

  3. Type the new name for the layer in its name box.
  4. Click on the [image] button to apply the name to the layer. The name box and its associated buttons are no longer displayed.

    Before...

    After...

    • If you no longer want to change the name of the selected layer, click on [image] button.

See Also

Working with Layers

Creating a New Layer

Manipulating Layers


Manipulating Layers

You can change the settings for a layer using the buttons associated with it.

  • Hide layers, allowing you to isolate the specific aspect of the model on which you are working. For details, see Viewing a Layer.
  • Lock the artwork on a vector layer into position, or unlock it. For details, see Locking a Vector Layer.
  • Align artwork on a vector layer with a guideline, or any other artwork drawn on a visible vector layer, using snapping. For details, see Snapping on a Vector Layer.
  • Transfer artwork between vector layers. For details, see Transferring Vectors Between Layers.
  • Merge a selection of vector layers into a single layer. For details, see Merging Vector Layers.

See Also

Working with Layers

Creating a New Layer

Naming a Layer


Viewing a Layer

You can toggle the visibility of the vector and bitmap layers in a model.

  • Vector and bitmap layers are seen in the 2D View window.

You can control the visibility of layers in the following ways:

  • Click on the Toggle Visibility button [image] to hide the contents of a layer.
  • Click on the Toggle Visibility button [image] to show the contents of a layer.
  • Click on the Toggle All Visibility button [image] to simultaneously hide the content on all layers in the model.
  • Click on the Toggle All Visibility button [image] to simultaneously show the content on all layers in the model.
  • You can use the Alt + B keys on your keyboard to toggle the visibility of all bitmap layers.
  • You can use the Alt + V keys on your keyboard to toggle the visibility of all vector layers.

When a vector layer is visible, the artwork drawn on that layer is shown in the 2D View window in the particular colour assigned to the layer. For details, see Assigning a Colour to a Vector Layer.

  • You can only hide the artwork on a vector layer shown in the 2D View window. If you want to hide a toolpath preview associated with a vector, see Hiding A Toolpath.
  • If you try to create a vector on a selected vector layer when it is hidden [image], its visibility is automatically toggled on [image].
  • You cannot merge a vector layer with another when it is hidden [image]. For details, see Merging Vector Layers.

Only the bitmap layer which is selected can be seen in the 2D View window. It is not possible to view two or more bitmap layers concurrently. For details, see Selecting a Layer.

See Also

Manipulating Layers

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Loading a Layer

You can load two types of layer into an ArtCAM model: a vector or bitmap layer.

Loading a Vector Layer

You can load a vector artwork file saved in any of the following formats as a new vector layer:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

The new vector layer is created directly above the currently selected vector layer in the stack shown in the Vectors area of the Layers Manager.

  • If you want to import the contents of a vector artwork file to an existing vector layer, make sure that the relevant vector layer is selected and then click on the File > Import...> Vector Data... option from the Main Menu bar. For details, see Importing Vector Artwork.

To import the contents of a vector artwork file as a new vector layer:

  1. Click on the Open button OpenNewLayerButton in the Vectors area of the Layers Manager to display the Load Vector Layer dialog box:

    • You can also display the Load Vector Layer dialog box by clicking on the Vectors > Load Layer... option from the Main Menu bar.
  2. Click on the Files of type list box, and then on the type of vector artwork file that you want to import as a new vector layer.
  3. Use either of the following methods to find the vector artwork file that you want to import as a new vector layer:
    • By default, ArtCAM Insignia lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a new vector layer.
  4. Once you have found the vector artwork file, click to select the file listed in the main window of the Load Vector Layer dialog box. Its name appears in the File name box.
  5. Click on the Open button to import the vector artwork file as a new vector layer.

    If you are importing vector artwork saved as a *.dxf file, the Imported File dialog box is displayed:

    Make sure that the settings for the imported vector artwork is correct:

    • If you want to position the imported vector data in the centre of the vector layer, click to select the Centre in Page option.
    • Make sure that the units of measurement (mm or inches) for the imported vector data are the same as those being used in the ArtCAM model by clicking on the appropriate radio button in the File Units area.
    • If you want to identify all self-intersecting spans in the vector data within tolerance, make sure that the Check for crossings and self-intersections option is selected and that the appropriate tolerance is defined in the Intersection Tolerance box.
    • Self-intersecting spans are shown in red when selected with white circular shapes marking the positions where the spans overlap.
    • If you want to rejoin any spans in the vector data that have been 'exploded' within tolerance, make sure that the Automatically rejoin vectors option is selected and that the appropriate tolerance is defined in the Rejoining Tolerance box.

      Click on the OK button to close the dialog box and import the vector artwork.

      If you are importing vector artwork saved as an Encapsulated PostScript (*.eps ) or Adobe Illustrator (*.ai) file with its origin outside of the ArtCAM model, the Choose location of data dialog box is displayed:

      Click on either of the radio buttons to select where you want to position the vector artwork in the vector layer:

    • If you want to position the vector artwork according to the X and Y co-ordinates stored in the file itsef, select the Position the data using the location in the EPS file option by clicking on its radio button.
    • If you want to position the vector artwork in the centre of the vector layer, select the Position the data in the centre of the ArtCAM image option by clicking on its radio button.

      Click on the OK button to close the dialog box and import the vector artwork.

      A new vector layer is created directly above the layer currently selected in the stack shown in the Vectors area of the Layers Manager. The vector layer adopts the name of the imported vector artwork file. The artwork on this new vector layer is selected by default.

    • If you are importing a vector data file that contains layers itself, all of the artwork in the file is consolidated on a single new vector layer in the ArtCAM model. If you want to preserve the layer information within the imported file, use the File > Import... > Vector Data... menu option from the Main Menu bar instead.
    • If you are importing a vector data file that already contains layers, the layer information within the file is preserved. If the name given to a layer in the imported file is shared by an existing vector layer in the stack, the artwork on the layer in the file is transferred to the layer of the same name in the stack. If there is no layer in the stack that shares the name of a layer in the imported file, a new vector layer is created which adopts the name originally given to the layer in the file.

      Each new vector layer created from the imported file is also assigned a red colour by default DXFLayerDefaultColour.

Loading a Bitmap Layer

You can load an image file saved in any of the following formats as a new bitmap layer:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

The new bitmap layer is created directly above the currently selected bitmap layer in the stack shown in the Bitmaps area of the Layers Manager.

To load an image file as a new bitmap layer:

  1. Click on the Open button OpenNewLayerButton in the Bitmaps area of the Layers Manager to display the Load Bitmap Layer dialog box:

    • You can also display the Load Bitmap Layer dialog box by clicking on the Bitmaps > Load Layer... option from the Main menu bar.
  2. Click on the Files of type list box, and then on the image file type that you want to import on a new bitmap layer.
  3. Use either of the following methods to find the image file that you want to import on a new bitmap layer:
    • By default, ArtCAM Insignia lists files in the ArtCAM model format (*.art) only. You can display all compatible files by clicking on the Files of Type list box followed by the All Files (*.*) option, or limit the files to an alternative format by clicking to select the specific file type in the Files of Type list box.
    • You can use the Look in list box and the Up One Level button UpOneLevelButton to navigate to the directory or folder containing the file from which you want to create a model.
  4. Once you have found the image file, click to select the file listed in the main window of the Load Bitmap Layer dialog box. Its name appears in the File name box.

    In the Model Preview area you can see a preview of the selected image file. A greyscale representation of the selected image file is displayed in the Relief Information area along with its dimensions in pixels.

  5. If you want to scale the selected image file, click on the Scaling list box followed by the appropriate scaling option:
    • None - Click on this option if you do not want to scale the selected image.
    • Fit - Click on this option if you want to maintain the aspect ratio of the selected image. If the selected image is equal to or larger than the model area (the white area) in the 2D View window, the selected image fills this without being cropped. If the selected image is smaller than the model area, ArtCAM Insignia adds borders around the image to compensate. The border adopts the colour found in the top-left pixel in the selected image.
    • Fill - Click on this option if you want to crop areas of the selected image outside of the model area (the white area) in the 2D View window. The selected image fills the model area and its original aspect ratio is maintained.
    • Stretch - Click on this option if you want to distort the image, so that it fills the model area (the white area) in the 2D View window. Although the selected image is resized to fill the model area, its original aspect ratio is not maintained.
  6. Click on the Open button to import the image into the ArtCAM model as a new bitmap layer. The new bitmap layer appears directly above the currently selected layer in the stack in the Bitmaps area of the Layers Manager. The bitmap layer adopts the name of the image file from which it is created.

See Also

Manipulating Layers

Viewing a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Selecting a Layer

To select a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
    • If you cannot see the Layers Manager, press the F7 key on your keyboard to toggle its display.
  2. Click on the name of the layer in the stack that you want to select. Its name is emphasized in dark-grey.

    For example, if you select the default layer in the Vectors area of the page, it appears as follows:

    Before...

    After...

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Duplicating a Layer

You can duplicate a selected vector or bitmap layer. In doing so, the contents of the original layer and its associated settings are reproduced on a new layer.

  1. Select the layer that you want to duplicate. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  2. Click on the Duplicate Layer button DuplicateLayerButton associated with the type of layer that you are now duplicating.

    For example, if you are duplicating a vector layer, click on the Duplicate Layer button DuplicateLayerButton shown in the Vectors area of the Layers Manager.

    The new duplicate layer is created directly above the original layer in the stack from which it has been created.

    • After duplicating a vector layer, you can set the overall position of the resulting layer in the stack using the ReliefLayerUpButton and ReliefLayerDownButton buttons located at the bottom-right of the stack. For details, see Adjusting the Vector Layer Stacking Order.

      The default name of the new duplicate layer adopts the name of the original layer from which it has been created along with a Copy suffix. For example, a duplicate of Vector Layer 1 is named Vector Layer 1 Copy.

      When creating a duplicate vector layer, the duplicate layer assumes all of the properties associated with the original layer. This includes its current colour, whether or not it is locked, its visibility and whether or not snapping is active.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Merging Vector Layers

When working with vector layers, you can combine multiple visible layers into a single new layer. This decreases the memory requirements of the ArtCAM model. However, because these layers have been consolidated into a single layer they can no longer be edited separately.

To merge the content on all visible vector layers into a single new vector layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Make sure that all of the vector layers that you want to merge are visible. For details, see Viewing a Layer.
  3. Click to select the layer in the stack above which you want to create the new layer on which all other visible layers are consolidated. Its name is emphasized in dark-grey.

    For example, if you select the default vector layer it appears as follows:

  4. Make sure that the visibility is deselected [image] for all of the layers in the stack that you do not want to merge. For details, see Viewing a Layer.
  5. Click on the Merge Visible button MergeVisibleButton to merge all of the visible layers in the stack.

    The original vector artwork drawn across the previously visible layers is consolidated on a new vector layer named Merged Layer by default. The merged layer is created directly above the selected vector layer in the stack. The colour black is assigned to the merged layer, and it is also visible by default. The visible layers that hosted the vector artwork prior to merging remain in the stack, although they are now hidden and empty.

    Each time that you merge a selection of visible vector layers, a new merged layer is created in the stack. These are numbered consecutively.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Saving a Layer

You can save a selected vector or bitmap layer in a variety of different file types.

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the layer that you want to save. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  3. Click on the Save button SaveLayerButton in the toolbar associated with the type of layer that you want to save. The Save Layer dialog box appears.

    For example, when saving a bitmap layer the Save Bitmap Layer dialog box appears as follows:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also save a vector layer from the Main Menu bar by clicking on the Vectors > Save Layer... option.
    • You can also save a bitmap layer from the Main Menu bar by clicking on the Bitmaps > Save Layer... option.
  4. If you want to specify the location in which the layer is saved, click on the Save In list box and then select the relevant directory on your computer.
    • If you are saving a vector layer for the first time, the C:\Documents and Settings\All Users\Documents\ArtCAM Files\Vector Libraries directory is selected by default. Otherwise, ArtCAM Insignia remembers the last location in which you saved a file.
    • If you are saving a bitmap layer for the first time, the C:\Documents and Settings\All Users\Documents\My Pictures directory is selected by default. Otherwise, ArtCAM Insignia remembers the last location in which you saved a file.
  5. The name of the layer you are saving is shown in the File name area by default. If you want to change the name of the file, type its new name here.
  6. Click on the Save as type list box and select the format in which you want to save the layer.

    If you are saving a vector layer, you can save it in any of the following file formats:

    • Encapsulated PostScript (*.eps)
    • Drawing Interchange File (*.dxf)
    • Delcam DGK (*.dgk)
    • Lotus, PC Paint or DUCT Picture (*.pic)

      If you are saving a bitmap layer, you can save it in any of the following file formats:

    • Windows Bitmap (*.bmp)
    • Tagged Image File (*.tif)
    • PC Paintbrush (*.pcx)
    • CompuServe Image (*.gif)
    • JPEG Image (*.jpg or *.jpeg)
  7. Click on the Save button to save the layer and close the Save As dialog box.
    • If you want to close the Save As dialog box without saving the selected layer, click on the Cancel button.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Deleting a Layer

You can delete any layer in a model. If you delete a vector layer, you must choose whether or not to transfer the vector artwork hosted on the layer to the default layer or delete the artwork along with the layer itself.

To delete a layer:

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the layer in the stack that you want to delete. Its name is emphasized in dark-grey. For details, see Selecting a Layer.
  3. Click on the Delete button DeleteLayersButton to delete the selected layer.
    • If you accidentally delete a layer, you can use the Ctrl + Z keys on your keyboard to restore the layer to the stack from which it was deleted. The layer also assumes its original position in the stack.

      If you are deleting a vector layer, the following message box appears:

      Linked ArtCAM Graphics Directory Template [Insignia]

    • If you want to transfer the artwork on the selected vector layer to the default layer before it is deleted, click on the Yes button.
    • If you use the Ctrl + Z keys on your keyboard to restore a deleted vector layer to the stack, any artwork transferred to the default layer at the time it was deleted is moved back to the vector layer on which it was originally drawn.
    • If you want to delete the selected vector layer along with the artwork drawn on the layer, click on the No button.
    • If you no longer wish to delete the selected vector layer, click on the Cancel button.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Locking a Vector Layer

You can lock or unlock selected artwork drawn on a vector layer, so that it cannot be moved accidentally. Locking, however, does not prevent you from transferring artwork from one vector layer to another.

  • Click on the Toggle Locking button [image] to lock the selected artwork on a vector layer.
  • Click on the Toggle Locking button [image] to unlock all locked artwork on a vector layer.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Snapping on a Vector Layer

Snapping allows you to align a vector on a selected vector layer with another vector on any other visible vector layer or a guideline. For further information on guidelines, see Using Guidelines.

  • The Snap To Objects option in the Bitmaps > Views menu must be selected to use the Toggle Snapping button [image] in the Vectors area of the Layers Manager. For details, see Snapping To Objects.

You can turn the snapping for a layer on and off.

  • Click on the Toggle Snapping button [image] to disable snapping on the vector layer.
  • Click on the Toggle Snapping button [image] to enable snapping on the vector layer.
  • To temporarily disable snapping, hold down the Shift key on your keyboard.

For details on how the mouse cursor changes when it snaps, see Snapping To Objects.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Assigning a Colour to a Vector Layer

You can assign a colour to a vector layer. Once you have done so, all of the artwork drawn on that layer is shown in the selected colour. This allows you to recognize the vector layer to which the vector artwork shown in the 2D View window belongs.

  • Avoid using blue, magenta or red when assigning a colour to a vector layer. This is because these colours are used in ArtCAM Insignia when you select vectors or view toolpath previews. For details, see Selecting Vectors and Selecting Toolpaths.
  1. Click on the Layers tab [image] to display the Layers Manager. The vector artwork drawn on a new vector layer is coloured black by default.
  2. Click on the [image] button for the layer whose colour you want to change. The Color dialog box is displayed:

  3. Select the colour that you want to use for the layer.

    To select a Basic colour:

    • Click on a colour in the Basic Colors palette.

      To select a Custom colour:

    • Click on an approximate colour in the Colour Matrix, then click and drag on the slider at the right of the dialog box to adjust the colour's attributes.
    • Type values in the Hue, Sat (Saturation) and Lum (Luminosity), or the Red, Green and Blue boxes to specify the colour.
    • Click on the Add To Custom Colors button to add the colour to the Custom Colors palette.
  4. Click on the OK button to close the Color dialog box and set the colour of the artwork drawn on the layer.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Transferring Vectors Between Layers

You can transfer selected artwork from one vector layer to another, or to a completely new vector layer.

  1. Click on the Layers tab [image] to display the Layers Manager.
  2. Select the vectors in the 2D View window that you want to transfer to another vector layer.
    1. Make sure that the Select Vectors button in the Vector Tools area of the Assistant's Home page is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Right-click the mouse on the selected vectors to display their context menu, and then click on the Move to Layer option to display a sub-menu listing up to 20 of the vector layers in the model:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • If the Add In tab is currently shown, you can use the Move to Layer > Layer Manager... option in the context menu to display the Layers Manager.
  4. If you want to transfer the selected vectors to an existing layer:
    • Click on the name of the layer to which you want to transfer the selected vectors. The selected vectors are transferred to the layer and are shown in the colour assigned to the layer.
    • If you transfer the selected vectors to a layer that is hidden, the layer becomes visible [image].

      If you want to transfer the selected vectors to a new layer:

    • Click on the New Layer... option. A new vector layer is created at the top of the stack and the selected vectors are transferred to this layer. The new layer is selected by default.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Adjusting the Vector Layer Stacking Order

Clearing a Bitmap Layer


Adjusting the Vector Layer Stacking Order

You can set the order in which vector layers are stacked. You cannot adjust the stacking order of bitmap layers. You can move a layer vertically up and down.

To promote a selected layer in the stack:

  1. Select the layer in the stack that you want to promote. For details, see Selecting a Layer.
  2. Click on the MoveLayerUpButton button to promote the selected layer directly above the next layer in the stack.

To demote a selected layer in the stack:

  1. Select the layer in the stack that you want to demote. For details, see Selecting a Layer.
  2. Click on the MoveLayerDownButton button to demote the selected layer directly below the next layer in the stack.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Clearing a Bitmap Layer


Clearing a Bitmap Layer

You can delete the content on a selected bitmap layer and restore the background to white, or if white is not in the Colour Palette, the current Primary Colour.

To clear a selected bitmap layer:

  1. Make sure that the bitmap layer that you want to clear is selected. For details, see Selecting a Layer.
  2. Make sure that the colour you want to use for the background of the model is selected as the Primary Colour. For details, see Selecting the Primary and Secondary Colours.
  3. Click on the Clear button [image] in the Bitmaps area of the Layers Manager to restore the background to either white or the current Primary Colour depending on which is available from your Colour Palette.

You can also clear a selected bitmap layer in the following way:

  1. From the Main Menu bar, click on the Bitmaps > Clear menu option.

See Also

Manipulating Layers

Viewing a Layer

Loading a Layer

Selecting a Layer

Duplicating a Layer

Merging Vector Layers

Saving a Layer

Deleting a Layer

Locking a Vector Layer

Snapping on a Vector Layer

Assigning a Colour to a Vector Layer

Transferring Vectors Between Layers

Adjusting the Vector Layer Stacking Order


Working with Sheets

Using sheets is an extremely efficient concept for handling parts. A sheet typically represents the sheet of material that you have available for a specific job. Every ArtCAM model has a single Default Sheet, although you can create as many sheets as you like. Sheets are named Sheet, numbered sequentially and independent of vector layers.

Each new sheet is shown in the 2D View window and selected in the list box shown in the Vectors area of the Layers Manager. Only one sheet can be active at a time. By displaying only one sheet at a time, the purpose of each sheet is made explicit and you cannot make accidental changes to other sheets. The model area (white area) shown in the 2D View window is always associated with the active sheet. All sheets are labelled clearly in the 2D View window.

When a sheet is not active, although it is greyed-out you can see all of the vector artwork associated with the sheet in the 2D View window irrespective of whether or not the vector layers are visible. For details, see Viewing a Layer.

Although ArtCAM Insignia generates sheets of vectors when you use the Nesting or Multiplate tools, ArtCAM Insignia gives you complete control over the number of sheets in a model. You can:

  • Create additional sheets as and when they are required. For details, see Creating a Sheet.
  • Delete sheets when they are no longer required, choosing whether or not to keep the vector artwork associated with them. For details, see Deleting a Sheet.
  • Limit the number of sheets created when nesting. For details, see Nesting Vector Objects.
  • Once you have defined a maximum number of sheets, any vector artwork that cannot be nested in the available sheets remains associated with the Default Sheet and is shown in its original position in the 2D View window.

For further information, see Nesting Vector Objects and Creating a Multiplate.

See Also

Working with Models

Getting Started

Managing a Model

Working with Layers


Creating a Sheet

You can create as many sheets as part of an ArtCAM model as you want. Each of the sheets that you create are listed in the list box shown in the Vectors area of the Layers Manager. Each sheet that you create is named Sheet and numbered sequentially. Each new sheet that you create is selected by default.

  • You cannot rename a sheet.

To create a sheet:

  1. Click on the Vectors > Sheets > Create Sheet menu option from the Main Menu bar:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Working with Sheets

Selecting a Sheet

Deleting a Sheet

Creating a Sheet Report


Selecting a Sheet

You can only select one sheet at a time. This is commonly referred to as the active sheet. The selected sheet is shown in the 2D View window and you can create vector artwork

To select a sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the vector sheets in the ArtCAM model. The name of the active sheet is emphasized in blue:

  2. Click on the name of the vector sheet on which you want to work. The list of all available sheets is hidden and only the name of the selected sheet can be seen in the list box.

See Also

Working with Sheets

Creating a Sheet

Deleting a Sheet

Creating a Sheet Report


Deleting a Sheet

You can delete any of the sheets created as part of an ArtCAM model, but you can only delete a sheet when it is active.

  • You cannot delete the Default Sheet.

To delete a sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the sheets in the ArtCAM model. The name of the active sheet is emphasized in blue.
  2. Click on the name of the sheet that you want to delete. The list of all available sheets is hidden and only the name of the selected vector sheet can be seen in the list box.
  3. Click on the Vectors > Sheets > Delete Active Sheet menu option from the Main Menu bar to delete the sheet:

    Linked ArtCAM Graphics Directory Template [Insignia]

    If there is any vector artwork drawn on the chosen vector sheet, a message box appears asking if you want to transfer the vector artwork to the Default Sheet:

    Linked ArtCAM Graphics Directory Template [Insignia]

    If you want to transfer the vector artwork to the Default Sheet, click on the Yes button. If you want to delete the sheet and its associated vector artwork, click on the No button. If you no longer wish to delete the active sheet, click on the Cancel button.

See Also

Working with Sheets

Creating a Sheet

Selecting a Sheet

Creating a Sheet Report


Creating a Sheet Report

You can create a report for the active sheet in an ArtCAM model. The report is displayed in a new browser window and contains the following details:

  • name of the ArtCAM model
  • name of the active sheet
  • preview image of the vector artwork associated with the active sheet, and the selected bitmap layer if visible
  • dimensions of the active sheet (width and height)
  • material Z zero position; and
  • calculated toolpaths associated with the active sheet.

The report can saved or sent to any printer installed on your computer.

To create a sheet report for a specific sheet:

  1. Click on the list box shown in the Vectors area of the Layers Manager to display a list of all the sheets in the ArtCAM model. The name of the active sheet is emphasized in blue.
  2. Click on the name of the sheet for which you want to create a report. The list of all available sheets is hidden and only the name of the selected vector sheet can be seen in the list box.
  3. Click on the Vectors > Sheets > Sheet Report menu option from the Main Menu bar to display the sheet report in a new browser window:

    Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Working with Sheets

Creating a Sheet

Selecting a Sheet

Deleting a Sheet


Working with Bitmaps

This section describes how images can be created and used in ArtCAM Insignia.

In This Chapter

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors


Drawing using Bitmaps

When you have created or opened an ArtCAM model, you can use the drawing and painting tools in the Bitmap Tools area of the Assistant's Home page to create your own bitmap images.

See Also

Working with Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors


Bitmap Drawing Tools

A bitmap image, or raster graphic, is made up of pixels in a grid. Pixels are picture elements; tiny dots of individual colour that make up the images that you see on your screen. Bitmap images are resolution dependent. Resolution refers to the number of pixels in an image and is usually stated as d.p.i. (dots per inch). Since bitmap images are resolution dependent, it is difficult to scale them to a larger size without sacrificing a degree of quality.

In ArtCAM Insignia, you can edit imported bitmap images or create your own. The group of bitmap tools is found on the Bitmap Tools area of the Assistant's Home page:

You can use the buttons in the Bitmap Tools area of the Assistant's Home page to help you create and edit bitmap artwork in your model. The appearance of the area at any given time is determined by which toolsets are currently pinned or not, and which item is currently selected from each of those toolsets.

With all toolsets collapsed....

Linked ArtCAM Graphics Directory Template [Insignia]

With all toolsets expanded and pinned....

Linked ArtCAM Graphics Directory Template [Insignia]

There are three separate toolsets located in the Bitmap Tools area, and these are identified below:

Drawing Toolset:

Linked ArtCAM Graphics Directory Template [Insignia]

Flood Fill Toolset:

Linked ArtCAM Graphics Directory Template [Insignia]

Colour Toolset:

Linked ArtCAM Graphics Directory Template [Insignia]

The button attached to the far-left of each toolset is always that which is currently selected from the toolset. For further information on how to expand and collapse a toolset, see ArtCAM Insignia Layout.

You can also use the Bitmaps Menu on the Main Menu bar:

Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Drawing using Bitmaps

Reducing Colours


Reducing Colours

You can reduce the number of colours in a bitmap image. ArtCAM Insignia takes colours of a similar shade and from them produces an averaged colour. This averaged colour is displayed in the Colour Palette in place of the original colours.

  • Colour reduction should be done as an iterative process so that the number of colours can be minimized whilst preserving the detail in the original bitmap image.

To reduce the number of colours in a bitmap image:

  1. Click on the Reduce Colours button [image] in the Colour toolset shown in the Bitmap Tools area of the Assistant's Home page to display the Reduce Number Of Colours In Image dialog box:
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Colour toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Colour toolset in the Bitmap Tools area of the Assistant's Home page.

    • You can also display the Number of Colours In Image dialog box using the Bitmaps > Colour > Reduce Number... menu option from the Main Menu bar.
  2. Define the new number of colours in the New Maximum Number Of Colours For Image box.

    The default number is always one less than that shown in the greyed-out Current Number Of Colours In Image box.

  3. Click on the OK button to close the Reduce Number Of Colours In Image dialog box and reduce the number of colours in the bitmap image to that specified.
  • Reducing the number of colours in a bitmap image resets all colour links and attributes. If you want to keep any new or linked colours you have created, do not click on the OK button.

See Also

Drawing using Bitmaps

Bitmap Drawing Tools


Creating a Model from a Bitmap

You can create an ArtCAM model by importing an image saved in any the following file formats:

  • ArtCAM Model (*.art)
  • AutoCAD 2D Drawing (*.dwg)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • DUCT Picture (*.pic)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tifor *.tiff)
  • TrueVision Targa (*.tga)
  • Portable Document Format (*.pdf)
  • Delcam DGK (*.dgk)
  • Drawing Interchange File (*.dxf)

For details, see Creating a Model from an Image.

See Also

Working with Bitmaps

Drawing using Bitmaps

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors


Importing a Bitmap into a Model

In ArtCAM Insignia, you can import any the following types of files as a new bitmap layer in an ArtCAM model:

  • ArtCAM Model (*.art)
  • ArtCAM Relief (*.rlf)
  • JPEG image (*.jpg or *.jpeg)
  • CompuServe image (*.gif)
  • Windows Bitmap (*.bmp)
  • PC Paintbrush (*.pcx)
  • Tagged Image File (*.tif or *.tiff)
  • TrueVision Targa (*.tga)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

For further details, see Loading a Layer.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors


Setting a Bitmap's Size and Origin

You can change the size of a bitmap image imported into ArtCAM Insignia. In resizing the bitmap image, you also set the size of the vectors that can be created from it.

There are two ways to set the size of a bitmap image imported into ArtCAM Insignia, both of which are done via the Set Model Size dialog box.

  1. In the Method area, click on the appropriate radio button [image] according to how you want to set the new size of the model.

    If you have selected the Image size method:

    • Define the new height (Y) and width (X) of the model in the Height and Width boxes.

      If you have selected the Scanned d.p.i. method:

    • Define the resolution that you want use for the model in the d.p.i. box.
    • Reducing the dots per inch increases the overall size of the model.
  2. In the Origin area, click on the centre or any of the four corner radio buttons [image] to define the X-axis zero and Y-axis zero origin.
  3. Make sure that the Units option is set according to those you in which you are working (millimetres or inches).
  4. Click on the OK button to set the size of the model according to the defined dimensions.

  • Changing the size of the image does not alter the resolution of the original bitmap you imported into ArtCAM Insignia. The image retains the same number of pixels as the original.

You can also set the origin of an imported bitmap image to any one of five preset positions in ArtCAM Insignia. Each of these positions determines where the vectors you create from the bitmap image are positioned in the model. For details on how to use the Setup Job Dimensions dialog box, see Editing the Model Dimensions.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Working with Colours

Editing a Bitmap Image

Converting a Bitmap into Vectors


Working with Colours

Whenever you create or open an existing ArtCAM model, a default Colour Palette is displayed beneath the 2D View window:

When you have imported a bitmap image, all of the colours within the image are displayed in the Colour Palette below the 2D View window.

You can use the Bitmaps > Colour menu from the Main Menu bar to manage the colours that make up your bitmap images and to manipulate how they are used in the model:

Create New Layer Load Layer... Save Layer... Clear Colour Views Add Colour(s)... Link/Unlink Link All Colours Reset All Links Merge Reduce Number... Thin... Thicken... Mark Edge Save Palette... Load Palette...

You can also use the tools in the Bitmap Tools area of the Assistant's Home page to manage the number of colours in a bitmap image:

Add Colour Reduce Colours Pin/Unpin Colour Toolset

You can use bitmap colours in the following ways:

  • Select the Primary and Secondary colours from the Colour Palette. For details, see Selecting the Primary and Secondary Colours.
  • Reduce the number of colours in a bitmap image. For details, see Reducing Colours.
  • Link colours within a bitmap image. For details, see Colour Linking.
  • Merge colours within a bitmap image. For details, see Colour Merging.
  • Mark the edge of a bitmap image. For details, see Edge Marking.
  • Thin colours within a bitmap image. For details, see Colour Thinning.
  • Thicken colours within a bitmap image. For details, see Colour Thickening.
  • Add colours to the Colour Palette. For details, see Adding Colours.
  • Save a custom Colour Palette. For details, see Saving a Custom Colour Palette.
  • Load a custom Colour Palette. For details, see Loading a Custom Colour Palette.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Editing a Bitmap Image

Converting a Bitmap into Vectors


Selecting the Primary and Secondary Colours

The Primary Colour defines the shape of the vectors you can create from a bitmap image. ArtCAM Insignia can create vectors around the outline of all areas in the Primary Colour, along with those colours to which it is linked.

The Primary Colour controls the colour of the Paint and Draw tools. You can use the Secondary Colour only when painting, drawing or editing a bitmap image.

You can select the Primary and Secondary colours from the Colour Palette beneath the 2D View window:

(1). Primary Colours

(2). Secondary Colours

(3). Available Colours

You can also select the Primary and Secondary colours from the bitmap image itself using the Pick Colour tool.

To select the Primary Colour, you can either:

  • Click on the colour in the Colour Palette you want to use.
  • Click on the Pick Colour button [image] in the Bitmap Tools area of the Assistant's Home page, move the dropper [image] over the colour in the bitmap image that you want to select, and then click.

To select the Secondary Colour, you can either:

  • Right-click on the colour in the Colour Palette you want to use.
  • Click on the Pick Colour button [image] in the Bitmap Tools area of the Assistant's Home page, move the dropper [image] over the colour in the bitmap image that you want to select, hold down the Shift key on your keyboard, and then click.

See Also

Working with Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Colour Linking

You can both link and unlink colours within the Colour Palette beneath the 2D View window. When a colour in the Colour Palette is linked to the Primary Colour, it is treated as the Primary Colour for as long as it linked to it.

There are four ways you can link a colour in the Colour Palette with the current Primary Colour:

  • From the Main Menu bar, click on the Bitmaps > Colour > Link/Unlink menu option to link the Secondary Colour to the Primary Colour.
  • Press the Ctrl + L keys on your keyboard to link the Secondary Colour to the Primary Colour.
  • Click on the Link/Unlink icon [image] in the Colour Palette to link the Secondary Colour to the Primary Colour.
  • Double right-click on the colour in the Colour Palette that you want to link to the Primary Colour.

You can see that colours are linked to the Primary Colour when shown in the Colour Palette as follows:

When colours are linked to the Primary Colour, they are displayed within the image in the Primary Colour.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Linking All Colours

You can click on the Bitmaps > Colour > Link All Colours menu option from the Main Menu bar to simultaneously link all colours currently in the Colour Palette, other than the Secondary Colour, to the Primary Colour.

  • You can also press the Ctrl + K keys on your keyboard to simultaneously link all colours currently in the Colour Palette, other than the Secondary Colour, to the Primary Colour.
  • Depending on how many colours there are you want to link, it may be quicker to use the Link All Colours method of linking and then use the Bitmaps > Colour > Link/Unlink menu option to unlink the individual colours that you do not want.

See Also

Colour Linking

Unlinking All Colours


Unlinking All Colours

You can click on the Bitmaps > Colour > Unlink All Colours menu option from the Main Menu bar to unlink all colours currently linked in the Colour Palette.

  • You can also press the Ctrl + R keys on your keyboard to unlink all colours currently linked in the Colour Palette.

See Also

Colour Linking

Linking All Colours


Colour Merging

You can merge all of the pixels within a bitmap layer in the Secondary Colour with the Primary Colour. The Secondary Colour is then removed from the Colour Palette beneath the 2D View window.

To do so:

  1. Click on the colour within the Colour Palette that you want to select as the Primary Colour.
  2. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  3. From the Main Menu bar, click on the Bitmaps > Colour > Merge menu option to merge the current Secondary Colour with the current the Primary Colour. The Secondary Colour is removed from the Colour Palette altogether.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Edge Marking

You can paint a line around the edge of a colour on a bitmap layer. Marking the outline of a colour on a bitmap layer in this way means that its shape is clearly defined when it is converted into vectors.

To mark the edges:

  1. Select the bitmap layer on which you want to mark edges. For details, see Selecting a Layer.
  2. Click on the colour in the Colour Palette around which you want to paint a line. This colour is now set as the Primary Colour.
  3. Right-click on the colour in the Colour Palette that you want to use for painting the outline. This colour is now set as the Secondary Colour.
  4. Click on the Bitmaps > Colour > Mark Edge menu option from the Main Menu bar. A line is painted in the Secondary Colour around all regions on the bitmap layer made up of the Primary Colour.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Colour Thinning

Thinning reduces the width of a colour area, replacing edges with the Secondary Colour. If you select the full thinning process, this reduces the area to a single pixel skeleton. Rather than manually changing an area of colour pixel by pixel, you can automatically thin areas in the Primary Colour.

To thin areas in the Primary Colour:

  1. Select the bitmap layer on which you want to thin areas of colour. For details, see Selecting a Layer.
  2. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  3. Right-click on the colour within the Colour Palette you want to select as the Primary Colour.
  4. Click on the Bitmaps > Colour > Thin... menu option from the Main Menu bar to display the Thin Primary Colour dialog box:

  5. Click to select the thinning method you want to use:
    • Keep processing until finished - This option continues to thin all regions on the bitmap layer in the Primary Colour until they are reduced to a width of one pixel.
    • Limit number of passes to - This option sets a limit on the number of thinning passes according to the value you type in the box. Each pass converts one edge pixel in the Primary Colour to the Secondary Colour.
  6. Click on the OK button to close the Thin Primary Colour dialog box and to thin all regions in the Primary Colour.

    The region of removed pixels on the bitmap layer is marked in the current Secondary Colour. If you do not need to mark this region, ensure that the Secondary Colour is the same as the background colour in the bitmap layer before colour thinning.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thickening

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Colour Thickening

Thickening increases the width of a colour area, expanding the borders with the Secondary Colour. Rather than manually changing an area of colour pixel by pixel, you can automatically thicken areas of a bitmap layer in the Primary Colour.

To thicken areas in the Primary Colour:

  1. Select the bitmap layer on which you want to thicken areas of colour. For details, see Selecting a Layer.
  2. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  3. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  4. Click on the Bitmaps > Colour > Thicken... menu option from the Main menu bar to display the Thicken Colour dialog box:

  5. Define the brush diameter in the Number of Pixels box.
    • The brush diameter should be an odd number. Even numbers are automatically rounded up to an odd number.
  6. Click on the OK button to close the Thicken Colour dialog box and to apply a round brush of the diameter you have already defined in the current Secondary Colour to each pixel on the bitmap layer in the current Primary Colour.

    If you want to cancel the colour thickening process at any time, click on the Cancel button.

    The original pixels in the bitmap layer remain in the Primary Colour, while the thickened regions of the bitmap layer appear in the Secondary Colour. If you do not need this distinction, ensure that both the Primary and Secondary Colours are identical in the bitmap layer before colour thickening.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Adding Colours

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Adding Colours

You can increase the range of colours within the Colour Palette beneath the 2D View window. You can add Basic Colours and/or create your own Custom Colours for you to paint in.

To add to the Colour Palette:

  1. Click on the Add Colour button [image] in the Colour toolset shown in the Bitmap Tools area of the Assistant's Home page to display the Color dialog box:
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Colour toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Colour toolset in the Bitmap Tools area of the Assistant's Home page.

      Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also click on the Bitmaps > Colour > Add Colour(s)... menu option in the Main Menu bar to display the Color dialog box.
  2. Select a colour that you want to add to the Colour palette. To select a Basic colour:
    • Click on a colour in the Basic colors chart.

      To select a Custom colour:

    • Click on an approximate colour in the Colour Matrix, and then click and drag the slider [image] at the right of the dialog box to adjust the colour's attributes.
    • Type new values in the Hue, Sat (Saturation) and Lum (Luminosity) or the Red, Green and Blue boxes to specify the colour. The colour appears in the Color|Solid area of the Color dialog box.
  3. Click on the Add To Custom Colors button to add the colour you have defined to the Custom Colours palette. The colour you have selected appears in the Custom colors area of the Color dialog box.
  4. Click on the OK button to close the Color dialog box.

    If you try to add a colour that is already in the Colour Palette, the following message box appears:

    Linked ArtCAM Graphics Directory Template [Insignia]

    If so, click on the OK button to close the message box and add a different colour.

    The Basic and/or Custom Colours that you have selected appear in the Colour Palette beneath the 2D View window.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Saving a Custom Colour Palette

Loading a Custom Colour Palette


Saving a Custom Colour Palette

You can save any custom arrangement of colours you have made in the Colour Palette beneath the 2D View window as an ArtCAM Palette file (*.pal).

You can replace the current Colour Palette displayed beneath the 2D View window with another custom Colour Palette by loading a previously saved ArtCAM Palette file.

To save the Colour Palette that you are currently using:

  1. Click on the Bitmaps > Colour > Save Palette... menu option from the Main Menu bar to display the Save As dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Save In list box and then on the directory in which you want to save the Colour Palette.
  3. Type the file name that you want to use for the Colour Palette in the File name box.
  4. Click on the Save button to save the Colour Palette.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Loading a Custom Colour Palette


Loading a Custom Colour Palette

You can replace the Colour Palette currently displayed beneath the 2D View window with another custom Colour Palette by loading a previously saved ArtCAM Palette file (*.pal).

To load an ArtCAM Palette file:

  1. Click on the Bitmaps > Colour > Load Palette... menu option from the Main Menu bar to display the Open dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Look In list box in the Open dialog box and find the ArtCAM Palette file that you want to load.
  3. Once you have found the file, click on the file name listed in the main window of the Open dialog box. Its name appears in the File name box.
  4. Click on the Open button to display the custom Colour Palette beneath the 2D View window.

See Also

Working with Colours

Selecting the Primary and Secondary Colours

Colour Linking

Colour Merging

Edge Marking

Colour Thinning

Colour Thickening

Adding Colours

Saving a Custom Colour Palette


Editing a Bitmap Image

You can change an image on a bitmap layer stacked in the Bitmaps area of the Layers Manager using the painting and drawing tools and the Colour Palette. The painting tools in ArtCAM Insignia are a brush and a flood-fill tool. The drawing tools are a pencil and a bitmap-line tool.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Converting a Bitmap into Vectors


Using the Paint Brush

The paint brush allows you to paint in the Primary and Secondary Colours, as shown on the left of the Colour Palette below the 2D View window:

(1). Primary Colours

(2). Secondary Colours

(3). Available Colours

You can use the paint brush to modify any image on a bitmap layer that you have created or imported into ArtCAM Insignia:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Paint button [image] in the Drawing toolset shown in the Bitmap Tools area of the Assistant's Home page to enter Paint mode.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Drawing toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Drawing toolset in the Bitmap Tools area of the Assistant's Home page.

  3. Set the brush size and shape, as described in Setting the Brush Size and Shape.
  4. Move the [image] cursor over the area of the bitmap layer that you want to edit, and then click and drag to paint in the Primary Colour.
  5. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Paint mode.

See Also

Editing a Bitmap Image

Using the Draw Tool

Using the Bitmap Line Tool

Using the Erase Tool

Flood Filling

Copying and Pasting Bitmap Areas


Setting the Brush Size and Shape

You can change the size and shape of the paint brush tool using the Brush Diameter slider and the toggle brush shape icon displayed in the Bitmap Tools area of the Assistant's Home page.

To change the shape of the brush:

  • Click on the brush shape icon to toggle between a circle BrushCircle and a square BrushSquare brush tip.

To change the size of the brush:

  • Click on the Brush Diameter slider and drag the mouse to the right to increase the number of pixels that make up the brush size. The number of pixels that make up the brush size is shown above the slider.
  • Click on the Brush Diameter slider and drag the mouse to the left to reduce the number of pixels that make up the brush size. The number of pixels that make up the brush size is shown above the slider.

See Also

Using the Paint Brush

Selective Painting


Selective Painting

You can use the Paint Selective tool to paint with your brush in the current Primary Colour in all areas of a bitmap layer made up of the current Secondary Colour.

To do so:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Paint Selective button [image] in the Drawing toolset shown in the Bitmap Tools area of the Assistant's Home page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Drawing toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Drawing toolset in the Bitmap Tools area of the Assistant's Home page.

  3. Click on the colour within the Colour Palette that you want to select as the Primary Colour.
  4. Right-click on the colour within the Colour Palette that you want to select as the Secondary Colour.
  5. Move the [image] cursor over the area of the bitmap layer that you want to paint over, and then click and drag.

All areas of the image on the bitmap layer that are of the Secondary Colour are replaced with the Primary Colour. All other colours in the image on the bitmap layer remain unchanged.

See Also

Using the Paint Brush

Setting the Brush Size and Shape


Using the Draw Tool

The Draw tool allows you to draw a line of one pixel wide in the Primary and Secondary Colours, as shown on the left of the Colour Palette shown beneath the 2D View window.

You can use the draw tool to modify an image on an existing bitmap layer or create an image on a new bitmap layer:

  1. Select the bitmap layer on which you want to draw. For details, see Selecting a Layer.
  2. Click on the Draw button [image] in the Drawing toolset shown in the Bitmap Tools area of the Assistant's Home page to enter Drawing mode.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Drawing toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Drawing toolset in the Bitmap Tools area of the Assistant's Home page.

  3. Move the [image] cursor over the area of the bitmap layer in which you want to draw, and then click and drag to draw in the Primary Colour.
    • If you want to draw in the Secondary Colour, hold down the Shift key on your keyboard, and then click and drag the mouse.
  4. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Draw mode.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Bitmap Line Tool

Using the Erase Tool

Flood Filling

Copying and Pasting Bitmap Areas


Using the Bitmap Line Tool

The bitmap line tool allows you to draw a line on a bitmap layer in the current Primary Colour.

To draw a bitmap line:

  1. Select the bitmap layer on which you want to draw. For details, see Selecting a Layer.
  2. Click on the Draw Bitmap Line button [image] in the Drawing toolset shown in the Bitmap Tools area of the Assistant's Home page to enter Bitmap Line mode.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Drawing toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Drawing toolset in the Bitmap Tools area of the Assistant's Home page.

  3. If you want to change the size and shape of the bitmap line tool, you can do so as described in Setting the Brush Size and Shape.
  4. Move the [image] cursor over the area of the bitmap layer in which you want to draw a bitmap line, and then click and drag in the appropriate direction. A preview line appears in the 2D View window.
  5. Release the mouse button to draw the bitmap line on the bitmap layer.
  6. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Bitmap Line mode.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Erase Tool

Flood Filling

Copying and Pasting Bitmap Areas


Using the Erase Tool

The erase tool allows you to remove all or part of your last painting or drawing action on a bitmap layer.

To erase all or part of your last painting or drawing action:

  1. Click on the Erase button [image] in the Drawing toolset shown in the Bitmap Tools area of the Assistant's Home page to enter Erase mode.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Drawing toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Drawing toolset in the Bitmap Tools area of the Assistant's Home page.

  2. If you want to change the size and shape of the erase tool, you can do so as described in Setting the Brush Size and Shape.
  3. Move the [image] cursor over the area of the bitmap layer drawn or painted last, and then click and drag to erase it.
  4. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page to exit from Erase mode.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Bitmap Line Tool

Flood Filling

Copying and Pasting Bitmap Areas


Flood Filling

You can replace areas of any selected colour on a bitmap layer with the current Primary Colour, using the Flood Fill tool.

To do so:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Pick Colour button [image] in the Bitmap Tools area of the Assistant's Home page.
  3. Move the dropper [image] over the colour you want to select as the Primary Colour and click.
  4. Click on the Flood Fill button [image] in the Flood Fill toolset shown in the Bitmap Tools area of the Assistant's Home page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Flood Fill toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Flood Fill toolset in the Bitmap Tools area of the Assistant's Home page.

  5. Move the roller [image] over the colour on the bitmap layer you want to flood fill with the Primary Colour and click. The block of colour you click on is replaced with the Primary Colour.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Bitmap Line Tool

Using the Erase Tool

Copying and Pasting Bitmap Areas


Selective Flood Filling

You can flood fill areas of any colour on a bitmap layer with the current Primary Colour, until it meets pixels of the current Secondary Colour, using the Flood Fill Selective tool.

To do so:

  1. Select the bitmap layer containing the image that you want to modify. For details, see Selecting a Layer.
  2. Click on the Flood Fill Selective button [image] in the Flood Fill toolset shown in the Bitmap Tools area of the Assistant's Home page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Bitmap Tools area of the Assistant's Home page to display the Flood Fill toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Flood Fill toolset in the Bitmap Tools area of the Assistant's Home page.

  3. Click on the colour within the Colour Palette you want to select as the Primary Colour.
  4. Right-click on the colour within the Colour Palette you want to select as the Secondary Colour.
  5. Move the roller [image] over the bitmap layer and then click to flood fill areas with the Primary Colour. The Primary Colour continues flooding an area on the bitmap layer until it meets pixels of the Secondary Colour.
  • If colours are surrounded by the Secondary Colour they are not filled in the Primary Colour. You must flood fill these areas separately.

See Also

Flood Filling


Copying and Pasting Bitmap Areas

You can copy a region within a bitmap layer shown in the 2D View window using selected vectors, and then copy the region into either the same or another bitmap layer in the model.

To do so:

  1. Select the bitmap layer containing the image that you want to copy. For details, see Selecting a Layer.
  2. Select the vector(s) that you want to use to define the region in the bitmap layer that you want to copy. The bounding box that surrounds the selected vector(s) represents the region of the bitmap layer that you want to copy.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • Make sure that the vector layer containing the artwork that you want to use to copy an area of the bitmap layer is visible. For details, see Viewing a Layer.
  3. Click on the Edit > Copy Bitmap option from the Main Menu bar to copy the region of the bitmap layer within the bounding box that surrounds the selected vector(s) to the ArtCAM clipboard.
  4. Make sure that the bitmap layer onto which you want to paste the copied region of the bitmap layer is selected. For details, see Selecting a Layer.
  5. Click on the Paste button [image] in the File area of the Assistant's Home page to attach the copied region of the bitmap layer to a selection rectangle created in the top left corner of the model area.
    • You can also attach the copied region from the bitmap layer to a selection rectangle by pressing the Ctrl + V keys on your keyboard or clicking on the Edit > Paste menu option from the Main Menu bar.

      The selection rectangle is exactly the same size as the bounding box that surrounds the selected vector(s) used to define the area of the bitmap layer copied to the ArtCAM clipboard.

  6. Move the mouse cursor inside of the selection rectangle, and then click and drag the selection rectangle to the position in the bitmap layer on which you want to paste the copied region.
    • You cannot see the area of the bitmap layer attached to the selection rectangle.
  7. When the selection rectangle is in the correct position, click to paste the copied bitmap region onto the selected bitmap layer.

See Also

Editing a Bitmap Image

Using the Paint Brush

Using the Draw Tool

Using the Bitmap Line Tool

Using the Erase Tool

Flood Filling


Converting a Bitmap into Vectors

You can convert any bitmap layer into vectors. ArtCAM Insignia creates vectors around the outline of all areas of the bitmap layer in the Primary Colour, together with those colours that are linked to the Primary Colour. For further details about colour linking, see Colour Linking.

When converting a bitmap layer into vectors, the resulting vectors follow the pixilated outline of the bitmap image. You can smooth the outline of these vectors by replacing their linear spans with bezier curves. For details, see Smoothing Points.

To convert a bitmap layer into vectors:

  1. Select the bitmap layer containing the image that you want to convert to vectors. For details, see Selecting a Layer.
  2. Click on the colour within the Colour Palette that you want to select as the Primary Colour.
  3. Click on the Bitmap To Vector button [image] in the Bitmap Tools area of the Assistant's Home page to display the Vectors From Bitmap page.
  4. Define the tolerance in the Pixel Tolerance box. This controls how closely the bezier curve spans follow the points (nodes) within the vectors.
  5. Click on the Method radio button [image] you want to use:
    • Spline all points - this option fits bezier curve spans between all points (nodes) in the vectors.
    • Keep lines - this option fits bezier curve spans between all points (nodes), except where the number of consecutive pixels you define in the Min Pixel Length box form a straight line.
  6. Make sure that the Create Boundary option is selected if you want to create a vector
  7. If you want to create centreline vectors:
    • First, click to select the Create Centreline option.
    • If you want to, make sure that the Disconnected Open Vectors option is selected by clicking on its radio button.
    • If you want to, make sure that the Closed Vector Loops option is selected by clicking on its radio button.
  8. Make sure that the vector layer on which you want to create the vectors from the bitmap layer is selected. For details, see Selecting a Layer.
  9. Click on the OK button to close the dialog box and create the vectors on the selected vector layer.
    • You can use the 2D Bitmap Contrast tool to fade the image on the bitmap layer and view the vector artwork created from it clearly. For details, see 2D Bitmap Contrast Tool. Alternatively, you can toggle the visibility for the bitmap layer so that the image is hidden completely. For details, see Viewing a Layer.

See Also

Working with Bitmaps

Drawing using Bitmaps

Creating a Model from a Bitmap

Importing a Bitmap into a Model

Setting a Bitmap's Size and Origin

Working with Colours

Editing a Bitmap Image


Working with Vectors

A vector object, or object-oriented graphic, is made up of a sequence of commands or mathematical statements that places lines and shapes in a given two-dimensional or three-dimensional space. Vector objects are fully scalable without loss of resolution, and file sizes are independent of resolution.

In ArtCAM Insignia, you can:

  • Create freeform vector objects using polylines. For details, see Creating a Polyline.
  • Create vector objects in the form of simple shapes, including squares, rectangles, circles, ellipses, polygons, arcs and stars. For details, see Creating Simple Shapes.
  • Create vector objects in the form of text in any selected font. For details, see Working with Vector Text.
  • Import vector artwork from other applications. For details, see Importing Vector Artwork.
  • Convert a bitmap image into vector objects. For details, see Converting a Bitmap into Vectors.

The group of Vector Creation tools is found on the Assistant's Home page:

In This Chapter

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Drawing with Polylines

You can create freeform vectors from polylines, which are one or more linear or bezier curve spans joined together by points (nodes).

See Also

Working with Vectors

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Creating a Polyline

When creating a polyline, ArtCAM Insignia displays the co-ordinates of the current cursor position, the angle and length of the span you are creating, the co-ordinates of the last point, and the change in position from the last point in both the X and Y direction on the Polyline Creation page.

To create a polyline:

  1. Make sure that the vector layer on which you want to create a polyline is selected. For details, see Selecting a Layer.
  2. Click on the Create Polyline button [image] in the Vector Creation toolset shown in the Vector Tools area of the Assistant's Home page to display the Polyline Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Click once in the 2D View window to create the start point (node) of the polyline.
  4. Drag the mouse. A dotted line appears indicating where the polyline is to be drawn.
    • Click and hold the left button before dragging the mouse to create a bezier curve span. Release the mouse button to create the point (node) in the polyline.
  5. Click at the position where you want to create another point (node) in the polyline.
    • Press and hold the Ctrl key on your keyboard during each click of the mouse to constrain the angle of the linear span drawn between points (nodes) to 15° increments.

      A linear span is drawn connecting the two points (nodes).

      Repeat this and the previous step if you want to create further points (nodes) in the polyline connected by linear spans.

  6. Right-click to end the polyline and return to the Assistant's Home page.
    • You can also end the polyline if you press the Esc key on your keyboard or click on the Close button on the Polyline Creation page.

For example, if you click in the right of the 2D View window, drag downwards and left, and then right-click, you can create a polyline that looks something like this:

You can also create a polyline using co-ordinates taken from the 2D View window:

  1. Make sure that the vector layer on which you want to create a polyline is selected. For details, see Selecting a Layer.
  2. Click on the Create Polyline button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Polyline Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Click on the position in the 2D View window where you want to create the polyline's Start Point.
  4. Define the position of the next point, using any of the following methods:
    • Move the cursor to the position where you want to create the point in the polyline. The X and Y co-ordinates for the position are shown in the Cursor Position area of the page.
    • Define the X and Y co-ordinates for the next point in the X and Y boxes.
    • Define the angle of the next span in the polyline in the ° box, followed by its length in the L box.
    • Define the distance from the previous point in the X and Y axes in the dx and dy boxes.
  5. If you want the polyline to be made up of bezier curve spans joined by smoothed points, rather than linear spans joined by points, click to select the Draw Smooth Polylines option [image]. For further information, see Editing Vector Spans and Editing Vector Nodes.
  6. Click on the Add button.
  7. Repeat these steps until you have finished creating the polyline, and then click on the Close button to return to the Assistant's Home page.

See Also

Drawing with Polylines

Completing Polyline Creation

Closing a Polyline to Create a Polygon

Amending a Polyline


Completing Polyline Creation

To complete the polyline you are drawing, but remain in polyline creation mode:

  • Press the Space Bar on your keyboard.

To finish creating a polyline and return to the Assistant's Home page, leaving it as an open vector, you can use any of the following methods:

  • Right-click on your mouse.
  • Press the Esc key on your keyboard.
  • Press the Return key on your keyboard.
  • Click on the Close button on the Polyline Creation page.

By default, the polyline is black, indicating that an ungrouped, open vector has been created. If, however, you create a polyline on a vector layer to which a particular colour has been assigned, the polyline adopts the vector layer's colour. For further information, see Selecting Vectors and Assigning a Colour to a Vector Layer.

See Also

Drawing with Polylines

Creating a Polyline

Closing a Polyline to Create a Polygon

Amending a Polyline


Closing a Polyline to Create a Polygon

If you are in Polyline Creation mode, you can finish creating a polyline and automatically join its Start Point with its last point to form a polygon if you:

  • Press the Tab key on your keyboard.

If you have already created a polyline, you can join its Start Point with its last point (node) to form a polygon if you:

  1. Click to select the polyline that you have created. The polyline is magenta and surrounded by a bounding box. For details, see Selecting Vectors.
  2. Click on the Node Editing button [image] in the Vector Tools area of the Assistant's Home page to enter Node Editing mode. The polyline turns black, and you can see the spans and points (nodes) that make up the polyline.
  3. Click and drag the start point (green) to meet the last point in the polyline.

See Also

Drawing with Polylines

Creating a Polyline

Completing Polyline Creation

Amending a Polyline


Amending a Polyline

A polyline is made up of spans and points (nodes). Spans can be lines, arcs or bezier curves. You can change the position of the points and the nature of the spans after the polyline is created. For example, a linear span can be changed to an arc or a bezier curve span.

You change a polyline's form using both the Node Editing and Vector Editing menu options. These menus are displayed when working in Node Editing mode and right-clicking on either a span or a point. For details, see Editing Vector Spans and Editing Vector Nodes.

See Also

Drawing with Polylines

Creating a Polyline

Completing Polyline Creation

Closing a Polyline to Create a Polygon


Creating Simple Shapes

In addition to the Create Polyline button [image], as detailed in Creating a Polyline there are a further six buttons in the Vector Tools area of the Assistant's Home page that allow you to create specific vector shapes.

Linked ArtCAM Graphics Directory Template [JewelSmith]

You can create:

  • Rectangles or Squares.
  • Circles.
  • Ellipses.
  • Polygons.
  • Stars.
  • Arcs.

See Also

Working with Vectors

Drawing with Polylines

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Creating a Rectangle

You can create either an exact or an approximate square or rectangular shaped vector.

To create an exact square or rectangle:

  1. Make sure that the vector layer on which you want to create a rectangle is selected. For details, see Selecting a Layer.
  2. Click on the Create Rectangle button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Click on the Square or Rectangle radio button [image] to select the type of shape you want to create.
  4. Define the height of the shape in the Height box.
  5. Define the width of the shape in the Width box.
  6. If you want filleted (rounded) corners, define the radius you want to apply to all four corners in the Corner Radii box. Otherwise, leave the default value of 0 in the Corner Radii box.
  7. Define the centre point of your shape. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Centre Point's X and Y boxes.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the centre point. The X and Y co-ordinates of the point appear in the Centre Point's X and Y boxes.
  8. If you want your shape to be drawn at a specific angle to the model block, define the angle in the Angle box:
    • Type a positive angle to rotate the shape clockwise.
    • Type a negative angle to rotate the shape anti-clockwise.
  9. Click on the Preview button to see the shape you are about to create in the 2D View window.
  10. If you want to draw your shape and remain in Rectangle Creation mode, click on the Create button. If you want to draw your shape and return to the Assistant's Home page, right-click.

To create an approximate sized square or rectangle:

  1. Make sure that the vector layer on which you want to create a rectangle is selected. For details, see Selecting a Layer.
  2. Click on the Create Rectangle button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Rectangle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Click on the Square or Rectangle radio button [image] to select the type of shape you want to create.
  4. Move the [image] cursor over the 2D View window, and then click and drag to create the size of shape you want.
  5. Release the mouse button to draw a preview image of the shape you are creating in the 2D View window.
  6. If you want to draw your shape and remain in Rectangle Creation mode, click on the Create button. If you want to draw your shape and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Circle

Creating an Ellipse

Creating a Polygon

Creating a Star

Creating an Arc


Editing a Square or Rectangle

You can edit the size, position, corners and/or angle of a square or rectangular shaped vector.

To begin editing a square or rectangle:

  1. Select the square or rectangle you want to edit. For details, see Selecting Vectors.
  2. Right-click on the selected shape to display the Vector Editing menu.
  3. Click on the Edit Rectangle option to display the Rectangle Editing page in the Assistant window.

    The selected shape now appears with resizing handles attached to it, and a rotation handle attached to its centre point:

  • You can display the Rectangle Editing page by selecting a square or rectangle, and then pressing the E key on your keyboard.

You can now change the size, position, corners and/or angle of the selected square or rectangle using the Rectangle Editing page, or by manipulating the handles on the shape itself.

To edit the selected square or rectangle using the Rectangle Editing page:

  • Define a new value in the appropriate box for each attribute of the shape that you want to adjust.

    For example, typing a new value in the Height box immediately increases or decreases the height of the selected square or rectangle.

You can edit the selected square or rectangle using the shape itself:

  • Click and drag any of the resizing handles to adjust the size of the shape. The new height and width is shown in the Height and Width boxes on the Rectangle Editing page.
  • Click and drag any of the corner handles to add filleting to all four corners of the shape. The new radius of the filleted corners is shown in the Corner Radii box on the Rectangle Editing page.
  • Click and drag the rotation handle to adjust the angle of the shape. The new angle is shown in the Angle box on the Rectangle Editing page.
  • Move the [image] cursor over the centre point of the shape. When it changes to the [image] cursor, click and drag to move the whole shape. The new centre point appears in the Centre Point's X and Y boxes on the Rectangle Editing page.
  • To create an exact square, hold down the Shift key on your keyboard, and then drag the resizing handles on your rectangle to the required size.

To confirm the new shape shown in the 2D View window and return to the Assistant's Home page, right-click.

See Also

Creating a Rectangle


Creating a Circle

You can create a circular shaped vector.

To create a circle of a specified size:

  1. Make sure that the vector layer on which you want to create a circle is selected. For details, see Selecting a Layer.
  2. Click on the Create Circles button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Circle Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Define the centre point of the circle. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Circle Centre's X and Y boxes.
    • Move the [image] cursor over the 2D View window and click on the position you want to set as the centre point. The X and Y co-ordinates of the point are shown in the Circle Centre's X and Y boxes.
  4. In the Circle Size area, define the size of the circle. You can:
    • Click to select the Radius radio button [image], and then define the circle's radius in the box below; or
    • Click to select the Diameter radio button [image], and then define the circle's diameter in the box below.
  5. If you want the circle to be made up of four arc spans, rather than four bezier curve spans, click to select the Create with Arcs option [image]. For further information, see Editing Vector Spans and Editing Vector Nodes.
  6. Click on the Preview button to draw a preview image of the circle you are creating in the 2D View window.
  7. If you want to draw the circle and remain in circle creation mode, click on the Create button. If you want to draw your circle and return to the Assistant's Home page, right-click.

To create an approximate sized circle:

  1. Make sure that the vector layer on which you want to create a circle is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of circle you want.
  3. Release the mouse button to draw a preview image of the circle you are creating in the 2D View window.
  4. If you want to draw your circle and remain in Circle Creation mode, click on the Create button. If you want to draw your circle and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating an Ellipse

Creating a Polygon

Creating a Star

Creating an Arc


Editing a Circle

You can edit the radius and position of a circular shaped vector.

To edit a circle:

  1. Select the circle you want to edit. For details, see Selecting Vectors.
  2. Right-click on the circle to display the Vector Editing menu.
  3. Click on the Edit Circle option to display the Circle Editing page in the Assistant window.

    The selected circle now appears as a preview image with a resizing handle:

    You can now change the size and position of the selected circle using the Circle Editing page, or by manipulating the resizing handle and the centre point on the shape itself.

  • You can display the Circle Editing page by selecting a circle, and then pressing the E key on your keyboard.

To edit the selected circle using the Circle Editing page:

  • Define a new value in the appropriate box for either of the shape's attributes that you want to adjust.

    For example, typing a new value in the Radius box immediately increases or decreases the size of the selected circle.

You can edit the selected circle using the shape itself:

  • Click and drag the resizing handle to adjust its radius. The new radius is shown in the Radius box on the Circle Editing page.
  • Move the [image] cursor over the centre point of the circle. When it changes to the [image] cursor, click and drag to move the circle. The new centre point is shown in the Centre Point's X and Y boxes on the page.

To confirm the new circle shown in the 2D View window and return to the Assistant's Home page, right-click.

See Also

Creating a Circle


Creating an Ellipse

You can create an elliptical shaped vector.

To create an ellipse of a specified size:

  1. Make sure that the vector layer on which you want to create an ellipse is selected. For details, see Selecting a Layer.
  2. Click on the Create Ellipse button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Ellipse Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Define the centre point of your ellipse. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Start Point's X and Y boxes.
    • Move the [image] cursor over the 2D View window and then click on the point. The X and Y co-ordinates of the point are shown in the Start Point's X and Y boxes.
  4. Define the height of the ellipse in the Ellipse Height box.
  5. Define the width of the ellipse in the Ellipse Width box.
  6. If you want your shape to be drawn at a specific angle to the model block, define the angle in the Angle box.
  7. Click on the Preview button to see the ellipse you are about to create in the 2D View window.
  8. If you want to draw your ellipse and remain in Ellipse Creation mode, click on the Create button. If you want to draw your ellipse and return to the Assistant's Home page, right-click.

To create an approximate sized ellipse:

  1. Make sure that the vector layer on which you want to create an ellipse is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of ellipse you want.
  3. Release the mouse button to draw a preview image of the ellipse you are creating in the 2D View window.
  4. If you want to draw your ellipse and remain in Ellipse Creation mode, click on the Create button. If you want to draw your ellipse and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating a Polygon

Creating a Star

Creating an Arc


Editing an Ellipse

You can edit the size, position and/or angle of an elliptical shaped vector.

To edit an ellipse:

  1. Select the ellipse you want to edit. For details, see Selecting Vectors.
  2. Right-click on the selected ellipse to display the Vector Editing menu.
  3. Click on the Edit Ellipse option to display the Ellipse Editing page in the Assistant window.

    The selected ellipse now appears as a preview image with resizing handles attached to it, and a rotation handle about its centre point:

    • You can display the Ellipse Editing page by selecting an ellipse, and then pressing the E key on your keyboard.

You can now change the size, position and/or angle of the selected ellipse using the Ellipse Editing page, or by manipulating the handles on the ellipse itself.

To edit the selected ellipse using the Ellipse Editing page:

  • Type a new value in the appropriate box for each attribute of the ellipse that you want to adjust.

    For example, typing a new value in the Height box immediately increases or decreases the height of the ellipse.

You can edit the selected ellipse using the shape itself:

  • Click and drag any of the resizing handles to adjust the size of the ellipse. The new height and width is shown in the Height and Width boxes on the Ellipse Editing page.
  • Click and drag the rotation handle to adjust the angle of the ellipse. The new angle is shown in the Angle box on the Ellipse Editing page.
  • Move the [image] cursor over the centre point of the ellipse. When it changes to the [image] cursor, click and drag to move the whole ellipse. The new centre point is shown in the Start Point's X and Y boxes on the Ellipse Editing page.

To confirm the new ellipse shown in the 2D View window and return to the Assistant's Home page, you can either:

  • Click on the Apply button, followed by the Close button on the Ellipse Editing page.
  • Click the right mouse button.

See Also

Creating an Ellipse


Creating a Polygon

You can create a vast range of polygonal shaped vectors.

To create an exact polygon:

  1. Make sure that the vector layer on which you want to create a polygon is selected. For details, see Selecting a Layer.
  2. Click on the Create Polygons button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Polygon Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Define the polygon's number of sides in the Settings' No. of Sides box.
    • A polygon must have a minimum of three sides. Typing 3 in the Settings' No. of Sides box produces a triangle.
  4. If you want your polygon to be drawn at a specific angle to the model block, define the angle in the Settings' Angle box:
    • Type a positive angle in the Angle box to rotate the polygon clockwise.
    • Type a negative angle in the Angle box to rotate the polygon anti-clockwise.
  5. Define the centre point of your polygon. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Polygon Centre's X and Y boxes.
    • Move the [image] cursor to the point in the model you are interested in and then click. The X and Y co-ordinates of the point you click on appear in the Polygon Centre's X and Y boxes.
  6. Define the polygon's radius in the Geometry's Radius box.
  7. Click on the Preview button to see the polygon you are about to create in the 2D View window.
  8. If you want to draw your polygon and remain in Polygon Creation mode, click on the Create button. If you want to draw your polygon and return to the Assistant's Home page, right-click.

To create an approximate sized polygon:

  1. Make sure that the vector layer on which you want to create a polygon is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of polygon you want.
  3. Release the mouse button to draw a preview image of the polygon you are creating in the 2D View window.
  4. If you want to draw your polygon and remain in Polygon Creation mode, click on the Create button. If you want to draw your polygon and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating an Ellipse

Creating a Star

Creating an Arc


Editing a Polygon

You can edit the size, position, sides and/or angle of a polygonal shaped vector.

To edit a polygon:

  1. Select the polygon you want to edit. For details, see Selecting Vectors.
  2. Right-click on the polygon to display the Vector Editing menu.
  3. Click on the Edit Polygon option to display the Polygon Editing page in the Assistant window.

    The polygon now appears as a preview image with resizing handles and a rotation handle:

You can now change the size, position, sides and/or the angle of the selected polygon using the Polygon Editing page, or by manipulating the handles on the polygon itself.

To edit the selected polygon using the Polygon Editing page:

  • Type a new value in the appropriate box for each attribute of the polygon that you want to adjust.

For example, typing a new value in the No. of Sides box immediately increases or decreases the number of sides in the selected polygon.

You can edit the selected polygon using the shape itself:

  • Click and drag any of the resizing handles to adjust the size of the polygon. The new size is shown in the Geometry's Radius box on the Polygon Editing page.
  • Click and drag the rotation handle to adjust the angle of the polygon. The new angle is shown in the Angle box on the Rectangle Editing page.
  • Move the [image] cursor over the centre point of the polygon. When it changes to the [image] cursor, click and drag to move the whole polygon. The new centre point is shown in the Polygon Centre's X and Y boxes on the Polygon Editing page.

To confirm the new polygon shown in the 2D View window and return to the Assistant's Home page, you can either:

  • Click on the Apply button, followed by the Close button on the Polygon Editing page.
  • Click the right mouse button.

See Also

Creating a Polygon


Creating a Star

You can create a star shaped vector.

To create an exact star:

  1. Make sure that the vector layer on which you want to create a star is selected. For details, see Selecting a Layer.
  2. Click on the Create Stars button [image] in the Vector Creation toolset in the Vector Tools area of the Assistant's Home page to display the Star Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Define the polygon's number of sides in the Settings' No. of Points box.
  4. If you want your star to be drawn at a specific angle to the model block, define the angle in the Settings' Angle box:
    • Type a positive angle in the Angle box to rotate the star clockwise.
    • Type a negative angle in the Angle box to rotate the star anti-clockwise.
  5. Define the centre point of your star. To do so, you can either:
    • Define the X and Y co-ordinates of the centre point in the Star Centre's X and Y boxes.
    • Move the [image] cursor over the 2D View window and click on the position you want to set as the centre point. The X and Y co-ordinates of the point are shown in the Star Centre's X and Y boxes.
  6. In the Geometry's Radius of first Points box, define the radius of the polygon, upon which the outer points (nodes) in the star lie.
  7. In the Geometry's Radius of second Points box, define the radius of the polygon, upon which the inner points (nodes) in the star lie.
  8. Click on the Preview button to see the ellipse you are about to create in the 2D View window.
  9. If you want to draw your star and remain in Star Creation mode, click on the Create button. If you want to draw your star and return to the Assistant's Home page, right-click.

To create an approximate sized star:

  1. Make sure that the vector layer on which you want to create a star is selected. For details, see Selecting a Layer.
  2. Move the [image] cursor over the 2D View window, and then click and drag to create the size of polygon you want, upon which the outer points in the star lie.
  3. Click and drag to create the size of polygon you want, upon which the inner points in the star lie.
  4. Release the mouse button to draw a preview image of the star you are creating in the 2D View window.
  5. If you want to draw your star and remain in Star Creation mode, click on the Create button. If you want to draw your polygon and return to the Assistant's Home page, right-click.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating an Ellipse

Creating a Polygon

Creating an Arc


Editing a Star

You can edit the size, position, sides and/or angle of a star shaped vector.

To edit a star:

  1. Select the star you want to edit. For details, see Selecting Vectors.
  2. Right-click on the star to display the Vector Editing menu
  3. Click on the Edit Star option to display the Star Editing page in the Assistant window.
    • You can display the Star Editing page in the Assistant window by pressing the E key on your keyboard.

      The star now appears as a preview image with resizing handles attached to it, and a rotation handle about its centre point:

You can now change the size, position, sides and/or the angle of the selected star using the Star Editing page, or by manipulating the handles on the star itself.

To edit the selected star using the Star Editing page:

  • Type a new value in the appropriate box for each attribute of the star that you want to adjust.

    For example, typing a new value in the No. of Sides box immediately increases or decreases the number of sides in the selected star.

You can edit the selected star using the shape itself:

  • Click and drag any of the inner or outer resizing handles to adjust the size and shape of the star. The new size is shown in the Geometry's Radius of first Points and/or Radius of second Points boxes on the Star Editing page.
  • Click and drag the rotation handle to adjust the angle of the star. The new angle is shown in the Angle box on the Rectangle Editing page.
  • Move the [image] cursor over the centre point of the star. When it changes to the [image] cursor, then click and drag to move the whole star. The new centre point appears in the Star Centre's X and Y boxes on the Star Editing page.

To confirm the new star shown in the 2D View window and return to the Assistant's Home page, you can either:

  • Click on the Apply button, followed by the Close button on the Star Editing page.
  • Click the right mouse button.

See Also

Creating a Star


Creating an Arc

You can create an arc shaped vector.

To create an arc:

  1. Make sure that the vector layer on which you want to create an arc is selected. For details, see Selecting a Layer.
  2. Click on the Create Arcs button [image] in the Vector Creation toolset in the Vector Editing area of the Assistant's Home page to display the Arc Creation page.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Creation toolset:

      Linked ArtCAM Graphics Directory Template [JewelSmith]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Creation toolset in the Vector Tools area of the Assistant's Home page.

  3. Click on either of the Arc Type radio buttons [image] to select the type of arc you want to create:
    • Centre - Start - End - A swept arc created by defining a centre point, a Start Point and then an end point.
    • Start - End - Point On Arc - A fitted arc created by defining a Start Point, an end point and then a mid point.
    • Start - End - Radius - A swept arc created by defining a Start Point, a end point and then a radius.
  4. If you have selected the Centre - Start - End option:
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's centre point. The X and Y co-ordinates of the point are shown in the Centre Point area of the page.
    • Move the [image] cursor over the 2D View window and then click on the position that you want to set as the arc's start point. The X and Y co-ordinates of the point are shown in the Start Point area of the page.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's end point. The X and Y co-ordinates of the point are shown in the End Point area of the page.

      If you have selected the Start - End - Point On Arc option:

    • Move the [image] cursor over the 2D View window and then click on the position that you want to set as the arc's start point. The X and Y co-ordinates of the point are shown in the Start Point area of the page.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's end point. The X and Y co-ordinates of the point are shown in the End Point area of the page.
    • Move the [image] cursor over the 2D View window and click on the position that you want to set as the arc's mid point. The X and Y co-ordinates of the point are shown in the Centre Point area of the page.

      If you have selected the Start - End - Radius option:

    • Define the direction of the arc. If you want to draw the arc in a clockwise direction from its Start Point, make sure that the Clockwise option is selected [image].
    • Define the radius of the arc in the Radius box.
    • Move the [image] cursor over the model area and click on the position that you want to set as the arcs Start Point. The X and Y co-ordinates of the point are displayed in the Start Point area of the page.
    • Move the [image] cursor over the model area and click on the position that you want to set as the arc's end point. The X and Y co-ordinates of the point are displayed in the End Point area of the page.
  5. Rather than clicking on your mouse to set the position of specific points in the arc, you can also specify their exact co-ordinates. What points you can define in the arc depends on which type of arc you are actually creating:
    • If you want to change the position of the centre point, define the co-ordinates of its new position in the X and Y boxes in the Edit Centre Point area.
    • If you want to change the position of the Start Point, define the co-ordinates of its new position in the X and Y boxes in the Edit Start Point area.
    • If you want to change the position of the end point, define the co-ordinates of its new position in the X and Y boxes in the Edit End Point area.
    • If you want to change the radius of the arc, define its new radius in the Radius box.
  6. Click on the Preview button to see the arc you are about to create in the 2D View window.
  7. If you want to draw your arc and remain in Arc Creation mode, click on the Create button. If you want to draw your arc and return to the Assistant's Home page, right-click on your mouse.

See Also

Creating Simple Shapes

Creating a Rectangle

Creating a Circle

Creating an Ellipse

Creating a Polygon

Creating a Star


Editing Vectors

You can edit any of the standard shapes of vector drawn on a vector layer in the same way: square, rectangle, circle, ellipse, polygon and star.

To edit any of these standard shapes, select the vector, then either:

  • Press the E key on your keyboard.
  • Right-click to display the Vector Editing menu and then click on the Edit option for the selected vector e.g. Edit Ellipse.

ArtCAM Insignia displays the Editing page for the selected vector in the Assistant e.g. Ellipse Editing. You are then able to change the properties for the selected shape of vector by modifying the appropriate values. For example, the Height of a rectangle.

You cannot edit the following vectors using an Editing page in the Assistant, although they still can be edited:

  • Created with the Polyline Creation tool.
  • Created with the Arc Creation tool.
  • Created with one of the buttons in the Vector Tools area of the Assistant's Home page, and in which you have moved or edited a point (node) or span. For details, see Editing Vector Spans and Editing Vector Nodes.
  • Imported directly into ArtCAM Insignia. For details, see Importing Vector Artwork.
  • Created from a bitmap image using the Bitmap Tools area of the Assistant's Home page. For details, see Converting a Bitmap into Vectors.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Selecting Vectors

You can select vectors from any of the visible vector layers in a model. For further information, see Viewing a Layer.

To select a single vector from a layer:

  1. Click on the Select Vectors button [image] in the Vector Editing Mode toolset in the Vector Tools area of the Assistant's Home page, and then on the vector that you want to select.
    • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Editing Mode toolset:

      Linked ArtCAM Graphics Directory Template [Insignia]

      You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Editing Mode toolset in the Vector Tools area of the Assistant's Home page.

    • If the Select Vectors button is shown as [image] in the Vector Tools area, you are already in Select Vectors mode.
    • You can also press the Esc key on your keyboard to enter Select Vectors mode.
    • You can also use the N key on your keyboard to toggle between the Select Vectors and Node Editing modes. For example, pressing the N key once when in Node Editing mode takes you into Select Vectors mode.

To select more than one vector from any visible layer:

  1. Click on the Select Vectors button [image] in the Vector Editing Mode toolset in the Vector Tools area of the Assistant's Home page, and then on the vector that you want to select.
  2. Hold down the Shift key on your keyboard, and then click on each of the vectors you want to select.
    • You can also click and drag around any number of vectors to select them. A bounding box surrounds all selected vectors.
    • To deselect a vector you have selected by mistake, hold down the Shift key on your keyboard and then click.

To select all of the vector artwork drawn on a specific vector layer:

  1. Make sure that the vector layer on which the vector artwork that you want to select is selected. For details, see Selecting a Layer.
  2. Click on the Select All On Layer button Linked ArtCAM Graphics Directory Template [Insignia] in the Vectors area of the Layers Manager.
    • You can also click on the Edit > Select All On Layer menu option from the Main Menu bar to select all of the vector artwork drawn on the vector layer currently selected.
    • Alternatively, you can press the Alt + L keys on your keyboard to select all of the vector artwork drawn on the vector layer currently selected.

Vectors are not always shown in the colour assigned to the vector layer from which they have been selected:

  • You can set the default colour for selected vectors using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  • By default, one or more ungrouped vectors are magenta when selected. When deselected, they appear in the colour assigned to the layer on which they are drawn.

    You can change the default colour used to indicate single and multiple ungrouped vectors when selected using the ArtCAM Options page. For details, see see Managing ArtCAM Insignia's Preferences.

  • By default, all grouped closed vectors are purple when selected, unless they are self-intersecting. Then they are shown in red with the [image] icon marking the position of all intersections. When deselected, all grouped closed vectors appear in the colour assigned to the layer on which they are drawn, again unless they are self-intersecting. Then they are shown in red.

    You can change the default colour used to indicate grouped vectors when selected using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

  • By default, any locked vector is grey when selected. When deselected it is green, regardless of the colour assigned to the layer on which it is drawn.

    You can change the default colours used to indicate locked vectors when selected and deselected using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

  • A grouped open vector is blue when deselected, regardless of the colour assigned to the layer on which it is drawn.
  • If you click and drag to around a vector to select it, and it has one or more overlaying copies, the vector turns red.

    You can change the default colour used to indicate overlaying vectors using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

See Also

Editing Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Moving Vectors

You can move part or the whole of any selected vector to another area of the vector layer in a model, or to a different vector layer altogether. For further details, see Transferring Vectors Between Layers.

  • You cannot move a vector if it is locked. For details, see Locking and Unlocking Vectors and Locking the Vectors on a Layer.

To move a vector to another position in the current vector layer:

  1. Select the vector that you want to move. For details, see Selecting Vectors.
  2. Move the cursor over the bounding box. The cursor changes from [image] to [image].
  3. Click and drag the vector into its new position, and then release the mouse button.

To transfer vector artwork from one vector layer to another:

  1. Select the vector artwork that you want to transfer to another vector layer. For details, see Selecting Vectors.
  2. Right-click on the selected vector artwork to display the Vector Editing menu, and then click on the Move To Layer option to display the list of layers in the model.
  3. Click on the name of the vector layer to which you want to transfer the selected vector artwork. The selected vector artwork is transferred to the vector layer and is shown in the colour assigned to the layer. For details, see Assigning a Colour to a Vector Layer.
    • Make sure that the vector layer to which you are transferring the selected vector artwork is visible.For details, Viewing a Layer.

See Also

Editing Vectors

Selecting Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Editing Vector Spans

Spans within a vector can be linear, arc or a bezier curve. You can change the type of span using the Vector Editing options, displayed when you right-click on a selected vector.

The Vector Editing options allow you to:

  • Convert spans to a line.
  • Convert spans to a bezier curve. .
  • Convert a span to an arc.
  • Insert a point (node) into a span.
  • Insert a Start Point into a span.
  • Remove a span.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Converting a Span to a Line

Converting a span to a line allows you to alter the appearance of an arc or a bezier curve span within a vector.

To convert a span to a line:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select a vector containing an arc or bezier curve span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. If you want to convert a single span to a line:
    • Position the cursor over the arc or bezier curve span. When the cursor changes from [image] to [image], right-click to display the Span Editing menu.
    • You can also convert an arc or bezier curve span to a linear span by moving the cursor over the span and pressing the L key on your keyboard.

      If you want to convert two or more continuous spans to a line:

    • Click to select the Start Point, hold down the Shift key on your keyboard, and then click to select the end point of two or more continuous spans (at least three selected points). The selected points and/or control points turn red. Right-click on any of the selected points or control points to display the Node Editing menu.
    • You can also convert multiple arc or bezier curve spans to linear spans by pressing the L key on your keyboard when the end point of two or more continuous spans is selected (at least three selected points).
  4. Click on the Convert span(s) to a line option to convert the existing span(s) into a linear span.

    For example, if you were to convert a bezier curve span to a linear span you would see that its adjoining control points have been removed along with any curvature, as shown below:

    Before…

    After…

See Also

Editing Vector Spans

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Point

Inserting a Start Point

Removing a Span


Converting a Span to a Bezier Curve

Converting a span to a bezier curve allows you to alter the appearance of a linear or an arc span within a vector.

Converting a span to a bezier curve places two control points on the span, both of which can be dragged to add or reduce the curvature within it.

To convert a span into a bezier curve:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select a vector containing an arc or linear span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. If you want to convert a single span into a bezier curve:
    • Position the cursor over the arc or linear span. When the cursor changes from [image] to [image], right-click to display the Span Editing menu.
    • You can also convert an arc or linear span to a bezier curve span by moving the cursor over the span and pressing the B key on your keyboard.

      If you want to convert two or more continuous spans into a bezier curve:

    • Click to select the Start Point, and then click to select the end point of two or more continuous spans (at least three selected points). The selected points and/or control points turn red. Right-click on any of the selected points or control points to display the Node Editing menu.
    • You can also convert multiple arc or linear spans to bezier curve spans by pressing the B key on your keyboard when the end point of two or more continuous spans is selected (at least three selected points).
  4. Click on the Convert span(s) to bezier option to convert the existing spans into a bezier curve span.

    For example, your span may look something like that shown below:

    Although this span may not look like a curve now, the two control points indicate that it is a bezier curve span.

    In our example, by dragging the control points as shown below, a bezier curve span with a smooth curvature is produced:

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to an Arc

Inserting a Point

Inserting a Start Point

Removing a Span


Converting a Span to an Arc

Converting a span to an arc allows you to alter the appearance of a linear or bezier curve span within a vector.

Converting a span to an arc places one control point in the middle of the span. This can be dragged to add or reduce the degree of curvature in the arc.

To convert a span into an arc:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select a vector containing a bezier curve or linear span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the linear or bezier curve span. When the cursor changes from [image] to [image], right-click to display the Span Editing menu.
  4. Click on the Convert span to an arc option to convert the existing span into an arc span.
    • You can also convert a bezier curve or linear span to an arc by moving the cursor over the span and pressing the A key on your keyboard.

      For example, if you were to convert a linear span to an arc span you would see that one control point is now positioned in the centre of the arc. You can drag the control point to create a curve, as shown below:

      Before…

      After moving the control point…

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Inserting a Point

Inserting a Start Point

Removing a Span


Inserting a Point

You can insert a point (node) in any span. Inserting a point divides a span into two new spans of the same type as the original.

By inserting a point you add greater flexibility in changing the shape of the vector.

  • Adding points to a vector can be a time consuming process. Alternatively, you can use the Create Polyline tool to create more complicated shapes from the beginning. With the Create Polyline page displayed, each corresponding movement and click of the mouse creates a new point and connects it to the last with a linear or bezier curve span. For details, see Creating a Polyline.

To insert a point into a span:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector into which you want to insert a point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the span. When the cursor changes from [image] to [image], right-click to display the Span Editing menu.
  4. Click on the Insert a point option to create a new point in the span, dividing it into two separate spans of the same type as the original.
    • You can also insert a point by moving the cursor over the span and pressing the I key on your keyboard.

      For example, a point has been inserted into the bezier curve span illustrated below. You can see that doing so has created a second bezier curve span with two adjoining control points:

      Before…

      After…

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Start Point

Removing a Span


Inserting a Start Point

The green point shown within a selected vector is the Start Point.

The Start Point in a vector determines the point at which a tool enters the block of material when you are machining. For further details, see Changing the Start Point Position.

Inserting a Start Point divides a span into two new spans of the same type as the original. Alternatively, you can set an existing point (node) in a span as the Start Point. For details, see Changing the Start Point.

  • For open vectors, the Start Point must be at either end.

To insert a Start Point in a span:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector into which you want to insert a Start Point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Position the cursor over the span. When the cursor changes from [image] to [image], right-click to display the Span Editing menu.
  4. Click on the Insert Start Point option to produce a new Start Point in the span and divide it into two separate spans of the same type as the original.
  • You can also insert a Start Point into a span by moving the cursor over the span and pressing the P key on your keyboard.

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Point

Removing a Span


Removing a Span

You can remove a linear, bezier curve or an arc span within any selected vector in the same way.

To remove a span:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector from which you want to remove a span. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. If you want to remove a single span:
    • Position the cursor over the span. When the cursor changes from [image] to [image], right-click to display the Span Editing menu.
    • You can also remove a span by moving the cursor over the span and pressing the R key on your keyboard.

      If you want to remove two or more continuous spans:

    • Click to select the Start Point, and then click to select the end point of two or more continuous spans (at least three selected points). The selected points and/or control points turn red. Right-click on any of the selected points or control points to display the Node Editing menu.
    • You can also remove multiple spans by pressing the R key on your keyboard when the end point of two or more continuous spans is selected (at least three selected points).
  4. Click on the Remove Span(s) option to delete the selected span(s).

    For example, a vector object with two spans appears as follows:

    In our example, if you remove the second span from the vector, the remaining span is shown below:

See Also

Editing Vector Spans

Converting a Span to a Line

Converting a Span to a Bezier Curve

Converting a Span to an Arc

Inserting a Point

Inserting a Start Point


Editing Vector Nodes

You can change the structure and appearance of a vector object using the Node Editing options, which are displayed when you are working in Node Editing mode and right-click on any point (node) within a selected vector object.

Working in Node Editing mode allows you to:

  • Select points (nodes) and control points.
  • Move points (nodes) and control points.
  • Align points (nodes).
  • Smooth points (nodes).
  • Delete points (nodes).
  • Change the position of the start point.
  • Change the position of points (nodes) and control points.

To edit points within a vector, you must work in Node Editing mode. Use any of the following methods to enter Node Editing mode:

  • If the Node Editing button is shown as [image] in the Vector Editing Mode toolset in the Vector Tools area of the Assistant's Home page, you are already in Node Editing mode.
  • If you cannot see this button, click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon along the right-edge of whichever button is currently shown in the Vector Tools area of the Assistant's Home page to display the Vector Editing Mode toolset:

    Linked ArtCAM Graphics Directory Template [Insignia]

    You can also click on the Linked ArtCAM Graphics Directory Template [JewelSmith] icon at the right-end of the toolset to pin all of the buttons that make up the Vector Editing Mode toolset in the Vector Tools area of the Assistant's Home page.

    • Click on the Node Editing button [image] in the Vector Editing Mode toolset Vector Tools area of the Assistant's Home page.
    • Press the N key on your keyboard.
    • Hold down the Ctrl key on your keyboard, and then click once.

The Node Editing button changes to [image] when you are working in Node Editing mode.

  • If you click outside of the bounding box that surrounds the selected vector once, ArtCAM Insignia remains in Node Editing mode. If you click more than once, ArtCAM Insignia returns to Select Vectors mode. For details, see Selecting Vectors.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Selecting Points and Control Points

You can select single or multiple points and/or control points in a selected vector.

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points and/or control points that you want to edit. A bounding box surrounds the selected vector, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. If you want to select a point (node) or control point:
    • Move the cursor over the point or control point that you want to select. When the cursor changes from [image] to [image], click to select. The selected point or control point turns red.

      If you select a point that has adjoining control points, these are selected along with the point, all of which turn red.

      If you want to select more than one point (node) or control point, you can use any of the following methods:

    • Click and drag to form a bounding box around them. The selected points and/or control points turn red.
    • Click to select a point or control point. Hold down the Ctrl key on your keyboard, and then click on further points and/or control points to select them. The selected points and/or control points turn red.
    • Click to select a point or control point. Hold down the Shift key on your keyboard, and then click to select a second point. ArtCAM Insignia finds the shortest distance between these two points, and then selects all of the other intermediate points. The selected points and/or control points turn red.

See Also

Editing Vector Nodes

Deselecting Points and Control Points

Moving Points

Aligning Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points


Deselecting Points and Control Points

If you want to deselect a point or control point:

  1. Move the cursor over the point or control point that you want to deselect. When the [image] cursor changes to [image], hold down the Shift key on your keyboard and then click on the point or control point to deselect it.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Moving Points

Aligning Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points


Moving Points

You can move one or more points and/or control points to a new position.

To move a selection of points (nodes) and/or control points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points you want to move. A bounding box surrounds the selected vector, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Hold down the Shift key on your keyboard, and then click to select the points and/or control points that you want to move. For details, see Selecting Points and Control Points. The selected points and/or control points turn red.
  4. You can now move the selected points and/or control points using either of the following methods:
    • Move the [image] cursor over any of the selected point(s) and then click and drag the point into its new position.
    • Use any of the four arrow keys on your keyboard to nudge the selected point(s) into its new position.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Aligning Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points


Aligning Points

You can align a selection of points (nodes) and/or control points within a selected vector object in either the horizontal (X) or vertical (Y) axis.

To align a selection of points (nodes) and/or control points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points you want to align. A bounding box surrounds the selected vector, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Hold down the Shift key on your keyboard, and then click to select the points and/or control points you want to align with that selected last. For details, see Selecting Points and Control Points. The selected points and/or control points turn red.
  4. Right-click on any of the selected points and/or control points to display the Node Editing menu.
  5. Click on the Align Nodes option, followed by either the in X or the in Y option, depending on the axis with which you want to align the points and/or control points. By default, the point selected first is aligned with the point selected last, and a single horizontal (X) or vertical (Y) linear span replaces the intermediate points.
  • You can also align selected points and/or control points along the X-axis by pressing the X key on your keyboard, and along the Y-axis by pressing the Y key on your keyboard.
  • If you want to preserve all of the intermediate points (nodes) when aligning them with the X or Y axis, click to deselect the Align Nodes - replace with a single line option [image] on the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Smoothing Points

Deleting Points

Changing the Start Point

Changing the Position of Points


Smoothing Points

You can smooth any point (node) in a vector object other than the Start Point or the last point in an ungrouped, open vector object. For details, see Selecting Vectors.

In smoothing, the span on either side of a point is converted to a bezier curve span. ArtCAM Insignia positions control points next to the point, allowing you to control the degree of curvature in the whole vector object.

To smooth a single point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector object containing the point you want to smooth. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector object. All unsmoothed points are shown in black.
  3. Move the cursor over the point that you want to smooth. When the [image] cursor changes to a [image], right-click to display the Node Editing menu.
  4. Click to select the Smooth Point option to convert the spans on either side of the point to bezier curves. The point turns blue.
    • Moving the cursor over the point and pressing the S key on your keyboard also smoothes it.

      For example, the point in the middle of the vector object shown below has been smoothed:

If you move one of the control points next to the smoothed point, the other automatically moves with it. This simultaneous movement preserves the tangency between the two bezier curve spans.

To smooth a group of points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector object containing the points you want to smooth. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector object. All unsmoothed points are shown in black.
  3. Select the points that you want to smooth. For details, see Selecting Points and Control Points. The selected points turn red.
  4. Right-click on any of the selected points to display the Node Editing menu.
  5. Click on the Smooth Points option to convert the spans on either side of the selected points to bezier curves. The selected points turn blue.
    • Moving the cursor over any of the selected points and pressing the S key on your keyboard also smoothes them.

To remove the smoothing from a smoothed point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector object containing the smoothed points from which you want to remove the smoothing. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector object. All smoothed points are shown in blue.
  3. Move the cursor over a smoothed point (node). When the [image] cursor changes to a [image], right-click to display the Node Editing menu. The Smooth Point option is selected.
  4. Click on the Smooth Point option to deselect it. The point (node) turns black.
  • Moving the cursor over a smoothed point and pressing the S key on your keyboard also removes its smoothing.

    Although the span on either side of the point (node) remains as a bezier curve span, deselecting the Smooth Point option causes the control point on either side of the point (node) to affect its adjoining bezier curve span only, rather than the whole vector object.

    In our example, you can see that moving one control point no longer automatically moves the other:

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Aligning Points

Deleting Points

Changing the Start Point

Changing the Position of Points


Deleting Points

You can delete any of the points (nodes) within a vector. Deleting a point does not change the type of span on either side of the point but it does reduce your ability to manipulate the shape of the whole vector.

To delete a single point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the point you want to delete. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Move the cursor over the point that you want to delete. When the [image] cursor changes to a [image], right-click to display the Node Editing menu.
  4. Click to select the Delete Point option to delete the point from the vector.
    • You can also delete a point by moving the cursor over the point and then pressing the D key on your keyboard.

      In the following example, you can see that by deleting the middle point, the number of control points is reduced and the overall shape is changed considerably:

      Before…

      After…

To delete a group of points:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector containing the points you want to delete. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Select the points that you want to delete. For details, see Selecting Points and Control Points. The selected points turn red.
  4. Right-click on any of the selected points to display the Node Editing menu.
  5. Click on the Delete Points option to delete the selected points.
  • You can also delete the points by moving the cursor over any of the selected points and then pressing the D key on your keyboard.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Aligning Points

Smoothing Points

Changing the Start Point

Changing the Position of Points


Changing the Start Point

The Start Point in a vector determines the point at which a tool enters the block of material when you are machining a model.

You can change the position of the Start Point in any vector. The current Start Point within a vector is shown in green.

To change the position of the Start Point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector in which you want to change the position of its Start point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Move the cursor over the point that you want to set as the Start Point. When the [image] cursor changes to a [image], right-click to display the Node Editing menu.
  4. Click on the Start Point option to make the selected point the Start Point. The point changes from black to green.
  • You can also change the position of the Start Point by moving the cursor over the point you want to set as the new Start Point and then pressing the P key on your keyboard.

Using a toolpath preview in the 2D View window, you can also set the position of the Start Point in any toolpath containing a profile pass. For further details, see Changing the Start Point Position.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Aligning Points

Smoothing Points

Deleting Points

Changing the Position of Points


Changing the Position of Points

You can change the position of any point (node) or control point within a selected vector.

To change the position of a point or control point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector in which you want to change the position of a point or control point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Move the cursor over the point that you want to reposition. When the [image] cursor changes to a [image], right-click to display the Node Editing menu.
  4. Click on the Properties menu option to display the Point Properties dialog box:

  5. Define the X and Y co-ordinates of the point's new position in the X coordinate and Y coordinate boxes.

    Click on the OK button to reposition the point.

To change the approximate position of a point or control point:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector in which you want to change the position of a point or control point. A bounding box surrounds it, within which you can see the spans, points (nodes) and control points that make up the selected vector.
  3. Click and drag on the point or control point into its new position. Release the mouse button to set its position.

See Also

Editing Vector Nodes

Selecting Points and Control Points

Deselecting Points and Control Points

Moving Points

Aligning Points

Smoothing Points

Deleting Points

Changing the Start Point


Deleting Vectors

You can delete a selected vector or group of vectors using any of the following methods:

  • First, hold down the Shift key on your keyboard and then click to select the vector that you want to delete. Next, right-click on any of the selected vectors to display the Vector Editing menu, and then click on the Delete menu option.
  • Select the vectors that you want to delete, and then press the Delete key on your keyboard. For details, see Selecting Vectors.
  • Select the vectors that you want to delete, and then press the Ctrl + X keys on your keyboard. For details, see Selecting Vectors.

If you try to delete any locked vectors, the following message box appears:

Linked ArtCAM Graphics Directory Template [Insignia]

Click on the Yes button to close the message box and delete the selected vector(s). For further information, see Locking and Unlocking Vectors and Locking a Vector Layer.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Copying and Pasting Vectors

There are three buttons in the File area of the Assistant's Home page that you can use to copy, paste and cut vectors in a model.

Using the Block Copy / Rotate button [image] in the Vector Tools area of the Assistant's Home page, you can also create multiple copies of a vector in two regular patterns:

  • Block Copy.
  • Rotate Copy.

To copy, paste or cut a vector:

  1. Select the vector that you want to copy, paste or cut.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • If you click and drag around a vector and it has one or more overlaying copies, the selected vector object turns red. To move an overlaying copy, hold down the Ctrl key on your keyboard and then click and drag the copy into its new position.
  2. In the File area of the Assistant's Home page, click on the appropriate button:
    • Click on the Cut button [image] to remove the selected vector and place it on the clipboard.
    • Click on the Copy button [image] to create a duplicate of the selected vector and place it on the clipboard.
    • Click on the Paste button [image] to copy the selected vector back from the clipboard into its original position.
    • If you click and drag around a vector that you want to select and it has one or more overlaying copies, the vector object turns red.

      To move a pasted copy, move the cursor over the selected vector until it changes to a [image], and then click and drag into position.

    • You can also cut, copy or paste a selected vector object by clicking on the Edit menu option in the Main Menu bar, followed by the appropriate option.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Block Copy

You can produce several copies of a selected vector in a grid format:

To create a block of copies in a grid format:

  1. Select the vector that you want to copy and paste. For details, see Selecting Vectors. By default, it appears as magenta and is surrounded by a bounding box.
  2. Click on the Block / Copy Rotate button [image] in the Vector Tools area of the Assistant's Home page to display the Block and Rotate Copy page.
  3. Click on the Block Copy radio button [image] to display the settings on the page.
  4. Select the method you want to use to set the distance between each copy within the block:
    • The Distances are offsets option allows you to set the distance at which each copy of a vector object will be created from the bottom left corner of the previous copy in the block. The overall distance between each copy equates to the height or width of the vector plus the gap. The Distances are offsets radio button [image] is selected by default.

    • Click on the Distances are gaps option allows you to set the distance and direction at which each copy of a vector object will be created from any of the four edges of the previous copy in the block. The overall distance between each copy equates to the defined gap. Click on the Distances are gaps radio button [image] to display its settings.

      If you have selected the Distances are offsets option:

    • First, define the distance you want to set between each copy along the X-axis in the X Offset box.
    • Next, define the distance you want to set between each copy along the Y-axis in the Y Offset box.
    • You can set the offset distance between each copy using a positive or negative value. To create a block of copies to the right of and above the selected vector object, define positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below of the selected vector object, define negative values in the offset boxes e.g. -90.
    • Finally, define the total number of copies by typing the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.

      If you have selected the Distances are gaps option:

    • First, define the width of the gap between each subsequent copy of the selected vector object along the X-axis in the X Copy box.
    • Next, define the width of the gap between each subsequent copy of the selected vector object along the Y-axis in the Y Copy box.
    • Now, define the total number of copies by typing the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.
    • Finally, set the direction in which you want to create the block of copies:

      The Copy From Left To Right button [image] allows you to copy the selected vector object to the right along the X-axis.

      The Copy From Right To Left button [image] allows you to copy the selected vector object to the left along the X-axis.

    • You can toggle between the Copy From Left To Right and Copy From Right To Left direction by clicking on whichever button is currently displayed.

      The Copy From Bottom To Top button [image] allows you to copy the selected vector object upwards along the Y-axis.

      The Copy From Top To Bottom [image] allows you to copy the selected vector object downwards along the Y-axis.

    • You can toggle between the Copy From Bottom To Top and Copy From Top To Bottom direction by clicking on whichever button is currently displayed.
  5. Click on the Apply button to create the new block of vector objects.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Copying and Pasting Vectors

Rotate Copy


Rotate Copy

You can produce several copies of a selected vector in a circular pattern by defining a rotation centre:

To create multiple copies in a circular pattern:

  1. Select the vector that you want to copy and paste. For details, see Selecting Vectors. By default, it appears as magenta and is surrounded by a bounding box.
  2. Click on the Block Copy / Rotate button [image] in the Vector Tools area of the Assistant's Home page to display the Block and Rotate Copy page.
  3. Click on the Rotate Copy radio button [image] to display the settings on the page.
  4. Define the point around which you want to rotate the selected vector. You can either:
    • Define the X and Y co-ordinates of the origin of rotation in the Rotation Centre X and Rotation Centre Y boxes.
    • Click to select the Pick Centre with Mouse option [image]. Move the [image] cursor over the point in the model (white area) that you want to use as the origin of rotation, and then click to select. Its co-ordinates appear in the Rotation Centre X and Rotation Centre Y boxes.
  5. Define how each of the copies are rotated by clicking on either of the Angle radio buttons [image]:
    • Incremental - To rotate each subsequent copy of the selected vector by a specified angle.
    • Total - To rotate each copy of the selected vector evenly within a specified angle.
  6. Define the angle of rotation in the degrees box:
    • Type a positive value to rotate the vector clockwise.
    • Type a negative value to rotate the vector anti-clockwise.
  7. Define the number of copies you want to create in the Number of Objects box.
  8. Click on the Apply button to create the new circular pattern of vectors.
  9. Click on the Close button to return to the Assistant's Home page.

See Also

Copying and Pasting Vectors

Block Copy


Offsetting Vectors

You can create an offset vector from any of the vectors already drawn in your model.

To create an offset vector from another vector:

  1. Select the vector from which you want to create an offset vector. For details, see Selecting Vectors.
  2. Click on the Offset Vector(s) button Linked ArtCAM Graphics Directory Template [Insignia] in the Vector Tools area of the Assistant's Home page to display the Offset Vector(s) page.
    • You can also display the Offset Vector(s) page from the Main Menu bar by clicking on the Vectors > Offset… menu option.
  3. Define the distance between the selected vector and the offset vector in the Offset Distance box.
  4. Click to select one of the Offset Direction radio buttons [image] to set the position of the offset vector:
    • Select Outwards/Right if you want the offset vector to be drawn outside of the selected vector if it is closed, or to the right of the Start Point, looking down the selected vector object if it is open.
    • Select Inwards/Left if you want the offset vector to be drawn within the selected vector if it is closed, or to the left of the Start Point, looking down the selected vector if it is open.
    • Select Both Sides (Ridge) if you want two offset vectors to be drawn. One inside and another outside of the selected vector if it is closed, or on either side of the Start Point, looking down the selected vector if it is open.
  5. Click to select one of the Offset Corners radio buttons [image] to set the shape of the corners in the offset vector:
    • Select the Radiused option if you want the corners of the offset vector to appear as arcs with a radius equal to the Offset Distance.
    • Select the Chamfered option if you want the corners of the offset vector to appear as chamfers.
    • Select the Sharp option if you want the corners of the offset vector to appear as sharp points.

      If you select the Sharp option, define the maximum offset distance before a chamfer is applied to a sharp corner in the Max. Sharp Offset Distance box.

      The value you define should represent a percentage of the overall Offset Distance. For example, if the Offset Distance is 4 mm and the Max. Sharp Offset Distance is set to 50%, a chamfer is applied to the offset corners at 6 mm (4 + 50% of 4 = 6).

  6. If you want to replace the original vector with the offset vector, click to select the Delete original vectors option [image].
  7. Click on the Offset button to draw the offset vector.
  8. Click on the Close button to return to the Assistant's Home page.

You can also display the Offset Vector(s) page in the Assistant window if you:

  1. Select the vector from which you want to create an offset vector. For details,see Selecting Vectors.
  2. From the Main Menu bar, click on the Vectors > Offset… menu option.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Splining Vectors

You can take a selection of points (nodes) within a selected vector object and convert their adjoining linear or arc spans into a single bezier curve span. This process is referred to as 'splining'. For further information on spans, see Editing Vector Spans. The vector object must be ungrouped.

In the following example, you can see vector artwork in the shape of a shark made up entirely of linear spans. When the linear spans between a selection of four points (nodes) along the top of the vector artwork are splined, you can see the its shape changes considerably:

Before…

After…

To spline a vector object or selection of points (nodes) within a vector:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the ungrouped vector that you want to spline. A bounding box surrounds it, within which you can see the spans, points and control points that make up the selected vector.
  3. Click on the Spline Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Smooth Vectors page.
    • You can also display the Spline Vectors page from the Main Menu bar by clicking on the Vectors > Spline Vectors… menu option.
  4. If you only want to spline specific spans within the selected vector, click to select the points and/or control points to which these spans are attached. The selected points turn red. For details, see Selecting Points and Control Points.

    In the Selected Vectors Information area, ArtCAM Insignia displays the total number of spans and points (including control points) within the selection, and the number of linear, arc and bezier spans that make up the total.

  5. If you only want convert spans to bezier spans that are within a specific tolerance, define the maximum distance the point (node) can be from the selected span in the Tolerance box.
  6. If you want to keep all linear spans within the current selection equal to or greater than a specific length, click on the Preserve Straight Spans option [image] and then define the length in the Keep lines longer than box.

    Otherwise, leave the default Ignore Straight Spans option [image] selected to replace all of the linear and arc spans within the current selection with bezier curve spans.

  7. Click on the Spline button to spline all selected spans.

    The linear and/or arc spans joined to the selected points are converted to bezier spans. ArtCAM Insignia displays the new total number of spans and points (including control points) within the selection, and the new number of linear, arc and bezier spans that make up the total.

  8. Click on the Close button to return to the Assistant's Home page.

You can also display the Spline Vectors page in the following way:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Click to select the vector that you want to spline. A bounding box surrounds it, within which you can see the spans, points and control points that make up the selected vector object.
  3. Select the points (nodes) and/or control points to which the spans in the vector that you want to spline are attached. For details, see Selecting Points and Control Points.
  4. Right-click on any of the selected points to display the Node Editing menu, and then click on the Spline Vectors… option to display the Spline Vectors page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Restoring the Original Shape of a Splined Vector

You can undo the splining applied to a vector, allowing you to restore its original shape, using either of the following methods:

  • From the Main Menu bar, click on the Edit > Undo Spline Vectors menu option.
  • Press the Ctrl + Z keys on your keyboard.

See Also

Splining Vectors


Filleting Vectors

A fillet is an arc, which is made up of two points (nodes) and a control point. ArtCAM Insignia allows you to define and subsequently edit the radius of the fillet arc that you create.

You can close an open vector with a fillet, or by joining the two points at the junction. In the latter instance, ArtCAM Insignia extends the spans connected to the two points.

  • Not all open vectors can be closed with a fillet. For practical results, a vector should contain at least three points (nodes) and have sufficient space to fit the fillet arc.

You can also convert a sharp corner within a vector into a filleted, or rounded, corner.

To convert a sharp corner into a filleted corner:

  1. Select the vector in which you want to insert filleted corners. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
    • You can also display the Fillet Tool page in the Assistant window by clicking on the C key on your keyboard when a vector is selected.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the radius of the filleted corner you want to insert in the Fillet Radius box.
  5. Move the cursor over the point (node) in the selected vector, and then click to insert the fillet. The existing point is converted into two points and a control point.

    Before...

    After...
  6. Click on the Close button to return to the Assistant's Home page.

You can also convert a sharp corner into a filleted corner if you:

  1. Select the vector object in which you want to insert filleted corners. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
    • You can also display the Fillet Tool page from the Main Menu bar by clicking on the Vectors > Fillet… menu option.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the radius of the filleted corner you want to insert in the Fillet Radius box.
  5. Click on a span on either side of a point (node) or intersection in the selected vector. The [image] icon appears on the selected span.
  6. Click on the span opposite to that already selected to insert the fillet. The existing point or intersection is converted into two points and a control point.

    Before...

    After...
    • If the radius of the fillet is too large or the selected spans are not parallel, a warning message appears on the page in red text. This message disappears within a few seconds.
  7. Click on the Close button to return to the Assistant's Home page.

To close an open vector with extended spans:

  1. Select the vector in which you want to insert filleted corners. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
  3. Click to select the Extend/Trim Line to Intersection option by clicking on its radio button [image].
  4. Click to select the first point (node) in the junction of the open vector. The [image] icon appears around the selected point.
  5. Click to select the second point in the junction. ArtCAM Insignia joins the two points, extending their connecting spans whilst doing so.

    Before...

    After...
  6. Click on the Close button to return to the Assistant's Home page.

To close an open vector with a fillet:

  1. Select the vector that you want to close with a fillet. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the radius of the fillet with which you want to close the vector object in the Fillet Radius box. The wider the radius, the shorter the extended spans.
  5. Click to select the first point in the junction of the open vector. The [image] icon appears around the selected point.
  6. Click to select the second point in the junction. ArtCAM Insignia joins the two points with a fillet, extending their adjoining spans whilst doing so.

    Before...

    After...
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Editing a Fillet

You can alter the radius of a fillet after it has been created:

  1. Select the vector object containing the fillet that you want to edit. For details, see Selecting Vectors.
  2. Click on the Fillet Vector With An Arc button [image] in the Vector Tools area of the Assistant's Home page to display the Fillet Tool page.
  3. Click to select the Insert Fillet radio button [image].
  4. Define the new radius of the fillet in the Fillet Radius box.
  5. Click on the control point between the two points in the fillet to alter its radius.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Filleting Vectors


Trimming Vectors

You can control exactly which part of any number of overlapping vectors you want to remove.

To trim two or more ungrouped overlapping vectors:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the vectors that you want to trim. The vectors turn magenta and a bounding box surrounds them.
  3. Click on the Trim Vector To Intersections button [image] in the Vector Tools area of the Assistant's Home page to display the Trim Tool page.
    • You can also display the Trim Tool page from the Main Menu bar by clicking on the Vectors > Trim… menu option.
  4. If you want to create a copy of the original vector you are trimming, click to select the Keep Original option [image]. The copy is overlaying the original vector object.
  5. Move the [image] cursor over a span within the area in which the vectors overlap. When the cursor changes to [image], click to delete the span.

    ArtCAM Insignia creates a point (node) at each place where the vector that you are trimming intersects with the overlapping vector.

    The next available intersection point (node) in the trimmed vector's original direction of geometry becomes its start point.

To trim two or more grouped overlapping vectors:

  1. Make sure that you are in Node Editing mode [image]. For details, see Editing Vector Nodes.
  2. Select the grouped vectors that you want to trim. The grouped vectors turn purple and a bounding box surrounds them.
  3. Click on the Trim Vector To Intersections button [image] in the Vector Tools area of the Assistant's Home page to display the Trim Tool page.
  4. Click on the Explode Selection button. ArtCAM Insignia ungroups the vectors and then converts the spans between every two points (nodes) within them into individual vectors.
  5. Move the [image] cursor over a span that you want to remove. When the cursor changes to [image] , click to delete the span.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Locking and Unlocking Vectors

You can prevent a vector from being moved to a different position in your model by locking it.

To lock a vector in its current position:

  1. Select the vector that you want to lock into position. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, and then select the Lock Vector(s) option. The selected vector turns grey.

If you want to move any vector that has previously been locked into position:

  1. Select the locked vector that you want to move. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, and then select the Unlock Vector(s) option.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Creating Vector Text

You can create vector text with ease. Creating vector text in ArtCAM Insignia is similar to typing text in most word processing packages. You can type in glyph (closed vector) or single-stroke (open vector) fonts.

To create vector text:

  1. Click on the Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page to display the Text Tool page.
  2. Select the formatting for the text using the options on the Text Tool page. For details on the different options available, see Formatting Vector Text.
  3. Move the [image] cursor over to the 2D View window and click where in the model (the white area) you want to create the vector text. A text box appears in the 2D View window and the mouse cursor changes to [image].
  4. Type the vector text you want to create. It is useful to remember the following keystrokes when typing in vector text:
    • Press the Enter key on your keyboard to start a new line of vector text.
    • Press the Backspace key on your keyboard to delete the last character typed.
  5. Click on the Done button or press both the Ctrl + Enter keys to create the vector text and return to the Assistant's Home page.

    By default, the block of vector text is purple, indicating that the vectors that make up the text are grouped. A bounding box also surrounds the block:

  • You can move the block of vector text if you position the cursor over it, and then click and drag it into its new position.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Fitting Arcs to Vectors

You can automatically replace all of a selected vector's bezier curve spans with a series of arc spans whilst maintaining its original shape.

To do so:

  1. Select the vector whose bezier curves you want to convert to arcs. For details, see Selecting Vectors.
  2. Click on the Arc Fit Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Fit Arcs To Vectors page.
    • You can also display the Fit Arcs To Vectors page from the Main Menu bar by clicking on the Vectors > Fit Arcs to Vectors… menu option.

      The number of spans (linear, bezier curve and arc) points and control points for the vector is displayed in the Selected Vectors Information area.

    • The points and control points in a selected vector are grouped together under Points in the Selected Vectors Information area of the page.
  3. Define how closely you want the arc spans to follow the original shape of the bezier curve spans in the Tolerance box.
  4. Click on the Fit Arcs button to convert all bezier curve spans to arc spans. The new span, point and control point details are shown in the Selected Vectors Information area.
    • If a bezier curve span in the selected vector has no curvature, it is automatically converted to a linear span.
  5. Click on the Close button to return to the Assistant's Home page
    • If a bezier curve span in the selected vector has no curvature, it is automatically converted to a linear span.

New points and control points appear on the selected vector. These can be used to manipulate the shape of the vector further. For details, see Editing Vector Spans and Editing Vector Nodes.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Nesting Vectors

If you have an area of material that cannot contain a block of vector text as it is normally written, or a group of vectors, you need not treat it as waste material.

Rather than creating the space to fit the vector text or group of objects in the conventional sense, you can manipulate them to fit into what space is available.

Using the Nest Selected Vectors button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page, you can be as economical as possible with your material.

You can nest vectors within another vector or the model area (the white area). If you are nesting vectors within another, you must create a closed vector that represents the shape of material you have available in which to machine. You can use the tools in the Vector Tools area to define its shape. For example, if you have an odd shape of material available in which you want to nest vector text, use the Create Polyline tool to reproduce its outline. For details, see Creating a Polyline.

For example, consider the vector text nesting vectors before and after it has been nested inside the model area:

Before…

After…

To nest vectors:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Click on the Nest Selected Vectors button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Nesting page.
    • You can also display the Nesting page from the Main Menu bar, by clicking on the Vectors > Nest Vectors option.
  3. If the current ArtCAM model area (the white area) does not represent the piece of material in which you want to nest objects:
    • First, draw and select the vector representing the piece of material you have available to machine
    • Next, hold down the Shift key down on your keyboard and click to select all of the vectors that you want to nest within the selected vector.

      By default, selected vectors are always nested within the vector you select first from the 2D View window.

      If the model area (the white area) shown in the 2D View is representative of your exact material dimensions:

    • Click to select the Model is Sheet option [image].
    • Select all of the vectors that you want to nest within the model area.

      In the following example, the model area represents our material. We can see that all of the vectors we want to nest within the model area are selected:

  4. Define the diameter of the cutting tool that you are using to machine the nested vectors in the Diameter (D) box.
  5. Define the amount of additional material that you want to surround each of the nested vectors in the Tool Clearance (C) box.
  6. If you want to allow the selected vectors to be rotated during the nesting process, click to select the Allow Part Rotation option [image] and then define the increment by which you want ArtCAM Insignia to rotate the vectors in the Step Angle (A) box.

    For example, if the Step Angle (A) is defined as 90°, ArtCAM Insignia attempts to nest the vectors, rotating them by 0°, 90°, 180° and 270° in sequence.

    This and the remaining options on the page provide ArtCAM Insignia with flexibility when fitting vectors into the available space.

  7. If you want to allow the selected vectors to be nested inside of those vectors within the selection that have a central cavity, click to select the Allow Parts in Parts option [image].

    In the example shown, the letter a is nested within the central cavity of the letter O:

  8. Click to select one of the following options from the Nest From list box:
    • Bottom Left - To nest the selected vectors from the bottom-left corner of the model area.
    • Bottom Right - To nest the selected vectors from the bottom-right corner of the model area.
    • Top Left - To nest the selected vectors from the top-left corner of the model area.
    • Top Right - To nest the selected vectors from the top-right corner of the model area.
  9. Click on the Nest Direction list box, and then on the axis along which you want to nest the selected vectors. The X-axis is selected by default.
  10. Define how closely you want the cutting tool to maintain the shape of the nested vectors in the Curve Tolerance box.
  11. If you want to nest a block of vector text or a group of vectors exactly as it is shown in the 2D View window, click to select the Don't nest inner vectors (preserve groups) option [image].
  12. If you want to create a vector in the shape of the disposable material that remains after the selected vectors have been nested, click to select the Create Leftover Material Vector option [image].
  13. If you want to nest multiple copies of each of the selected vectors, click to select the Nest Multiple Copies option [image] and then define the number of copies that you want to create in the box below.
  14. If you want to limit the number of sheets of nested vectors according to the amount of material that you have available, define the number of sheets in the Maximum No. Sheets box.
    • If you limit the number of sheets, ArtCAM Insignia may not nest all of the selected vector artwork. If ArtCAM Insignia is unable to nest all of the selected vectors, a message box is displayed which provides details of how many of the selected vectors have and have not been nested. All of the vector artwork that has not been nested remains associated with the Default Sheet and is shown in its original position.
  15. If you want to group the vectors contained on each sheet, click to select the Group Nested Vectors option [image].
  16. Click on the Nest button to nest the selected vectors onto sheets.

    A progress bar appears beneath the 2D View window indicating the progress made in calculating the final position of the nested vectors:

    The calculation time depends on the nesting options you have selected: the fewer the options you have selected, the faster the nesting process. You can click on the Cancel button [image] at any time to stop the nesting process.

    The arrangement of the rows and columns of sheets shown in the 2D View window will vary according to the most economical use of the available workspace.

    In our example, we have allowed for part rotation using a step angle of 45 degrees only. The default sheet and the four sheets of nested vectors are arranged as shown:

    Each sheet of nested vectors is listed in the list box shown in the Vectors area of the Layers Manager. You can control which sheet of nested vectors is active in the 2D View window by clicking to select the name of the specific Sheet you want to view from the list box. Only one sheet can be active at any given time, although it is possible to preview the contents of all sheets simultaneously. You can only edit the vector artwork on the active sheet.

    In our example, the sheets are listed as shown with Sheet1 selected as the active layer:

    All identical sheets of nested vectors are merged into a single sheet. For example, if three sheets of nested vectors were found to be identical during the nesting process, all of them would be merged into a single sheet named Sheet 1 (3 Copies).

    During the manufacturing process, you need only create the necessary toolpath(s) using this single sheet and machine it three times to machine the required number of pieces.

  17. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Distorting Vectors

You can distort the shape of any selected vector or vector text drawn within a model. When working in envelope distortion mode, ArtCAM Insignia converts the four sides of the bounding box that surrounds a selected vector into bezier spans. Moving the nodes and control points that make up the envelope around the selected vector, also manipulates its original shape. This allows you to add perspective to your vector artwork and manipulate it in a way not possible with the transform tools in ArtCAM Insignia.

To distort the shape of a vector or text:

  1. Select the vector that you want to distort. For details, see Selecting Vectors.
  2. Click on the Envelope Distortion button [image] in the Vector Tools area of the Assistant's Home page to display the Envelope Distortion page. The four sides of the bounding box surrounding the selected vector change to bezier spans. The gridlines drawn within these spans indicate that you are now in envelope distortion mode.

    For example, a block of vector text appears as follows whilst working in envelope distortion mode:

    • You can also insert points or convert the bezier spans that envelope the selected vector to linear or arc spans. For further details, see Editing Vector Spans.
  3. Click and drag on the points and/or control points to distort the selected vector or text as required. You can use the same multiple node editing tools that are available when working in Node Editing mode elsewhere in ArtCAM Insignia. For details, see Editing Vector Objects.

    In our example, the block of vector text now appears as shown below:

  4. Click on the Apply button to confirm the new shape and return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Editing Distorted Vectors

You can edit the envelope distortion that you have applied to a vector shape or vector text.

To continue distorting a vector to which envelope distortion settings have already been applied:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Move the cursor over the distorted vector, and then use either of the following methods to display the Envelope Distortion page in the Assistant window:
    • Right-click to display the Vector Editing menu, and then click on the Edit Envelope Distortion option.
    • Press the E key on your keyboard.
  3. Click and drag on the points and/or control points to distort the selected vector object or text as required. You can use the same multiple node editing tools that are available when working in Node Editing mode elsewhere in ArtCAM Insignia. For details, see Editing Vector Objects.
  4. Click on the Apply button to confirm the new shape and return to the Assistant's Home page.

See Also

Distorting Vectors


Pasting Vectors Along a Curve

You can paste copies of a selected vector object along another curved vector within a model.

To do so:

  1. Hold down the Shift key on your keyboard, and then click on the vector that you want to copy, followed by the curved vector that you want to paste copies along. For details, see Selecting Vectors.
  2. Click on the Paste Along A Curve button [image] in the Vector Tools area of the Assistant's Home page to display the Paste Along A Curve page.
    • You can also display the Paste Along A Curve page from the Main Menu bar by clicking on the Vectors > Paste Vector(s) on Curve… option.
  3. Select the pasting method that you want to use:
    • Click on the Specify Number radio button [image], and then define the number of copies you want to create in the Number of Copies box.
    • Click on the Specify Distance radio button [image], then set the distance between each of the copies in the Distance Between Copies box.
  4. If you want to make the spacing between the copies even, click to select the Make Spacing Even option [image].
  5. Click on the Paste button to produce the copies along the selected curved vector.

    For example, the following image shows five copies of a star shaped vector pasted evenly along a curved vector:

  6. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Converting Vectors

Creating a Vector Border

Using the Vector Doctor


Converting Vectors

You can convert all or a selection of vectors to either circles or rectangles of a defined size.

If you are converting a grouped selection of vectors, each group is converted to a single shape. If you are converting an ungrouped selection of vectors, each individual vector is converted to an individual shape.

To convert a selection of vectors to either circles or rectangles:

  1. In the 2D View window, select the vectors that you want to convert to either circles or rectangles. For details, see Selecting Vectors.
  2. From the Main Menu bar, click on the Vectors > Convert To… menu option to display the Convert To Shapes page.
  3. If you want to convert the selected vectors to circles:
    • In the To Circles area, select either of the available conversion methods:

      Click on the From Original radio button [image] if you want to convert the selected vectors to circles of the same size as the original shape; or

      Click on the Specify radio button [image] if you want to convert the selected vectors to circles with a diameter equal to that which you define in the Diameter box.

    • Next, click on the To Circles button to convert the selected vectors to circles.

      If you want to convert the selected vectors to rectangles:

    • In the To Rectangles area, select either of the available conversion methods:

      Click on the From Original radio button [image] to convert the selected vectors to rectangles of the same size as the original shape; or

      Click on the Specify radio button [image] to convert the selected vectors to convert the selected vectors to rectangles with dimensions equal to that which you define in the Height and Width boxes.

    • Next, click on the To Rectangles button to convert the selected vectors to rectangles.
  4. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Creating a Vector Border

Using the Vector Doctor


Creating a Vector Border

You can create a rectangular vector border around a selection of vectors. You can define the width of the border around the X and Y-axis.

You can edit the vector border as you would any other square or rectangle created in ArtCAM Insignia. For details, see Editing a Square or Rectangle.

To create a rectangular vector border around a selection of vectors:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. In the 2D View window, select the vectors around which you want to create a vector border.
  3. From the Main Menu bar, click on the Vectors > Create Border… menu option to display the Create Border page.
  4. Define the width of the vector border in the Gap In X and Gap In Y boxes.
  5. Click on the Create Border button to create the vector border.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Using the Vector Doctor


Using the Vector Doctor

In previous versions of ArtCAM Insignia, you would have to manually find and edit a range of common problems within vector artwork, often detrimental to the machining process, to correct them. You can now avoid problems during the manufacturing process by:

  • Identifying all coincident points (nodes) in the vectors that make up the artwork, within a specified tolerance, so that they can be joined using the Join Vectors with Coincident Start or End Points tool. For details, see Identifying Coincident Points.
  • Identifying all loops in self-intersecting vectors within the artwork less than a defined size, and then removing them. For details, see Loop Detection and Removal.

See Also

Editing Vectors

Selecting Vectors

Moving Vectors

Editing Vector Spans

Editing Vector Nodes

Deleting Vectors

Copying and Pasting Vectors

Offsetting Vectors

Splining Vectors

Filleting Vectors

Trimming Vectors

Locking and Unlocking Vectors

Creating Vector Text

Fitting Arcs to Vectors

Nesting Vectors

Distorting Vectors

Pasting Vectors Along a Curve

Converting Vectors

Creating a Vector Border


Identifying Coincident Points

You can instruct ArtCAM Insignia to check for concurrent start or end points (nodes) in a selection of open vectors, within a defined distance of one another:

To identify the coincident points in your vector artwork:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Click and drag around the vector artwork in the 2D View window, or an area within it, to select it. All grouped vector objects within the selection turn purple; all ungrouped vectors turn magenta.
  3. Click on the Vector Doctor button [image] in the Vector Creation area to display the Vector Doctor page.
    • You can also display the Vector Doctor page from the Main Menu bar by clicking on the Vectors > Vector Doctor… menu option.
  4. In the Identify Problems area, make sure that the Coincident Points option is selected [image].
  5. If you only want ArtCAM Insignia to recognise points in the selected vector within a specific distance of one another as coincident, define the distance in the Tolerance box.
  6. Click on the Identify button. ArtCAM Insignia marks all coincident points in the selected vector with the [image] icon.
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Vector Doctor

Loop Detection and Removal


Loop Detection and Removal

Looped self-intersections found within vector artwork intended for engraving often cause problems during the manufacturing process.

You can instruct ArtCAM Insignia to identify all loops within a selection of vectors less than a defined size, inserts a point (node) at the bottom of the loop where the vectors self-intersect, and then trim away the loop.

For example, the 'g' character shown below includes a self-intersecting vector with a loop. You can see the difference in its shape after the loop has been removed:

Looped Vectors Before…

Looped Vectors After…

To remove the loop in self-intersecting vectors:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Hold down the Shift key down on your keyboard, and then click to select all self-intersecting vectors in the vector artwork shown in the 2D View window. A self-intersecting vector is shown in red. The selected vectors turn purple.
  3. Click on the Vector Doctor button [image] in the Vector Tools area of the Assistant's Home page to display the Vector Doctor page.
  4. In the Identify Problems area, make sure that the Vector Intersections option is selected [image].
  5. Click on the Identify button. ArtCAM Insignia marks all intersections in the selected vector(s) with the [image] icon.
  6. If you want to clear all of these icons from the 2D View window, click on the Clear Markers button.
  7. In the Remove Vector Loops area, you can define the size of loops that you want ArtCAM Insignia to ignore as a percentage of the overall size of the selected vector in the % Of Vector Area To Keep Loop box.

    For example, if your vector artwork contains a figure 8, it is likely that you will want to keep both of its loops. If the original vector has an area of 100 mm² and contains a loop of 1.5 mm², a value of 1% would mean that the loop would be converted into an independent vector. A value of 2%, however, would mean that the loop would be deleted.

  8. Type the name of the layer onto which you want to create the corrected vector(s) in the Layer Name box. If no layer is defined, ArtCAM Insignia creates the corrected vector(s) on the active layer.
  9. If you want to keep a copy of the looped, self-intersecting vector(s), make sure that the Keep Originals option is selected [image].
  10. Click on the Remove Loops button to remove all loops in the selected vector(s).
  11. Click on the Close button to return to the Assistant's Home page.
  • You can also press the Ctrl + Alt + Shift + R keys on your keyboard to remove all loops in the selected vector(s).

See Also

Using the Vector Doctor

Identifying Coincident Points


Working with Vector Text

You can create and manipulate vector text using three tools in ArtCAM Insignia. These are:

  • The Font Editor icon [image] on the Assistant's Getting Started page. For details, see Using the Font Editor.
  • The Create Vector Text button [image] in the Vector Tools area of the Assistant's Home page. For details, see Creating Vector Text.
  • The Wrap Text Round a Curve button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. For details, see Wrapping Text Round a Curve.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Selecting Vector Text

You can select vector text whilst the Text Tool page is displayed using either of the following methods:

  • Click and drag over the character or block of vector text that you want to select; or
  • Hold down the Shift key on your keyboard, and then use the arrow keys on the keyboard to control your selection.

    The selected vector text is white and is highlighted in black:

    • If you have selected a block of vector text containing more than one style of font, script and/or size, the relative list boxes in the Style area are blank.

      When you have created the vector text, you can select it using the method described in Selecting Vectors.

See Also

Working with Vector Text

Editing Vector Text

Formatting Vector Text

Wrapping Text Round a Curve


Editing Vector Text

Text editing refers to making changes in vector text, such as adding and deleting, or copying and pasting individual characters or blocks of vector text.

Using the editing buttons in the Style area, you can cut, copy and paste a selected character or block of vector text when the Text Tool page:

  • Click on the Cut button [image] to remove the selected vector text and place it on the clipboard.
  • Click on the Copy button [image] to create a duplicate of the selected vector text and place it on the clipboard.
  • Click on the Paste button [image] to place a copy of the vector text, overlaying any currently selected text.
  • If you copy a block of vector text that contains multiple fonts, when you use the Paste button [image] the vector text is written in the font currently selected on the Text Tool page.
  • A selected block of vector text that has already been transformed, e.g. sheared, appears as a default block whilst the Text Tool page is displayed. After closing the page, the transform is restored and any changes that you have made to the text are applied.

You can use either of the following methods to edit a selected character or block of vector text after it has been created:

  • Right-click on the block of vector text to display the Text Editing menu, and then click on the Edit Text Block option to display the Text Tool page.
  • Press the E key on your keyboard to display the Text Tool page.

You can also cut, copy and/or paste a block of vector text after it has been created using the editing buttons in the File area of the Assistant's Home page. For details, see Copying and Pasting Vectors.

You can add or delete characters when the Text Tool page is displayed in the Assistant window using your keyboard:

  • Use the character keys on your keyboard to add characters to the block of vector text.
  • Press the Backspace key on your keyboard to delete the last typed character.

You can delete a selected block of vector text when the Text Tool page is not displayed in the Assistant window using either of the following ways:

  • Move the cursor over the block of vector text, and then press the Delete key on your keyboard.
  • Right-click on the selected block of vector text to display the Vector Editing menu, and then click on the Delete option.

See Also

Working with Vector Text

Selecting Vector Text

Formatting Vector Text

Wrapping Text Round a Curve


Formatting Vector Text

Text formatting refers to setting the way vector text looks using different fonts, bold or italic type, indents and alignments.

You can format a character or block of vector text both during and after its creation using the formatting buttons and the list boxes in the Style area of the Text Tool page.

You can use the formatting buttons as follows:

  • Click on the Toggle Vertical Text Flow button [image] to display vector text vertically, rather than horizontally.

    When the Toggle Vertical Text Flow button [image] is selected, the Kerning options are removed from the Text Tool page and the alignment buttons are adjusted.

  • Click on the Bold button [image] to make the vector text bold, or to remove the bold formatting.
  • Click on the Italic button [image] to make the vector text italic, or to remove the italic formatting.
  • Click on the Align Left button [image] to align the selected vector text to the left of the text box with a ragged right edge. This button affects selected vector text of more than one line.
    • If the Toggle Vertical Text Flow button [image] is selected, the Align Top button [image] replaces the Align Left button [image], allowing you to align the vector text with the top of the text box with a ragged bottom edge.
  • Click on the Centred button [image] to place the selected vector text in the centre of the text box. This button affects vector text of more than one line.
    • If the Toggle Vertical Text Flow button [image] is selected, the icon for the Centered button [image] is rotated [image].
  • Click on the Align Right button [image] to align the selected vector text to the right of the text box with a ragged left edge. This button affects selected vector text of more than one line.
    • If the Toggle Vertical Text Flow button [image] is selected, the Align Bottom button [image] replaces the Align Right button [image], allowing you to align the vector text with the bottom of the text box with a ragged top edge.

To change the font you are using:

  • Click on the Font list box, and then click on the font required. In the Font list box, you can see a preview of the font style before it is selected.

    • You can type in glyph (closed-vector) or single-stoke (engraving) fonts. All single-stroke fonts and fonts created using the Font Editor are listed with an '(AFN)' prefix in the Font list box. For further information, see Using the Font Editor.

To change the size of the font you are using:

  • Define the font size in the Size box. You can also change the units of measurement by clicking on any of the three options in the list box to the right: points, mm, or inches.

You can also use the the [image] or [image] arrows beside the Size box to set the font size:

  • When points is selected, each click on the [image] arrow increases the font size by 3 points by default, while each click on the [image] arrow decreases the font size by 3 points.
  • When mm is selected, each click on the [image] arrow increases the font size by 1 mm by default, while each click on the [image] arrow decreases the font size by 1 mm.
  • When inches is selected, each click on the [image] arrow increases the font size by 0.04 inches by default, while each click on the [image] arrow decreases the font size by 0.04 inches.
  • You can set the default increments used on the Text Tool and Text on a Curve pages using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

To change the script you are using:

  • Click on the Script list box, and then on the required script.

To scale a character or block of vector text:

  • In the Resize area, define the percentage by which you want to scale the text as you type, or apply to the currently selected vector text, along the X and Y axes in the %(X) and %(Y) boxes.

    You can also use the the [image] or [image] arrows beside the %(X) and %(Y) boxes to set the percentage by which you want to scale the text as you type, or apply the currently selected text.

    For example, vector text set at 12 mm scaled to 75% in both the X-axis and 75% in Y-axis appears something like this:

To adjust the angle of a character or block of vector text:

  • Define the angle at which you want to type, or apply to the currently selected vector text, in the Angle box.
    • If you are typing in italics, the vector text will have an angle even if no value or a 0 is in the Angle box. You can use negative values to tilt the vector text in the opposite direction.

      You can also use the the [image] or [image] arrows beside the Angle box to set the angle at which you want to set the text as you type, or apply the currently selected text.

      For example, vector text with an angle of 45° appears something like this:

To rotate a character or block of vector text:

  • Define the angle at which you want to rotate the vector text as you type, or apply to the currently selected vector text, in the Rotation box. Each character is rotated around the centre of the area defined by its width, and both the ascent and descent of the current font.

    You can also use the the [image] or [image] arrows beside the Angle box to set the angle by which you want to rotate the text as you type, or apply the currently selected text.

    For example, vector text rotated at an angle of 18° appears something like this:

You can use either of the following methods to adjust the amount of white space on either side of a character in a block of vector text:

  • Define the distance you want to place between each character using the Character box.
  • Click and drag on the % of space slider to adjust the value in the Character box.

To adjust amount of white space between lines in a block of vector text:

  • Define the distance you want to place between each line in the Line box.

You can also use the the [image] or [image] arrows beside the Line box to set the distance between each line within a block of vector text.

Kerning, like Spacing, applies white space on either side of a character in a block of vector text. Kerning, however, considers the shape of the previous character in relation to the character that is being typed, and adjusts the distance between them so that their fit looks good.

To adjust the kerning between all the characters in a block of vector text:

  1. In the Kerning area, click on the Mode list box and select how you want to apply kerning to the vector text:
    • If you want ArtCAM Insignia to automatically apply kerning to newly created or edited text, click on the Auto option.
    • If you want to manually apply kerning to a selected block of vector text, click on the Manual option.

      Define the amount of kerning that you want to apply to a selected block of vector text. To do so, you can either:

    • Define the amount of kerning in the Kerning box.
    • Click and drag on the % of space slider to adjust the value in the Kerning box.
  2. If you want to apply ArtCAM Insignia's default kerning settings to a selected block of vector text, click on the Default Kerning button.

The Constraints area allows you to apply a bounding box to a block of vector text. By enclosing vector text in a bounding box, you can align its characters in different ways, and apply constraints to the text when typing. The alignment methods are as follows:

  • Click on the Align Top button [image] to align the vector text with the top of the bounding box.
  • Click on the Centered button [image] to position the vector text in the centre of the bounding box.
  • Click on the Align Bottom button [image] to align the vector text with the bottom of the bounding box.

You can control how the bounding box is used to constrain the vector text:

  1. Click on the Method list box, and then select any of the constraining methods:
    • If you are creating vector text within a selected vector, the vector will be used to constrain the vector text according to the method selected from the list box.
    • None - This option allows you to type according to the size of the vector text as defined in the Size box without using a bounding box.
    • Limit by Box - This option allows you to type vector text at the size defined in the Size box, until it reaches the edge of the bounding box. After reaching its edge, the vector text continues to reduce in size as you type, so that all characters can be contained within the bounding box.
    • Scale to Box - This option scales the vector text as you type, so that it fills as much of the area defined by the bounding box as possible.
  2. If you want to set the dimensions of the bounding box:
    • Define the width and height of the bounding box in the Width and Height boxes.
    • If you have applied a constraint setting to one or more characters in a block of vector text and the Constraints settings are not displayed on the page, these are displayed when the cursor moves over that character.

See Also

Working with Vector Text

Selecting Vector Text

Editing Vector Text

Wrapping Text Round a Curve


Wrapping Text Round a Curve

ArtCAM Insignia allows you to place vector text on or around any open or closed curved vector.

Before you wrap a block of vector text around a curve, you must draw both the curved vector shape and some vector text.

To wrap vector text around a curved vector:

  1. Select the curved vector around which you want to wrap vector text. For details, see Selecting Vectors.
  2. Hold down the Shift key on your keyboard, and then click to select the block of vector text you want to wrap. A bounding box surrounds the selected vectors.
  3. Click on the Wrap Text Round a Curve button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page.

    If you are attempting to wrap imported vector text created in another package, or vector text that is ungrouped, the following message box appears:

    Linked ArtCAM Graphics Directory Template [Insignia]

    If you want ArtCAM Insignia to attempt to wrap the vector text, click on the Yes button. The message box closes.

    • Although you can wrap imported vector text created in another package, or an ungrouped block of vector text created in ArtCAM Insignia around a curved vector, you cannot reposition whole words using the click and drag method detailed in this section. You can drag individual letters into position, and use the Text Settings options on the Text on a Curve page, but the results may not always be accurate and unwanted copies of the text may remain in your vector artwork.

      If you want to abort the wrapping of the text around the curve, click on the No button. The message box closes.

      If the vector text was created in ArtCAM Insignia, you can now wrap the vector text around the curved vector.

  4. Click on the Select button to wrap the vector text around the selected vector. You can reposition the block of vector text using either of the following methods:
    • Click and drag the vector text along the curve.
    • Use the Text Settings on the Text on a Curve page. For details, see Using the Text Settings.

See Also

Working with Vector Text

Selecting Vector Text

Editing Vector Text

Formatting Vector Text


Using the Text Settings

You can select the text's position, alignment and spacing using the options in the Text Settings area of the Text on a Curve page.

Text Position

You can position the vector text on a curve in several ways using the Text Position options as follows:

  • Click on the Above Line radio button [image] to position the vector text just above the curve:

  • Click on the Base Line radio button [image] to position the base of the vector text directly on the curve:

  • Click on the Centre On Ascent radio button [image] to position the ascending part of the characters in the vector text on the curve:

  • Click on the Centre On Strikeout radio button [image] to position the vector text so that the curve is used as strikeout through the middle of the vector text:

  • Click on the Below Line radio button [image] to position the vector text below the curve:

  • Click on the Specify radio button [image], and then set the distance of the vector text from the curve using the adjacent box. To view the vector text at the specified distance, click on the Update button.

    For example, defining a distance of -10 mm produces the following result:

To reverse the direction of the curved vector, click to select the Text on other side option [image].

Text on other side Off…

Text on other side On…
Text Alignment

You can align vector text to a curve either vertically or perpendicularly. When aligning text perpendicular to a curve, random characters can overlap one another making it extremely problematic to machine them. You can sweep text around a curve to avoid this problem altogether. You can also stretch vector text around the length of a curve.

When using the Text on a Curve tool, you can use any of the following Text Alignment options:

  • Vertical - Click on this radio button [image] to align the text vertical to the curve:

  • Align To Curve - Click on this radio button [image] to align the text perpendicular to the curve:

  • Sweep Around Curve - Click on this radio button [image] to sweep the text around the curve. ArtCAM Insignia distorts the original shape of characters by fitting arcs around them and then offsetting them from one another:

    If we compare the word text when aligned and then when swept around a curve, we can see that the overlapping 't' and 'e' characters that occurs when aligning is avoided when the text is swept around the curve:

Align To Curve…

Sweep Around Curve…
  • If you want to stretch the characters within the block of vector text around the length of the curve, click to select the Stretch To Curve option [image]:

Text Spacing

You can set the distance between characters within a block of vector text using the Text Spacing slider.

Click the slider and drag to set the spacing. Drag to the right if you want to increase the spacing. Drag to the left to reduce it.

When you are satisfied with the spacing between the characters in the block of vector text, click on the OK button.

You can select what vector text you want to edit using the Editing Style options:

  • Whole Sentence - Click on the radio button [image] to move all text into position on the curve.
  • Single Words - Click on the radio button [image] to move a specific word into position on the curve.
    • Alternatively, you can hold down the Ctrl key on your keyboard and then click and drag a specific word into place.
  • Single Letters - Click on the radio button [image] to move a character into position on the curve.
    • Alternatively, you can hold down the Alt key on your keyboard and then click and drag a specific character into place.

See Also

Wrapping Text Round a Curve


Measuring Vectors

You can find out the size, position and angle of any vector as follows:

  1. Click on the Measure Tool button [image] in the Vector Tools area of the Assistant's Home page to display the Measure page.
    • You can also display the Measure page by clicking on the M key on your keyboard.
  2. Click on the position in the model from which you want to measure. This position is known as the Anchor Point.
  3. Drag the mouse to the position to which you want to measure and then click.

ArtCAM Insignia calculates the measurement details in real time and displays them on the Measure page as you drag the cursor into position.

By default, the cursor snaps to specific positions on the vectors or guidelines that have been drawn. For further information, see Snapping to Objects.

  • To temporarily disable snapping, hold down the Shift key on your keyboard whilst dragging the cursor.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Transforming Vectors

You can transform a vector object directly from the 2D View window, or when the Transform Vector(s) page is displayed in the Assistant window.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Using Transform Vectors Mode

To transform a vector directly from the 2D View window, you must work in Transform Vectors mode.

To transform a vector directly from the 2D View window:

  1. Select the vector that you want to transform. For details, see Selecting Vectors.
  2. Use either of the following methods to enter Transform Vectors mode:
    • Press the T key on your keyboard.
    • Hold down the Ctrl key on your keyboard, and then click on the selected vector until transform handles appear on the bounding box that surrounds it.

      The Transform Vector(s) button changes to [image]. Resizing handles, a rotation handle and shearing control points are displayed about the selected vector.

  • If you click outside of the bounding box that surrounds the selected vector once, ArtCAM Insignia remains in Transform Vectors mode. If you click more than once, ArtCAM Insignia returns to Select Vectors mode.

    When working in Transform Vectors mode, you can transform the selected vector in the following ways:

    • To move the vector, move the cursor over its centre, one of its spans or its bounding box, and then click and drag it into position.
  • Hold down the Ctrl key on your keyboard to keep a copy of the selected vector in its original position when moving it.
    • To adjust the size and shape of the vector, move the cursor over any of its resizing handles, and then click and drag.
  • Hold down the Shift key on your keyboard when scaling to preserve the ratio between the vector's width and height.
  • Hold down the Alt key on your keyboard when scaling to scale the selected vector about the centre of its bounding box.
    • To adjust the angle of the vector, click and drag the rotation handle joined to its centre of gravity.
    • To shear the vector vertically, move the cursor over the control point outside of the bottom edge of the bounding box, and then click and drag.
    • To shear the vector horizontally, move the cursor over the control point outside of the right edge of the bounding box, and then click and drag.
  • If you want to transform the selected vector about a defined origin and/or using specific values, press the T key on your keyboard again to display the Transform Vector(s) page in the Assistant window. For details, see Using the Transform Vector(s) Page.

See Also

Transforming Vectors

Using the Transform Vector(s) Page


Using the Transform Vector(s) Page

You can use the Transform Vector(s) page to transform a selected vector in a number of ways.

To display the Transform Vector(s) page:

  1. Select the vector that you want to transform. For details, see Selecting Vectors.
  2. Click twice on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page.
    • Alternatively, you can press the T key on your keyboard twice to display the Transform Vector(s) page.
    • You can also display the Transform Vector(s) page from the Main Menu bar by clicking on the Vectors > Transform… option.
    • You can also display the Transform Vector(s) page if you right-click on the selected vector to display the Vector Editing menu, and then click on the Transform Vector(s)… option

The Transform Vector(s) page is divided into the following areas:

  • Position and Origin - This allows you to define the origin about which the selected vector is transformed. For details, see Defining the Transform Origin.
  • Size - This allows you to change the size of the selected vector. For details, see Scaling Vectors.
  • Rotate - This allows you to spin a selected vector around the model's X and Y-axes. For details, see Rotating Vectors.
  • Move - This allows you to move a selected vector along the X and Y-axis. For details, see Moving Vectors.
  • Shear - This enables you to shear a selected vector. For details, see Shearing Vectors.

See Also

Transforming Vectors

Using Transform Vectors Mode


Defining the Transform Origin

You can transform a selected vector relative to a defined origin using the Position and Origin area of the Transform Vector(s) page.

To define the origin by which you want to reposition, resize or rotate a selected vector:

  1. Select the vector that you want to transform. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. The co-ordinates in the X and Y boxes show the current position of the transform origin. Define the new origin about which you want to transform the selected vector in any of the following ways:
    • Click on any of the five radio buttons [image] on the rectangle diagram to set the origin to one of five pre-set positions. The co-ordinates of the selected position are displayed in the X and Y boxes.
    • Define the X and Y co-ordinates of the position you want to set as the origin in the X and Y boxes.
    • Click to select the Transform about (x,y) option [image]. The default X and Y boxes are greyed-out and new X and Y boxes are displayed on the page. The [image] icon appears in the 2D View window, marking the current position of the transform origin.

      To set the origin you can either define its X and Y co-ordinates in the X and Y boxes or move the [image] cursor to the position in the 2D View window that you want to use, and then click to select. In the latter instance, the co-ordinates of the selected position are displayed in the X and Y boxes.

  4. Click on the Apply button to define the transform origin. You can now transform the selected vector about this origin.

See Also

Using the Transform Vector(s) Page

Scaling Vectors

Moving Vectors

Rotating Vectors

Shearing Vectors


Scaling Vectors

You can change the size of a vector using the Size area of the Transform Vector(s) page in the following ways:

  • Using specific measurements.
  • Using the slider.
  • Using a percentage of its original size.

To change the size of a vector using specific measurements:

  1. Select the vector that you want to resize. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to resize the selected vector is correct. For details, see Defining the Transform Origin.
  4. If you want to preserve the ratio between the width and height of the selected vector, make sure that the Link Width and Height option is selected [image]. This option is selected by default.
  5. Define the width of the selected vector using the New Width box. If the Link Width and Height option is selected [image], the current value in the New Height box is adjusted. If the Link Width and Height option is deselected [image], you must define its height using the New Height box.
    • If you want to keep a copy of the selected vector in its original size, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when scaling.
    • Hold down the Shift key on your keyboard when scaling to preserve the ratio between the vector's width and height.
    • Hold down the Alt key on your keyboard when scaling to scale the selected vector about the centre of its bounding box.
  6. Click on the Apply button to resize the selected vector. The values shown in the New Width and New Height boxes are adjusted.
  7. Click on the OK button to return to the Assistant's Home page.

To change the size of a vector using the slider:

  1. Select the vector that you want to resize. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to resize the selected vector is correct. For details, see Defining the Transform Origin.
  4. If you want to preserve the ratio between the width and height of the selected vector, make sure that the Link Width and Height option is selected [image]. This option is selected by default.
    • If the Link Width and Height option is deselected [image], only the width of the selected vector can be adjusted using the slider.
    • If you want to keep a copy of the selected vector in its original size, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when scaling.
  5. Click and drag the slider in the appropriate direction:
    • Drag to the right if you want to increase the size of the selected vector.
    • Drag to the left if you want to reduce the size of the selected vector.
    • If you drag the slider without selecting the Link Width and Height option [image], only the value in the New Width box changes.

      A preview image of the new size of the selected vector appears in the 2D View window.

  6. Click on the Apply button to resize of the selected vector.
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Moving Vectors

Rotating Vectors

Shearing Vectors


Moving Vectors

You can reposition a vector in two ways using the Move area of the Transform Vector(s) page:

  • Using specific co-ordinates.
  • Using the sliders.

To move a vector to a specific position:

  1. Select the vector that you want to move. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to move the selected vector is correct. For details, see Defining the Transform Origin.
  4. Define the co-ordinate to which you want to move the selected vector along the X-axis in the Move X box.

    A positive value moves the selected vector to the right, while a negative value moves it to the left.

    • If you want to keep a copy of the selected vector in its original position, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when moving.
  5. Define the co-ordinate to which you want to move the selected vector along the Y-axis in the Move Y box.

    A positive value moves the selected vector upwards, while a negative value moves it downwards.

  6. Click on the Apply button to reposition the selected vector.
  7. Click on the Close button to return to the Assistant's Home page.

To move a vector along the X and Y axes using the sliders:

  1. Select the vector that you want to move. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to move the selected vector is correct. For details, see Defining the Transform Origin.
  4. Click and drag the sliders in the appropriate direction:
    • Drag the Move X slider to the right if you want to move the selected vector to the right.
    • Drag the Move Y slider to the right if you want to move the selected vector upwards.
    • Drag the Move X slider to the left if you want to move the selected vector to the left.
    • Drag the Move Y slider to the left if you want to move the selected vector downwards.
  5. Click on the Apply button to reposition the selected vector.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Scaling Vectors

Rotating Vectors

Shearing Vectors


Rotating Vectors

You can rotate a vector in two ways using the Rotate area of the Transform Vector(s) page:

  • Using a specific angle.
  • Using the slider.

To rotate a vector using a specific angle:

  1. Select the vector that you want to rotate. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to rotate the selected vector is correct. For details, see Defining the Transform Origin.
  4. Define the angle by which you want to rotate the selected vector in the Rotate box:
    • A positive value rotates the selected vector clockwise.
    • A negative value rotates the selected vector anti-clockwise.
    • If you want to keep a copy of the selected vector in its original position, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when rotating.
  5. Click on the Apply button to rotate the selected vector by the defined angle.
  6. Click on the Close button to return to the Assistant's Home page.

To rotate a vector around the X and Y axes using the sliders:

  1. Select the vector that you want to rotate. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Make sure that the origin by which you want to rotate the selected vector is correct. For details, see Defining the Transform Origin.
  4. Click and drag the slider in the appropriate direction:
    • Drag to the right if you want to rotate the selected vector clockwise.
    • Drag to the left if you want to rotate the selected vector anti-clockwise.
    • If you want to keep a copy of the selected vector in its original position, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when rotating.
  5. Click on the Apply button to rotate the selected vector by the angle shown in the Rotate box.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Scaling Vectors

Moving Vectors

Shearing Vectors


Shearing Vectors

Shearing can be visualized by thinking of an image superimposed onto a flexible rubber sheet. If you hold the sides of the sheet and move them up and down in opposite directions, the image undergoes a spatial stretching known as shearing:

Before Shearing…

After Shearing in the X-axis…

You can shear a vector in two ways using the Shear area of the Transform Vector(s) page:

  • Using specific angles.
  • Using the sliders.

To shear a vector using specific angles:

  1. Select the vector that you want to shear. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. Define the angle by which you want to shear the selected vector vertically in the Shear X box.
  4. Define the angle by which you want to shear the selected vector horizontally in the Shear Y box.
  5. Click on the Apply button to shear the selected vector.
  6. Click on the Close button to return to the Assistant's Home page.

To shear a vector along the X and Y axes using the sliders:

  1. Select the vector that you want to shear. For details, see Selecting Vectors.
  2. Click on the Transform Vector(s) button [image] in the Vector Tools area of the Assistant's Home page to display the Transform Vector(s) page.
  3. To shear the vector vertically, click and drag the Shear X slider.
    • If you want to keep a copy of the selected vector in its original shape, click to select the Copy on Apply (Ctrl) option [image] or hold down the Ctrl key on your keyboard when shearing.

      If you want to shear the vector horizontally, click and drag the Shear Y slider.

  4. Click on the Apply button to shear the selected vector.
  5. Click on the Close button to return to the Assistant's Home page.

See Also

Using the Transform Vector(s) Page

Defining the Transform Origin

Scaling Vectors

Moving Vectors

Rotating Vectors


Manipulating Vectors

There is a range of tools in both the Vector Tools and Position, Combine, Trim Vectors areas of the Assistant's Home page designed to assist you in manipulating vectors:

Vector Tools area with all toolsets expanded and pinned...

Linked ArtCAM Graphics Directory Template [Insignia]

Position, Combine, Trim Vectors area with all toolsets expanded and pinned...

Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Mirroring Vectors

Using the Mirror Vectors page, you can reverse the direction of a vector from its original position.

To mirror a selection of vectors:

  1. Select the vectors that you want to mirror. For details, see Selecting Vectors.
  2. Click on the Mirror Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Mirror Vectors page.
  3. If you want to produce mirrored copies and keep the original position of the selected vectors, click to select the Copy the Original Vectors (Ctrl) option [image] or hold down the Ctrl key on your keyboard when mirroring.
  4. Click on any of the options listed in the Mirror Types area of the page to mirror the selected vector. For details, see Using the Mirroring Options.
  5. Click on the Close button to return to the Assistant's Home page.

See Also

Manipulating Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Using the Mirroring Options

You can mirror a selected vector horizontally, vertically or about a line.

You can use the options in the Mirror Types area of the Mirror Vectors page to mirror a vector in the Horizontal plane in the following ways:

  • Left - This option mirrors the selected vectors in the horizontal plane about a point on the left edge of the selected vectors:

  • Centre - This option mirrors the selected vectors in the horizontal plane about a point in the centre of the selected vectors:

  • Right - This option mirrors all your selected vectors in the horizontal plane about a point on the right edge of the selected vectors:

  • Top - This option mirrors all your selected vectors in the horizontal plane about a point on the top edge of the selected vectors:

  • Centre - This option mirrors the selected vectors in the vertical plane about a point in the centre of the selected vectors:

  • Bottom - This option mirrors the selected vectors in the horizontal plane about a point on the bottom edge of the selected vectors:

You can also mirror a selected vector about an open vector, such as a polyline, using the About Line option on the page:

To mirror a vector about an open vector:

Select the open vector about which you want to mirror a vector. For details, see Selecting Vectors.

  1. Hold the Shift key down on your keyboard, and then click to select the vector that you want to mirror.
  2. Click on the Mirror Vectors button [image] in the Vector Tools area of the Assistant's Home page to display the Mirror Vectors page.
  3. Click on the About Line option on the Mirror Vectors page.
    • If you want to mirror the selected vector about the selected open vector and keep a copy in its original position, click to select the Copy the Original Vectors (Ctrl) option [image] or hold down the Ctrl key on your keyboard when mirroring.
  4. Click on the Close button to return to the Assistant's Home page.

See Also

Mirroring Vectors


Aligning Vectors

You can position two or more vectors relative to one another in different ways using the align buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page.

When you select the vectors that you want to position relative to one another, it is important to remember that every vector that you select will be aligned to the vector selected last. This is referred to as the base vector.

To align two or more vectors:

  1. Select the vectors that you want to position relative to one another. A bounding box surrounds all of the selected vectors.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the appropriate align button in the Position, Combine, Trim Vectors area of the Assistant's Home page to align all of the selected vectors relative to the base vector:
    • Click on the Align Left button [image] to align the left edge of all other selected vectors to the left edge of the base vector.
    • You can also align the left edge of all other selected vectors to the left edge of the base vector by pressing the Ctrl + ç keys on your keyboard.
    • Click on the Align Right button [image] to align the right edge of all other selected vectors to the right edge of the base vector.
    • You can also align the right edge of all other selected vectors to the right edge of the base vector by pressing the Ctrl + è keys on your keyboard.
    • Click on the Align Top button [image] to align the top edge of all other selected vectors to the top edge of the base vector.
    • You can also align the top edge of all other selected vectors to the top edge of the base vector by pressing the Ctrl + é keys on your keyboard.
    • Click on the Align Bottom button [image] to align the bottom edge of all other selected vectors to the bottom edge of the base vector.
    • You can also align the bottom edge of all other selected vectors to the bottom edge of the base vector by pressing the Ctrl + ê keys on your keyboard.
    • You can also align the selected vectors relative to the base vector using the Main menu bar. Click on the Vectors > Align Vectors option followed by the alignment option you want to use: Left, Right, Top or Bottom.

See Also

Manipulating Vectors

Mirroring Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Centring Vectors

You can centre one or more vectors inside of another in different ways using the centring buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page.

When selecting the vectors that you want to centre inside of another, it is important to remember that every vector you select will be centred inside of the vector selected last. This is referred to as the base vector.

To centre one or more vectors inside of another:

  1. Select two or more vectors that you want to position relative to one another.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the centring buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page to centre all of the selected vectors inside of the base vector:
    • Click on the Centre Vertically button [image] to align the centre of all other selected vectors to the centre in the X-axis of the base vector.
    • Click on the Centre Horizontally button [image] to align the centre of all other selected vectors to the centre in the Y-axis of the base vector.
    • Click on the Centre Vector button [image] to align the centre of all other selected vectors to the centre of the base vector.

      There is one additional centring button in the Position, Combine, Trim Vectors area of the Assistant's Home page, although it does not, unlike the other centring buttons, affect one vector relative to another:

    • Click on the Centre In Page button [image] to align the centre of the selected vectors to the centre of the model area (the white area).
    • You can also centre all of the selected vectors inside of the base vector using the Main menu bar, by clicking on the Vectors > Align Vectors option and then on the alignment option that you want to use: Horizontal Centre, Vertical Centre, Centre or Centre In Page.
    • You can also align the centre of the selected vectors with the centre of the model area (the white area) by pressing the F9 key on your keyboard.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Merging Vectors

You can merge two or more shapes of vectors in order to create a new shape of vector using the merging buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page. The newly merged vector is drawn on the currently active layer.

  • You can only merge two or more vectors if they are ungrouped and overlapping. For further information, see Ungrouped Vectors.

To merge two or more ungrouped vectors:

  1. Select the vectors that you want to merge.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the merging buttons in the Position, Combine, Trim Vectors area to merge the selected vectors:
    • You can also merge the selected vectors using the Main Menu bar. Click on the Vectors > Merge Vectors menu option followed by the merging option you want to use: Weld, Intersect, Subtract or Trim.
    • Click on the Weld Vectors button [image] to take two or more vectors and create a new vector that is the outline of them when fused together:
    • The Weld Vectors button [image] is the only merging button in the Position, Combine, Trim Vectors area of the Assistant's Home page that you can use to merge more than two overlapping vectors.

Before…

After…
  • Click on the Intersect Vectors button [image] to take two vectors and create a new vector that is the shape of the area where they overlap:

Before…

After…
  • Click on the Subtract Vectors button [image] to produce a vector that is the shape of the area remaining when the vector selected last is subtracted from that which was selected first:

Before…

After…
  • Click on the Trim Vectors button [image] to combine two selected vectors in such a way that all that remains are the areas of the vectors which are not overlapping:

Before…

After…

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Joining Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Joining Vectors

You can join two or more vectors to create one of four types of new shape using the joining buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page. The newly joined vector is drawn on the currently active layer.

  • The vectors must be open and ungrouped. For further information, see Selecting Vectors and Ungrouped Vectors.

To join together open, ungrouped vectors:

  1. Hold down the Shift key on your keyboard, and then click to [image] select the vectors that you want to join together.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the joining buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page to join the selected vectors:
    • You can also join the selected vectors using the Main Menu bar. Click on the Vectors > Join Vectors menu option followed by the joining option you want to use: with a smooth curve, with a line, move end points or with coincident points.
    • Click on the Join Vectors With A Line button [image] to link the nearest points in the two vectors with a linear span:

      Before…

      After…
    • Click on the Join Vectors With A Curve button [image] to link the nearest points in the two vectors with a bezier curve span:

      Before…

      After…
    • Click on the Join Vectors By Moving Ends button [image] to link the nearest points in the two vectors by moving each of their end points to a central position:

      Before…

      After…
    • Click on the Join Vectors With Coincident Start or End Points button [image] to display the Join Multiple Vectors page. For details, see Joining Vectors with Coincident Points.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Closing Vectors

Clipping Vectors

Slicing Vectors


Joining Vectors with Coincident Points

You can create freeform vector shapes by joining together open vectors with concurrent start or end points (nodes).

For example overlapping circles exploded using the Trim Tool could have sections rejoined by selecting bezier spans with coincident start or end points to create an interesting vector:

Joined Coincident Vectors…

To join together vectors with coincident start or end points:

  1. Hold down the Shift key on your keyboard, and then click to [image] select the vectors that you want to join together. The vectors turn magenta.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • The selected vectors must have coincident start or end points.
  2. Click on the Join Vectors with Coincident Start or End Points button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Join Multiple Vectors page.
  3. If you only want ArtCAM Insignia to join coincident points in the selected vectors within a specific distance of one another, define the distance in the Tolerance box.
  4. To calculate the number of vectors that will remain after joining the coincident points in the selected vectors within tolerance, click on the Calc Info button.
  5. Click on the Join button to join the coincident points in the selected vectors within tolerance.
    • You can also join the coincident points in the selected vectors within tolerance by pressing the J key on your keyboard.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Joining Vectors


Closing Vectors

You can close an open vector to create one of three types of closed vector using the closing buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page.

  • The vectors must be ungrouped. For further information, see Selecting Vectors and Ungrouped Vectors.

To close an open vector:

  1. Select the vector that you want to close. The selected vector is magenta.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on any of the closing buttons in the Position, Combine, Trim Vectors area of the Assistant's Home page:
    • You can also close the selected vectors using the Main Menu bar. Click on the Vectors > Close Vector menu option followed by the closing option you want to use: with a smooth curve, with a line, or move end point.
    • Click on the Close Vector With A Line button [image] to join the Start Point and end point with a linear span, as shown below:

      Before…

      After…
    • Click on the Close Vector With A Curve button [image] to join the Start Point and end point with a bezier curve span, as shown below:

      Before…

      After…
    • Click on the Close Vector - Move End Points button [image] to join the end point with the Start Point, as shown below:

      Before…

      After…

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Clipping Vectors

Slicing Vectors


Clipping Vectors

All vectors in, around or intersecting a clipping region can be clipped in several ways. You can use either open or closed vectors to define the clipping region.

To clip a selection of vectors:

  1. Select the vector(s) that you want to use as the clipping region.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

    • If you want to use more than one vector as the clipping region, you must group all of them first. For details, see Grouping Vectors.
  2. Hold down the Shift key on your keyboard, and then click to select the vectors that you want to clip. Some or all of these vectors must be within or intersecting the clipping region.

    In the following example, we will use a shoe sole shaped vector as the clipping region and a pattern of circles as the vectors that we want to clip:

  3. Click on the Vector Clipping button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Vector Clipping page.
    • You can also display the Vector Clipping page from the Main Menu bar by clicking on the Vectors > Clip vectors to boundaries menu option.
  4. In the Clipping Direction area, click to select the option for the direction in which you want to clip the selected vectors:
    • If you want to keep the area of the vectors within the clipping region, click to select the Inside radio button [image].
    • If you want to keep the area of the vectors outside of the clipping region, click to select the Outside radio button [image].

      In our example, we will keep the area of the circles within the clipping region.

  5. In the Overlapping Vectors area, click to select the option for how you want ArtCAM Insignia to edit vectors which intersect the clipping boundary:
    • If you want to trim all overlapping vectors to the clipping boundary, click to select the Trim radio button [image]. This option is selected by default.
    • If you want to delete all vectors intersecting the clipping boundary, click to select the Delete radio button [image].
    • If you want to keep all vectors intersecting the clipping boundary, click to select the Keep radio button [image].
  6. Click on the Clip Vectors button.

    In our example, you can see the results of each of the methods of clipping the circles overlapping the clipping region:

    Trim…

    Delete…

    Keep…
  7. Click on the Close button to return to the Assistant's Home page.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Slicing Vectors


Slicing Vectors

You can divide a selection of vectors using a vector such as a polyline, an imaginary vertical line defined as a Y co-ordinate, an imaginary horizontal line defined as an X co-ordinate, a vertical guideline or a horizontal guideline.

For example, you can see how a vector artwork design can be sliced in two using only a polyline:

Before…

After…

To slice a selection of vectors:

  1. Select the vector(s) that you want to slice.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Slice Selected Vectors button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page to display the Vector Slice page.
  3. In the Closing Method area, select how you want to leave the selected vectors after the slicing process:
    • If you want the selected vectors to be closed after being sliced, click to select the Close radio button [image].
    • If you want the selected vectors to be open after being sliced, click to select the Leave Vectors Open radio button [image].
  4. In the Slicing Method area, select how you want to slice the selected vectors:
    • If you want to use the last selected vector to slice all previously selected vectors, click to select the Use last selected vector radio button [image].
    • You must have at least two vectors selected prior to selecting the vector that you want to use for slicing. For details, see Selecting Vectors.
    • If you want to use a vertical line to slice the selected vectors, click to select the Use a vertical line radio button [image], and then define the position on the Y-axis along which you want to slice in the Line Coordinate box.
    • You can also use a vertical guideline to slice the vectors. When using a guideline, its Y co-ordinate is displayed in the Line Coordinate box. For details, see Using Guidelines.
    • If you want to use a horizontal line to slice the selected vectors, click to select the Use a horizontal line radio button [image], and then define the position on the X-axis along which you want to slice in the Line Coordinate box.
    • You can also use a horizontal guideline to slice the vectors. When using a guideline, its X co-ordinate is displayed in the Line Coordinate box. For details, see Using Guidelines.
  5. Click on the Slice Vectors button.
  6. Click on the Close button to return to the Assistant's Home page.

See Also

Manipulating Vectors

Mirroring Vectors

Aligning Vectors

Centring Vectors

Merging Vectors

Joining Vectors

Closing Vectors

Clipping Vectors


Grouping Vectors

Grouping combines all of the individual spans, points (nodes) and control points that make up a vector as a single entity.

You can group an individual vector or a selection of them. This process allows you to simultaneously machine or engrave each of the vectors that you define as a group in the same way. For details, see Selecting Vectors.

Grouping allows you to machine or engrave an open vector along with an individual or group of closed vectors when using certain toolpaths. These toolpaths are Engraving and Drilling. For details, see Using Toolpaths.

To group an open vector:

  1. Select the vector that you want to group. The selected vector is magenta.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Group button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. The vector turns purple. When deselected, the vector is blue, regardless of the colour assigned to the layer on which it is drawn.
    • You can also group the selected vector(s) by pressing the Ctrl + G keys on your keyboard or from the Main Menu bar by clicking on the Vectors > Group Vector(s) menu option.

To group a closed vector:

  1. Select the vector that you want to group.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Group button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. The vector turns purple.

    If you group a closed vector containing self-intersections, when deselected it turns red with the [image] icon marking the position of all intersections.

    If you select a combination of open and closed vectors with the intention of grouping them, all of them turn magenta. However, when they have been grouped and deselected, the closed vectors appear in the colour assigned to the layer on which they are drawn, while the open vectors appear in blue regardless of the colour assigned to the layer on which they are drawn.

    • You can also right-click on the selected vector to display the Vector Editing menu, and then click on the Group Vector(s) option.

You can also ungroup vectors. To ungroup any vector:

  1. Select the vector that you want to ungroup.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  2. Click on the Ungroup button [image] in the Position, Combine, Trim Vectors area of the Assistant's Home page. The vector is deselected. If the selected vector is open, the vector turns blue, regardless of the colour assigned to the layer on which it is drawn. If the selected vector is closed, it appears in the colour assigned to the layer on which it is drawn.
    • You can also group the selected vector(s) by pressing the Ctrl + U keys on your keyboard or from the Main Menu bar by clicking on the Vectors > Ungroup Vector(s) menu option.
    • You can also right-click on the selected vector to display the Vector Editing menu, and then click on the Ungroup Vector(s) option.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Viewing the Properties of a Vector

You can find out the number of points (nodes), linear, bezier curve or arc spans within any ungrouped vector using the Vector Properties dialog box.

To view the properties of an ungrouped vector:

  1. Select an ungrouped vector. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, then click on the Properties… option to display the Vector Properties dialog box.
    • You can also display the Vector Properties dialog box from the Main Menu bar by clicking on the Vectors > Properties... menu option.

      The General page of the Vector Properties dialog box is displayed by default:

      Linked ArtCAM Graphics Directory Template [Insignia]

      The Number of spans area shows the total number of spans in the selected vector. It also identifies the number of linear, bezier curve and arc spans that make up the total number of spans. For details, see Editing Vector Spans.

      The Number of points area shows the number of points (nodes) and control points in the selected vector. Numbers of points and control points are not counted separately. For details, see Editing Vector Nodes.

      The Layer area shows the name of the sheet and vector layer on which the selected vector is drawn.

  3. Click on the Other tab to display its associated page.

    The Direction area shows the current direction in which the vector is drawn.

    The Number of selected groups area shows the total number of grouped vectors currently selected.

    The Total number of points area shows the number of points and control points in the selected vector(s). The number of points and control points are not counted separately. For details, see Editing Vector Nodes.

    The Average number of points area shows the total number of points divided by the total number of vectors currently selected.

  4. Click on the OK button to close the Vector Properties dialog box.

To view the properties of a grouped vector:

  1. Select a grouped vector. For details, see Selecting Vectors.
  2. Right-click to display the Vector Editing menu, then click on the Properties… option to display the Vector Properties dialog box.
    • You can also display the Vector Properties dialog box from the Main Menu bar by clicking on the Vectors > Properties... menu option.

      The General page of the Vector Properties dialog box is displayed by default:

      Linked ArtCAM Graphics Directory Template [Insignia]

      The Number of contours area shows the total number of ungrouped vectors drawn in the model.

      The Number of groups area shows the total number of grouped vectors drawn in the model.

  3. Click on the Selected Objects tab to display its associated page.

    The Number of selected vectors area displays the total number of vectors currently selected.

    The Number of selected groups area displays the total number of grouped vectors currently selected.

    The Total number of points area displays the total number of points (nodes) and control points in the vectors currently selected.

    The Average number of points area displays the average number of points and control points in the vectors currently selected.

  4. Click on the OK button to close the Vector Properties dialog box.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Reversing a Vector's Direction

Importing Vector Artwork

Exporting Vector Artwork


Reversing a Vector's Direction

You can reverse the current direction of any closed vector. The direction of a vector determines the cutting direction in the toolpath used during the machining process.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Importing Vector Artwork

Exporting Vector Artwork


Ungrouped Vectors

You can reverse the direction of an ungrouped, closed vector that you have created.

To reverse the direction of an ungrouped, closed vector:

  1. Select an ungrouped, closed vector. For details, see Selecting Vectors. The vector is magenta.
  2. Right-click to display the Vector Editing menu, and then click on whichever direction change option is available:
    • Make Clockwise - To set the vector's direction as clockwise.
    • Make Anti-Clockwise - To set the vector's direction as anti-clockwise.

You can also reverse the direction of an ungrouped, closed vector if you:

  1. Select an ungrouped, closed vector. For details, see Selecting Vectors. The selected vector is magenta.
  2. Right-click to display the Vector Editing menu, then click on the Properties option to display the Vector Properties dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Click on the Other tab to display its associated page:

    Linked ArtCAM Graphics Directory Template [Insignia]

  4. Click on the appropriate Direction radio button [image]:
    • Clockwise - To set the vector's direction as clockwise.
    • Anti-clockwise - To set the vector's direction as anti-clockwise.
  5. Click on the OK button to set the direction and close the Vector Properties dialog box.

See Also

Reversing a Vector's Direction

Grouped Vectors


Grouped Vectors

You can reverse the direction of a grouped, closed vector that you have created.

To reverse the direction of a grouped, closed vector:

  1. Select a grouped, closed vector. For details, see Selecting Vectors. The selected vector is purple.
  2. Right-click to display the Vector Editing menu, then click on the Reverse Vector(s) option.

You can confirm the direction of a grouped, closed vector by ungrouping it after you click on the Reverse Vector(s) option, and then regrouping it again. For details, see Grouping Vectors.

See Also

Reversing a Vector's Direction

Ungrouped Vectors


Importing Vector Artwork

In ArtCAM Insignia, you can import vector artwork saved in any of the following formats onto an existing vector layer in a model:

  • Adobe Illustrator image (*.ai)
  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • AutoCAD 2D Drawing (*.dwg)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)
  • Windows MetaFile (*.wmf)
  • Windows Enhanced MetaFile (*.emf)

For more details, see Importing Vector Artwork.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Exporting Vector Artwork


Exporting Vector Artwork

In ArtCAM Insignia, you can export vector artwork as data. This data can then be used in other drawing packages supporting the following file formats:

  • Encapsulated PostScript (*.eps)
  • Drawing Interchange Format, including PowerSHAPE and AutoCAD (*.dxf)
  • Lotus, PC Paint or DUCT picture (*.pic)
  • Delcam DGK (*.dgk)

For details, see Exporting Vector Artwork.

See Also

Working with Vectors

Drawing with Polylines

Creating Simple Shapes

Editing Vectors

Working with Vector Text

Measuring Vectors

Transforming Vectors

Manipulating Vectors

Grouping Vectors

Viewing the Properties of a Vector

Reversing a Vector's Direction

Importing Vector Artwork


Machining Models

  • It is assumed that you already know how to operate your machine tool, and that you are able to select the appropriate tools and the necessary cutting conditions for the job you are doing. If you are not confident about any aspect of operating your machine tool, consult a member of staff or your machine tool supplier.

You use toolpaths to machine all or part of a model from the vector objects you have created.

ArtCAM Insignia provides a database containing a broad selection of tools that you can use when creating your toolpaths. You can edit the machining parameters of these tools and add new tools to the database if necessary.

You can control the cut direction of the tools used for machining by selecting either Conventional or Climb Milling in almost all of the toolpaths available in ArtCAM Insignia.

In Conventional Milling, the teeth of the tool meet the block of material at the bottom of the cut. The teeth of the tool slide along until sufficient pressure builds up to break through the material surface. This sliding action, under pressure, tends to abrade the edge of the tool, which results in dulling. Also, the cutting action has a tendency to lift the block of material, fixture and table from their positions.

Climb Milling…

Conventional Milling…

In Climb Milling, the teeth of the tool meet the block of material at the top of the cut, at the thickest part of the chip. This provides instant engagement of the tool with the block, providing a chip of definite thickness at the start of the cut. Climb Milling does not cause the abrasive action cause by Conventional Milling. It also permits the gradual removal of the tool from the block, so that dwell marks are largely eliminated. Climb Milling often provides a better finish, permits greater tool feed rates and prolongs the life of a tool.

You can control how the tool enters the block of material by adding ramping moves, also known as zigzag plunge moves, to almost all of the toolpaths available in ArtCAM Insignia.

Feeding the cutter into the material surface in a straight plunge motion at full feed rate often causes pivoting around the tool in the direction of rotation. This, in turn, causes deflection. It is this deflection that causes gouging and, consequently, tool damage. Adding ramping moves allows the cutting tool to enter the block of material gradually, ensuring minimum tool damage and reducing the likelihood of gouging.

ArtCAM Insignia allows you to create multiple toolpaths, each of them relating to a selected area of your model. This allows a number of roughing passes to be made, removing excess material prior to the finishing passes.

You can calculate a toolpath individually or as part of a batch. Calculating toolpaths in a batch allows you to automatically process a collection of different toolpaths at once. This gives you the freedom to work continuously on creating a model, and calculate its corresponding toolpaths outside of working hours.

You can simulate any toolpath after it has been calculated. This allows you to visualise the surface finish and the machining passes that are used to machine all or part of your model.

You can save a toolpath as a template. This allows you to apply the same toolpath settings to different parts of a model without having to create a toolpath over and over again.

In order to machine the model that you have created, you must create a toolpath file from the toolpaths you have calculated. A toolpath file contains one or more calculated toolpaths. Each toolpath is made up of a sequence of commands, which directs a CNC machine tool or laser engraving system along the path it is required to follow to produce your model.

You can save the toolpath file in a format recognised by your machine tool or engraving system. This ensures that the commands within the toolpath file are interpreted accurately by your system.

If your CNC machine has a tool changer, you can group all of the toolpaths for a series of tools into one machine-specific file.

If your CNC machine does not have a tool changer, you must generate separate toolpath files for each tool that you want to use.

In This Chapter

Using Toolpaths

Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


Using Toolpaths

ArtCAM Insignia provides a number of toolpaths that you can use to machine all or part of a model. These are available using the Toolpaths Home page, which is displayed when you click on the Toolpaths tab [image].

For details of the toolpaths that are available in ArtCAM Insignia, see Toolpaths.

You can also find buttons on the Toolpaths Home page that assist you in managing and modifying the toolpaths you have created. For details, see Managing and Modifying Toolpaths.

See Also

Machining Models

Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


Toolpaths

ArtCAM Insignia provides a number of toolpaths that you can use to machine your model using the vector artwork you have created. The collection of toolpath tools is located in the 2D Toolpaths area of the Toolpaths Home page:

Linked ArtCAM Graphics Directory Template [Insignia]

The toolpaths can be used as follows:

  • Profiling.

    This toolpath allows you to create a toolpath either inside or outside the boundary of a vector.

  • 2D Area Clearance .

    This toolpath allows you to clear an area of material either inside or outside the boundary of a vector. You can use a range of tools with this strategy and ArtCAM Insignia automatically calculates the order in which they should be used.

  • V-Bit Carving.

    This toolpath allows you to replicate a hand carved look for the vector or vector text you want to machine.

    • You cannot machine a V-Bit Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.
  • Bevelled Carving.

    This toolpath allows you to replicate a bevelled (angle-edged) look for the vector or vector text you want to machine.

    • You cannot machine a Bevel Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.
  • Engraving.

    This toolpath allows you to engrave around the boundary of a vector or group of vector text. You can use a range of tools with this strategy and ArtCAM Insignia automatically calculates the order in which they should be used.

  • Drilling Holes.

    This toolpath allows you to create drill holes using vectors.

  • Machine Vectors.

    This toolpath allows you to machine along the boundary of a vector with the centre of a tool.

  • Inlay Machining.

    This toolpath allows you to create a selection of corresponding inlays (female) and inserts (male) from a vector.

See Also

Machining Models

Using Toolpaths

Managing and Modifying Toolpaths

Simulating Toolpaths


Profiling

The 2D Profiling button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that machines either inside or outside the boundary of a selected vector, relative to the dimensions of the block of material.

A Profiling toolpath is ideal for cutting out letters and shapes from a block of material.

Using the Profiling page, you can:

  • Control where your tool cuts into and retracts from the block of material by adding lead in and lead out moves.
  • Control how your tool cuts into and retracts from the block of material by adding ramping moves.
  • Control the cutting direction of the tool.
  • Control whether the vector is cut or snapped out from the block of material by defining the thickness of the final machine pass and/or adding bridging.

To profile a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector that you want to profile.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the 2D Profiling button [image] in the 2D Toolpaths area to display the Profiling page.
  4. In the Profile Side area, select how you want to profile the selected vector:
    • Click on the Outside radio button [image] to instruct the tool to profile outside of the selected vector.
    • Click on the Inside radio button [image] to instruct the tool to profile inside of the selected vector.

      Profile Side - Outside…

      Profile Side - Inside…
  5. Define the depth (Z) at which you want to cut into the surface of the material in the Start Depth box.
  6. Define the depth (Z) for the bottom of the cut in the Finish Depth box.
  7. If you want to add or remove extra material around the vector, define the distance between the boundary of the selected vector and the profiling tool in the Allowance box. Type a positive value to add material or a negative value to remove it.

  8. Define how closely you want the cutter to follow the shape of the vector in the Tolerance box.
  9. If you want to set the thickness of the final profile pass, click to select the Final Pass Thickness option [image], and then define its thickness in the adjacent box.

    If this option is selected and a value greater than 0 is used, the toolpath consists of at least two machining passes, with the final pass removing the specified thickness (Z). This option is often used to leave a thin 'web' of material around the boundary of the vectors being machined, with the last pass removing less material than the preceding passes. In this instance, you can gently snap the shape from the block of material.

  10. If you want to add or remove extra material around the vector, click to select the Final Pass Allowance option [image], and then define the allowance in the adjacent box.

    If this option is selected, the allowance you define is left on by any of the intermediate machining passes in Z, and then removed in the final pass. This ensures that no dwell marks caused during the intermediate passes remain. The final pass (lowest in Z) machines the complete face of the profiled edge.

  11. If you want to change the height at which the Profiling tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  12. Click on the Select button in the Profiling Tool area of the page to open the Tool Database:

  13. Double-click on the tool you want to use. ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Profiling Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Profiling Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  14. The cutting direction defaults to Climb Mill. If you want to change this, click on the [image] arrow in the Cut Direction area, then click on either of the Cut Direction radio buttons [image]:
    • Climb Mill - Climb Milling rotates the cutter in the same direction as the feed motion.
    • Conventional - Conventional Milling rotates the cutter in the opposite direction to the feed motion.

      For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  15. To add lead-in and lead-out moves to the toolpath, click to select the Add Lead In/Out Moves option [image]. The lead moves settings are displayed:
    • If you only want to have a lead-in move, click to select the Do not Lead Out option [image].
    • Define the distance from the toolpath that you want the tool to cut into and retract from the vector's boundary in the Distance (D) box.
    • Define the distance from the start/end point in the profile pass that you want the tool to machine over in the Over Cut (O) box. This further helps to create a smooth finish.
    • Select how you want the tool to move using the Add Lead In/Out Moves radio buttons [image]:

      Linear - Click on the Linear option [image] to instruct the tool to lead into and out of the vector's boundary in a straight-line motion:

    • If you select the Linear option, define the angle of the linear lead moves in the Angle In and Angle Out boxes.

      When editing lead moves associated with a profile pass used to machine inside of a defined area, the distance of a linear lead move or the radius of a circular arc move is now considered.

      When adjusting the position of a linear lead move, ArtCAM checks to ensure that the distance of the lead move remains within the boundary of the profile pass. If the current distance of the lead move intersects with the profile pass, its distance will be cropped so that it does not.

      When adjusting the position of a circular arc lead move, ArtCAM checks to ensure that the radius of the lead move remains within the boundary of the profile pass. If the current radius of the lead move intersects with the profile pass, the lead move is converted to a linear move instead with a distance that does not.

      Circular Arc - Click on the Circular Arc option [image] to instruct the tool to lead into and out of the vector's boundary in an arc motion:

      If you select the Circular Arc option, define the radius of the arc in the Radius (R) box. The radius must be less than or equal to the value in the Distance (D) box, otherwise the following message box appears when you calculate the toolpath:

      Click on the OK button to close the message box.

    • Set the Automatic Positioning as follows:

      Click to select the Automatic Positioning option [image]. This positions lead-in and lead-out moves at the optimum point in the vector, which is usually within its longest linear span.

    • The Automatic Positioning option should not be selected if you want to use the Lock Start Points option for toolpath sequencing.

      Click to deselect the Automatic Positioning option [image]. This positions lead-in and lead-out moves at the Start Point of the vector. If you want to change the position of lead-in and lead-out moves, you can change the Start Point. For details, see Changing the Start Point.

  16. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping moves settings are displayed:

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  17. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Insignia to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Insignia to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimize - Click on this option to instruct ArtCAM Insignia to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Insignia to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Insignia to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Insignia to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Insignia to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Insignia to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Insignia to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Insignia to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) that you want to profile are selected. For details, see Selecting Vectors.

      If you do not want ArtCAM Insignia to adjust the position of the Start Point within a toolpath segment when calculating the machining order, make sure that the Lock Start Points option is selected [image]. Deselecting this option prevents ArtCAM Insignia from attempting to minimize the length of joining moves in the machining process.

    • The Lock Start Points option should not be selected if you have already selected the Automatic Positioning option for lead moves. Using the Lock Start Points option will cancel the Automatic Positioning option.
  18. In the Material area, click on the Setup button to display to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  19. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
  20. Type a name for the toolpath in the Name box.
  21. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    A progress bar is displayed beneath the 2D View window while ArtCAM Insignia calculates the toolpath:

    You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

    A dark red line represents the machining passes used to profile the selected vector. It is drawn either inside or outside of its boundary, according to the Profile Side that you had selected. A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath as part of a batch of toolpaths at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  22. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to or change the start position in any of the profile passes in the Profile toolpath, see Editing a Profile Pass for details.

If you want to set the machining order of the profile passes in the Profile toolpath, see Setting the Machining Order for details.

See Also

Toolpaths

2D Area Clearance

V-Bit Carving

Bevel Carving

Engraving

Machine Vectors

Inlay Wizard

Drill Holes


2D Area Clearance

The Area Clearance button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath to clear an area of material based on the boundary of the vector you have selected.

An Area Clearance toolpath is ideal for clearing areas of unwanted material in a block of material.

Using the 2D Area Clearance page, you can:

  • Select multiple tools to perform smart machining, where ArtCAM Insignia automatically uses the biggest tool first, and then the smaller tools in order of size to machine the areas which could not be reached by previous tools.
  • Select a different tool clearance strategy for each of the tools you want to use. Depending on what strategy you select, you can control the angle, or where and in what direction the tool cuts into the block of material.
  • Control how your tools cut into and retract from the block of material by adding ramping moves.

To area clear a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vectors that represent the area you want to clear.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the Area Clearance button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the 2D Area Clearance page.
  4. Define the depth (Z) from the surface of the material at which you want to begin clearing the area in the Start Depth box.
  5. Define the depth (Z) of the bottom of the area you want to clear in the Finish Depth box.
  6. If you want to add or remove extra material around the vector, define the distance between the boundary of the selected vector and the cutting tool in the Allowance box. Type a positive value to add material or a negative value to remove it.
  7. If you are using more than one tool, define the allowance to be left by larger tools for the smallest tool to machine when clearing around the selected vectors in the Final Tool Allowance box.
  8. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  9. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool(s):

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  10. In the Tools List area, click on the Add button to open the Tool Database:

  11. Double-click on the tool you want to use. ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Tools List window.

    The tool's machining parameters are displayed in the area below. If you want to amend the machining parameters, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  12. If you want to use more than one tool, click on the Add button again and select another tool from the Tool Database.
  13. In the Tools List window, click on the name of the tool for which you want to set the clearance strategy. You must select a separate tool clearance strategy for each of the tools listed.
  14. Select how you want the tool to clear the area using the Tool Clearance Strategy radio buttons [image]:
    • Raster - This strategy machines in passes back and forth along the X-axis at a specified angle. If you select this strategy, define the angle at which you want the tool to move in the Raster Angle box.
    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
    • Offset - This strategy machines in repeated passes, each time moving inwards by the selected tool's Stepover value.
    • You can see the stepover value of the selected tool when the machining parameters are displayed in the Tools List area.

      Raster Tool Clearance at 45°…

      Offset Tool Clearance…

      If you select Offset, click on one of the Cut Direction radio buttons [image]:

      Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.

    • You can set the default cutting direction in ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

      Next, click on either of the Start Point radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the vector's boundary, then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the vector's centre, then machine outwards.

    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  15. If you want the selected tool to cut to a different depth than that displayed in the Finish Depth box, click to select the Independent Finish Depth option [image], and then define the relative depth (Z) of the bottom of the area you want to clear in the Finish Depth box below.
  16. When you have set a tool clearance strategy for each of the tools in the Tools List area, you can choose whether or not to add ramping moves to the machining passes made by them:
    • To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. The ramping move settings are displayed.

      All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  17. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  18. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  19. Type a name for the toolpath in the Name box.
  20. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Insignia calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The machining passes used to clear the area about the selected vector are represented by a sequence of dark red lines drawn either inside or outside of its boundary.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  21. Click on the Close button to return to the Toolpaths Home page.

See Also

Toolpaths

Profiling

V-Bit Carving

Bevel Carving

Engraving

Machine Vectors

Inlay Wizard

Drill Holes


V-Bit Carving

  • You cannot machine a V-Bit Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.

The V-Bit Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that replicates a hand carved look for the vector or text that you have selected.

The V-Bit Carving page allows you to control the depth of the centreline carved into the block of material and the order in which toolpath segments are machined.

To v-bit carve vectors or text:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector or text that you want to carve. For details, see Selecting Vectors.
  3. Click on the V-Bit Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the V-Bit Carving page.
  4. Define the depth (Z) from the material surface at which you want to begin carving in the Start Depth box.
  5. Define how closely you want the Carving tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which the Carving tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Carving Tool area, click on the Select button to open the Tool Groups Database:

  8. Double-click on the V-Bit, Conical or Ball Nose tool that you want to use. ArtCAM Insignia closes the Tool Groups Database and displays the selected tool's description in the Carving Tool area.

    If you want to amend the machining parameters, click on the [image] arrow in the Carving Tool area. For further details, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  9. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Insignia to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Insignia to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimize - Click on this option to instruct ArtCAM Insignia to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Insignia to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Insignia to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Insignia to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Insignia to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Insignia to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Insignia to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Insignia to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an open, ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) that you want to carve are selected. For details, see Selecting Vectors.
  10. You can now calculate the maximum depth and width of the carving pass in the toolpath by clicking on the Centreline button.
    • If you have chosen a Carving tool with a smaller diameter than the maximum width of the carving pass, ArtCAM Insignia makes multiple passes to clear the specified width.

      During the centreline calculation process, ArtCAM Insignia displays a progress bar and a Cancel button [image] beneath the design window area. If you want to stop this process, click on the Cancel button [image].

      After the centreline calculation process is complete, the maximum depth and width of the carving pass are shown below the Carving Tool area.

      If the maximum depth of the carving pass is greater than the thickness of the material block, the following message box appears when the toolpath is calculated:

      Click on the OK button to close the message box. To overcome this problem, you can select a different Carving tool with an angled edge, limit the maximum depth of the tool or use a thicker block of material.

  11. To limit the depth at which the Carving tool cuts into the block of material:
    • First, click to select the Limit tool maximum depth option [image] in the Carving Tool area.
    • Next, type a value in the Maximum Depth box equal to the Max Depth value shown above the Centreline button.
    • If you were to use a value less than the calculated Max Depth, the carving would be truncated.
  12. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  13. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  14. Type a name for the toolpath in the Name box.
  15. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Insignia calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      If you have not already calculated the carving pass in the toolpath, the selected vector is colour-filled in cyan during the centreline calculation process.

      Dark red lines drawn inside its boundary represent the machining passes used to carve the selected vector.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  16. Click on the Close button to return to the Toolpaths Home page.

See Also

Toolpaths

Profiling

2D Area Clearance

Bevel Carving

Engraving

Machine Vectors

Inlay Wizard

Drill Holes


Bevel Carving

  • You cannot machine a Bevel Carving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.

The Bevel Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that replicates a bevelled (angled-edge) look for the vector text or object that you have selected.

To create a bevel carving, you must use two types of tool:

  • An angled-edge carving tool to create the bevelled edge.
  • A profiling tool to create the vertical wall below the bevelled edge.

The angle of the bevelled edge is determined by the angle of the carving tool.

Using the Bevel Carving page, you can:

Choose whether or not you want to create a vertical wall in the bevel carving.

  • Control the height of the angled edge in the bevel carving.
  • Control the cutting direction of the tool.

To begin bevelling your vector text or object you must:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector from which you want to create a bevel carving. For details, see Selecting Vectors.
    1. Make sure that the Select Vectors button in the Vector Editing area is selected [image] .
    2. Click on the vector that you want to select.
    3. If you want to select more than one vector, hold down the Shift key on your keyboard and continue to click on each vector in turn.

  3. Click on the Bevel Carving button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Bevel Carving page.
  4. Define the depth (Z) from the material surface at which you want to begin carving in the Start Depth box. This is the apex of the bevel carved object.
  5. Define the height of the wall in the material block in the Wall Height box. This is the vertical wall below the bevelled edge.
    • If you do create a vertical wall, a Profiling tool must be used when machining.
  6. Define the depth (Z) for the bottom of the cut in the Finish Depth box.
    • If you are cutting the vector out of the block of material, the Finish Depth value must be equal to the Thickness (Z) defined in the Setup Job Dimensions dialog box. For details, see Creating a Model.
  7. Define how closely you want the Carving and Profiling tools to follow the shape of the vector in the Tolerance box.
  8. If you want to change the height at which the Carving and Profiling tools make rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tools:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  9. In the Carving Tool area, click on the Select button to open the Tool Groups Database:

  10. Double-click on the V-Bit or Conical tool you want to use. ArtCAM Insignia closes the Tool Groups Database and displays the selected tool's description in the Carving Tool area.

    If you want to amend the machining parameters, click on the [image] arrow in the Carving Tool area. For further details, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  11. You can now calculate the maximum height and width of the carving pass in the toolpath by clicking on the Centreline button.

    During the centreline calculation process, ArtCAM Insignia displays a progress bar and a Cancel button [image] beneath the design window area. If you want to stop this process, click on the Cancel button [image].

    • If you have chosen a Carving tool with a smaller diameter than the maximum width of the carving pass, ArtCAM Insignia makes multiple passes to clear the specified width of the carving pass.

      After the centreline calculation process is complete, the maximum depth and width of the carving pass are shown below the Carving Tool area.

      If the maximum depth of the carving pass is greater than the thickness of the material block, the following message box appears when the toolpath is calculated:

      Click on the OK button to close the message box. To overcome this problem, you can select a different Carving tool with a smaller angled edge, limit the maximum depth of the tool or use a thicker block of material.

  12. To limit the depth at which the Carving tool cuts into the block of material:
    • First, click to select the Limit tool maximum depth option [image] in the Carving Tool area.
    • Next, type a value in the Maximum Depth box equal to the Max Depth value shown below the Carving Tool area.
    • If you were to use a value less than the calculated Max Depth, the carving would be truncated.
  13. Click on the Select button in the Profiling Tool area of the page to open the Tool Groups Database again.
  14. Double-click on the tool you want to use to display its description in the Profiling Tool area.

    If you want to amend the machining parameters, click on the [image] arrow in the Profiling Tool area. For further details, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  15. To set the cut direction of the Profiling Tool, click on the [image] arrow in the Cut Direction area, and then click on either of the Cut Direction radio buttons [image]:
    • Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.
    • Conventional - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Overview.
  16. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  17. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  18. Type a name for the toolpath in the Name box.
  19. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button. If you have not already calculated the carving pass in the toolpath, the selected vector is colour-filled in cyan during the centreline calculation process.

      A progress bar is displayed beneath the 2D View window while ArtCAM Insignia calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      A dark red line represents the machining passes used to profile the selected vector in the model. Each profile pass is drawn outside of the vector's boundary. The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. See Calculating a Single Toolpath and Calculating a Batch Toolpaths.
  20. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Bevelled Carving toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Bevelled Carving toolpath, see Setting the Machining Order for details.

See Also

Toolpaths

Profiling

2D Area Clearance

V-Bit Carving

Engraving

Machine Vectors

Inlay Wizard

Drill Holes


Help with Creating a Bevelled Carving

You can display information on how to create a Bevelled Carving toolpath if you click on [image] at the top of the Bevel Carving page.

However, if you would like further assistance with creating a Bevelled Carving toolpath:

  1. Click on the More Help button at the bottom of the page to display the Bevelled Carving Help window.
  2. Click on either of the Step 1 radio buttons [image] to display its corresponding Step 2 in the window:
    • I want to cut the bevelled carving out of the material - Select this option if you want to remove the bevelled carving from the block of material.
    • The bevelled carving sits within a bigger job - Select this option if you do not want to remove the bevelled carving from the block of material.
  3. Once you have read the information displayed, click on the Close Window button to close the Bevelled Carving Help window.

See Also

Bevel Carving


Engraving

The Engraving button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that engraves the vector text or object that you have selected.

Using the Engraving page, you can:

  • Select multiple tools to perform smart engraving, where ArtCAM Insignia automatically selects the biggest tool first, and then the smaller tools in order of size. This provides the most efficient way of machining, as the bigger tools clear the material and the smaller ones can then machine smaller pockets to provide the engraved detail.
  • Select a different tool clearance strategy for each of the tools you want to use. Depending on what strategy you select, you can control the angle, or where and in what direction the tool cuts into the block of material.
  • Control the areas that the Engraving tool sharpens and profiles.
  • Offset the Roughing tool so to leave sufficient material for the Engraving tool to form the side of the engraved feature.

To engrave a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector that you want to engrave. For details, see Selecting Vectors.
  3. Click on the Engraving button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Engraving page.
  4. Define the depth (Z) from the material surface at which you want to begin engraving in the Start Depth box.
  5. Define the depth (Z) for the bottom of the cut in the Finish Depth box.
  6. Define how closely you want the Roughing and Engraving tools to follow the shape of the vector in the Tolerance box.
  7. To place the Engraving tool in contact with the top edge of the vector during the machining process, make sure that the Vectors are on surface option is selected [image].

    If the Vectors are on surface option is deselected [image], the Engraving tool is placed in contact with the bottom edge of the vector during the machining process. The Do Corner Sharpening option is also automatically greyed out.

  8. If you are engraving one vector inside of another, and do not want the Engraving tool to sharpen the corners or machine the boundary of the outer vector, click to select the Outer vectors are boundary option [image].

    In the example below, you can see that the engraving tool machines along the boundary and sharpens the corners of the outer rectangular vector when the Outer vectors are boundary option is deselected [image]:

    Outer Vectors are boundary OFF…

    Outer Vectors are boundary ON…
  9. To automatically offset an End Mill Roughing tool in order to leave sufficient material for an angle-edged of an Engraving tool to form the side of the engraved feature, click to select the Offset end mills for engraving tools option [image].
  10. If you want to change the height at which the Roughing and Engraving tools make rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  11. Click on the Add button in the Tools List area to display the Tool Database:

  12. Double-click on the Roughing or Engraving tool you want to use. ArtCAM Insignia closes the Tool Groups Database, highlights the selected tool in the Tools List window and displays its details below.

    If you want to amend the machining parameters of the selected tool, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow next to the tool's description to hide its machining parameters.

  13. If you want to leave extra material around the vector, define the distance between the boundary of the selected vector and the Roughing or Engraving tool in the Allowance box.
  14. Select how you want the tool to clear the area using the Tool Clearance Strategy radio buttons [image]:
    • Raster - This strategy machines back and forth along the X-axis at a specified angle. If you select this strategy, type the angle you want the tool to move at in the Raster Angle box.
  • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.
  • You can see the stepover value of the selected tool when the machining parameters are displayed in the Tools List area.
    • If you have selected this strategy, set the cutting direction by selecting one of the Cut Direction radio buttons [image], either Climb Mill or Conventional.

      In Climb Milling, the cutter rotates in the same direction as the feed motion. In Conventional Milling, the cutting tool rotates in the opposite direction to the feed motion. For more details, see Overview.

  1. You can also control the movements of the selected Roughing or Engraving tools:
    • If you want the Engraving tool to sharpen the corners of the vector during the machining process, click to select the Do Corner Sharpening option [image].
  • You cannot use the Do Corner Sharpening option in an Engraving toolpath without using a 3-axis machine. For further information, consult a member of staff or your machine tool supplier.
  • If you have not selected an Engraving tool, the Do Corner Sharpening option is greyed out.

    In the example below, you can see that the tool profiles the vector text A to sharpen its corners when the Do Corner Sharpening option is selected [image]:

    Do Corner Sharpening OFF…

    Do Corner Sharpening ON…

    The Engraving tool is also lifted in the Z direction to minimize the curvature in the corners of the vector text A.

    • If you want the Engraving tool to profile only the vectors which have not already been machined with a larger tool, click to select the Only Smart Engrave Profile option [image].
  • If you have not selected an Engraving tool, the Only Smart Engrave Profile option is greyed out.
    • If you want a tool to make a single profile pass around the vector, click to select the Profile Only option [image].

      In the example below, you can see that the number of machining passes is reduced, particularly in the central cavity of the vector text A, when the Profile Only option is selected [image]:

      Profile Only OFF…

      Profile Only ON…
    • If you want the selected tool to cut to at a different depth than the other tools, click to select the Independent Finish Depth option [image], and then define the absolute Z zero value of the bottom of the area you want to engrave in the Finish Depth box below.

      You can add as many tools as are needed for the job, setting the machining parameters and strategy for each tool after selecting it in the Tools List window.

  1. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  2. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  3. Type a name for the toolpath in the Name box.
  4. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Insignia calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. See Calculating a Single Toolpath and Calculating a Batch of Toolpaths for details.
  5. Click on the Close button to return to the Toolpaths Home page.

See Also

Toolpaths

Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Machine Vectors

Inlay Wizard

Drill Holes


Machine Vectors

The Machine Along Vector button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to machine along the boundary of a vector.

The boundary of a selected vector represents the centreline of the Profiling tool. The machined feature has no diameter other than that of the tip of the Profiling tool.

This toolpath is mainly used to produce the effect of engraved text or to provide sharp profiling for detailed edges.

To machine a vector:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector that you want to machine. For details, see Selecting Vectors.
  3. Click on the Machine Along Vector button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Machine Vectors page.
  4. Define the depth (Z) from the material surface at which you want to begin machining in the Start Depth box.
  5. Define the depth (Z) of the bottom of the cut in the Finish Depth box.
  6. Define how closely you want the Profiling tool to follow the shape of the vector in the Tolerance box
  7. If you want to change the height at which the Profiling tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  8. In the Profiling Tool area, click on the Select button to open the Tool Database:

  9. Double-click on the tool you want to use. ArtCAM Insignia closes the Tool Database, and displays the selected tool's description in the Profiling Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Profiling Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  10. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Overview.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  11. From the Sequencing area, you can set the order in which each segment in the toolpath is machined. You can either allow ArtCAM Insignia to calculate the machining order, or use a polyline drawn to indicate the machining order.

    If you want to ArtCAM Insignia to calculate the order in which each segment in the toolpath is machined:

    • First, click on the Auto radio button [image].
    • Next, click on the list box and then on the option that you want to use for the machining order:

      Optimise - Click on this option to instruct ArtCAM Insignia to find the most efficient machining order.

      Use Text Order - Click on this option to instruct ArtCAM Insignia to machine according to the order in which the selected vector text was created. The cutting tool moves along the first line of text from left to right, until it locates a carriage return when it continues machining along the next line from right to left. This process is repeated until the last character in the last line of text is located.

      Left To Right - Click on this option to instruct ArtCAM Insignia to machine from the left of the model to the right.

      Right To Left - Click on this option to instruct ArtCAM Insignia to machine from the right of the model to the left.

      Bottom To Top - Click on this option to instruct ArtCAM Insignia to machine from the bottom of the model to its top.

      Top To Bottom - Click on this option to instruct ArtCAM Insignia to machine from the top of the model to the bottom.

      Spiral Out - Click on this option to instruct ArtCAM Insignia to machine from the centre of the model outwards in a spiral motion. This is particularly useful if you are using clamps to secure the material on your router.

      Spiral In - Click on this option to instruct ArtCAM Insignia to machine from the outside edge of the model inwards in a spiral motion.

      If you want to manually set the order in which each segment in the toolpath is machined:

    • First, click on the Manual radio button [image].
    • Next, draw a polyline in the 2D View indicating the order in which you want the toolpath segments to be machined. Its Start Point should be positioned close to the toolpath segment from which you want to begin machining. For details, see Creating a Polyline.
    • Next, click to select the polyline that you want to use, and then click on the Select Vector button. The No Vector Selected message in red text changes to Vector Selected in blue text.

      If you do not select an open, ungrouped vector, the following message box appears:

      Click on the OK button to close the message box, and then repeat this step.

      If you want to change the polyline you have selected, click on the Cancel Selection button and then repeat this step.

    • Finally, make sure that the vector(s) along which you want to machine are selected. For details, see Selecting Vectors.
  12. In the Material area, click on the Setup button to display the Material Setup dialog box.

    Make sure that the thickness of the block, the material Z zero position and the position of the model in the block is correct, then click on the OK button. If you want to change any of these settings, see Adjusting the Material Setup.

  13. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  14. Type a name for the toolpath in the Name box.
  15. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      A progress bar is displayed beneath the 2D View window while ArtCAM Insignia calculates the toolpath:

      You can click on the Cancel button [image] to cancel the toolpath calculation process at any time.

      The passes used to machine the vector are represented by dark red lines drawn on the boundary of the selected vector:

      A circle marking the current start position is drawn on the toolpath preview. For details, see Changing the Start Position.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  16. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Machine Vectors toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Machine Vectors toolpath, see Setting the Machining Order for details.

See Also

Toolpaths

Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Engraving

Inlay Wizard

Drill Holes


Inlay Wizard

The Inlay Wizard button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that can produce one of many different kinds of inlays and inserts. Essentially, you can use this toolpath to machine interlocking male and female parts. ArtCAM Insignia allows these interlocking parts to fit perfectly by adjusting the shape of the corners according to the tool that is used to machine them.

The Inlay Wizard button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create a toolpath that can produce one of many different kinds of inlays and inserts. Essentially, you can use this toolpath to machine interlocking male and female parts. ArtCAM Insignia allows these interlocking parts to fit perfectly by adjusting the shape of the corners according to the tool that is used to machine them.

To produce a particular style of interlocking male and female parts:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the vector from which you want to create an inlay or an insert. For details, see Selecting Vectors.
  3. Click on the Inlay Wizard button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Inlay Wizard page.
  4. Select the Inlay Type that you want to create:
    • Pocket.
    • Hole.
    • Stepped Pocket.
    • Stepped Hole.
    • Straight Insert.
    • Stepped Insert.

See Also

Toolpaths

Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Engraving

Machine Vectors

Drill Holes


Creating a Pocket

This Female Inlay option displays the Female Inlay Pocket page in the Assistant window. This allows you to create a pocket, which is a hole in the material that has a bottom and does not go right through the block. You can then create a male straight insert to fit into the pocket.

Using the Female Inlay Pocket page, you can:

  • Select both Roughing and Finishing tools.
  • Select a tool clearance strategy for the Finishing or Roughing tool you want to use.

    Depending on the strategy you select, you can control the angle, where and in what direction the tool cuts into the block of material.

  • Control how the Roughing and/or Finishing tools cut into and retract from the block of material by adding ramping moves.

To create a pocket:

  1. Click on the Pocket option [image] in the Inlay Types area of the Inlay Wizard page. ArtCAM Insignia displays the Female Inlay Pocket page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select button in the Finishing Tool area of the page to open the Tool Database:

  8. Double-click on the tool you want to use. ArtCAM ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
    • The selected Finishing Tool must be the same size as the tool used to machine the male straight insert you want to fit into this pocket.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Finishing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  9. Select whether you want to use a Roughing tool or not:
    • If you want to use the Finishing tool you have already selected to create the whole pocket, make sure that the Use Roughing Tool option is deselected [image], and then go straight to the next step.
    • If you want to use a Roughing tool to create the pocket, click to select the Use Roughing Tool option [image].

      In the Roughing Tool area, which is now displayed, click on the Select button to open the Tool Database again.

      Double-click on the tool you want to use. Its description is displayed in the Roughing Tool area.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Roughing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  10. If you want to enlarge or reduce the pocket around the selected vector object, define the distance between the boundary of the selected vector and the Finishing tool in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  11. Select how you want the tool to clear the pocket using the Strategy radio buttons [image]:
    • Important: If you are using a Roughing tool, the strategy that you select applies to the selected tool and an Offset strategy with a Climb Mill cut direction is applied by default to the Finishing tool. If you are not using a Roughing tool, the strategy that you select applies to the Finishing tool.
    • Raster - This strategy machines in passes back and forth along the X-axis at a specified angle. If you select this strategy, define the angle you want the tool to move at in the Raster Angle box.
    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

      Next, click on one of the Profile Pass radio buttons [image]:

      None - Select this option if you do not want the tool to profile the selected vector.

      First - Select this option if you want the tool to profile the selected vector first and then raster clear the area.

      Last - Select this option if you want the tool to move outwards to raster clear the area, then profile the selected vector object.

    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.
    • You can see the stepover value of the selected tool when the machining parameters are displayed in the Roughing Tool and/or Finishing Tool areas.

      Raster Strategy at 45°…

      Offset Strategy at Climb…

      If you select Offset, click on one of the Cut Direction radio buttons [image]:

      Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Machining Models.

    • You can set the default cutting direction in ArtCAM ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

      Next, click on one of the Start Point radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the vector object's boundary, then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the vector object's centre, then machine outwards.

    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  12. When you have set a tool clearance strategy, you can choose whether or not to add ramping moves to the machining passes made by the cutting tools:
    • If you want to add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Machining Models.

      All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  13. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  14. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    The passes used to machine the pocket are represented by dark red lines drawn along the boundary and inside of the selected vector object, according to the Strategy selected.

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Hole

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Straight Insert

Creating a Stepped Insert


Creating a Hole

This Female Inlay option displays the Female Inlay page in the Assistant window. This allows you to create a hole in the block of material. You can then create a male straight insert to fit into the hole.

Using the Female Inlay page, you can:

  • Select a tool to cut the hole in the block of material.
  • Control the cutting direction of the tool.

To create a hole:

  1. Click on the Hole option [image] in the Inlay Types area of the Inlay Wizard page to display the Female Inlay page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select button in the Finishing Tool area of the page to open the Tool Database:

  8. Double-click on the tool you want to use. ArtCAM ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
  9. To set the cut direction, click on the [image] arrow in the Cut Direction area of the page, and then click on one of the Cut Direction radio buttons [image]:

    Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

    Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Machining Models.

    • You can set the default cutting direction in ArtCAM ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  10. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Machining Models.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  11. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  12. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  13. Type a name for the toolpath in the Name box.
  14. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    The passes used to machine the hole are represented by dark red lines drawn around the boundary of the selected vector:

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  15. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Female Inlay toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Female Inlay toolpath, see Setting the Machining Order.

See Also

Inlay Wizard

Creating a Pocket

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Straight Insert

Creating a Stepped Insert


Creating a Stepped Pocket

This Female Inlay option displays the Female Stepped Pocket Inlay page in the Assistant window. This allows you to create a stepped pocket, which is a stepped hole in the material that has a bottom and does not go right through the block. You can then create a male stepped insert to fit into the stepped pocket.

Using the Female Stepped Pocket Inlay page, you can:

  • Select both Roughing and Finishing tools.
  • Select a tool clearance strategy for the Finishing or Roughing tool you want to use.
  • Depending on the strategy you select, you can control the angle, where and in what direction the tool cuts into the block of material.
  • Control how the Roughing and/or Finishing tools cut into and retract from the block of material by adding ramping moves.

To create a stepped pocket:

  1. Click on the Stepped Pocket option [image] in the Inlay Types area of the Inlay Wizard page to display the Female Stepped Pocket Inlay page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Shoulder Dimensions area, define the relative depth of the shoulder from the Start Depth in the Depth (d) box.
  8. Define the width of the shoulder in the Width (s) box.
  9. In the Finishing Tool area, click on the Select button to open the Tool Database:

  10. Double-click on the tool you want to use. ArtCAM ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
    • The selected Finishing Tool must be the same size as the tool used to machine the male stepped insert which you want to fit into this stepped pocket.
  11. Select whether you want to use a Roughing tool or not:
    • If you want to use the Finishing tool you have already selected to create the whole pocket, make sure that the Use Roughing Tool option is deselected [image], and then go straight to the next step.
    • If you want to use a Roughing tool to create the pocket, click to select the Use Roughing Tool option [image].

      In the Roughing Tool area, which is now displayed, click on the Select button to open the Tool Database again.

      Double-click on the tool you want to use. Its description is displayed in the Roughing Tool area.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Roughing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  12. If you want to enlarge or reduce the pocket around the selected vector object, define the distance between the boundary of the selected vector and the Finishing tool in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  13. Select how you want the tool to clear the pocket using the Strategy radio buttons [image]:
    • Important: If you are using a Roughing tool, the strategy that you select applies to the selected tool and an Offset strategy with a Climb Mill cut direction is applied by default to the Finishing tool. If you are not using a Roughing tool, the strategy that you select applies to the Finishing tool.
    • Raster - This strategy machines in passes back and forth along the X-axis at a specified angle. If you select this strategy, define the angle you want the tool to move at in the Raster Angle box.
    • You can set the default raster angle using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

      Next, click on one of the Profile Pass radio buttons [image]:

      None - Select this option if you do not want the tool to profile the selected vector.

      First - Select this option if you want the tool to profile the selected vector first and then raster clear the area.

      Last - Select this option if you want the tool to move outwards to raster clear the area, then profile the selected vector object.

    • Offset - This strategy machines in repeated passes, each time moving inwards by the Stepover value of the tool you use.
    • You can see the stepover value of the selected tool when the machining parameters are displayed in the Roughing Tool and/or Finishing Tool areas.

      Raster Strategy at 45°…

      Offset Strategy…

      If you select Offset, click on one of the Cut Direction radio buttons [image]:

      Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

      Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Machining Models.

    • You can set the default cutting direction in ArtCAM ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

      Next, click on one of the Start Point radio buttons [image]:

      Outside - Select this option if you want the tool to cut into the material at the vector object's boundary, then machine inwards.

      Inside - Select this option if you want the tool to cut into the material at the vector object's centre, then machine outwards.

    • You can set the default offset start point using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  14. When you have set a tool clearance strategy, you can choose whether or not to add ramping moves to the machining passes made by the cutting tool(s):
    • If you want to add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Machining Models.

      All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not require [image]. The boxes for the deselected options are greyed-out.

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  15. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  16. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  17. Type a name for the toolpath in the Name box.
  18. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    The passes used to machine the stepped pocket are represented by dark red lines drawn along the boundary and inside of the selected vector object, according to the Strategy selected.

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  19. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Hole

Creating a Straight Insert

Creating a Stepped Insert


Creating a Stepped Hole

This Female Inlay option displays the Female Stepped Hole Inlay page in the Assistant window. This allows you to create a stepped hole in the block of material. You can then create a male stepped insert to fit into the stepped hole.

Using the Female Stepped Hole Inlay page, you can:

  • Control the depth and width of the hole's shoulder.
  • Select a tool to cut the hole in the block of material.
  • Control the cutting direction of the tool.

To create a stepped hole:

  1. Click on the Stepped Hole option [image] in the Inlay Types area of the Inlay Wizard page to display the Female Stepped Hole Inlay page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Shoulder Dimensions area, define the relative depth of the shoulder from the Start Depth in the Depth (d) box.
  8. Define the width of the shoulder in the Width (s) box.
  9. In the Finishing Tool area, click on the Select button to open the Tool Database:

  10. Double-click on the tool you want to use. ArtCAM ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Roughing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

  11. To set the cut direction, click on the [image] arrow in the Cut Direction area of the page, then click on one of the Cut Direction radio buttons [image]:

    Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

    Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Machining Models.

    • You can set the default cutting direction in ArtCAM ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  12. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Machining Models

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  13. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  14. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    The passes used to machine the stepped hole are represented by dark red lines drawn around the selected vector's boundary:

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Pocket

Creating a Straight Insert

Creating a Stepped Insert


Creating a Straight Insert

This Male Inlay option displays the Male Insert page in the Assistant window. This allows you to create a male straight insert from the block of material. You can then create a female hole or pocket to fit the male straight insert into.

Using the Male Insert page, you can:

  • Select a tool to cut the straight insert out of the block.
  • Control the cutting direction of the tool.

To create a straight insert:

  1. Click on the Straight option [image] in the Inlay Types area of the Inlay Wizard page to display the Male Insert page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select button in the Finishing Tool area of the page to open the Tool Database:

  8. Double-click on the tool you want to use. ArtCAM ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
    • The selected cutting tool must be the same size as that used to machine the female hole or pocket into which you want to fit this straight insert.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  9. To set the cut direction, click on the [image] arrow in the Cut Direction area of the page, then click on one of the Cut Direction radio buttons [image]:

    Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

    Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Machining Models.

    • You can set the default cutting direction in ArtCAM ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  10. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Machining Models.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  11. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  12. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  13. Type a name for the toolpath in the Name box.
  14. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    • The passes used to machine the straight insert are represented by dark red lines drawn around the selected vector's boundary:

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  15. Click on the Close button to return to the Toolpaths Home page.

If you want to add bridges to, add lead moves to, or change the start position in any of the profile passes in the Male Insert toolpath, see Editing a Profile Pass.

If you want to set the machining order of the profile passes in the Male Insert toolpath, see Setting the Machining Order.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Stepped Insert


Creating a Stepped Insert

This Male Inlay option displays the Male Stepped Insert page in the Assistant window. This allows you to create a male stepped insert from the block of material. You can then create a female stepped hole or stepped pocket to fit the male stepped insert into.

Using the Male Stepped Insert page, you can:

  • Select a tool to cut the stepped insert out of the block.
  • Control the depth and width of the insert shoulder.
  • Control the cutting direction of the tool.

To create a stepped insert:

  1. Click on the Stepped option [image] in the Inlay Types area of the Inlay Wizard page to display the Male Stepped Insert page in the Assistant window.
  2. Define the depth (Z) from the material surface at which you want to create the pocket in the Start Depth box.
  3. Define the depth (Z) of the bottom of the pocket in the Finish Depth box.
  4. If you want to enlarge or reduce the pocket around the selected vector, define the distance between the boundary of the selected vector and the cutting tool(s) in the Allowance box. Type a positive value to add material or a negative value to remove it.

    Make sure that there is a sufficient allowance for the corresponding male straight insert to fit into the pocket.

  5. Define how closely you want the cutting tool(s) to follow the shape of the vector in the Tolerance box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. In the Shoulder Dimensions area, define the relative depth of the shoulder from the Start Depth in the Depth (d) box.
  8. Define the width of the shoulder in the Width (s) box.
  9. In the Finishing Tool area, click on the Select button to open the Tool Database:

  10. Double-click on the tool you want to use. ArtCAM ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.
    • The selected cutting tool must be the same size as that used to machine the female stepped hole or stepped pocket in which you want to fit this stepped insert.

      If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

      When you have finished, click on the [image] arrow to hide the machining parameters.

  11. To set the cut direction, click on the [image] arrow in the Cut Direction area of the Male Stepped Insert page, then click on one of the Cut Direction radio buttons [image]:

    Climb Mill - In Climb Milling, the cutter rotates in the same direction as the feed motion.

    Conv. - In Conventional Milling, the cutter rotates in the opposite direction to the feed motion. For more details, see Machining Models.

    • You can set the default cutting direction in ArtCAM ArtCAM Insignia using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.
  12. To add ramping moves to the toolpath, click to select the Add Ramping Moves option [image]. For more details, see Machining Models.

    All of the ramping move settings are selected by default [image]. If you do not want to use any of these settings, click to deselect each of those you do not want to use [image]. The boxes for the deselected options are greyed-out.

    You can use the ramping move settings as follows:

    • Define the maximum angle of descent for each zig and zag movement of the cutting tool in the Max Ramp Angle (A) box.
    • Define the maximum distance that you want the cutting tool to zigzag across the material surface in the Max Ramp Length (L) box.
    • Define the minimum distance that you want the tool to zigzag across the material surface in the Min Ramp Length (Lmin) box.
    • If you want to set the height at which the ramping moves start, click to select the Ramp Start Height (S) option [image], and then define the start height in the box beneath. If you do not define the Ramp Start Height (S) here, the Safe Z level is used by default.
  13. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  14. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  15. Type a name for the toolpath in the Name box.
  16. You can now specify when you want to calculate the toolpath:

    If you want to calculate the toolpath now, click on the Now button.

    The passes used to machine the stepped insert are represented by dark red lines drawn around the selected vector's boundary:

    The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

    You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  17. Click on the Close button to return to the Toolpaths Home page.

See Also

Inlay Wizard

Creating a Pocket

Creating a Hole

Creating a Stepped Pocket

Creating a Stepped Hole

Creating a Straight Insert


Drill Holes

The Drilling button [image] in the 2D Toolpaths area of the Toolpaths Home page allows you to create drill holes. The size of the drill hole is determined by the diameter of the cutting tool that is used during the machining process.

When drilling holes you can use peck drilling to reduce chip packing in the hole. The tool drills a short distance into the block of material, and then withdraws. The deeper the hole, the more frequent the drill must be retracted (or pecked) to be effective:

The selected tool is retracted from the block of material to the Retraction Z level when it reaches the level displayed in the Stepdown box in the Tool area of the page. The Stepdown is also referred to as the Peck Distance. The tool then continues to cut deeper into the block of material until the Finish Depth is reached or the Stepdown is reached again. In the latter instance, the tool retracts from the block of material to the Retraction Z level again. This cycle continues until the Finish Depth is finally reached.

To create drill holes in your model:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. If you are creating drill holes from vectors, select those that you want to use. For details, see Selecting Vectors.

    If you are creating drill holes from toolpaths, select the 2D toolpath previews that you want to use. For details, see Selecting Toolpaths.

  3. Click on the Drilling button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Drilling page.
  4. Define the depth (Z) from the material surface at which you want to create the drill holes in the Start Depth box.
  5. Define the depth (Z) of the bottom of each drill hole in the Finish Depth box.
  6. If you want to change the height at which a cutting tool makes rapid moves between toolpath segments:
    • First, click on the [image] arrow in the Machine Safe Z area to display the Safe Z box and the Home Position's X, Y and Z boxes.
    • Next, define the height in the Safe Z box.

      If you want to define the Home Position for the machining tool:

    • First, define the X, Y and Z co-ordinates of the home position in the Home Position's X, Y and Z boxes.
    • Next, click on the [image] arrow in the Machine Safe Z area to hide the Safe Z box and the Home Position's X, Y and Z boxes.
  7. Click on the Select button in the Finishing Tool area of the page to open the Tool Database:

  8. Double-click on the tool you want to use. ArtCAM Insignia closes the Tool Database and displays the selected tool's description in the Finishing Tool area.

    If you want to amend the machining parameters for the selected tool, click on the [image] arrow in the Finishing Tool area. For further information, see Adjusting Machining Parameters When Creating a Toolpath.

    When you have finished, click on the [image] arrow to hide the machining parameters.

    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  9. To set where the holes are drilled in your model, click on one of the Drill Centre of… radio buttons [image]:
    • Circular Vectors - Select this option if you have selected circles to define the position of the drill holes.

      If you want to ArtCAM Insignia to recognise shapes that are not quite circular, define how far a shape can deviate from a perfect circle in the Tolerance box.

    • All Vectors - Select this option if you have selected any type of vector, open or closed. The holes are drilled at the centre of the bounding box that surrounds the selected vectors, irrespective of their shape.
    • All Vector Nodes - Select this option to drill holes at each point (node) in the selected vector. For example, holes would be drilled in a square at each corner, assuming that there are no intermediate points on any of its four sides.

      For details on points, see Inserting a Point and Editing Vector Nodes.

    • Drill Toolpath Plunges - Select this option to drill a hole whenever the tools used in the selected toolpath preview make a plunge move. A plunge move is shown in cyan in the 3D View window. For further details, see Rapid and Plunge Moves.
    • This option is greyed-out if you have not selected a toolpath preview from the 2D View window. For details, see Selecting Toolpaths.

      Define the distance above or below the base of the block at which you want to drill in the Offset Z box. Type a positive value if you want to set the bottom of the hole above the base of the block, and a negative value if you want to cut through it.

      A preview image appears in the 2D View window showing the position of the drill holes according to the Drill Centre of… option selected.

  10. To drill the holes using the peck drilling method:
    • First, click to select the Peck Drilling option [image] and display the Retraction Z box.
    • Next, define the retraction level in the Retraction Z box.
  11. In the Material area, click on the Setup button to display the Setup Job Dimensions dialog box.

    Make sure that the block dimensions, the origin and the material Z zero position are correct, and then click on the OK button. If you want to change any of these settings, see Creating a Model.

  12. If you do not want to preview the toolpath in the 2D View window, click to deselect the Create 2D Preview option [image].
    • It is recommended that you create a 2D preview. You can always hide it from view by clicking on the 2D option in the Show in area of the Toolpaths Home page.
  13. Type a name for the toolpath in the Name box.
  14. You can now specify when you want to calculate the toolpath:
    • If you want to calculate the toolpath now, click on the Now button.

      The passes used to machine the drill holes are represented by dark red circles drawn according to the selected Drill Centre of… option.

      The toolpath preview is not shown if the Create 2D Preview option is deselected [image].

      You can now simulate the toolpath. For details, see Simulating Toolpaths.

    • If you want to calculate the toolpath at a later time, click on the Later button. For details, see Calculating a Single Toolpath and Calculating a Batch of Toolpaths.
  15. Click on the Close button to return to the Toolpaths Home page.

See Also

Toolpaths

Profiling

2D Area Clearance

V-Bit Carving

Bevel Carving

Engraving

Machine Vectors

Inlay Wizard


Managing and Modifying Toolpaths

You can use the Toolpaths Home page to modify and manage the toolpaths that you have created.

You can modify or manage a toolpath in the following ways:

  • Select a toolpath preview.
  • Move, rotate or mirror a toolpath. For details, see Selecting Toolpaths.
  • Copy a toolpath.
  • Merge toolpaths.
  • Divide toolpaths into panels. For details, see Creating Toolpath Panels.
  • Add bridges to a profile pass within a toolpath.
  • Set the start position in a profile pass within a toolpath.
  • Add lead moves to a profile pass within a toolpath.
  • Set the machining order of any profile passes within a toolpath.
  • Adjust the machining parameters of a tool both during and after the toolpath creation.
  • Save a toolpath.
  • Edit a toolpath.
  • Delete a toolpath.
  • Calculate a toolpath by itself or as part of a batch. For details, see Calculating a Single toolpath and Calculating a Batch of Toolpaths.
  • Create a Toolpath Summary and calculate the estimated machining time.
  • Add to, edit or delete the tools within the Tool Groups Database.
  • Save a toolpath as a template.
  • Load a toolpath template.
  • Load toolpath data saved as part of a model file.

See Also

Machining Models

Using Toolpaths

Toolpaths

Simulating Toolpaths


Selecting Toolpaths

You can manipulate calculated 2D or 3D toolpaths in the same way as you would vectors in ArtCAM Insignia.

You can transform, copy or edit profile passes within a toolpath, provided that a 2D Preview was created during the calculation process. Toolpath previews are shown in the 2D View window only and are dark red.

To select a toolpath preview from the 2D View window:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. Click to select the preview of the toolpath that you want to use. The selected toolpath preview turns blue and is surrounded by a bounding box.

    For example, the preview of a Profiling toolpath is shown below:

    • You can set the default colour of a selected toolpath preview using the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

To select more than one toolpath preview from the 2D View window:

  1. Make sure that you are in Select Vectors mode [image]. For details, see Selecting Vectors.
  2. You can now use either of the following methods to select more than one toolpath preview:
    • Click and drag to form a bounding box around the previews of the toolpaths that you want to use. The selected toolpath previews are blue and surrounded by a bounding box.
    • Hold down the Shift key on your keyboard, and then click to select each of the toolpath previews that you want to use. The selected toolpath previews are blue and surrounded by a bounding box.

You can merge, edit, save, delete, calculate, create a template or adjust the machining parameters of a tool using the toolpaths listed on the Toolpaths Home page.

To select a toolpath listed on the Toolpaths Home page:

  1. Click on the name of the tool. The tool name is highlighted in blue.

See Also

Managing and Modifying Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Transforming Toolpaths

You can transform toolpaths provided that a 2D Preview was created during the calculation process. For further information, look at each of the toolpaths in Toolpaths.

You can use a number of options to transform toolpaths in different ways. You can:

  • Change the position and origin of a toolpath. For details, see Defining the Transform Origin and Moving Toolpaths.
    • If you want to make a copy of the selected toolpath in its original position, hold down the Ctrl key on your keyboard before moving it.
  • Rotate a toolpath.
    • If you want to make a copy of the selected toolpath in its original position, hold down the Ctrl key before rotating it.
  • Mirror a toolpath.

All of these transform options are available when the Transform Toolpath(s) page is displayed in the Assistant window.

  • You cannot transform a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always on [image] when you create a toolpath.

To display this page in the Assistant window:

  1. Select the preview of the toolpath that you want to transform. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Toolpath Transform button [image] in the 2D Toolpaths area.

Alternatively, you can display the page using any toolpath preview shown in the 2D View window:

  1. Select the preview of the toolpath that you want to transform. For details, see Selecting Toolpaths.
  2. Right-click on the toolpath to display the Toolpath Editing menu, and then click on the Toolpath Transform option.

The Transform Toolpath(s) page is divided into four areas:

  • Position and Origin - This area allows you to define the origin about which the selected toolpath is transformed. For details, see Defining the Transform Origin.
  • Rotate - This area allows you to spin the selected toolpath around the model's X and Y-axes.
  • Move - This area allows you to move the selected toolpath to a new position in the model.
  • Mirror - This area allows you to reverse the direction of the selected toolpath from its original position.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Defining the Transform Origin

You can transform a selected toolpath relative to a defined origin using the Position and Origin area of the Transform Toolpath(s) page.

To define the origin by which you want to transform a selected toolpath:

  1. Select the preview of the toolpath that you want to transform. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Toolpath Transform button [image] in the 2D Toolpaths area to display the Transform Toolpath(s) page.
  4. The values in the X and Y boxes show the current position of the origin. Define the new origin about which you want to transform the selected vector object in either of the following ways:
    • Click on any of the five radio buttons [image] on the rectangle diagram to set the origin to one of five pre-set positions. The co-ordinates of the selected position are displayed in the X and Y boxes.
    • Define the X and Y co-ordinates of the position you want to set as the origin in the X and Y boxes.
  5. Click on the Apply button at the bottom of the page to set the new origin.
  6. Click on the OK button to return to the Assistant's Home page.

See Also

Transforming Toolpaths

Moving Toolpaths

Rotating Toolpaths

Mirroring Toolpaths


Moving Toolpaths

You can reposition a toolpath in three ways using the Position and Origin and Move areas of the Transform Toolpath(s) page:

  • Using specific co-ordinates.
  • Using the sliders.
  • You cannot move a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always selected [image] when you create a toolpath.

To move a toolpath to a specific position:

  1. Select the preview of the toolpath that you want to transform. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Toolpath Transform button [image] in the 2D Toolpaths area to display the Transform Toolpath(s) page.
  4. If you want to keep the selected toolpath in its original position, and only want to move a duplicate copy, click to select the Copy Toolpath(s) option [image].
  5. Set the position of the selected toolpath using any of the following methods:
    • In the Position and Origin area, define the X and Y co-ordinates of the position to which you want to move the origin of the selected toolpath.
    • In the Move area, define how far you want to move the selected toolpath along the X-axis in the Move X box, and then define how far you want to move it along the Y-axis in the Move Y box.
    • In the Move area, click and drag on the Move X and Move Y sliders until the toolpath is in the position you want.
  6. If you want to create a preview image showing the new position of the selected toolpath, click on the Preview button.
  7. Click on the Apply button to reposition the selected toolpath.
  8. Click on the OK button to return to the Assistant's Home page.
    • You can also move a toolpath if you move the mouse cursor over the centre of the toolpath, as defined by its bounding box, then click and drag it into position.
    • If you want to make a copy of the selected toolpath in its original position, hold down the Ctrl key on your keyboard before moving it.

See Also

Transforming Toolpaths

Defining the Transform Origin

Rotating Toolpaths

Mirroring Toolpaths


Rotating Toolpaths

You can rotate a toolpath in two ways using the Rotate area of the Transform Toolpath(s) page.

  • Using a specific angle.
  • Using the slider.
  • You cannot rotate a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always selected [image] when you create a toolpath.

To rotate a toolpath:

  1. Select the preview of the toolpath that you want to rotate. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Toolpath Transform button [image] in the 2D Toolpaths area to display the Transform Toolpath(s) page.
  4. Make sure that the origin by which you want to rotate the selected toolpath is correct. For details, see Defining the Transform Origin.

    If you want to use the mouse to set the origin of rotation:

    • First, click to select the Pick Point radio button [image]. New X and Y boxes are displayed beneath the option, while the default X and Y boxes in the Position and Origin area are greyed-out.
    • Next, move the [image] cursor to the position in the 2D View you want to use and then click. The [image] icon marks the new origin of rotation and its co-ordinates are displayed in the X and Y boxes.
  5. If you want to keep the selected toolpath in its original position, and only want to rotate a duplicate copy, click to select the Copy Toolpath(s) option [image].
  6. In the Rotate area, set the angle of rotation using either of the following methods:
    • Define the angle in the degrees box.
    • Click and drag on the slider in the appropriate direction. Drag to the right if you want to rotate the selected toolpath clockwise. Drag to the left if you want to rotate the selected toolpath anti-clockwise.
  7. If you want to create a preview image showing how the selected toolpath looks when rotated, click on the Preview button.
  8. Click on the Apply button to rotate the selected toolpath.
  9. Click on the OK button to return to the Assistant's Home page.
  • You can also rotate a toolpath if you click and drag on the rotation handle which appears in the centre of the toolpath, as defined by its bounding box, when it is selected.
  • If you want to make a copy of the selected toolpath in its original position, hold down the Ctrl key on your keyboard before rotating it.

See Also

Transforming Toolpaths

Defining the Transform Origin

Moving Toolpaths

Mirroring Toolpaths


Mirroring Toolpaths

You can reverse the direction of a toolpath from its original position using the buttons on the Transform Toolpath(s) page.

  • You cannot mirror a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always on [image] when you create a toolpath.

To mirror a toolpath:

  1. Select the preview of the toolpath that you want to mirror. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Toolpath Transform button [image] in the 2D Toolpaths area of the Toolpaths Home page to display the Transform Toolpath(s) page.
  4. Make sure that the origin by which you want to mirror the selected toolpath is correct. For details, see Defining the Transform Origin.
  5. If you want to keep the selected toolpath in its original position, and only want to move a duplicate copy, click to select the Copy Toolpath(s) option [image].
  6. In the Mirror area, select either of the following methods for mirroring the selected toolpath:
    • Click on the Mirror X button if you want to mirror the selected toolpath about the X value of its current origin. This is shown in the X box in the Position and Origin area. To change the X origin of the selected toolpath, see Defining the Transform Origin.
    • Click on the Mirror Y button if you want to mirror the selected toolpath about the Y value of its current origin. This is shown in the X box in the Position and Origin area. To change the Y origin of the selected toolpath, see Defining the Transform Origin.
  7. Click on the Apply button to mirror the selected toolpath.
  8. Click on the OK button to return to the Assistant's Home page.

See Also

Transforming Toolpaths

Defining the Transform Origin

Moving Toolpaths

Rotating Toolpaths


Copying Toolpaths

You can copy toolpaths provided that a 2D Preview was created during the calculation process. Toolpath previews are shown in the 2D View window only. For further information, look at each of the toolpaths in Toolpaths.

You can create a single copy or multiple copies of a toolpath in two regular patterns from a toolpath preview using the Toolpath Copy page.

  • You cannot copy a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always on [image] when you create a toolpath.

To display this page in the Assistant window:

  1. Select the preview of the toolpath that you want to copy. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Toolpath Copy button [image] in the 2D Toolpaths area.

Alternatively, you can display the page using any toolpath preview shown in the 2D View window:

  1. Select the preview of the toolpath that you want to copy. For details, see Selecting Toolpaths.
  2. Right-click on the toolpath to display the Toolpath Editing menu, then click on the Copy Toolpath option.

There are three options available for copying toolpaths on the Copy Toolpath page:

  • Copy - This option allows you to make a single copy of a selected toolpath, and paste it to a specific position. For details, see Creating a Single Copy.
  • Block Copy - This option allows you to make several copies of a selected toolpath in a grid format. For details, see Creating a Block Copy.
  • Rotate Copy - This option allows you to make several copies of a selected toolpath in a circular pattern using a user-defined centre of rotation. For details, see Creating a Rotate Copy.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Creating a Single Copy

You can create a single copy of a calculated toolpath.

  • You cannot copy a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always on [image] when you create a toolpath.

To copy a toolpath:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page.
  2. Select the preview of the toolpath that you want to copy. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Toolpath Copy button [image] in the 2D Toolpaths area to display the Copy Toolpath page.
  5. Click on the Copy radio button [image] to display its settings.
  6. Define the distance you want to set between the selected toolpath and its copy along the X-axis in the X Offset box.

    The X and Y offsets that you define set the distance at which each copy of a toolpath will be created from the bottom left corner of the previous copy in the block.

    • You can set the offset distance between each copy using a positive or negative value. To create a copy to the right of and above the selected toolpath, type positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below of the selected toolpath, type negative values in the offset boxes e.g. -90.
  7. Define the distance you want to set between the selected toolpath and its copy along the Y-axis in the Y Offset box.
  8. Click on the Apply button to create the new toolpath copy.
  9. Click on the Close button to return to the Assistant's Home page.

See Also

Copying Toolpaths

Creating a Block Copy

Creating a Rotate Copy


Creating a Block Copy

When producing multiple copies of a selected toolpath in a grid format, ArtCAM Insignia allows you to set the distance and the direction at which each copy of the selected toolpath will be created from any of the four edges of the previous copy in the block.

  • When creating a block copy of an Area Clearance toolpath, make sure that the defined gap or offset between each copy in the block is greater than the diameter of the cutting tool. Otherwise, the allowance will be insufficient for the tool to clear each area without overlapping.

In the following example, a block copy of a merged toolpath is shown:

Before…

After…

For further information on merged toolpaths, see Merging Toolpaths.

To create a block of copies in a grid format:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Copy button [image] in the Toolpath Operations area to display the Toolpath Copy page.
    • You can also display the Toolpath Copy page if you right-click on a selected 2D toolpath preview to display the Toolpath Editing menu, and then click on the Copy Toolpath option
  3. Click on the Block Copy radio button [image] to display its settings.
  4. Make sure that all of the toolpaths that you want to block copy are visible in the 3D View window:
    • If you want to block copy a particular toolpath, the Show in 3D option beside its name must be selected.
    • If you do not want to block copy a particular toolpath, the Show in 3D option beside its name must be deselected.

      In the following example, the Show In 3D option for all three toolpaths is selected, meaning that all of the listed toolpaths are visible, as shown below:

  5. Select the method you want to use to set the distance between each copy within the block:

    Distances are offsets…

    Distances are gaps…

    • The Distances are offsets option allows you to set the distance at which each copy of a toolpath will be created from the bottom left corner of the previous copy in the block. The overall distance between each copy equates to the height or width of the vector plus the gap. The Distances are offsets radio button [image] is selected by default.
    • Click on the Distances are gaps option allows you to set the distance and direction at which each copy of a toolpath will be created from any of the four edges of the previous copy in the block. The overall distance between each copy equates to the defined gap. Click on the Distances are gaps radio button [image] to display its settings.

      If you have selected the Distances are offsets option:

    • First, define the distance you want to set between each copy along the X-axis in the X Offset box.
    • Next, define the distance you want to set between each copy along the Y-axis in the Y Offset box.
    • You can set the offset distance between each copy using a positive or negative value. To create a block of copies to the right of and above the selected toolpath, type positive values in the offset boxes e.g. 90. To create a block of copies to the left of and below of the selected toolpath, type negative values in the offset boxes e.g. -90.
    • Finally, define the total number of copies by defining the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.

      If you have selected the Distances are gaps option:

    • First, define the width of the gap between each subsequent copy of the selected toolpath along the X-axis in the X Gap box.
    • Next, define the width of the gap between each subsequent copy of the selected toolpath along the Y-axis in the Y Gap box.
    • Now, define the total number of copies by typing the number of rows and columns you want to create in the Number of Rows and Number of Columns boxes.
    • Finally, set the direction in which you want to create the block of copies:

      The Copy From Left To Right button [image] allows you to copy the selected toolpath to the right along the X-axis.

      The Copy From Right To Left button [image] allows you to copy the selected toolpath to the left along the X-axis.

    • You can toggle between the Copy From Left To Right and Copy From Right To Left direction by clicking on whichever button is currently displayed.

      The Copy From Bottom To Top button [image] allows you to copy the selected toolpath upwards along the Y-axis.

      The Copy From Top To Bottom button [image] allows you to copy the selected toolpath downwards along the Y-axis.

    • You can toggle between the Copy From Bottom To Top and Copy From Top To Bottom direction by clicking on whichever button is currently displayed.
  6. If you want to merge all selected toolpaths and their associated block copies into a single toolpath:
    • First, prioritize the toolpaths using the [image] and [image] arrow buttons. Click to select the name of the toolpath in the list that you want to prioritize, and then on the appropriate arrow to set its position in the list. The order in which the toolpaths are listed on the page reflects the machining order of the toolpaths that make up the merged toolpath. The toolpath at the top of the list is the first to be machined, and so on.
    • Next, click to select the Merge Results option [image]. A Name box appears.
    • Finally, type a name for the new merged toolpath in the Name box.

      In our example, the merged toolpath is named Merged.

  7. Click on the Apply button to create the new block of toolpaths.
    • If the Show in 3D option beside any of the toolpaths listed on the Toolpaths Home page is not selected, a message box appears:

      Linked ArtCAM Graphics Directory Template [Insignia]

      Click on the OK button to close the message box, and then make sure that the Show in 3D option beside each of the toolpaths that you want to block copy is selected.

      In our example, the block of copied toolpaths appears in the 2D View as shown below:

      Before…

      After…

      The Merged toolpath replaces all of the individual toolpaths previously listed on the page:

  8. Click on the Close button to return to the Assistant's Home page.

See Also

Copying Toolpaths

Creating a Single Copy

Creating a Rotate Copy


Creating a Rotate Copy

You can make several copies of a toolpath in a circular pattern using a user-defined centre of rotation.

In the example below, a rotate copy of a merged toolpath is shown:

Before…

After…

For further information on merged toolpaths, see Merging Toolpaths.

To rotate copy a toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Copy button [image] in the 2D Toolpaths area to display the Copy Toolpath page.
  3. Click on the Rotate Copy radio button [image] to display its settings.
  4. Make sure that all of the toolpaths that you want to rotate copy are visible in the 3D View window:
    • If you want to rotate copy a particular toolpath, the Show in 3D option beside its name must be selected.
    • If you do not want to rotate copy a particular toolpath, the Show in 3D option beside its name must be deselected.

      In our example, the Show In 3D option for all three toolpaths is selected, meaning that all of the listed toolpaths are visible, as shown below:

  5. Define the origin of rotation around which you want to rotate the selected toolpath. You can either:
    • Define the X and Y co-ordinates of the origin of rotation in both the Rotation Centre X and Rotation Centre Y boxes.

      In our example, the X-origin is defined as 52 and the Y-origin is defined as 48.

    • Click to select the Pick Centre with Mouse option [image], move the [image] cursor over the point in the model (the white area) you want to use as the origin of rotation and then click to select.
  6. Define the angle of rotation:
    • If you want to rotate each subsequent copy of the selected toolpath by a specific angle, click to select the Incremental radio button [image], and then define the angle of rotation in the degrees box.

      Type a positive value to rotate the selected toolpath clockwise. Type a negative value to rotate the selected toolpath anti-clockwise.

      In our example, the merged toolpath is rotated in 90° increments.

    • If you want to rotate each copy of the selected toolpath evenly within the specified angle, click to select the Total radio button [image], and then define the angle in the degrees box.
  7. Define the total the number of copies that you want to create in the Number of Objects box.

    In our example, three copies are created.

  8. Click on the Apply button to create the new circular pattern of toolpaths.
    • If the Show in 3D option beside any of the toolpaths listed on the Toolpaths Home page is not selected, a message box appears:

      Linked ArtCAM Graphics Directory Template [Insignia]

      Click on the OK button to close the message box, and then make sure that the Show in 3D option beside each of the toolpaths that you want to block copy is selected.

  9. Click on the Close button to return to the Assistant's Home page.

See Also

Copying Toolpaths

Creating a Single Copy

Creating a Block Copy


Merging Toolpaths

You can merge different calculated toolpaths into one, avoiding the need for the tool to repeatedly return to the Home position when machining them separately. Merging toolpaths saves machining time and also reduces wear on cutting tools.

  • You cannot merge toolpaths without using toolpath previews. Make sure that the Create 2D Preview is always on [image] when you create a toolpath.

In the example below, you can see the tool movement in three separate toolpaths, each of which uses a 3mm End Mill (1/8 Inch End Mill). After all three of the toolpaths have been merged, you can see that the number of rapid moves made between the Home position and the Safe Z level is reduced significantly. For further information on tool movement, see Viewing a Toolpath.

Separate Toolpaths…

Merged Toolpath…

To display the Toolpath Merge page in the Assistant window:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Merge button [image] in the 2D Toolpaths area.

Alternatively, you can display the page using any toolpath preview shown in the 2D View window:

  1. Select the preview of the toolpath that you want to merge with others. For details, see Selecting Toolpaths.
  2. Right-click on the toolpath to display the Toolpath Editing menu, then click on the Merge Toolpath option.
    • Once a selection of toolpaths has been merged, you cannot ungroup them or edit the group. You should save the model before merging any toolpaths or select the Preserve original toolpaths option [image] on the Toolpath Merge page. This way, if any mistakes are made, you can return to the toolpaths in their original state. For details on saving a model, see Saving a Model.

To merge a selection of toolpaths:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Merge button [image] in the 2D Toolpaths area to display the Toolpath Merge page.
  3. Select the previews of the toolpaths that you want to merge with one another. For details, see Selecting Toolpaths.
    • If you want the merged toolpaths to be machined in the order in which they were selected, make sure that you select them in the correct order. For example, profiling passes are usually selected last.
  4. In the Merging Order area, select the order in which you want the merged toolpaths to be machined:
    • Selected - Click on this radio button [image] if you want the merged toolpaths to be machined in the order in which they were selected.
    • Automatic - Click on this radio button [image] if you want ArtCAM Insignia to calculate the order in which the toolpaths are machined, finding the shortest route between them.
    • Automatic, Profiles Last - Click on this radio button [image] if you want ArtCAM Insignia to calculate the order in which the toolpaths are machined, finding the shortest route between them but always machining any profile passes last.
  5. If you want to keep a copy of the toolpaths in their original state before merging, click to select the Preserve original toolpaths option [image].
  6. Type a name for the merged toolpath in the Name box.
  7. Click on the Calculate button to merge the selected toolpaths into a single toolpath.

    A progress bar appears beneath the 2D View window indicating the progress made in merging the toolpaths.

    If no toolpath previews are selected, the following message box appears:

    Linked ArtCAM Graphics Directory Template [Insignia]

    Click on the OK button to close the message box, then repeat the steps.

  8. Click on the Close button to return to the Assistant's Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Creating Toolpath Panels

You can machine a design larger than the bed-size of you router, or larger than the panels of material that are currently available. ArtCAM Insignia divides calculated toolpaths into sections so that you can machine separate panels of material one by one and then piece them all together, or machine a single panel of material larger than the router's bed-size in sections, repositioning the panel on the router bed until all sections have been machined.

  • To use toolpath panelling, the job origin must be set to the bottom left corner of the model. For details, see Creating a Model.

For details on using guidelines, see Using Guidelines.

To create toolpath panels:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Make sure that all of the previews of the toolpaths that you want to divide into panels are shown in the 2D View window.
    • Click to select the Show In 2D option beside any of the hidden toolpaths listed on the Toolpaths Home page to make them visible [image].
  3. Click on the Toolpath Panelling [image] button in the Toolpath Operations area to display the ArtCAM Toolpath Panelling page.
  4. In the Standard Panel Size area, define the width and height of the available panels of material, or the size of the router-bed (whichever maybe the limiting factor in the job), using the Width and Height boxes, and then click on the Update Panels button.

    If you want to allow a toolpath to extend beyond the top and right edges of a panel of material, define the maximum overcut distance in the Overcut Distance box.

    Guidelines are drawn in the 2D View to represent the size of each panel or the router-bed itself.

    • Make sure that the dimensions of your router allow you to drag the panels of material you want to use across its bed.

      For example, you might only be able to acquire panels of material with a height and width of 500 mm (19.7").

  5. In the Panel Numbers area, use the buttons to set the order in which the panels are numbered:
    • Click on the [image] button to number the panels vertically.
    • Click on the [image] button to number the panels horizontally.
    • In our example, the calculated toolpaths are divided into six sections and numbered horizontally. These appear as follows:

      In the Panel Size area, you can see the dimensions of each panel and the required offset during the machining process. The offset is the distance along which the panel must be pulled across the router-bed, or positioned on it from the job origin, in order to machine the complete design.

      In our example, the overall job dimensions are 1120 mm (44.1") x 630 mm (24.8"). The available panels of material measure at 500 mm (19.7") x 500 mm (19.7"). This means that the job requires six panels of material.

  6. Whenever possible, you should contain sections of detail in the toolpath to a single panel to preserve the integrity of the complete design when each of the machined panels are finally joined together. To do so, you should edit the guidelines drawn to represent each panel as required. For details on editing guidelines, see Using Guidelines.
    • When editing guidelines it is important to remember that each toolpath panel remains equal to or less than the physical size of the panels of material available or the router-bed used when machining your design.

      In our example, the guidelines have been repositioned so that the text in the design is machined across as few panels as possible and so that each word is undivided.

  7. If you want to print the data required to machine the toolpath panels accurately:
    • First, click on the Display Panel Info button to display the ArtCAM Toolpath Panelling window. This contains an image of the toolpaths when divided into panels and the data for machining the job.

      If you want to include the toolpath summary data along with the panel information, click to select the Include Toolpath Summary option [image]. For further information, see Using a Toolpath Summary.

    • Next, scroll to the bottom of the ArtCAM Toolpath Panelling window, and then click on the Print button. If you have more than one printer installed, the standard windows Print dialog box appears. Select the printer on which you want to print the panel measurements, and then click on the OK button.
  8. Click on the 3D View button [image] in the 2D View toolbar to display the 3D View window.
  9. In the 3D View Toolpath Drawing area, you can select the panel(s) that you want to view in the 3D View window:
    • Click on the Display All radio button [image] if you want to display all panels.
    • Click on the Display Selected radio button [image] if you want to display only a selection of panels. This option activates the Panel Number list box and the options beneath.

      In this instance, click on the Panel Number list box, and then on the panel that you want to display. If you want to display the selected panel about the job origin, click on the At Origin radio button [image]. If you want to display the selected panel, as it will appear in the overall job design, click on the In Finished Job radio button [image].

      Panel 3 at Origin…

      Panel 3 in Finished Job…

  10. If you want to save the panelled toolpaths, click on the Save button to display the Save Toolpaths dialog box. For details on how to use the Save Toolpaths dialog box, see Saving a Toolpath. Each panel can be saved as a separate toolpath file with _px appended to its name, where x is equal to the panel number.
  11. Click on the Close button to return to the Toolpaths Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Editing a Profile Pass

You can edit any profile pass within a selected toolpath using the Profile Options page.

  • You cannot edit a profile pass in a toolpath without using a toolpath preview. Make sure that the Create 2D Preview is always on [image] when you create a toolpath.

To display this page in the Assistant window:

  1. Select the toolpath preview containing the profile pass that you want to edit. For details, see Selecting Toolpaths.
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Click on the Profile Options button [image] in the 2D Toolpaths area.

There are three options available for editing a profile pass on the Profile Options page, but the settings for only one of these options can be displayed on the page at any one time:

  • Bridges - This option allows you to add bridges, or tabs, to the selected profile pass.
  • Start Point - This option allows you to change the position of the start point in the selected profile pass.
  • Leads - This option allows you to add lead moves to the selected profile pass.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Adding Bridging

Bridging is a precautionary measure to prevent a profiled vector from shifting in the block of material as it is machined.

The cutting tool used to profile vectors lifts slightly in the Z direction about the position of each bridge, leaving small tabs that hold the vector object in position during machining. The machined vector can then be gently snapped out from the block of material.

  • You can add bridges to any profile pass within a calculated toolpath, provided that a 2D Preview was created during the calculation process. The toolpaths that involve profile passes are 2D Profiling, Bevel Carving, Machine Along Vector, and Inlay (Female - Hole and Male - Straight).

To add bridging to a profile pass:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the profile pass to which you want to insert bridges. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page.
  5. Click on the Bridges option [image] to display the bridging settings on the page.
  6. Define the length of each bridge in the Bridge Length box.
  7. Define the thickness of each bridge in the Z direction in the Bridge Thickness box.
  8. If you want to insert bridges with a triangular cross-section, and without any associated retract or plunge moves, click to select the 3D Bridges option [image].

    Three-dimensional bridges produce a raised shape, typically a dome, in a machined model. This shape reduces the overall surface area of a bridge, and without any associated retract and plunge moves there is little impediment to your choice of cutting tool or the overall machining time.

    Default Bridges…

    3D Bridges…

  9. To set how the bridges are inserted into the selected profile pass, click on either of the Add Bridges To Profiles radio buttons [image]:
    • Constant Number - Click to select this option to insert a specific number of evenly spaced bridges into the selected profile pass.

      If you select this option, define the number of bridges you want to create in the Number box.

    • Constant Spacing - Click to select this option to insert the bridges at a specific distance apart from each other into the selected profile pass.

      If you select this option, first define the distance between bridges from the centre of each bridge, in the Distance box.

      Next define the minimum number of bridges you want to insert into the selected profile pass, irrespective of the distance you have set between them, in the Min. Number box. If you want to limit the number of bridges created, define the maximum number in the Max. Number box.

  10. If you want to create the first bridge at the start point in the toolpath, click to select the Put First Bridge on Start Point option [image]. This option reduces the damage that can be caused during retract moves. It is not recommended that you use this option when creating 3D bridges.
  11. Click on the Create Bridges button to add the bridges to the selected profile pass.
  12. Click on the Close button to return to the Assistant's Home page.

See Also

Editing a Profile Pass

Editing Bridging

Changing the Start Position

Adding Lead Moves


Editing Bridging

You can edit the bridging that you have added to a profile pass in several ways. You can:

  • Insert new bridges.
  • Delete an individual or all existing bridges.
  • Change the length of individual or all existing bridges.
  • Move bridges into a new position on the profile pass.

See Also

Editing a Profile Pass

Adding Bridging

Changing the Start Position

Adding Lead Moves


Inserting a Bridge

You can add an individual bridge to any place in a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. Move the cursor over the position in the profile pass where you want to insert the centre-point of the new bridge.
  6. Press the I key on your keyboard or double-click the left mouse button to insert the new bridge. The new bridge is the same length and thickness as all of the other bridges in the selected profile pass.

See Also

Editing Bridging

Deleting Bridges

Changing the Length of a Bridge

Moving a Bridge


Deleting Bridges

You can delete any or all of the bridges in a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. If you want to delete an individual bridge, move the cursor over the bridge you are removing and then use either of the following methods:
    • Press the D key on your keyboard. You must have clicked at least once in the 2D View window before you can do this.
    • Double-click on the bridge itself.

      If you want to delete all of the bridges that are currently in the selected profile pass, click on the Delete All Bridges button.

See Also

Editing Bridging

Inserting a Bridge

Changing the Length of a Bridge

Moving a Bridge


Changing the Length of a Bridge

You can change the length of any or all of the bridges in a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.

    Using the Zoom In Tool button [image] on the 3D View toolbar, zoom in on the bridge that you want to extend or reduce and then click on its centre-point to select it. The bridge is blue with a control point at each end:

  5. Click and drag either of the control points attached to the bridge to set its new length.
  6. If you want all bridges in the selected profile pass to share the new length of this bridge, click on the Update All Bridges button.

See Also

Editing Bridging

Inserting a Bridge

Deleting Bridges

Moving a Bridge


Moving a Bridge

You can change the position of an individual bridge on a selected profile pass. To do so:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. Using the Zoom In Tool button [image] in the 3D View toolbar, zoom in on the bridge that you want to move and then click on its centre-point to select it.
  6. Click and drag on the centre-point to move the bridge along the profile pass into its new position.

See Also

Editing Bridging

Inserting a Bridge

Deleting Bridges

Changing the Length of a Bridge


Changing the Start Position

The start position in a profile pass determines the place at which the cutting tool enters the block of material when you are machining a model. The green point (node) surrounded by a blue circle indicates the current start position in the profile pass.

To change the start position relative to a defined reference point:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. Click on the Start Point option [image] to display the Start Point settings on the page.
  6. In the Reference Point area, click on one of the four radio buttons [image] to define the reference point by which you want to set the position of the Start Point in the selected profile pass:
    • Centre of Gravity - This option sets the reference point in the main mass of the vector object from which the selected toolpath was created.

      If you select this option, four radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

      You can set the Start Point above, below, left or right of its current position, depending on the cutting direction of the selected profile pass.

    • Centre of Bounding Box - This option sets the reference point in the centre of the selected profile pass, as defined by the bounding box that surrounds it.

      If you select this option, four radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

      You can set the Start Point above, below, left or right of its current position, depending on the cutting direction of the selected profile pass.

    • Highest or Lowest X or Y Value - This option sets the reference point as the position in the selected profile pass with the highest or lowest X or Y value, depending on its cutting direction.

      If you select this option, four radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

      You can set the Start Point above, below, left or right of its current position, depending on the cutting direction of the selected profile pass.

    • Closest to Corners or Mid of Bounding Box - This option sets the reference point as close as possible to one of the four corners in the bounding box that surrounds the selected profile pass, or one of the four mid-points in the sides of the bounding box.

      If you select this option, nine radio buttons [image] are shown in the Position area. These indicate the positions available for the Start Point in the selected profile pass relative to the reference point.

  7. In the Position area, click on any of the radio buttons [image] to select the position of the Start Point in the selected profile pass. Alternatively, you can click on the Start Point in the selected profile pass and drag it into position.
  8. Click on the Apply button to set the new position of the Start Point.
  9. Click on the Close button to return to the Assistant's Home page.

You can set any point (node) in a selected vector object as the Start Point. For further information, see Changing the Start Point. This defines the Start Point position in a toolpath when it is first created.

See Also

Editing a Profile Pass

Adding Bridging

Editing Bridging

Adding Lead Moves


Adding Lead Moves

Lead moves are a precautionary measure to prevent dwell marks from appearing on a model at the point at which the tool enters and leaves the block of material when machining a profile pass.

Instead of plunging into the block of material, machining the profile pass and then retracting from it, the tool enters and leaves the block at a specified distance from the start/end of the profile pass. This is either the Start Point in the vector object from which the profile pass was calculated, or in the centre of its longest span.

  • You can add lead moves to any profile pass within a calculated toolpath, provided that a 2D Preview was created during the calculation process. The toolpaths that involve profile passes are 2D Profiling, Bevel Carving, Machine Along Vector, and Inlay (Female - Hole and Male - Straight).
  • You can also add lead moves to a Profiling toolpath when creating the toolpath itself. For details, see Profiling.

To add lead moves to a profile pass:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Profile Options button [image] in the 2D Toolpaths area to display the Profile Options page. The bridging settings are displayed on the page.
  5. Click on the Leads option [image] to display the lead move settings on the page.
  6. If you do want to add a lead-out move to the profile pass, click to select the Do not Lead Out option [image].
  7. Define the distance from the profile pass that you want the tool to cut into and retract from the block of material in the Distance (D) box.
  8. Define the distance from the start/end point in the profile pass that you want the tool to machine over in the Over Cut (O) box. This further helps to create a smooth finish.
  9. Select how you want the tool to move using either of the radio buttons [image]:
    • Linear - Click on this option to instruct the tool to lead into and out of the block of material in a straight-line motion.
    • Circular Arc - Click on this option to instruct the tool to lead into and out of the block of material in an arc motion. If you select this option, define in the radius of the arc you want to use in the Radius (R) box.

      The value in the Distance (D) must be less than or equal to the value in the Radius (R) box, otherwise the following message box appears when you attempt to Apply the lead moves to the profile pass:

      Linked ArtCAM Graphics Directory Template [Insignia]

      Click on the OK button to close the message box.

  10. Click on the Apply button to add the lead moves.
  11. Click on the Close button to return to the Assistant's Home page.

See Also

Editing a Profile Pass

Adding Bridging

Editing Bridging

Changing the Start Position


Setting the Machining Order

When machining a toolpath that is made up of more than one profile pass, you can set the order in which each of them are machined.

  • You can set the machining order in a calculated toolpath, provided that a 2D Preview was created during the calculation process. The toolpaths that involve profile passes are 2D Profiling, Bevel Carving, Machine Along Vector, and Inlay (Female - Hole and Male - Straight).

To set the order in which the profile passes in a toolpath are machined:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. In the 2D View window, click to select the preview of the relevant profile pass. By default, the toolpath preview turns blue. For details, see Selecting Toolpaths.

    For example, selecting the Profiling toolpath around Profile vector text appears as follows:

  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. Click on the Toolpath Ordering button [image] in the 2D Toolpaths area to display the Toolpath Ordering page. Each of the profile passes within the selected toolpath is automatically numbered at its Start Point.

    In our example, the Profile vector text appears as follows:

  5. Click on each of the profile passes in the toolpath in turn to set the order in which they are machined.

    The cursor [image] shows the number that will be given to the next profile pass that you click on. The position of each profile pass in the overall machining order is also displayed in the Segment Position box as you click on it.

    In our example, if we click on the profile pass inside of the central cavity of the letter o in the Profile vector text first, and then on the profile pass around the outside of the letter, they are numbered as 1 and 2 respectively:

    • It is recommended that you machine the profile pass inside of a central cavity before the profile pass around the outside of the selected text.
  6. Click on the Close button to return to the Toolpaths Home page.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Resetting the Machining Order

You can correct any mistakes you make when setting the machining order of the profile passes in a selected toolpath.

To reset the current machining order:

  1. Click on the Reset Count button.
  2. Click on the profile pass that you want to set as the first to be machined.
  3. Continue this process until each profile pass in the toolpath is numbered accordingly.

See Also

Setting the Machining Order

Manipulating the Machining Order


Manipulating the Machining Order

You can manipulate the order in which the profile passes are machined in a selected toolpath by using the options in the Segment Ordering area of the Toolpath Ordering page:

  • Click on the Order segments from start radio button [image] to machine the numbered profile passes in sequential order.

    The cursor shows the number that is to be given to the next profile pass that you click on, counting upwards from 1.

  • Click on the Order segments from end radio button [image] to machine the numbered profile passes in reverse order.

    The cursor shows the number that is to be given to the next profile pass that you click on, starting with the number equal to the total number of profile passes in the toolpath and counting down.

  • Click on the Swap segments radio button [image] to swap the position in the machining order of the first profile pass you click on with that of the second you click on.

    The cursor shows two question marks [image]. After you click on the profile pass that you want to swap with another, its number is shown on the cursor.

    For example, the cursor is shown as [image] when you click on the first segment. After you click on the profile pass that you want to swap with that which is already selected, the cursor returns to [image].

See Also

Setting the Machining Order

Resetting the Machining Order


Adjusting the Machining Parameters of a Tool

You can adjust the machining parameters for CNC machine tools in ArtCAM Insignia as follows:

  • When creating a toolpath, in the toolpath's page. For example, the Profiling page. For details, see Adjusting Machining Parameters When Creating a Toolpath.
  • After creating a toolpath, using the Toolpaths Home page. For details, see Adjusting Machining in a Created Toolpath.
  • You can also change the tool's default machining parameters stored in the Tool Database. This method should only be used before selecting a toolpath. For details, see Editing a Tool.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Adjusting Machining Parameters When Creating a Toolpath

You can change the machining parameters of the CNC machine tool used to machine a model, when creating a toolpath.

To change the machining parameters of a CNC machine tool:

  1. With the toolpath page displayed in the Assistant window, display the machining parameters of the selected tool by clicking on the [image] arrow in the tool area of the page.

    For example, if you have selected a 3mm End Mill tool in a Profiling toolpath, the tool area of the Profiling page looks like this:

  2. You can now set the new machining parameters:
    • To change the stepover of the selected tool, define the new distance between adjacent machining passes in the Stepover box.
    • To change the stepdown of the selected tool, define its maximum cutting depth in the Stepdown box. The stepdown generates multiple machining passes.
    • To change the feed rate of the selected tool, define the new rate at which the tool moves in relation to the block of material in the Feed Rate box.
    • To change the plunge rate of the selected tool, define the rate at which the tool moves in the Z direction and plunges into the block of material in the Plunge Rate box.
    • To change the rotational speed of the spindle, define the new speed in the Spindle box. The spindle is the part of the machine tool that rotates during operation. On a mill it holds the tool in position. On a lathe it holds the block of material.
    • To give the selected tool a number, click on the Tool Number list box and then on the number you want to assign to it. This number should correspond with the position of the tool in the CNC machine's tool changer.

See Also

Adjusting the Machining Parameters of a Tool

Adjusting Machining Parameters in a Created Toolpath


Adjusting Machining Parameters in a Created Toolpath

When you have created a toolpath, you can adjust the machining parameters, except for the Stepdown and the Stepover. In addition, you can amend toolpath parameters such as the Home Position and the Safe Z level.

To adjust the machining or toolpath parameters:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click to select the tool listed beneath the toolpath name for which you want to change the machining parameters. For details, see Selecting Toolpaths.

    For example, a 3mm End Mill tool used in creating a Profiling toolpath appears as follows:

  3. Click on the Edit Parameters button to display the machining parameters for the selected tool.

    For example, if you selected a 3mm End Mill tool when creating a Profiling toolpath, the Parameters area looks like this:

  4. You can change the machining parameters in this area as described in Adjusting Machining Parameters When Creating a Toolpath.

    In addition, you can amend:

    • The tool's name.
    • The height, or Safe Z level, at which the cutting tool makes rapid moves between toolpath segments.
    • The Home Position (XYZ) of the tool.
    • The comment about the toolpath, usually its name.
    • The colour assigned to a simulated toolpath shown as a solid colour.

      If your CNC machine has a rotary axis, it is possible to let the machine turn the model for you. ArtCAM Insignia allows you to output a single toolpath containing both the front and back toolpaths together. The back toolpath is preceded by a rotary move that turns the material into position before cutting.

      If you want to use automatic indexing, define the angle of the rotated toolpath in the A Axis Angle box. The angle is appended to the name of the toolpath and is shown in brackets. You must also output the toolpaths together using a post processor that supports indexing. For example, the Model Master Indexer.

  5. Click on the Apply button.

See Also

Adjusting the Machining Parameters of a Tool

Adjusting Machining Parameters When Creating a Toolpath


Saving a Toolpath

When you have created a toolpath, it can be saved in two formats:

  • You can save the toolpaths along with the model you are currently working on as an ArtCAM model file (*.art). For details, see Saving a Model.
  • You can export the toolpath data as a file specific to your CNC machine tool, as explained below.

To save the toolpath data as a machine-specific file:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Save Toolpaths button [image] in the Toolpath Operations area to open the Save Toolpaths dialog box:

  3. Click on the toolpaths in the Calculated toolpaths window that you want to save as one machine-specific toolpath file.

    To select more than one toolpath, hold the Shift key down on your keyboard and then click on each of the toolpaths.

  4. Click on the right button [image] to transfer your selected toolpaths to the Toolpaths to save to a single file window.
  5. Make sure that the toolpaths are in the correct order.

    Click on the up [image] and down [image] buttons to set the order in which the toolpaths will be saved. Each click, up or down, moves the selected toolpath one position in the list.

    Click on the black left button [image] to transfer the currently highlighted toolpaths back to the Calculated toolpaths window.

    Click on the red left button [image] to transfer all toolpaths back to the Calculated toolpaths window.

  6. Click on the Machine output file is formatted for list box, and then click to select the machine format you want to use.
  7. If you want to save the machine-specific toolpath file to the spool directory, make sure that the Save Files to Spool Directory option is selected [image].

    If you have not already selected the spool directory, click on the Spool Dir… button to display the Browse For Folder dialog box. Click on the folder to which you want to spool your machine-specific toolpath files, followed by the OK button to set it as the spool directory.

    If you do not want to save the machine-specific toolpath file to the spool directory, make sure that the Save Files to Spool Directory option is deselected [image].

  8. Click on the Save button.
  9. Type the file name for the machine-specific toolpath in the File name box.
  10. Click on the Save as type list box, then click to select the file type in which you want to save your machine-specific toolpath.
  11. Click on the Save button to close the Save As dialog box.
  12. Click on the Close button in the Save Toolpaths dialog box.
  • You can also save a toolpath from either the 2D View or the 3D View in the same way. From the Main Menu bar, click on the Toolpaths > Save Toolpath menu option to display the Save Toolpaths dialog box. For details on using the Save Toolpaths dialog box, return to the start of this section.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Editing a Toolpath

You can change the settings in any toolpath that you have created.

To edit the settings in a toolpath using the 2D View window:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Select the preview of the toolpath that you want to edit. For details, see Selecting Toolpaths.
  3. Right-click to display the Toolpath menu, and then click on the Edit Toolpath option to display the toolpath's details in the Assistant window.

For example, if you select a Profiling toolpath and then the Edit Toolpath option from the Toolpath menu, the Profiling page is displayed in the Assistant window.

Alternatively, you can edit toolpath settings using the Toolpaths Home page:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors..
  2. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  3. Select the toolpath listed that you want to edit. For details, see Selecting Toolpaths.
  4. Click on the Edit Toolpath button [image] in the Toolpath Operations area to display the page for the toolpath in the Assistant window.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Deleting Toolpaths

You can delete a toolpath or toolpath group that you have created.

A toolpath group is a toolpath that requires the use of more than one machining tool. For example, a Bevelled Carving toolpath uses both a Carving tool and a Profiling tool.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Deleting a Toolpath

To delete a toolpath from the 2D View window:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Select the preview of the toolpath that you want to edit. For details, see Selecting Toolpaths.

    For example, if you want to delete the profile pass in a Bevelled Carving toolpath it would appear something like this when selected:

  3. Right-click to display the Toolpaths menu, then click on the Delete Toolpath option.

    In our example, you can see that the profile pass in the Bevelled Carving toolpath is now deleted:

See Also

Deleting Toolpaths

Deleting a Toolpath Group


Deleting a Toolpath Group

To delete a toolpath group using the 2D View window:

  1. Click on the Select Vectors button [image] in the Vector Tools area of the Assistant's Home page. For details, see Selecting Vectors.
  2. Select the preview of the toolpath that you want to edit. For details, see Selecting Toolpaths.

    The selected part of the toolpath group is blue and surrounded by a bounding box.

    For example, if you want to delete a Bevelled Carving toolpath, and select the profile pass in the toolpath, the toolpath looks like this when selected:

  3. Right-click to display the Toolpaths menu, then click on the Delete Toolpath Group option.

    In our example, you can see that both the centreline and the profile pass in the Bevelled Carving toolpath group are now deleted:

  • You can also delete a toolpath using the Toolpaths Home page by clicking on the toolpath group listed to select it, for example Bevelled Carving, and then on the Delete Toolpath button [image] in the Toolpath Operations area.

See Also

Deleting Toolpaths

Deleting a Toolpath


Calculating a Single Toolpath

You can calculate a single toolpath during its creation using the Now button on the page corresponding to it. For example, when the Profiling page is shown in the Assistant window.

If you had chosen to calculate a toolpath Later, you can calculate it at a later time using the Toolpaths Home page. For details, see Toolpaths.

All toolpaths listed on the Toolpaths Home page in yellow have not yet been calculated. All toolpaths listed in black have already been calculated.

To calculate a toolpath using the Toolpaths Home page:

  1. Select the preview of the toolpath that you want to edit. For details, see Selecting Toolpaths.
  2. Click on the Calculate Selected Toolpath button [image] in the Toolpath Operations area.

    The page relating to the selected toolpath appears in the Assistant window and the calculation process begins. The page shown in the Assistant window is automatically closed when the calculation process is complete.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Calculating a Batch of Toolpaths

You can calculate a sequence of toolpaths at once using ArtCAM Insignia's batch calculation process. This gives you the freedom to work continuously on creating a model during the day, and calculate all of its corresponding toolpaths during the night.

If you had chosen to calculate several toolpaths Later during their creation, you can calculate them in a batch sequence using the Toolpaths Home page. For details, see any of the toolpaths in Toolpaths.

All toolpaths listed on the Toolpaths Home page in yellow have not yet been calculated. All toolpaths listed in black have already been calculated.

To calculate a batch of toolpaths:

  1. Click on the Batch Calculate Toolpaths button [image] in the Toolpath Operations area of the Toolpaths Home page to display the Batch Calculate Toolpaths dialog box.

  2. From the Toolpaths Available For Calculation window, make sure that all of the toolpaths that you want to calculate as part of this batch are selected [image]. All of the available toolpaths are selected [image] by default.

    If you click on a selected toolpath [image] it is then deselected [image], and vice versa.

    You can deselect all of the available toolpaths by clicking on the Select None button.

    To select all of the available toolpaths, click on the Select All button.

  3. Click on the Calculate button to begin the batch calculation process.

    The following details are displayed in the Status window during the batch calculation process:

    • The time and date on which the batch calculation process commences.
    • The elapsed time for the calculation of each of the toolpaths within the batch.
    • The elapsed time for the entire batch calculation process.

      If you want to cancel the batch calculation process at any time, click on the Stop button.

  4. Click on the Close button to close the Batch Calculate Toolpaths dialog box.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Using a Toolpath Summary

You can review, print or save details of all of the toolpaths that you have created in order to machine a model.

The Toolpath Summary Information dialog box displays the following details:

  • Job dimensions used.
  • Toolpaths used.
  • Machining parameters of all tools used.

A total machining cycle time is also calculated based on the Feed Rates of the various tools that you had selected when creating a toolpath.

To display the Toolpath Summary Information dialog box for the open model:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

    You can use the scrollbar at the right of the Toolpath Summary Information dialog box to view all of the toolpath information.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Calculating the Estimated Machining Time

You can amend the machining parameters to estimate the actual machining time for a job.

To calculate the estimated machining time of a toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

  3. Define the rapid rate of your CNC machine in the Rapid Rate box. You should confirm the maximum Rapid Rate of your CNC machine by consulting the manufacturer's manual. If the manual contains no reference to the maximum Rapid Rate, use the maximum Feed Rate value instead.
  4. Click on the list box and then click to select the appropriate unit of speed for your CNC machine.
  5. Define the time scale factor that you want to apply to the machining process in the Scale Factor box. The default time scale factor is 4. You should experiment with finding the appropriate value for your machining.
  6. Click on the Calculate button.
  7. Click on the Close button to close the Toolpath Summary Information dialog box.

See Also

Using a Toolpath Summary

Printing a Toolpath Summary

Saving a Toolpath Summary


Printing a Toolpath Summary

To print a toolpath summary:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

  3. Click on the Print button to display the Print dialog box:

    From the Select Printer window, click on the icon of the printer that you want to use to print the toolpath summary.

  4. Click on the Print button to print the toolpath summary at the selected printer.
  5. Click on the Close button to close the Toolpath Summary Information dialog box.

See Also

Using a Toolpath Summary

Calculating the Estimated Machining Time

Saving a Toolpath Summary


Saving a Toolpath Summary

To save a toolpath summary:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Toolpath Summary button [image] in the Toolpath Operations area to display the Toolpath Summary Information dialog box:

  3. Click on the Save button to display the Save Toolpath Summary dialog box.
  4. Click on the Save In list box and select the directory where you want to save the toolpath summary.
  5. Type the file name you want to use for the toolpath summary in the File name box.
  6. Click on the Save button. The file is saved as a text file (*.txt).
  7. Click on the Close button to close the Toolpath Summary Information dialog box.

See Also

Using a Toolpath Summary

Calculating the Estimated Machining Time

Printing a Toolpath Summary


Using the Tool Database

When creating a toolpath in ArtCAM Insignia, it is necessary to select a tool with which to machine your model. A broad range of pre-defined tools can be selected from the Tool Database.

The Tool Database allows you to:

  • Select a tool with which to machine a toolpath. For details, see Toolpaths.
  • Define and add your own tools.
  • Edit the default machining parameters of any selected tool.
  • Group tools together, as you prefer.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Adding a Tool

To define and add a new tool to the Tool Database:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Tool Database button [image] in the Toolpath Operations area to open the Tool Database:

  3. Click on the Add Tool button to open the Add Tool dialog box:

  4. Type a name for the tool in the Description box.
  5. Click on the Tool Type list box, and then click to select one of the tool types listed. An image representing the selected Tool Type appears in the middle of the dialog box. Boxes to type in the necessary machining parameters of the tool appear in the right side of the dialog box.
  6. Set the number of the tool according to its current position on your tool changer in the Tool Number box.
  7. Click on the Tool Units list box, and then click to select the unit of measurement for the tool.
  8. Click on the Rate Units list box, and then click to select the unit of speed for the tool.
  9. Type any relevant information concerning the practical use of the tool you are adding to the Tool Database in the Notes box.
  10. Define the machining parameters of the tool using the boxes on the right of the dialog box. For example, Diameter, Stepover and Flute Length.
  11. Click on the OK button to add the tool to the Tool Database. The tool you have added appears in the Tools and Groups window, and its details appear in the Tool / Group Description area of the Tool Database.
  12. Click on the tool in the Tools and Groups window and drag it into the appropriate group in the Tool Database.
    • For details on how to set up your own group, see Adding a Tool Group.
  13. Click on the OK button to close the Tool Database.

See Also

Using the Tool Database

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Editing a Tool

You can edit the geometry and the default machining parameters of any tool selected from the Tool Database:

  • Description - To change the name of the selected tool, type it in this box.
  • Tool Number - To change the number of the selected tool to correspond with its position on a tool changer, define it in this box.
  • Tool Units - To change the unit of measurement for the selected tool, click on the Tool Units list box and then on the unit of measurement you want to use.
  • Rate Units - To change the unit of speed for the selected tool, click on the Rate Units list box and then on the unit of speed you want to use.
  • Notes - If you want to make any notes about the selected tool, type them in this box.
  • Diameter - To change the diameter of the selected tool, define it in this box.
  • Stepdown - If you want to change the maximum cut depth of the selected tool, define it in this box.
  • Stepover - If you want to change the distance between adjacent machining passes made by the selected tool, define it in this box.

    You can also adjust the stepover of the selected tool using the % of box and buttons:

    • Each click on increases the stepover of the selected tool by 1% of the value shown in the Diameter box.
    • Each click on decreases the stepover of the selected tool by 1% of the value shown in the Diameter box.
    • Type a value in the % of box to define the Stepover as a percentage of the tool Diameter.
  • Spindle Speed - To change the rotational speed of the spindle, define it in this box.
  • Feed Rate - To change the rate at which the tool moves in relation to the block of material, define it in this box.
  • Plunge Rate - To change the rate at which the tool moves in the Z direction and plunges into the block of material, define it in this box.

Editing the geometry of certain types of tools in the Tool Database requires more data than with other tools. The additional information required includes:

  • Included Angle - To change the angle of a V-Bit tool, define the new angle in this box.
  • Half Angle - To change the angle of a Conical tool, define the new angle in this box.
  • Flat Radius - To change the radius of a flat Conical tool, define the new radius in this box.
  • Tip Radius - To change the radius of a rounded Conical tool, define the new radius in this box.

To edit the machining parameters or the geometry settings of a tool in the Tool Database:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Tool Database button [image] in the Toolpath Operations area to open the Tool Database:

  3. Click on the tool in the Tools and Groups window that you want to edit. The selected tool is highlighted in blue.
    • Before editing the machining parameters of a selected tool, you may want to make a copy of it. To do so, click on the tool in the Tools and Groups window, and then click on the Copy button. A copy of the tool appears directly beneath the original in the Tools and Groups window.

      The machining parameters of the selected tool appear in the Tool / Group Description area of the dialog box.

  4. Click on the Edit button to open the Edit Tool dialog box:

  5. Define all new machining parameters and tool geometry settings for the selected tool using the boxes in the dialog box, or by clicking on the appropriate options in the list boxes.
  6. Click on the OK button to save these new settings and parameters and to return to the Tool Database.

    The tool you have edited appears in the Tools and Groups window, and the information that you had typed in the Edit Tool dialog box appears in the Tool / Group Description area of the Tool Database.

  7. Click on the OK button to close the Tool Database.

See Also

Using the Tool Database

Adding a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Copying a Tool

You can copy any tool within the Tool Database:

  1. Click on the tool that you want to copy in the Tools and Groups window. The selected tool is highlighted in blue.
  2. Click on the Copy button. A copy of the tool appears directly beneath the original tool. You can move the location of the tool by clicking and dragging on it.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Deleting a Tool

You can delete any tool listed in the Tool Database:

  1. Click on the tool that you want to delete in the Tools and Groups window. The selected tool is highlighted in blue.
  2. Click on the Delete button. A message box appears requesting you to confirm your decision to delete the tool.
  3. Click on the Yes button to delete the tool.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Adding a Tool Group

Within the Tool Database, tools are organised into various groups for ease of reference. When you define and add a selection of tools to the Tool Database, you may want to create a new group for them.

To create a new tool group:

  1. Click on the Tool Database button [image] in the Toolpaths area of the Assistant's Home page to open the Tool Database:

  2. Click on the Add Group button. A folder named New Group appears in the Tools and Groups window:

  3. Click on the New Group folder, and type the name for the tool group you want to add to the database. You can now click and drag any tools listed in the Tools and Groups window into the tool group folder that you have created.
  4. Click on the OK button to close the Tool Database.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Importing a Tool Database

You can merge the contents of a saved Tool Database with the Tool Database currently used in ArtCAM Insignia, making it easy to consolidate old databases with new.

  1. Click on the Import... button in the Tool Database dialog box to display the Import Tool Database dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Look in list box and select the directory where the Tool Database file (*.tdb) that you want to merge with the Tool Database currently used in ArtCAM Insignia is stored.
  3. Once you have found the relevant Tool Database file (*.tdb), click on its name. The name of the file is displayed in the File name box.
  4. Click on the Open button to merge the contents of the selected tool database file with the Tool Database currently used in ArtCAM Insignia.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Opening a New Tool Database

You can replace the Tool Database that is currently in use in ArtCAM Insignia with another Tool Database (*.tdb).

For example, if you are using three separate database configurations for three separate machine tools, you may need to alternate between these Tool Databases at different times.

  1. Click on the Browse... button in the Tool Database dialog box to display the Browse for Tool Database dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Look in list box and select the directory where the Tool Database file (*.tdb) that you want to open is stored.
  3. Once you have found the relevant Tool Database file (*.tdb), click on its name. The name of the file is displayed in the File name box.
  4. Click on the Open button to open the Tool Database file (*.tdb), replacing the Tool Database which was previously used in ArtCAM Insignia.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Saving a Copy of a Tool Database

You can save a copy of the Tool Database currently used in ArtCAM Insignia.

To save a copy of the current Tool Database:

  1. Click on the Save Copy... button in the Tool Database dialog box to display the Save Copy of Tool Database dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Save In list box and select the directory in which you want to save the copy of the Tool Database.
  3. Type the file name you want to use for the Tool Database in the File name box.
  4. Click on the Save button to save the copy of the current Tool Database. ArtCAM Insignia saves the Tool Database as a *.tdb file. This is an ArtCAM proprietary file that stores all of your tool data.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Editing a Tool Group

You can edit the name and description of any tool group selected from the Tool Database:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Tool Database button [image] in the Toolpath Operations area to open the Tool Database:

  3. Click on the tool group in the Tools and Groups window that you want to edit. The selected tool group is highlighted in blue and details about the group appear in the Tool / Group Description area of the database.
  4. Click on the Edit button to open the Edit Group dialog box:

  5. If you want to give the tool group a new name, type it in the Group Name box.
  6. If you want to make any notes about the selected tool group, type them in the Notes box.
  7. Click on the OK button to close the Edit Group dialog box.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Copying a Tool Group

Deleting a Tool Group

Saving the Tool Database


Copying a Tool Group

You can copy any tool group within the Tool Database:

  1. Click on the tool group that you want to copy in the Tools and Groups window. The selected tool group is highlighted in blue.
  2. Click on the Copy button. A copy of the tool group appears directly beneath the original tool group. You can move the location of the tool group by clicking and dragging on it.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Deleting a Tool Group

Saving the Tool Database


Deleting a Tool Group

You can delete any tool group listed in the Tool Database:

  1. Click on the tool group that you want to delete in the Tools and Groups window. The selected tool group is highlighted in blue.
  2. Click on the Delete button. A message box appears requsting you to confirm your decision to delete the tool group.
  3. Click on the Yes button to delete the tool group.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Saving the Tool Database


Saving the Tool Database

If you make any changes to the Tool Database, and then click on the OK button to close the database, the following message box appears:

Linked ArtCAM Graphics Directory Template [Insignia]

Click on the Yes button to save the changes that you have made to the database before closing it, or click on the No button to close the database without saving your changes.

See Also

Using the Tool Database

Adding a Tool

Editing a Tool

Copying a Tool

Deleting a Tool

Adding a Tool Group

Importing a Tool Database

Opening a New Tool Database

Saving a Copy of a Tool Database

Editing a Tool Group

Copying a Tool Group

Deleting a Tool Group


Creating a Toolpath Template

You can create a template from any toolpath that you have already created in ArtCAM Insignia.

The toolpath template file (*.tpl) contains all of the original settings that you had made when creating the toolpath. The settings saved within the toolpath template can then be applied to selected vector artwork in order to machine all or part of a model.

To create a toolpath template:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the toolpath listed on the Toolpaths Home page that you want to create a template from. For details, see Selecting Toolpaths.
  3. Click on the Save Toolpath As Template button [image] in the Toolpath Operations area to display the Save Toolpath Template dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  4. Click on the Save In list box and select the directory you want to save the toolpath template in.
  5. Type the file name you want to use for the toolpath template in the File name box.
  6. Click on the Save button.

The toolpath template can now be loaded at any time to machine all or part of a model. For details, see Loading a Toolpath Template.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Loading a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Loading a Toolpath Template

When you load a toolpath template, the toolpath settings within the file are automatically assigned to the vector object in the model from which the original toolpath that forms the template was created.

If the vector object from which the original toolpath was created has been deleted, or you want to use the template with a different model altogether, you need to select the vector object to which you want to assign the toolpath template before the toolpath can be edited or calculated.

To load a toolpath template file (*.tpl):

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Load Toolpath Template button [image] in the Toolpath Operations area to display the Load Toolpath Template dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    • You can also display the Load Toolpath Template dialog box by clicking on the Toolpaths > Load Toolpath Template… menu option from the Main Menu bar.
  3. Click on the Look In list box, and then click to select the directory in which the toolpath template file you want to use is contained.
  4. Once you have found the toolpath template file, click on the file name listed in the main window of the Load Toolpath Template dialog box.
    • You are only able to select toolpath template files (*.tpl). You can confirm this by clicking on the Files of Type list box.

      The name of the file you have selected appears in the File Name box.

  5. Click on the Open button to list the toolpath on the Toolpaths Home page.

You can now edit or calculate the toolpath that has been loaded. For more details, see Calculating a Single Toolpath, Calculating a Batch of Toolpaths and Editing a Toolpath.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading Toolpath Data

Setting the Toolpath Order


Loading Toolpath Data

You can load toolpath data saved as part of an existing ArtCAM model file to another. This allows you to machine several different models at once, depending on the size of your router-bed and if you have access to a tool changer.

To load toolpath data:

  1. From the Main Menu bar, click on the Toolpaths > Toolpath Data > Load… menu option to display the Load Toolpath dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Look In list box, and then click to select the directory in which the ArtCAM model file containing the toolpaths that you want to use is saved.
  3. Once you have found the ArtCAM model file, click on the file name listed in the main window of the dialog box.
    • You are only able to select ArtCAM model files (*.art). You can confirm this by clicking on the Files of Type list box.

      The name of the ArtCAM model you have selected appears in the File Name box.

  4. Click on the Open button to list all of the toolpaths saved as part of the selected ArtCAM model file on the Toolpaths Home page.

You can now edit the toolpaths as required. For more details, see Editing a Toolpath.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Setting the Toolpath Order


Setting the Toolpath Order

Each time a new toolpath is created or calculated it is listed on the Toolpaths Home page. The previous toolpath is then moved down a position in this list of toolpaths. This can often mean that the final list of toolpaths does not reflect the order in which you want to machine a job. In this instance, you can reset the order in which created and calculated toolpaths are listed to reflect how you want to machine the job.

To set the order in which created and calculated toolpaths are listed:

  1. Click to select the name of the toolpath that you want to prioritise. Its name is emphasized in blue.
  2. Use the buttons on the page to set the position of the toolpath in the list:
    • Click on the [image] button to move the toolpath upwards.
    • Click on the [image] button to move the toolpath downwards.

See Also

Managing and Modifying Toolpaths

Selecting Toolpaths

Transforming Toolpaths

Copying Toolpaths

Merging Toolpaths

Creating Toolpath Panels

Editing a Profile Pass

Setting the Machining Order

Adjusting the Machining Parameters of a Tool

Saving a Toolpath

Editing a Toolpath

Deleting Toolpaths

Calculating a Single Toolpath

Calculating a Batch of Toolpaths

Using a Toolpath Summary

Using the Tool Database

Creating a Toolpath Template

Loading a Toolpath Template

Loading Toolpath Data


Simulating Toolpaths

You can simulate a toolpath that has been calculated. This allows you to visualise the machining passes used to create a finished model. The name of a calculated toolpath is shown on the Toolpaths Home page in black. If it is shown in red, the toolpath has not yet been calculated and cannot be simulated.

A toolpath simulation is a more informative display of the toolpath than that offered by the dark red wireframe drawing that makes up a toolpath preview in the 2D View window.

You can simulate a calculated toolpath in either the 2D View or 3D View window. You can simulate a toolpath in the 2D View providing that a 2D Preview has been created when calculating the toolpath.

You can simulate calculated toolpaths in the 2D View window as a solid colour:

  1. Click to select the calculated toolpath listed on the Toolpaths Home page that you want to simulate.
  2. Click to select the Draw Solid option [image] beneath the list of calculated toolpaths.

    Using the Draw Solid option allows you to clearly see the areas of the vector artwork that the selected tool will machine, and how effectively the toolpath reproduces the integrity of the original design.

  3. If you want to change the colour of the solid toolpath simulation, click on the [image] button beside the name of the tool used in the toolpath listed on the page to display the Color dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

    For details on using this dialog box, see Assigning a Colour To A Layer.

    The default colour assigned to each and every tool used within a toolpath is brown. However, if you assign a new colour to a tool at any stage, this colour will be maintained in all subsequent toolpaths listed on the Toolpaths Home page in which the same tool is used. For example, if blue is assigned to a 3 mm End Mill tool, then the solid simulation for all subsequent toolpaths using a 3 mm End Mill tool will also be blue. This does not apply retrospectively, so previous toolpaths using the same tool will not adopt the newly assigned colour.

  4. If you want to hide the solid toolpath simulation at any time, you can either:
    • Click to deselect the Show In 2D option beside the name of the calculated toolpath [image].
    • Click to deselect the Draw Solid option [image].

You can simulate calculated toolpaths in the 3D View window in four different ways:

  • A single toolpath.
  • An area of a toolpath.
  • A group of toolpaths. A toolpath group requires the use of more than one machining tool. For example, Bevelled Carving.
  • All toolpaths.

As an aid to visualisation, you can see the tool used in the calculated toolpath move gradually over the block of material during a toolpath simulation. For example, a 3mm End Mill tool in a simulated profile pass is shown below:

To simulate a toolpath:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select the toolpath listed on the Toolpaths Home page that you want to simulate. For details, see Selecting Toolpaths.
    • You can only simulate calculated toolpaths. These are listed on the Toolpaths Home page in black. Uncalculated toolpaths are listed in red.
  3. Make sure that the machining parameters of the tool listed in the Parameters area are correct. If you want to adjust its parameters:
    • First, click on the Edit Parameters button to display all parameter boxes.
    • Next, type the correct machining parameters in the appropriate boxes.
    • Finally, click on the Apply button.
  4. Make sure that the Draw option in the Toolpath Simulation area is selected [image].
  5. You can now simulate the toolpath in either of the following ways:
    • Click on the Simulate Toolpath Fast button [image] to display the 3D View window and simulate the whole toolpath using the full capacity of your computer processor.
    • Click on the Simulate Toolpath button [image] to display the 3D View window and the Simulation Control panel:

      If you click on the Simulate Toolpath button [image], use the playback buttons on the Simulation Control panel to simulate the toolpath:

    • - Click on the Pause Simulation button if you want to pause the toolpath simulation.
    • - Each click on the Single Step Simulation button simulates a successive tool move in the toolpath.
    • - Click on the Run Simulation at Normal Speed button if you want to simulate the whole toolpath using only a percentage of your computer processor's capacity.
    • - Each click on the Run to Next Retract Move button simulates the toolpath, pausing when the tool retracts from the material, using only a percentage of your computer processor's capacity.
    • - Click on the Run Simulation at Maximum Speed button if you want to simulate the whole toolpath using the full capacity of your computer processor.
    • - Each click on the Run at Maximum Speed to Next Retract button simulates the toolpath, pausing when the tool retracts from the material, using the full capacity of your computer processor.
    • - Click on the Abort Simulation button if you want to stop the toolpath simulation and close the Simulation Control panel.
    • You can also simulate a toolpath by clicking on a toolpath preview in the 2D View window, and then on the Simulate Toolpath option from the context menu displayed when you right-click.
    • You can also simulate a toolpath by clicking on a toolpath preview in the 2D View window, and then clicking on the Toolpaths > Simulate Toolpath menu option from the Main Menu bar.

To simulate an area of a toolpath at the resolution used for the whole model:

  1. In the 2D View, create a vector, or move an existing vector, so that it surrounds the area of the toolpath preview that you want to simulate. For details, see Drawing with Polylines, Creating Simple Shapes and Moving Vectors.
  2. Make sure the vector you want to use to define the area of the toolpath that you are simulating is selected. For details, see Selecting Vectors.
    • If you use a small vector relative to the overall size of the current model to define the area of the toolpath preview that you want to simulate, then this can prolong the calculation time.
  3. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  4. In the Toolpath Simulation area, click to select the Inside Vector option [image].
  5. Click on either of the simulation buttons to simulate the area of the toolpath defined by the selected vector:
    • Click on the Simulate Toolpath button [image] to display the 3D View window and the Simulation Control control panel. You can use the playback buttons on the Simulation Control panel to control how the toolpath area is simulated.
    • Click on the Simulate Toolpath Fast button [image] to display the 3D View window and simulate the toolpath area using the full capacity of your computer processor.

To simulate a group of toolpaths:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Select any part of the calculated toolpath group that you want to simulate. For details, see Selecting Toolpaths.
  3. From the Main Menu bar, click on the Toolpaths > Simulate Toolpath menu option to display a representation of the calculated toolpath group and the machined vector(s) in the 3D View window.
    • You can also simulate a toolpath group by selecting a toolpath preview in the 2D View window that belongs to the group, right-clicking on the toolpath preview to display the Toolpath Editing menu and then clicking on the Simulate Toolpath Group option.

To simulate all of the toolpaths you have calculated:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Simulate All Toolpaths button [image] to display a representation of the calculated toolpaths and the machined vector(s) in the 3D View window.
    • You can also simulate all toolpaths group by clicking on the Toolpaths > Simulate All Toolpaths menu option from the Main Menu bar..

See Also

Machining Models

Using Toolpaths

Toolpaths

Managing and Modifying Toolpaths


Viewing a Toolpath

You can view a toolpath you have created in both the 2D View and 3D View windows. A toolpath is displayed as a sequence of dark red lines in the 2D View window, and a series of multi-coloured lines in the 3D View window.

The colour in which a toolpath is displayed within the 3D View window shows the movement the selected tool will make when machining the vector.

The following example shows a toolpath simulation as seen along the Y-axis:

Linked ArtCAM Graphics Directory Template [Insignia]

See Also

Simulating Toolpaths

Hiding a Toolpath

Resetting a Simulation

Deleting a Simulation


Rapid and Plunge Moves

The selected tool leaves the Home position, moves to the Safe Z level, then above and across the material surface until it reaches the point of entry. This movement is known as a Rapid move, and a blue line marks this.

The tool cuts into the material surface at its Plunge rate. A cyan line marks plunge moves.

Once the cutting is complete, the tool retracts from the block of material to the Safe Z level and then moves above and across the material surface until it reaches the Home position. This is another Rapid move marked by a blue line.

If a toolpath simulation contains several Rapid and Plunge moves, the lines representing the movement of the selected tool in the 3D View window can become obscured. For this reason, you may want to hide them from view.

Rapid and Plunge moves are drawn in a toolpath simulation by default, but can be hidden in either of the following ways:

  • From the Main Menu bar, click on the Toolpaths > Toolpath Drawing > Draw Rapid and Plunge Moves menu option.
  • Deselect the Rapid & Plunge Moves option in the Machining area of the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

See Also

Viewing a Toolpath

Cutting Direction


Cutting Direction

As an aid to visualisation, arrows indicating the cutting direction used in a 2D toolpath are used in toolpath previews drawn in the 2D View window. The cutting direction is shown by default, but can be hidden in either of the following ways:

  • From the Main Menu bar, click on the Toolpaths > Toolpath Drawing > Show Cutting Direction menu option.
  • Deselect the Cutting Direction option in the Machining area of the ArtCAM Options page. For details, see Managing ArtCAM Insignia's Preferences.

A Conventional cut direction is illustrated with anti-clockwise arrows, and a Climb Mill cut direction with clockwise arrows. For example, we can see that a Climb Mill cut direction has been used in the Area Clearance toolpath preview shown below:

See Also

Viewing a Toolpath

Rapid and Plunge Moves


Hiding a Toolpath

You can hide any calculated toolpath shown in either the 2D View or 3D View window.

To hide a toolpath preview shown in the 2D View window, you can use any of the following methods:

  • First, click to select the toolpath preview that you want to hide. For details, see Selecting Toolpaths. Next, right-click to display the Toolpath Editing menu, and then click on the Hide Preview option.
  • Click to deselect the Show In 2D option [image] beside the name of the calculated toolpath listed on the Toolpaths Home page; or
  • Click to deselect the Draw Wireframe option [image] below the list of toolpaths on the Toolpaths Home page. This option hides all toolpath previews shown in the 2D View window at once.

To hide a toolpath shown in the 3D View window, you can either:

  • Double right-click in the 3D View window to display a list of toolpath viewing options, and then click on the toolpath you want to hide. The toolpath that you want to hide is deselected.

    For example, clicking on the Profile - End Mill 3mm option hides the toolpath from view.

    • You can hide any of the toolpaths shown in the 3D View window using the Objects To Draw button [image] in the 3D View toolbar.
  • Click to deselect the Show In 3D option [image] beside the calculated toolpath listed on the Toolpaths Home page that you want to hide.

See Also

Simulating Toolpaths

Viewing a Toolpath

Resetting a Simulation

Deleting a Simulation


Restoring a Hidden Toolpath

You can restore a calculated toolpath that has been hidden in either the 2D View or 3D View window.

To restore a toolpath hidden in the 2D View window:

  • Click to select the Show In 2D option [image] beside the calculated toolpath listed on the Toolpaths Home page that you want to show. The toolpath appears in the 2D View window in dark red.
    • Make sure that the Draw Wireframe option below the list of toolpaths on the Toolpaths Home page is also selected [image], otherwise all toolpath previews will remain hidden.

To restore a toolpath hidden in the 3D View window, you can either:

  • Double right-click in the 3D View window to display a list of toolpath viewing options, and then click on the toolpath you want to view. The toolpath that you want to restore is now selected.

For example, clicking on the Profile - End Mill 3mm option restores the toolpath to view.

You can restore any of the toolpaths hidden in the 3D View window using the Objects To Draw button [image] in the 3D View toolbar.

  • Click to select the Show In 3D option beside the calculated toolpath listed on the Toolpaths Home page that you want to show [image].

See Also

Hiding a Toolpath


Resetting a Simulation

You can reset a toolpath simulation that has been drawn in the 3D View window.

To reset a toolpath simulation:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Reset Simulation button [image] in the Toolpath Simulation area.
    • You can also reset a toolpath simulation from the Main Menu bar by clicking on the Toolpaths > Reset Simulation menu option.

See Also

Simulating Toolpaths

Viewing a Toolpath

Hiding a Toolpath

Deleting a Simulation


Deleting a Simulation

You can delete a toolpath simulation from the 3D View window.

To delete a toolpath simulation:

  1. Click on the Toolpaths tab [image] to display the Toolpaths Home page.
  2. Click on the Delete Simulation button [image] in the Toolpath Simulation area.
    • You can also delete a toolpath simulation from the Main Menu bar by clicking on the Toolpaths > Delete Simulation menu option.

See Also

Simulating Toolpaths

Viewing a Toolpath

Hiding a Toolpath

Resetting a Simulation


Using ArtSpool

ArtSpool is an application tool you can use to send toolpath data to your CNC machine tool through a serial cable.

For details about saving toolpaths, which can then be transferred to your CNC machine tool using ArtSpool, see Saving a Toolpath.

ArtSpool runs as a background task in Windows 95, 98, 2000, XP or NT4+. This means that instead of your computer being inaccessible for hours at a time processing and sending data to your CNC machine tool, you can continue to use it while ArtSpool handles your machining jobs.

  • ArtSpool is an unsupported application tool supplied free of charge. Delcam plc cannot guarantee that it is suitable for sending toolpath files to your CNC control system. Please contact your CNC machine tool and software resellers if you experience difficulties.

In This Chapter

Setting Up ArtSpool

Sending Toolpath Files

Deleting Toolpath Files


Setting Up ArtSpool

Before you can send toolpath data to your CNC machine tool, it is necessary to configure ArtSpool. You must set up:

  • The communication settings that ArtSpool uses to send data to the CNC machine tool. For details, see Selecting the Communication Settings.
  • A spool directory where toolpath data is stored, ready to be transferred. For details, see Selecting the Spool Directory.

See Also

Using ArtSpool

Sending Toolpath Files

Deleting Toolpath Files


Selecting the Communication Settings

You must configure ArtSpool to communicate with your CNC machine tool before you can use it to send toolpath data.

  • When you configure ArtSpool, it is important that you consult your CNC machine manual or suppliers to ensure the correct communication settings are used.

To configure the communication settings:

  1. Click on Start > All Programs > ArtCAM Insignia 4.1 > ArtSpool to start ArtSpool:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. From the Main menu bar, click on the Options menu, followed by the Configure Communications option to display the Communication Settings dialog box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  3. Select the correct settings for your CNC machine:
    • Type the name of your CNC machine in the Machine box.
    • Click on the Protocol list box, followed by the protocol used by your CNC machine.
    • Click on the Serial Port list box, followed by the serial port to which your CNC machine is connected.
    • Click on the Baud Rate list box, followed by the Baud rate of your CNC machine.
    • Click on the Data Bits list box, followed by the number of bits for your CNC machine.
    • Click on the Parity list box, followed by the parity bit for your CNC machine.
    • Click on the Stop Bits list box, followed by the number of stop bits for your CNC machine.
    • Click on the Flow Control list box, followed by the option for how you want to control the flow of data from the spool directory.
    • Select Hardware [RTS/CTS] to use your CNC machine tool and Software [XOn XOff] to use ArtSpool.
  4. Click on the OK button to save your settings and close the Communication Settings dialog box.

See Also

Setting Up ArtSpool

Selecting the Spool Directory


Selecting the Spool Directory

Before you can use ArtSpool to send toolpath data to your CNC machine tool, you must select the folder from which you want to spool your toolpath files. This is where the toolpath data is stored, before being sent to your CNC machine tool.

To select the Spool Directory:

  1. Click on Start > All Programs > ArtCAM Insignia 4.1 > ArtSpool to start ArtSpool:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. From the Main Menu bar, click on the Options > Select Spool Directory menu option to display the Browse for Folder dialog box:

  3. Click on the folder to which you want to spool your toolpath files.
  4. Click on the OK button to select the spool directory and close the Browse for Folder dialog box.

You can also select the spool directory using the Save Toolpaths dialog box in ArtCAM Insignia. For further details, see Saving a Toolpath.

See Also

Setting Up ArtSpool

Selecting the Communication Settings


Sending Toolpath Files

When you have selected a spool directory and set your communication settings you can send toolpath files to your CNC machine tool, using ArtSpool.

To send a toolpath file to your CNC machine tool:

  1. Click on Start > All Programs > ArtCAM Insignia 4.1 > ArtSpool to start ArtSpool:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. If you want to send a toolpath file from the Spool Directory to your CNC machine:
    • Click on the file in the Files in Spool directory window to select it. The name, size and location of the toolpath file appear in the File Details area of ArtSpool.

      If you want to send a toolpath file to your CNC machine from another directory:

    • From the Main Menu bar, click on File > Select Other File... option to display the Open dialog box:

      Linked ArtCAM Graphics Directory Template [Insignia]

    • Next, click on the toolpath file that you want to send to your CNC machine tool. The name of the selected toolpath file appears in the File name box.
    • Finally, click on the Open button to close the Open dialog box and load the toolpath file into ArtSpool. The name, size and location of the toolpath file appear in the File Details area of ArtSpool.
  3. Click on the Start Transfer button to display the Transmit Data message box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  4. Click on the Yes button to send the selected toolpath file to your CNC machine tool.

    It takes a few minutes to transmit the data, during which a progress bar is shown in the Status area:

    Linked ArtCAM Graphics Directory Template [Insignia]

    When the toolpath data has been sent to your CNC machine tool, TX complete appears on the ArtSpool title bar.

If you want to stop the transmission of toolpath data to your CNC machine:

  1. Click on the Stop Transfer button to display the Stop Transmission message box:

    Linked ArtCAM Graphics Directory Template [Insignia]

  2. Click on the Yes button.

See Also

Using ArtSpool

Setting Up ArtSpool

Deleting Toolpath Files


Deleting Toolpath Files

You can delete any of the files contained in the Spool Directory using ArtSpool. You should only delete a toolpath file from the Spool Directory after it has been sent to your CNC machine tool and you no longer require it for machining a model.

To delete a file from the Spool Directory:

  1. Click on the file in the Files in Spool directory window to select it.
  2. Click on the Delete File button.

See Also

Using ArtSpool

Setting Up ArtSpool

Sending Toolpath Files